var INFO_ALFAKIH, ABBREV_KAISER;
var REF_ALFAKIH = "Kawel-Boehm et al. 2015";
var REF_DAVIS = "Davis et al. 2014";
var REF_KAISER = "Kaiser et al. 2008";
var REF_BURMAN = "Burman et al. 2016";

var ABBREV_ALFAKIH = "EDV: Left ventricular enddiastolic volume; EDV/BSA: Left ventricular enddiastolic volume / Body Surface Area; ESV: Left ventricular endsystolic volume; SV: Stroke volume; EF: Ejection fraction";
var ABBREV_DAVIS = "STJ: Sinotubular junction";
var ABBREV_BURMAN = "MPA: Main pulmonary artery; LPA: Left pulmonary artery; RPA: Right pulmonary artery";


function setStrings() {
	ABBREV_KAISER = window.lang.convert("BCA: Before Brachiocephalic Artery; LSA: Before Left Subclavian Artery");
	INFO_ALFAKIH = window.lang.convert("Z-Scores for ventricular dimensions in MRI SSFP sequences") + ", " + '<a href="http://www.ncbi.nlm.nih.gov/pubmed/25928314">Kawel-Boehm et al. 2015</a>';
	INFO_DAVIS = window.lang.convert("Z-Scores for aortic dimensions in MRI SSFP sequences") + ", " + '<a href="http://www.ncbi.nlm.nih.gov/pubmed/24447690">Davis et al. 2014</a>';
	INFO_KAISER = window.lang.convert("Z-Scores for aortic dimensions in MRI SSFP sequences") + ", " + '<a href="http://www.ncbi.nlm.nih.gov/pmc/articles/PMC2615773/">Kaiser et al. 2008</a>';
	INFO_BURMAN = window.lang.convert("Z-Scores for diastolic mean pulmonary dimensions in MRI SSFP sequences") + ", " + '<a href="http://www.ncbi.nlm.nih.gov/pubmed/26940894">Burman et al. 2016</a>';
	INFO_ZSCORE = window.lang.convert("The diagram represents following interval") + ": -2z, 0z, +2z";
}

function mriv_calc() {
	var height = $('#height').val().replace(',', ".") * 1;
	var weight = $('#weight').val().replace(',', ".") * 1;
	var lvedv = $('#Lvedv').val().replace(/,/, ".") * 1;
	var lvesv = $('#Lvesv').val().replace(/,/, ".") * 1;
	var lvmass = $('#Lvmass').val().replace(',', ".") * 1;
	var rvedv = $('#Rvedv').val().replace(/,/, ".") * 1;
	var rvesv = $('#Rvesv').val().replace(/,/, ".") * 1;
	var rvmass = $('#Rvmass').val().replace(/,/, ".") * 1;
	
	var t2relax =  new Array (
	$('#t2relax1').val().replace(/,/, ".") * 1, 
	$('#t2relax2').val().replace(/,/, ".") * 1,
	$('#t2relax3').val().replace(/,/, ".") * 1);
	

var mpa = $('#Mpa').val().replace(/,/, ".") * 1;
var lpa = $('#Lpa').val().replace(/,/, ".") * 1;
var rpa = $('#Rpa').val().replace(/,/, ".") * 1;

	var annulus = $('#Annulus').val().replace(/,/, ".") * 1;
	var sinus = $('#Sinus').val().replace(/,/, ".") * 1;
	var stj = $('#Stj').val().replace(/,/, ".") * 1;
	var ascendens = $('#Ascendens').val().replace(/,/, ".") * 1;
	var bca = $('#Bca').val().replace(/,/, ".") * 1;
	var lsa = $('#Lsa').val().replace(/,/, ".") * 1;
	var isthmus = $('#Isthmus').val().replace(/,/, ".") * 1;
	var proxdescendens = $('#Proxdescendens').val().replace(/,/, ".") * 1;
	var descendens = $('#Descendens').val().replace(/,/, ".") * 1;
	
	// Flow Parameters
	var aofw = $('#aofw').val().replace(/,/, ".") * 1;
	var pafw = $('#pafw').val().replace(/,/, ".") * 1;
	var lpafw = $('#lpafw').val().replace(/,/, ".") * 1;
	var rpafw = $('#rpafw').val().replace(/,/, ".") * 1;

	var aobw = $('#aobw').val().replace(/,/, ".") * 1;
	var pabw = $('#pabw').val().replace(/,/, ".") * 1;
	var lpabw = $('#lpabw').val().replace(/,/, ".") * 1;
	var rpabw = $('#rpabw').val().replace(/,/, ".") * 1;
	
	var aovmax = $('#aovmax').val().replace(/,/, ".") * 1;
	var pavmax = $('#pavmax').val().replace(/,/, ".") * 1;
	var lpavmax = $('#lpavmax').val().replace(/,/, ".") * 1;
	var rpavmax = $('#rpavmax').val().replace(/,/, ".") * 1;
			
	var weight, height, bsa, obLvedv, lvesvbsa, lvsvbsa, lvedvbsa, lvmassbsa, lvsv, lvef, rvedvbsa, rvesvbsa, rvsvbsa, rvmass, rvmassbsa, rvsv, rvef, outputTemp, bmi, obAnnulus, obSinus, obStj, obAscendens, obProxdescendens, obDescendens, adult, outputLv, outputRv, outputAorta,untersuchung,i,stirRatio,count,t1ratio,stirString,t1String,lvefString = "". patParamString, aosv, aorf, pasv,parf,lpasv,lparf,rpasv,rpasv,tempstring,outputFlow, nonBsaValues = "", kmVol;
	var date_birthday, date_currentdate, age_years, age_months_modulo,birthday,currentdate,t2relaxOutput,t2relaxAverage;
	
	if ($("input[name='radioAge']:checked").val() == "adult") adult = true;
	else adult = false;
	if ($("input[name='radio']:checked").val() == "male") male = true;
	else male = false;
	
	untersuchung = $('#untersuchung').val();
	
	// Determin Gadolinium volume
	if (weight) {
		kmVol = weight * 0.15;
		kmVol = kmVol.toFixed(0);
	}
		else 
		kmVol = 0;
	
		
	// Different date inputs for touch screen and desktops
	if ($('#dateInput_flip').val() === 'mobile') {
		var birthday = $('#birthday').val();
		var currentdate = $('#currentdate').val();
		// Formatting the date
		if ((birthday != "") && (currentdate != "")) {
			 date_birthday = getDateFromDateString(birthday);
			 date_currentdate = getDateFromDateString(currentdate);

		}
		else return;
	}
	else {
		if ($('#birth_d').val() && $('#birth_m').val() && $('#birth_y').val() && $('#current_d').val() && $('#current_m').val() && $('#current_y').val()) {
			 date_birthday = new Date($('#birth_y').val(), $('#birth_m').val() - 1, $('#birth_d').val());
			 date_currentdate = new Date($('#current_y').val(), $('#current_m').val() - 1, $('#current_d').val());
		}
		else return;
	}

	// Alter in Monaten
	ageMonths = (date_currentdate.getTime() - date_birthday.getTime()) / MSEC_PER_MONTH;
	if (ageMonths<0) ageMonths = 0;

	// Show the calculated age in y + m/12
	ageYears = Math.floor(ageMonths / 12);
	age_months_modulo = Math.floor(ageMonths % 12);
	$("#calculatedAgeYears").html(ageYears);
	$("#calculatedAgeMonthsUpper").html(age_months_modulo);
	$("#headerResult").css("display", "block");
	
		// Delete old results
	for (i=0; i<4; i++)
	$("#stir" + (i+1)).html("");
	
		// Myocarditis
	var myo  = new Array (
	$('#myo1').val().replace(/,/, ".") * 1, 
	$('#myo2').val().replace(/,/, ".") * 1,
	$('#myo3').val().replace(/,/, ".") * 1,
	$('#myo4').val().replace(/,/, ".") * 1);
	
	var sm  = new Array (
	$('#sm1').val().replace(/,/, ".") * 1, 
	$('#sm2').val().replace(/,/, ".") * 1,
	$('#sm3').val().replace(/,/, ".") * 1,
	$('#sm4').val().replace(/,/, ".") * 1);
	stirRatio = new Array();
	count = 0;
	average = 0;
	var stirOutput = "";
	
	for (i=0; i<myo.length; i++) {
		if(myo[i] >0) {
		stirRatio[i] = myo[i]/sm[i];
		
		$("#stir" + (i+1)).html(stirRatio[i].toFixed(1));
		}
		else  {
			stirRatio[i] = -100;
		$("#stir" + (i+1)).html("");
		}
		if (stirRatio[i] != -100) {
			stirOutput += stirRatio[i].toFixed(1) + " / ";
			average += stirRatio[i];
			count++;
		}
	}
	if (count) {
	average /= count;
	if (average <= 2)
	stirString = "normal";
	else stirString = "erhöht";
	stirOutput = stirOutput.substr(0,stirOutput.length-2);
	stirOutput = "Relativer Wassergehalt (Norm < 2): Mit " + stirOutput + "(" + "Durchschnitt: " + average.toFixed(1) + ") " + stirString + "\n";
	$("#stirAverage").html(average.toFixed(1));
	}
	else 
		$("#stirAverage").html("");
	
	// Delete old results
	for (i=0; i<4; i++)
	$("#t1" + (i+1)).html("");
	
	var t1myo  = new Array (
	$('#t1myo1').val().replace(/,/, ".") * 1, 
	$('#t1myo2').val().replace(/,/, ".") * 1,
	$('#t1myo3').val().replace(/,/, ".") * 1,
	$('#t1myo4').val().replace(/,/, ".") * 1);
	
	var t1myoenh  = new Array (
	$('#t1myoenh1').val().replace(/,/, ".") * 1, 
	$('#t1myoenh2').val().replace(/,/, ".") * 1,
	$('#t1myoenh3').val().replace(/,/, ".") * 1,
	$('#t1myoenh4').val().replace(/,/, ".") * 1);
	
	var t1sm  = new Array (
	$('#t1sm1').val().replace(/,/, ".") * 1, 
	$('#t1sm2').val().replace(/,/, ".") * 1,
	$('#t1sm3').val().replace(/,/, ".") * 1,
	$('#t1sm4').val().replace(/,/, ".") * 1);
	
		var t1smenh  = new Array (
	$('#t1smenh1').val().replace(/,/, ".") * 1, 
	$('#t1smenh2').val().replace(/,/, ".") * 1,
	$('#t1smenh3').val().replace(/,/, ".") * 1,
	$('#t1smenh4').val().replace(/,/, ".") * 1);

var t1ratio = new Array();
var t1Output = "";
	count = 0;
	average = 0;
	for (i=0; i<t1myo.length; i++) {
		if((t1myo[i] >0) && (t1sm[i] >0) ) {
			var smratio = (t1smenh[i] - t1sm[i] ) / t1sm[i];
			var myoratio = (t1myoenh[i] - t1myo[i]) / t1myo[i];
			if ((smratio > 0) && (myoratio > 0)) {
		t1ratio[i] = (myoratio / smratio);
		$("#t1" + (i+1)).html(t1ratio[i].toFixed(1));
			}
			else t1ratio[i] = -100;
		}
		else  {
			t1ratio[i] = -100;
		$("#t1" + (i+1)).html("");
		}
		if (t1ratio[i] != -100) {
			t1Output += t1ratio[i].toFixed(1) + " / ";
			average += t1ratio[i];
			count++;
		}
	}
	if (count) {
	average /= count;
	$("#t1Average").html(average.toFixed(1));
	if (average <= 4.5)
	t1String = "normal";
	else
	t1String = "erhöht";
	t1Output = t1Output.substr(0,t1Output.length-2);
	t1Output = "Relatives KM-Enhancement (Norm <4,5): Mit " + t1Output + "(" + "Durchschnitt: " + average.toFixed(1) + ") " + t1String + "\n\n";
	}
	else 
		$("#t1Average").html("");
		
	// Calculation t2relax average
	count = 0;
	average = 0;
	var t2relaxOutput = "";
	
	for (i=0; i<t2relax.length; i++) {
		if(t2relax[i] >0) {
		average += t2relax[i];
		
		t2relaxOutput += t2relax[i].toFixed(1) + " / ";
		count++;
		}
	}
	if (count) {
	average /= count;
	
	$("#t2relaxAverage").html(average.toFixed(1));
	t2relaxOutput = t2relaxOutput.substr(0,t2relaxOutput.length-2);
	if (average >58.8) 
	t2relaxOutput = "T2 Relaxationszeit (Norm <58,8): Mit " + average.toFixed(1) + " ms hinweisend auf eine Myokarditis\n\n";
	else 
	t2relaxOutput = "T2 Relaxationszeit (Norm <58,8): Mit " + average.toFixed(1) + " ms nicht hinweisend auf eine Myokarditis\n\n";
	}
	else 
		$("#t2relaxAverage").html("");
	
	
	
	// Erase old results
	$("* .zs-arrow-left").css("visibility", "hidden");
	$("* .zs-arrow-right").css("visibility", "hidden");
	$("* .zs-result-marker").css("visibility", "hidden");

	$("div[id$='lln']").html("");
	$("div[id$='uln']").html("");
	$("div[id$='mean']").html("");

	// Show spefific fields for adults and children
	if (ageYears > 20) {
		$('#li-Annulus').css("display", "block");
		$('#li-Bca').css("display", "none");
		$('#li-Lsa').css("display", "none");
		$('#li-Isthmus').css("display", "none");
		$('#li-Lvsv').css("display", "block");
		$('#li-Rvsv').css("display", "block");
		$('#li-Lvedv .zs-box-right').css("display", "block");
		$('#li-Lvedv .zs-box-center').css("display", "block");
		$('#li-Lvesv .zs-box-right').css("display", "block");
		$('#li-Lvesv .zs-box-center').css("display", "block");
		$('#li-Lvmass .zs-box-right').css("display", "block");
		$('#li-Lvmass .zs-box-center').css("display", "block");
		$('#li-Rvedv .zs-box-right').css("display", "block");
		$('#li-Rvedv .zs-box-center').css("display", "block");
		$('#li-Rvesv .zs-box-right').css("display", "block");
		$('#li-Rvesv .zs-box-center').css("display", "block");
		$('#li-Rvmass .zs-box-right').css("display", "block");
		$('#li-Rvmass .zs-box-center').css("display", "block");

	}
	else {
		$('#li-Annulus').css("display", "none");
		$('#li-Bca').css("display", "block");
		$('#li-Lsa').css("display", "block");
		$('#li-Isthmus').css("display", "block");
		$('#li-Lvsv').css("display", "none");
		$('#li-Rvsv').css("display", "none");
		$('#li-Lvedv .zs-box-right').css("display", "none");
		$('#li-Lvedv .zs-box-center').css("display", "none");
		$('#li-Lvesv .zs-box-right').css("display", "none");
		$('#li-Lvesv .zs-box-center').css("display", "none");
		$('#li-Lvmass .zs-box-right').css("display", "none");
		$('#li-Lvmass .zs-box-center').css("display", "none");
		$('#li-Rvedv .zs-box-right').css("display", "none");
		$('#li-Rvedv .zs-box-center').css("display", "none");
		$('#li-Rvesv .zs-box-right').css("display", "none");
		$('#li-Rvesv .zs-box-center').css("display", "none");
		$('#li-Rvmass .zs-box-right').css("display", "none");
		$('#li-Rvmass .zs-box-center').css("display", "none");

	}

	references = new Array();
	outputTemp = "";


	// Calculate BSA 
	if ((weight > 0) && (height > 0)) {
		bsa = bsaDuBois(height, weight);
		bmi = weight / Math.pow(height / 100, 2);
		$('#bsa_result').html(bsa.toFixed(2) + " m²");
	patParamString = 'Patientenparameter aktuell:\nKörpergrösse: ' + height + ' cm\nKörpergewicht: ' + weight + ' kg\nKörperoberfläche: ' + bsa.toFixed(1) + ' qm\n\n';
	
	}
	else { bsa = 0;
	patParamString = "";
	}


	if (bsa > 0) {
		if (lvedv > 0) lvedvbsa = lvedv / bsa;
		else lvedvbsa = 0;
		lvedvbsa = lvedvbsa.toFixed(0);
		$('#Lvedvbsa').html(lvedvbsa);

		if (lvmass > 0) lvmassbsa = lvmass / bsa;
		else lvmassbsa = 0;
		lvmassbsa = lvmassbsa.toFixed(0);
		$('#Lvmassbsa').html(lvmassbsa);

		if (lvesv > 0) lvesvbsa = lvesv / bsa;
		else lvesvbsa = 0;
		lvesvbsa = lvesvbsa.toFixed(0);
		$('#Lvesvbsa').html(lvesvbsa);

		if (rvedv > 0) rvedvbsa = rvedv / bsa;
		else rvedvbsa = 0;
		rvedvbsa = rvedvbsa.toFixed(0);
		$('#Rvedvbsa').html(rvedvbsa);

		if (rvmass > 0) rvmassbsa = rvmass / bsa;
		else rvmassbsa = 0;
		rvmassbsa = rvmassbsa.toFixed(0);
		$('#Rvmassbsa').html(rvmassbsa);

		if (rvesv > 0) rvesvbsa = rvesv / bsa;
		else rvesvbsa = 0;
		rvesvbsa = rvesvbsa.toFixed(0);
		$('#Rvesvbsa').html(rvesvbsa);

	}

	if (lvedv && lvesv) {
		lvsv = lvedv - lvesv
		lvef = lvsv * 100 / lvedv
		lvsv = lvsv.toFixed(0);
		lvef = lvef.toFixed(0);
		
		if (lvef >= 55)
			lvefString = "normal " + "(LV-EF " + lvef + "%)";
			else if (lvef >=45)
			lvefString = "leichtgradig eingeschränkt " + "(LV-EF " + lvef + "%)";
			else if (lvef >= 30)
			lvefString = "mäßiggradig eingeschränkt " + "(LV-EF " + lvef + "%)";
			else 
			lvefString = "hochgradig eingeschränkt " + "(LV-EF " + lvef + "%)";
	}
	else {
		lvsv = 0;
		lvef = 0;
	}
	$('#Lvsv').html(lvsv);
	$('#Lvef').html(lvef);
	if ((lvsv > 0) && (bsa > 0)) lvsvbsa = lvsv / bsa;
	else lvsvbsa = 0;
	lvsvbsa = lvsvbsa.toFixed(0);
	$('#Lvsvbsa').html(lvsvbsa);


	if (rvedv && rvesv) {
		rvsv = rvedv - rvesv
		rvef = rvsv * 100 / rvedv
		rvsv = rvsv.toFixed(0);
		rvef = rvef.toFixed(0);
	}
	else {
		rvsv = 0;
		rvef = 0;
	}
	$('#Rvsv').html(rvsv);
	$('#Rvef').html(rvef);
	if ((rvsv > 0) & (bsa > 0)) rvsvbsa = rvsv / bsa;
	else rvsvbsa = 0;
	rvsvbsa = rvsvbsa.toFixed(0);
	$('#Rvsvbsa').html(rvsvbsa);

	//  Ventricles
	if (ageYears > 20)  {
		obLvef = new alfakihLvef(lvef, male);
		$('#infoLvef').html(obLvef.infoString);
		$('#Lvef_lln').html(obLvef.getValueFromZ(-2).toFixed(0));
		$('#Lvef_mean').html(obLvef.getValueFromZ(0).toFixed(0));
		$('#Lvef_uln').html(obLvef.getValueFromZ(2).toFixed(0));
		references = obLvef.showResults(references);

		obLvedv = new alfakihLvedv(lvedv, male);
		$('#infoLvedv').html(obLvedv.infoString);
		$('#Lvedv_lln').html(obLvedv.getValueFromZ(-2).toFixed(0));
		$('#Lvedv_mean').html(obLvedv.getValueFromZ(0).toFixed(0));
		$('#Lvedv_uln').html(obLvedv.getValueFromZ(2).toFixed(0));
		references = obLvedv.showResults(references);

		obLvedvbsa = new alfakihLvedvbsa(lvedvbsa, weight, height, male);
		$('#infoLvedvbsa').html(obLvedvbsa.infoString);
		$('#Lvedvbsa_lln').html(obLvedvbsa.getValueFromZ(-2).toFixed(0));
		$('#Lvedvbsa_mean').html(obLvedvbsa.getValueFromZ(0).toFixed(0));
		$('#Lvedvbsa_uln').html(obLvedvbsa.getValueFromZ(2).toFixed(0));
		references = obLvedvbsa.showResults(references);

		obLvesv = new alfakihLvesv(lvesv, male);
		$('#infoLvesv').html(obLvesv.infoString);
		$('#Lvesv_lln').html(obLvesv.getValueFromZ(-2).toFixed(0));
		$('#Lvesv_mean').html(obLvesv.getValueFromZ(0).toFixed(0));
		$('#Lvesv_uln').html(obLvesv.getValueFromZ(2).toFixed(0));
		references = obLvesv.showResults(references);

		obLvesvbsa = new alfakihLvesvbsa(lvesvbsa, male);
		$('#infoLvesvbsa').html(obLvesvbsa.infoString);
		$('#Lvesvbsa_lln').html(obLvesvbsa.getValueFromZ(-2).toFixed(0));
		$('#Lvesvbsa_mean').html(obLvesvbsa.getValueFromZ(0).toFixed(0));
		$('#Lvesvbsa_uln').html(obLvesvbsa.getValueFromZ(2).toFixed(0));
		references = obLvesvbsa.showResults(references);

		obLvsv = new alfakihLvsv(lvsv, male);
		$('#infoLvsv').html(obLvsv.infoString);
		$('#Lvsv_lln').html(obLvsv.getValueFromZ(-2).toFixed(0));
		$('#Lvsv_mean').html(obLvsv.getValueFromZ(0).toFixed(0));
		$('#Lvsv_uln').html(obLvsv.getValueFromZ(2).toFixed(0));
		references = obLvsv.showResults(references);

		obLvsvbsa = new alfakihLvsvbsa(lvsvbsa, male);
		$('#infoLvsvbsa').html(obLvsvbsa.infoString);
		$('#Lvsvbsa_lln').html(obLvsvbsa.getValueFromZ(-2).toFixed(0));
		$('#Lvsvbsa_mean').html(obLvsvbsa.getValueFromZ(0).toFixed(0));
		$('#Lvsvbsa_uln').html(obLvsvbsa.getValueFromZ(2).toFixed(0));
		references = obLvsvbsa.showResults(references);

		obLvmass = new alfakihLvmass(lvmass, male);
		$('#infoLvmass').html(obLvmass.infoString);
		$('#Lvmass_lln').html(obLvmass.getValueFromZ(-2).toFixed(0));
		$('#Lvmass_mean').html(obLvmass.getValueFromZ(0).toFixed(0));
		$('#Lvmass_uln').html(obLvmass.getValueFromZ(2).toFixed(0));
		references = obLvmass.showResults(references);

		obLvmassbsa = new alfakihLvmassbsa(lvmassbsa, weight, height, male);
		$('#infoLvmassbsa').html(obLvmassbsa.infoString);
		$('#Lvmassbsa_lln').html(obLvmassbsa.getValueFromZ(-2).toFixed(0));
		$('#Lvmassbsa_mean').html(obLvmassbsa.getValueFromZ(0).toFixed(0));
		$('#Lvmassbsa_uln').html(obLvmassbsa.getValueFromZ(2).toFixed(0));
		references = obLvmassbsa.showResults(references);

	} else {
		obLvef = new kawelLvef(lvef, male);
		$('#infoLvef').html(obLvef.infoString);
		$('#Lvef_lln').html(obLvef.getValueFromZ(-2).toFixed(0));
		$('#Lvef_mean').html(obLvef.getValueFromZ(0).toFixed(0));
		$('#Lvef_uln').html(obLvef.getValueFromZ(2).toFixed(0));
		references = obLvef.showResults(references);

		obLvedvbsa = new kawelLvedvbsa(lvedvbsa, weight, height, male);
		$('#infoLvedvbsa').html(obLvedvbsa.infoString);
		$('#Lvedvbsa_lln').html(obLvedvbsa.getValueFromZ(-2).toFixed(0));
		$('#Lvedvbsa_mean').html(obLvedvbsa.getValueFromZ(0).toFixed(0));
		$('#Lvedvbsa_uln').html(obLvedvbsa.getValueFromZ(2).toFixed(0));
		references = obLvedvbsa.showResults(references);

		obLvesvbsa = new kawelLvesvbsa(lvesvbsa, weight, height, male);
		$('#infoLvesvbsa').html(obLvesvbsa.infoString);
		$('#Lvesvbsa_lln').html(obLvesvbsa.getValueFromZ(-2).toFixed(0));
		$('#Lvesvbsa_mean').html(obLvesvbsa.getValueFromZ(0).toFixed(0));
		$('#Lvesvbsa_uln').html(obLvesvbsa.getValueFromZ(2).toFixed(0));
		references = obLvesvbsa.showResults(references);

		obLvsvbsa = new kawelLvsvbsa(lvsvbsa, weight, height, male);
		$('#infoLvsvbsa').html(obLvsvbsa.infoString);
		$('#Lvsvbsa_lln').html(obLvsvbsa.getValueFromZ(-2).toFixed(0));
		$('#Lvsvbsa_mean').html(obLvsvbsa.getValueFromZ(0).toFixed(0));
		$('#Lvsvbsa_uln').html(obLvsvbsa.getValueFromZ(2).toFixed(0));
		references = obLvsvbsa.showResults(references);

		obLvmassbsa = new kawelLvmassbsa(lvmassbsa, weight, height, male);
		$('#infoLvmassbsa').html(obLvmassbsa.infoString);
		$('#Lvmassbsa_lln').html(obLvmassbsa.getValueFromZ(-2).toFixed(0));
		$('#Lvmassbsa_mean').html(obLvmassbsa.getValueFromZ(0).toFixed(0));
		$('#Lvmassbsa_uln').html(obLvmassbsa.getValueFromZ(2).toFixed(0));
		references = obLvmassbsa.showResults(references);

		/* obLvci = new kawelLvci(lvci, weight, height, male);
		 $('#infoLvci').html(obLvci.infoString);
		 $('#Lvci_lln').html(obLvci.getValueFromZ(-2).toFixed(0));
		 $('#Lvci_mean').html(obLvci.getValueFromZ(0).toFixed(0));
		 $('#Lvci_uln').html(obLvci.getValueFromZ(2).toFixed(0));
		 references = obLvci.showResults(references); */
		 
		 nonBsaValues = window.lang.convert("LV parameters, absolute numbers") + ":\n";
		 if (lvedv > 0) nonBsaValues += "EDV " + lvedv + " ml,  ";
		  if (lvesv > 0) nonBsaValues += "ESV " + lvesv + " ml, ";
		   if (lvsv > 0) nonBsaValues += "SV " + lvsv + " ml";
		   nonBsaValues += "\n\n";
		 
	}

	if (references.length > 0) { outputLv = window.lang.convert("LV parameters based on Simpsons method of discs, normal range in parentheses") + ": \n" + writeRefString(references) + "\n\n";
	outputLv += nonBsaValues;
	}
	else outputLv = "";

	references = new Array();

	if (ageYears > 20) {
		obRvef = new alfakihRvef(rvef, male);
		$('#infoRvef').html(obRvef.infoString);
		$('#Rvef_lln').html(obRvef.getValueFromZ(-2).toFixed(0));
		$('#Rvef_mean').html(obRvef.getValueFromZ(0).toFixed(0));
		$('#Rvef_uln').html(obRvef.getValueFromZ(2).toFixed(0));
		references = obRvef.showResults(references);

		obRvedv = new alfakihRvedv(rvedv, male);
		$('#infoRvedv').html(obRvedv.infoString);
		$('#Rvedv_lln').html(obRvedv.getValueFromZ(-2).toFixed(0));
		$('#Rvedv_mean').html(obRvedv.getValueFromZ(0).toFixed(0));
		$('#Rvedv_uln').html(obRvedv.getValueFromZ(2).toFixed(0));
		references = obRvedv.showResults(references);

		obRvedvbsa = new alfakihRvedvbsa(rvedvbsa, weight, height, male);
		$('#infoRvedvbsa').html(obRvedvbsa.infoString);
		$('#Rvedvbsa_lln').html(obRvedvbsa.getValueFromZ(-2).toFixed(0));
		$('#Rvedvbsa_mean').html(obRvedvbsa.getValueFromZ(0).toFixed(0));
		$('#Rvedvbsa_uln').html(obRvedvbsa.getValueFromZ(2).toFixed(0));
		references = obRvedvbsa.showResults(references);

		obRvesv = new alfakihRvesv(rvesv, male);
		$('#infoRvesv').html(obRvesv.infoString);
		$('#Rvesv_lln').html(obRvesv.getValueFromZ(-2).toFixed(0));
		$('#Rvesv_mean').html(obRvesv.getValueFromZ(0).toFixed(0));
		$('#Rvesv_uln').html(obRvesv.getValueFromZ(2).toFixed(0));
		references = obRvesv.showResults(references);

		obRvesvbsa = new alfakihRvesvbsa(rvesvbsa, male);
		$('#infoRvesvbsa').html(obRvesvbsa.infoString);
		$('#Rvesvbsa_lln').html(obRvesvbsa.getValueFromZ(-2).toFixed(0));
		$('#Rvesvbsa_mean').html(obRvesvbsa.getValueFromZ(0).toFixed(0));
		$('#Rvesvbsa_uln').html(obRvesvbsa.getValueFromZ(2).toFixed(0));
		references = obRvesvbsa.showResults(references);


		obRvsv = new alfakihRvsv(rvsv, male);
		$('#infoRvsv').html(obRvsv.infoString);
		$('#Rvsv_lln').html(obRvsv.getValueFromZ(-2).toFixed(0));
		$('#Rvsv_mean').html(obRvsv.getValueFromZ(0).toFixed(0));
		$('#Rvsv_uln').html(obRvsv.getValueFromZ(2).toFixed(0));
		references = obRvsv.showResults(references);

		obRvsvbsa = new alfakihRvsvbsa(rvsvbsa, male);
		$('#infoRvsvbsa').html(obRvsvbsa.infoString);
		$('#Rvsvbsa_lln').html(obRvsvbsa.getValueFromZ(-2).toFixed(0));
		$('#Rvsvbsa_mean').html(obRvsvbsa.getValueFromZ(0).toFixed(0));
		$('#Rvsvbsa_uln').html(obRvsvbsa.getValueFromZ(2).toFixed(0));
		references = obRvsvbsa.showResults(references);


		obRvmass = new alfakihRvmass(rvmass, male);
		$('#infoRvmass').html(obRvmass.infoString);
		$('#Rvmass_lln').html(obRvmass.getValueFromZ(-2).toFixed(0));
		$('#Rvmass_mean').html(obRvmass.getValueFromZ(0).toFixed(0));
		$('#Rvmass_uln').html(obRvmass.getValueFromZ(2).toFixed(0));
		references = obRvmass.showResults(references);

		obRvmassbsa = new alfakihRvmassbsa(rvmassbsa, weight, height, male);
		$('#infoRvmassbsa').html(obRvmassbsa.infoString);
		$('#Rvmassbsa_lln').html(obRvmassbsa.getValueFromZ(-2).toFixed(0));
		$('#Rvmassbsa_mean').html(obRvmassbsa.getValueFromZ(0).toFixed(0));
		$('#Rvmassbsa_uln').html(obRvmassbsa.getValueFromZ(2).toFixed(0));
		references = obRvmassbsa.showResults(references);
	}
	else {
		obRvef = new kawelRvef(rvef, male);
		$('#infoRvef').html(obRvef.infoString);
		$('#Rvef_lln').html(obRvef.getValueFromZ(-2).toFixed(0));
		$('#Rvef_mean').html(obRvef.getValueFromZ(0).toFixed(0));
		$('#Rvef_uln').html(obRvef.getValueFromZ(2).toFixed(0));
		references = obRvef.showResults(references);

		obRvedvbsa = new kawelRvedvbsa(rvedvbsa, weight, height, male);
		$('#infoRvedvbsa').html(obRvedvbsa.infoString);
		$('#Rvedvbsa_lln').html(obRvedvbsa.getValueFromZ(-2).toFixed(0));
		$('#Rvedvbsa_mean').html(obRvedvbsa.getValueFromZ(0).toFixed(0));
		$('#Rvedvbsa_uln').html(obRvedvbsa.getValueFromZ(2).toFixed(0));
		references = obRvedvbsa.showResults(references);

		obRvesvbsa = new kawelRvesvbsa(rvesvbsa, male);
		$('#infoRvesvbsa').html(obRvesvbsa.infoString);
		$('#Rvesvbsa_lln').html(obRvesvbsa.getValueFromZ(-2).toFixed(0));
		$('#Rvesvbsa_mean').html(obRvesvbsa.getValueFromZ(0).toFixed(0));
		$('#Rvesvbsa_uln').html(obRvesvbsa.getValueFromZ(2).toFixed(0));
		references = obRvesvbsa.showResults(references);

		obRvsvbsa = new kawelRvsvbsa(rvsvbsa, male);
		$('#infoRvsvbsa').html(obRvsvbsa.infoString);
		$('#Rvsvbsa_lln').html(obRvsvbsa.getValueFromZ(-2).toFixed(0));
		$('#Rvsvbsa_mean').html(obRvsvbsa.getValueFromZ(0).toFixed(0));
		$('#Rvsvbsa_uln').html(obRvsvbsa.getValueFromZ(2).toFixed(0));
		references = obRvsvbsa.showResults(references);

		obRvmassbsa = new kawelRvmassbsa(rvmassbsa, weight, height, male);
		$('#infoRvmassbsa').html(obRvmassbsa.infoString);
		$('#Rvmassbsa_lln').html(obRvmassbsa.getValueFromZ(-2).toFixed(0));
		$('#Rvmassbsa_mean').html(obRvmassbsa.getValueFromZ(0).toFixed(0));
		$('#Rvmassbsa_uln').html(obRvmassbsa.getValueFromZ(2).toFixed(0));
		references = obRvmassbsa.showResults(references);
		
		 nonBsaValues = window.lang.convert("RV parameters, absolute numbers") + ":\n";
		 if (rvedv > 0) nonBsaValues += "EDV " + rvedv + " ml, ";
		  if (rvesv > 0) nonBsaValues += "ESV " + rvesv + " ml, ";
		   if (rvsv > 0) nonBsaValues += "SV " + rvsv + " ml, ";
		   nonBsaValues += "\n\n";
	}


	if (references.length > 0) {
		outputRv = window.lang.convert("RV parameters based on Simpsons method of discs, normal range in parentheses") + ": \n" + writeRefString(references) + "\n\n";
		outputRv += nonBsaValues; 
	} else outputRv = "";

	//  Pulmonary
	references = new Array();

if (ageYears >= 20) {
		obMpa = new burmannMpa(mpa, ageYears, male);
		$('#infoMpa').html(obMpa.infoString);
		$('#Mpa_lln').html(obMpa.getValueFromZ(-2).toFixed(0));
		$('#Mpa_mean').html(obMpa.getValueFromZ(0).toFixed(0));
		$('#Mpa_uln').html(obMpa.getValueFromZ(2).toFixed(0));
		references = obMpa.showResults(references);
		
			obLpa = new burmannLpa(lpa, ageYears, male);
		$('#infoLpa').html(obLpa.infoString);
		$('#Lpa_lln').html(obLpa.getValueFromZ(-2).toFixed(0));
		$('#Lpa_mean').html(obLpa.getValueFromZ(0).toFixed(0));
		$('#Lpa_uln').html(obLpa.getValueFromZ(2).toFixed(0));
		references = obLpa.showResults(references);
		
			obRpa = new burmannRpa(rpa, ageYears, male);
		$('#infoRpa').html(obRpa.infoString);
		$('#Rpa_lln').html(obRpa.getValueFromZ(-2).toFixed(0));
		$('#Rpa_mean').html(obRpa.getValueFromZ(0).toFixed(0));
		$('#Rpa_uln').html(obRpa.getValueFromZ(2).toFixed(0));
		references = obRpa.showResults(references);
}


	//  Aorta

	if (ageYears > 20) {
		obAnnulus = new davisAnnulus(annulus, male, bmi);
		$('#infoAnnulus').html(obAnnulus.infoString);
		$('#Annulus_lln').html(obAnnulus.getValueFromZ(-2).toFixed(0));
		$('#Annulus_mean').html(obAnnulus.getValueFromZ(0).toFixed(0));
		$('#Annulus_uln').html(obAnnulus.getValueFromZ(2).toFixed(0));
		references = obAnnulus.showResults(references);

		obSinus = new davisSinus(sinus, male, bmi);
		$('#infoSinus').html(obSinus.infoString);
		$('#Sinus_lln').html(obSinus.getValueFromZ(-2).toFixed(0));
		$('#Sinus_mean').html(obSinus.getValueFromZ(0).toFixed(0));
		$('#Sinus_uln').html(obSinus.getValueFromZ(2).toFixed(0));
		references = obSinus.showResults(references);

		obStj = new davisStj(stj, male, bmi);
		$('#infoStj').html(obStj.infoString);
		$('#Stj_lln').html(obStj.getValueFromZ(-2).toFixed(0));
		$('#Stj_mean').html(obStj.getValueFromZ(0).toFixed(0));
		$('#Stj_uln').html(obStj.getValueFromZ(2).toFixed(0));
		references = obStj.showResults(references);

		obAscendens = new davisAscendens(ascendens, male, bmi);
		$('#infoAscendens').html(obAscendens.infoString);
		$('#Ascendens_lln').html(obAscendens.getValueFromZ(-2).toFixed(0));
		$('#Ascendens_mean').html(obAscendens.getValueFromZ(0).toFixed(0));
		$('#Ascendens_uln').html(obAscendens.getValueFromZ(2).toFixed(0));
		references = obAscendens.showResults(references);

		obProxdescendens = new davisProxdescendens(proxdescendens, male, bmi);
		$('#infoProxdescendens').html(obProxdescendens.infoString);
		$('#Proxdescendens_lln').html(obProxdescendens.getValueFromZ(-2).toFixed(0));
		$('#Proxdescendens_mean').html(obProxdescendens.getValueFromZ(0).toFixed(0));
		$('#Proxdescendens_uln').html(obProxdescendens.getValueFromZ(2).toFixed(0));
		references = obProxdescendens.showResults(references);

		obDescendens = new davisDescendens(descendens, male, bmi);
		$('#infoDescendens').html(obDescendens.infoString);
		$('#Descendens_lln').html(obDescendens.getValueFromZ(-2).toFixed(0));
		$('#Descendens_mean').html(obDescendens.getValueFromZ(0).toFixed(0));
		$('#Descendens_uln').html(obDescendens.getValueFromZ(2).toFixed(0));
		references = obDescendens.showResults(references);
	}
	else {

		obSinus = new kaiserSinus(sinus, male, weight, height);
		$('#infoSinus').html(obSinus.infoString);
		$('#Sinus_lln').html(obSinus.getValueFromZ(-2).toFixed(0));
		$('#Sinus_mean').html(obSinus.getValueFromZ(0).toFixed(0));
		$('#Sinus_uln').html(obSinus.getValueFromZ(2).toFixed(0));
		references = obSinus.showResults(references);

		obStj = new kaiserStj(stj, male, weight, height);
		$('#infoStj').html(obStj.infoString);
		$('#Stj_lln').html(obStj.getValueFromZ(-2).toFixed(0));
		$('#Stj_mean').html(obStj.getValueFromZ(0).toFixed(0));
		$('#Stj_uln').html(obStj.getValueFromZ(2).toFixed(0));
		references = obStj.showResults(references);

		obAscendens = new kaiserAscendens(ascendens, male, weight, height);
		$('#infoAscendens').html(obAscendens.infoString);
		$('#Ascendens_lln').html(obAscendens.getValueFromZ(-2).toFixed(0));
		$('#Ascendens_mean').html(obAscendens.getValueFromZ(0).toFixed(0));
		$('#Ascendens_uln').html(obAscendens.getValueFromZ(2).toFixed(0));
		references = obAscendens.showResults(references);

		obBca = new kaiserBca(bca, male, weight, height);
		$('#infoBca').html(obBca.infoString);
		$('#Bca_lln').html(obBca.getValueFromZ(-2).toFixed(0));
		$('#Bca_mean').html(obBca.getValueFromZ(0).toFixed(0));
		$('#Bca_uln').html(obBca.getValueFromZ(2).toFixed(0));
		references = obBca.showResults(references);

		obLsa = new kaiserLsa(lsa, male, weight, height);
		$('#infoLsa').html(obLsa.infoString);
		$('#Lsa_lln').html(obLsa.getValueFromZ(-2).toFixed(0));
		$('#Lsa_mean').html(obLsa.getValueFromZ(0).toFixed(0));
		$('#Lsa_uln').html(obLsa.getValueFromZ(2).toFixed(0));
		references = obLsa.showResults(references);

		obIsthmus = new kaiserIsthmus(isthmus, male, weight, height);
		$('#infoIsthmus').html(obIsthmus.infoString);
		$('#Isthmus_lln').html(obIsthmus.getValueFromZ(-2).toFixed(0));
		$('#Isthmus_mean').html(obIsthmus.getValueFromZ(0).toFixed(0));
		$('#Isthmus_uln').html(obIsthmus.getValueFromZ(2).toFixed(0));
		references = obIsthmus.showResults(references);

		obProxdescendens = new kaiserProxdescendens(proxdescendens, male, weight, height);
		$('#infoProxdescendens').html(obProxdescendens.infoString);
		$('#Proxdescendens_lln').html(obProxdescendens.getValueFromZ(-2).toFixed(0));
		$('#Proxdescendens_mean').html(obProxdescendens.getValueFromZ(0).toFixed(0));
		$('#Proxdescendens_uln').html(obProxdescendens.getValueFromZ(2).toFixed(0));
		references = obProxdescendens.showResults(references);

		obDescendens = new kaiserDescendens(descendens, male, weight, height);
		$('#infoDescendens').html(obDescendens.infoString);
		$('#Descendens_lln').html(obDescendens.getValueFromZ(-2).toFixed(0));
		$('#Descendens_mean').html(obDescendens.getValueFromZ(0).toFixed(0));
		$('#Descendens_uln').html(obDescendens.getValueFromZ(2).toFixed(0));
		references = obDescendens.showResults(references);
	}


	if (references.length > 0) outputAorta = window.lang.convert("Vessel diameters, normal range in parentheses") + ": \n" + writeRefString(references) + "\n\n";
	else outputAorta = "";


		// Flow calculations
		outputFlow = "";		
		
		
		if (aofw) {
			aosv = aofw - aobw;
			aorf = aobw*100/aofw;
			outputFlow += "Aorta: SV " + aosv.toFixed(0) + " ml, Vorwärts " + aofw.toFixed(0) + " ml, Rückwärts " + aobw.toFixed(0) + " ml, Regurgitationsfraktion " + aorf.toFixed(0) + " %";
			if (aovmax) 
			outputFlow += ", Vmax " + aovmax.toFixed(1) + " m/s";
			outputFlow +=  "\n";
		} else {
			aosv = 0;
			aorf = 0;
		}
	
		if (pafw) {
			pasv = pafw - pabw;
			parf = pabw*100/pafw;
			outputFlow += "PA: SV " + pasv.toFixed(0) + " ml, Vorwärts " + pafw.toFixed(0) + " ml, Rückwärts " + pabw.toFixed(0) + " ml, Regurgitationsfraktion " + parf.toFixed(0) + " %";
			if (pavmax) 
			outputFlow += ", Vmax " + pavmax.toFixed(1) + " m/s";
			outputFlow +=  "\n";
		} else {
			pasv = 0;
			parf = 0;
		}
	
		if (lpafw) {
			lpasv = lpafw - lpabw;
			lparf = lpabw*100/lpafw;
			outputFlow += "LPA: SV " + lpasv.toFixed(0) + " ml, Vorwärts " + lpafw.toFixed(0) + " ml, Rückwärts " + lpabw.toFixed(0) + " ml, Regurgitationsfraktion " + lparf.toFixed(0) + " %"
					if (lpavmax) 
			outputFlow += ", Vmax " + lpavmax.toFixed(1) + " m/s";
			outputFlow +=  "\n";
		} else {
			lpasv = 0;
			lparf = 0;
		}
		
			if (rpafw) {
			rpasv = rpafw - rpabw;
			rparf = rpabw*100/rpafw;
			outputFlow += "RPA: SV " + rpasv.toFixed(0) + " ml, Vorwärts " + rpafw.toFixed(0) + " ml, Rückwärts " + rpabw.toFixed(0) + " ml, Regurgitationsfraktion " + rparf.toFixed(0) + " %";
			if (rpavmax) 
			outputFlow += ", Vmax " + rpavmax.toFixed(1) + " m/s";
			outputFlow +=  "\n";
		} else {
			rpasv = 0;
			rparf = 0;
		}
		
// Set flow results
$('#aosv').html(aosv.toFixed(0));
$('#aorf').html(aorf.toFixed(0));
$('#pasv').html(pasv.toFixed(0));
$('#parf').html(parf.toFixed(0));
$('#lpasv').html(lpasv.toFixed(0));
$('#lparf').html(lparf.toFixed(0));
$('#rpasv').html(rpasv.toFixed(0));
$('#rparf').html(rparf.toFixed(0));
			
			// Further flow calculations
		
			// MI
			if (aofw && lvsv) {
				tempresult = (lvsv-aofw)*100/(lvsv-aobw);
				if (tempresult<0) tempresult = 0;
				tempstring = "MI (indirekt über LV-SV und Ao-Fluß): " + tempresult.toFixed(0) + "%";
				outputFlow += tempstring + "; ";
			}			
			else tempstring = "";
			$('#mi-lvao').html(tempstring);
			
			if (rvsv && lvsv) {
				tempresult = (lvsv-rvsv)*100/lvsv;
				if (tempresult<0) tempresult = 0;
				tempstring = "MI (indirekt über LV-SV und RV-SV): " + tempresult.toFixed(0) + "%";
				outputFlow += tempstring + "; ";
			}			
			else tempstring = "";
			$('#mi-lvrv').html(tempstring);
			
					// TI
			if (pafw && rvsv) {
				tempresult = (rvsv-pafw)*100/(rvsv-pabw);
				if (tempresult<0) tempresult = 0;
				tempstring = "TI (indirekt über RV-SV und Pa-Fluß): " + tempresult.toFixed(0) + "%";
				outputFlow += tempstring + "; ";
			}			
			else tempstring = "";
			$('#ti-rvpa').html(tempstring);
			
				if (lvsv && rvsv) {
				tempresult = (rvsv-lvsv)*100/rvsv;
				if (tempresult<0) tempresult = 0;
				tempstring = "TI (indirekt über RV-SV und LV-SV): " + tempresult.toFixed(0) + "%";
				outputFlow += tempstring + "; ";
			}			
			else tempstring = "";
			$('#ti-rvlv').html(tempstring);
			
						// RPA LPA Ratio
			if (rpasv && lpasv) {
				tempresult = rpasv / lpasv;
				tempstring = "RPA/LPA Flußratio: " + tempresult.toFixed(1) + " : 1";
				outputFlow += tempstring + "; ";
			}			
			else tempstring = "";
			$('#rlratio').html(tempstring);
			
				// QpQs Ratio
			if (aosv && pasv) {
				tempresult = pasv / aosv;
				tempstring = "QpQs: " + tempresult.toFixed(1) + " : 1";
				outputFlow += tempstring + "; ";
			}			
			else tempstring = "";
			$('#qpqs').html(tempstring);
			
		if (outputFlow != "") 
			outputFlow = "Flußmessungen:\n" + outputFlow +  "\n\n";
			

switch (untersuchung) {
	
	case "vitality":
	outputTemp = patParamString + 'Untersuchung in folgenden Sequenzen:\naxiale SSh/T2/TSE\nb-TFE in SA, 4-CH, 2-CH\nDE-Sequenzen  nach ' + kmVol + ' ml Gadovist-Gabe i.v. in SA und 4-CH.\n \nBefund:\nBildmorphologisch vergrößerter linker Ventrikel. Kein intraventrikulärer Thrombus. Ausgedünnte mittventrikuläre Lateralwand. Linksaortenbogen. Keine Pleuraergüsse, kein Perikarderguss.\n  \nCINE-MRT:\nIn den balanced TFE-Funktionsaufnahmen visuell deutlich eingeschränkte LV-Funktion bei Hypokinesie basal anterior (1), anteroseptal (2), inferoseptal (3), inferior (4), inferolateral (5), anterolateral (6), mittventrikulär anterior (7), anteroseptal (8), inferoseptal (9), inferior (10), inferolateral (11), anterolateral (12), apical anterior (13), septal (14), inferior (15), lateral (16)\n\n' + 
	stirOutput + t1Output + t2relaxOutput +	outputLv + outputRv + outputAorta + outputFlow +
	'\nLate Enhancement: Kein Nachweis eines Late Enhancements.\n \nBeurteilung:\n1. Systolische LV Funktion ' + lvefString + '\n2. Avitales Myokard findet sich in den Segmenten\n3. Vitales Myokard in den übrigen Segmenten.\n';
	
	break;
	case "perfusion":
	outputTemp = patParamString + 'Axiale SSh/T2/TSE, b-TFE in SA, 4-CH, 2-CH\nPerfusion in SA mit jeweils 9 ml Gadovist i.v. in Stress (400 µg Regadenoson i.v.) und Ruhe.\nDE-Sequenzen nach ' + kmVol + ' ml Gadovist-Gabe i.v. in SA, 4-CH.\n\nBefund:\nLinks deszendierende Aorta mit regelrechtem Abgang der supraaortalen Gefäße. In den BTFE normal großer linker und rechter Ventrikel. Kein Perikarderguss, kein Pleuraerguss. \n\nCINE-MRT: Visuell gute linksventrikuläre Funktion. Keine path. Dephasierungsartefakte über den AV-Klappen. \n\nRegadenoson: \nAnstieg der Herzfrequenz von 80 bpm auf 100 bpm, Blutdruck von 124/91 mmHg auf 130/90 mmHg. Dabei während der ersten Minuten Wärmegefühl sowie geringes thorakales Druckgefühl und Unwohlsein, gegen Ende der Untersuchung vollständig regredient. Keine Brustschmerzen.\nPerfusionsanalyse (visuell): Während der Regadenosonbelastung zeigt sich kein Perfusionsdefizit.\n\n' +
	stirOutput + t1Output + t2relaxOutput +	outputLv + outputRv + outputAorta + outputFlow +
	"Late Enhancement: Kein Nachweis eines pathologischen Late Enhancements.\n\nBeurteilung:\n1. Kein Nachweis eines stressinduzierten Perfusionsdefizits.\n2. Kein Nachweis einer Fibrose, Nekrose oder Narbe\n3. Systolische LV-Funktion " + lvefString;
break;

case "myocarditis":
outputTemp = 'Patientenparameter aktuell:\nKörpergrösse: ' + height + ' cm\nKörpergewicht: ' + weight + ' kg\nKörperoberfläche: ' + bsa.toFixed(1) + ' qm\n \nUntersuchung in folgenden Sequenzen:\naxiale SSh/T2/TSE\nb-TFE in SA, 4-CH, 2-CH\nSTIR in SA\nT1 TSE prä und post KM transversal\nDE-Sequenzen nach ' + kmVol + ' ml Gadovist-Gabe i.v. in SA und 4-CH.\n \nBefund:\nBildmorphologisch normal großer linker Ventrikel.Kein intraventrikulärer Thrombus. Kein Perikarderguss, kein Pleuraerguss. In der STIR-Sequenz kein Nachweis eines fokalen myokardialen Ödems.\n\nCINE-MRT:\nIn den BTFE-Funktionsaufnahmen visuell gute globale LV-Funktion ohne regionale Wandbewegungsstörung. Keine größeren AV-Klappeninsuffizienzen\n \n' +
stirOutput + t1Output + t2relaxOutput +	outputLv + outputRv + outputAorta + outputFlow +
	'\nLate Enhancement:\nIn den delayed enhancement-Sequenzen nach KM-Gabe kein Nachweis einer Fibrose, Nekrose oder Narbe.\n \nBeurteilung:\n1. Kein Anhalt für eine floride oder chronische Myokarditis.\n2. Kein Nachweis einer Fibrose, Nekrose oder Narbe.\n3. Systolische LV-Funktion ' + lvefString;
break;

case "tumor":
outputTemp= 'Patientenparameter aktuell:\nKörpergrösse: ' + height + ' cm\nKörpergewicht: ' + weight + ' kg\nKörperoberfläche: ' + bsa.toFixed(1) + ' qm\n \nMethodik:\n1,5-Tesla-MRT Untersuchung des Herzens in folgenden Sequenzen: \nbTFE Sequenzen in 2-,4-CH, SA, LVOT und axialer Orientierung,GRID -Tagging in 4CH-Orientierung, BB transversal.\nT1/TSE prä-/post Kontrast SA nach Gabe von ' + kmVol + ' ml Gadovist, T2/TSE SA, Perfusion axial.\nLGE in 2/4-CH und SA und axial.\n\nBefund:\nBildmorphologisch normal großer linker Ventrikel.Kein intraventrikulärer Thrombus. Normal große Aorta ascendens. Linksaortenbogen. Regelrechter Abgang der Bogengefäße. Kein Perikarderguss, kein Pleuraerguss.\n\nCINE-MRT:\nIn den BTFE-Funktionsaufnahmen visuell gute globale LV-Funktion ohne regionale Wandbewegungsstörung. Keine größeren AV-Klappeninsuffizienzen\n \n' +
stirOutput + t1Output + t2relaxOutput +	outputLv + outputRv + outputAorta + outputFlow +
	'\nLate Enhancement:\nIn den delayed enhancement-Sequenzen nach KM-Gabe kein Nachweis einer Fibrose, Nekrose oder Narbe.\n \nBeurteilung:\n1. Tumor.\n2. Kein Nachweis einer Fibrose, Nekrose oder Narbe.\n3. Systolische LV-Funktion ' + lvefString
break;

case "aorta":
outputTemp= 'Patientenparameter aktuell:\nKörpergrösse: ' + height + ' cm\nKörpergewicht: ' + weight + ' kg\nKörperoberfläche: ' + bsa.toFixed(1) + ' qm\n \nMethode:\nUntersuchung in folgenden Sequenzen:\nb-TFE transversal, 2-CH, 4-CH, LVOT, parasag.\nFlussmessung über der Aorta ascendens \nAngiographie der Aorta mit ' + kmVol + ' ml Gadovist i.v.\n\nBefund:\nBildmorphologisch normal großer linker Ventrikel.Kein intraventrikulärer Thrombus. Normal große Aorta Ascendens. Linksaortenbogen mit regelrechtem Abgang der Bogengefäße. Kein Perikarderguss, kein Pleuraerguss.\n\nCINE-MRT:\nIn den BTFE-Funktionsaufnahmen visuell gute globale LV-Funktion ohne regionale Wandbewegungsstörung. Keine größeren AV-Klappeninsuffizienzen\n \n' +
stirOutput + t1Output + t2relaxOutput +	outputLv + outputRv + outputAorta + outputFlow +
	'\n\nLate Enhancement:\nIn den delayed enhancement-Sequenzen nach KM-Gabe kein Nachweis einer Fibrose, Nekrose oder Narbe.\n \nBeurteilung:\n1. Aorta.\n2. Systolische LV-Funktion ' + lvefString;
	break;
	
	case "tof":
	outputTemp='Erweiterte Anamnese: \n\nPatientenparameter aktuell:\nKörpergrösse: ' + height + ' cm\nKörpergewicht: ' + weight + ' kg\nKörperoberfläche: ' + bsa.toFixed(1) + ' qm\n \nMethode:\nUntersuchung in folgenden Sequenzen:\nb-TFE transversal, 2/3/4-CH parasagittal Ao. und Bulbus AK-planparallel.\nFlussmessung über der MPA und Ao. ascendens sowie der LPA/RPA jeweils tp, die MPA ip/tp.\nCE-Angiographie der Aorta/PA mit ' + kmVol + ' ml Gadovist i.v., biphasisch inkl. MIP-Rekonstruktionen\n\nBefund:\nSitus solitus abdominalis. Untere Hohlvene mündet in den nicht vergrößerten rechten Vorhof. Vorhofseptum soweit beurteilbar intakt. Keine Trikuspidalinsuffizienz. Gute Funktion der nicht dilatierten rechten Kammer. Keine Pulmonalstenose, physiologische Pulmonalinsuffizienz. Keine Stenosen der LPA und RPA. 4 Lungenvenen münden in den LA. Keine MI. Kein VSD. Gute LV-Funktion. Geringe Dilatation des Aortenbulbus, regelrechter Abgang der Koronararterien. Linksaortenbogen mit regelrechtem Abgang der Kopf-Hals-Gefäße. Keine Isthmusstenose, keine LSVC, keine MAPCAs. Kein Perikarderguss, kein Pleuraerguss.\n \n' + 
	stirOutput + t1Output + t2relaxOutput +	outputLv + outputRv + outputAorta + outputFlow +
'\n\nLate Enhancement:\nIn den delayed enhancement-Sequenzen nach KM-Gabe kein Nachweis einer Fibrose, Nekrose oder Narbe.\n \nBeurteilung:\n1. Pulmonalis und RV.\n2. Kein Nachweis einer Fibrose, Nekrose oder Narbe.\n3. Systolische LV-Funktion ' + lvefString + '\n4. Milde Erweiterung der Aorta ascendens' ;
break;
default:
	outputTemp = stirOutput + t1Output + t2relaxOutput +	outputLv + outputRv + outputAorta + outputFlow ;
	break;
	
}
	$('#outputContent').html(outputTemp);

	// Erasing uln,mean,lln returned with errorcode -100
	$("div[id$='lln']").each(function(index) {
		if ($(this).html() === "-100.0") $(this).html("")
	});
	$("div[id$='uln']").each(function(index) {
		if ($(this).html() === "-100.0") $(this).html("")
	});
	$("div[id$='mean']").each(function(index) {
		if ($(this).html() === "-100.0") $(this).html("")
	});
}

function alfakihLvedv(value, male) {
	this.value = value || -1;
	this.hideZ = true;
	this.refString = REF_ALFAKIH;
	this.init();
	this.infoString = this.getInfo([INFO_ALFAKIH, INFO_ZSCORE, ABBREV_ALFAKIH]);
	this.paramName = "Lvedv";
	this.paramNameLong = "EDV";
	this.paramUnit = "ml";

	if (male) {
		this.mean = 160;
		this.sd = 27;
	}
	else {
		this.mean = 132;
		this.sd = 23;
	}

	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	// this.getLowerAndUpperValues();
	this.lln = this.getValueFromZ(-2).toFixed(0);
	this.uln = this.getValueFromZ(2).toFixed(0)
}
alfakihLvedv.prototype = new MeanSdClass();

function alfakihLvedvbsa(value, weight, height, male) {
	this.value = value || -1;
	this.hideZ = true;
	this.weight = weight || -1;
	this.height = height || -1;
	this.refString = REF_ALFAKIH;
	this.init();
	this.infoString = this.getInfo([INFO_ALFAKIH, INFO_ZSCORE, ABBREV_ALFAKIH]);
	this.paramName = "Lvedvbsa";
	this.paramNameLong = "EDV/BSA";
	this.paramUnit = "ml/m²";
	this.bsa = bsaDuBois(height, weight);

	if (male) {
		this.mean = 81;
		this.sd = 12;
	}
	else {
		this.mean = 76;
		this.sd = 10;
	}

	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	this.errorCondition.push(weight <= 0);
	this.errorString.push(window.lang.convert('Weight') + " " + window.lang.convert("has to be greater than 0"));
	this.errorCondition.push(height <= 0);
	this.errorString.push(window.lang.convert('Height') + " " + window.lang.convert("has to be greater than 0"));

	this.lln = this.getValueFromZ(-2).toFixed(0);
	this.uln = this.getValueFromZ(2).toFixed(0)
}
alfakihLvedvbsa.prototype = new MeanSdClass();

function alfakihLvesv(value, male) {
	this.value = value || -1;
	this.hideZ = true;
	this.refString = REF_ALFAKIH;
	this.init();
	this.infoString = this.getInfo([INFO_ALFAKIH, INFO_ZSCORE, ABBREV_ALFAKIH]);
	this.paramName = "Lvesv";
	this.paramNameLong = "ESV";
	this.paramUnit = "ml";

	if (male) {
		this.mean = 54;
		this.sd = 14;
	}
	else {
		this.mean = 44;
		this.sd = 11;
	}

	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	// this.getLowerAndUpperValues();
	this.lln = this.getValueFromZ(-2).toFixed(0);
	this.uln = this.getValueFromZ(2).toFixed(0)
}
alfakihLvesv.prototype = new MeanSdClass();

function alfakihLvesvbsa(value, male) {
	this.value = value || -1;
	this.hideZ = true;
	this.refString = REF_ALFAKIH;
	this.init();
	this.infoString = this.getInfo([INFO_ALFAKIH, INFO_ZSCORE, ABBREV_ALFAKIH]);
	this.paramName = "Lvesvbsa";
	this.paramNameLong = "ESV/BSA";
	this.paramUnit = "ml/m²";

	if (male) {
		this.mean = 26;
		this.sd = 6;
	}
	else {
		this.mean = 24;
		this.sd = 5;
	}

	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	// this.getLowerAndUpperValues();
	this.lln = this.getValueFromZ(-2).toFixed(0);
	this.uln = this.getValueFromZ(2).toFixed(0)
}
alfakihLvesvbsa.prototype = new MeanSdClass();

function alfakihLvsv(value, male) {
	this.value = value || -1;
	this.hideZ = true;
	this.refString = REF_ALFAKIH;
	this.init();
	this.infoString = this.getInfo([INFO_ALFAKIH, INFO_ZSCORE, ABBREV_ALFAKIH]);
	this.paramName = "Lvsv";
	this.paramNameLong = "SV";
	this.paramUnit = "ml";

	if (male) {
		this.mean = 108;
		this.sd = 18;
	}
	else {
		this.mean = 87;
		this.sd = 15;
	}

	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	// this.getLowerAndUpperValues();
	this.lln = this.getValueFromZ(-2).toFixed(0);
	this.uln = this.getValueFromZ(2).toFixed(0)
}
alfakihLvsv.prototype = new MeanSdClass();

function alfakihLvsvbsa(value, male) {
	this.value = value || -1;
	this.hideZ = true;
	this.refString = REF_ALFAKIH;
	this.init();
	this.infoString = this.getInfo([INFO_ALFAKIH, INFO_ZSCORE, ABBREV_ALFAKIH]);
	this.paramName = "Lvsvbsa";
	this.paramNameLong = "SV/BSA";
	this.paramUnit = "ml/m²";

	if (male) {
		this.mean = 54;
		this.sd = 6;
	}
	else {
		this.mean = 52;
		this.sd = 7;
	}

	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	// this.getLowerAndUpperValues();
	this.lln = this.getValueFromZ(-2).toFixed(0);
	this.uln = this.getValueFromZ(2).toFixed(0)
}
alfakihLvsvbsa.prototype = new MeanSdClass();

function alfakihLvef(value, male) {
	this.value = value || -1;
	this.hideZ = true;
	this.refString = REF_ALFAKIH;
	this.init();
	this.infoString = this.getInfo([INFO_ALFAKIH, INFO_ZSCORE, ABBREV_ALFAKIH]);
	this.paramName = "Lvef";
	this.paramNameLong = "EF";
	this.paramUnit = "%";


	if (male) {
		this.mean = 67;
		this.sd = 5;
	}
	else {
		this.mean = 67;
		this.sd = 5;
	}

	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert('LVEDV') + " " + window.lang.convert("has to be greater than 0"));
	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert('LVESV') + " " + window.lang.convert("has to be greater than 0"));
	// this.getLowerAndUpperValues();
	this.lln = this.getValueFromZ(-2).toFixed(0);
	this.uln = this.getValueFromZ(2).toFixed(0)
}
alfakihLvef.prototype = new MeanSdClass();

function alfakihLvmass(value, male) {
	this.value = value || -1;
	this.hideZ = true;
	this.refString = REF_ALFAKIH;
	this.init();
	this.infoString = this.getInfo([INFO_ALFAKIH, INFO_ZSCORE, ABBREV_ALFAKIH]);
	this.paramName = "Lvmass";
	this.paramNameLong = "Mass";
	this.paramUnit = "g";

	if (male) {
		this.mean = 134;
		this.sd = 21;
	}
	else {
		this.mean = 98;
		this.sd = 21;
	}

	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	// this.getLowerAndUpperValues();
	this.lln = this.getValueFromZ(-2).toFixed(0);
	this.uln = this.getValueFromZ(2).toFixed(0)
}
alfakihLvmass.prototype = new MeanSdClass();

function alfakihLvmassbsa(value, weight, height, male) {
	this.value = value || -1;
	this.hideZ = true;
	this.weight = weight || -1;
	this.height = height || -1;
	this.refString = REF_ALFAKIH;
	this.init();
	this.infoString = this.getInfo([INFO_ALFAKIH, INFO_ZSCORE, ABBREV_ALFAKIH]);
	this.paramName = "Lvmassbsa";
	this.paramNameLong = "Mass/BSA";
	this.paramUnit = "g/m²";
	this.bsa = bsaDuBois(height, weight);

	if (male) {
		this.mean = 67;
		this.sd = 9;
	}
	else {
		this.mean = 61;
		this.sd = 10;
	}

	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	this.errorCondition.push(weight <= 0);
	this.errorString.push(window.lang.convert('Weight') + " " + window.lang.convert("has to be greater than 0"));
	this.errorCondition.push(height <= 0);
	this.errorString.push(window.lang.convert('Height') + " " + window.lang.convert("has to be greater than 0"));
	// this.getLowerAndUpperValues();
	this.lln = this.getValueFromZ(-2).toFixed(0);
	this.uln = this.getValueFromZ(2).toFixed(0)
}
alfakihLvmassbsa.prototype = new MeanSdClass();







function alfakihRvedv(value, male) {
	this.value = value || -1;
	this.hideZ = true;
	this.refString = REF_ALFAKIH;
	this.init();
	this.infoString = this.getInfo([INFO_ALFAKIH, INFO_ZSCORE, ABBREV_ALFAKIH]);
	this.paramName = "Rvedv";
	this.paramNameLong = "EDV";
	this.paramUnit = "ml";

	if (male) {
		this.mean = 184;
		this.sd = 33;
	}
	else {
		this.mean = 139;
		this.sd = 31;
	}

	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	// this.getLowerAndUpperValues();
	this.lln = this.getValueFromZ(-2).toFixed(0);
	this.uln = this.getValueFromZ(2).toFixed(0)
}
alfakihRvedv.prototype = new MeanSdClass();

function alfakihRvedvbsa(value, weight, height, male) {
	this.value = value || -1;
	this.hideZ = true;
	this.weight = weight || -1;
	this.height = height || -1;
	this.refString = REF_ALFAKIH;
	this.init();
	this.infoString = this.getInfo([INFO_ALFAKIH, INFO_ZSCORE, ABBREV_ALFAKIH]);
	this.paramName = "Rvedvbsa";
	this.paramNameLong = "EDV/BSA";
	this.paramUnit = "ml/m²";
	this.bsa = bsaDuBois(height, weight);

	if (male) {
		this.mean = 91;
		this.sd = 15;
	}
	else {
		this.mean = 80;
		this.sd = 16;
	}

	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	this.errorCondition.push(weight <= 0);
	this.errorString.push(window.lang.convert('Weight') + " " + window.lang.convert("has to be greater than 0"));
	this.errorCondition.push(height <= 0);
	this.errorString.push(window.lang.convert('Height') + " " + window.lang.convert("has to be greater than 0"));
	// this.getLowerAndUpperValues();
	this.lln = this.getValueFromZ(-2).toFixed(0);
	this.uln = this.getValueFromZ(2).toFixed(0)
}
alfakihRvedvbsa.prototype = new MeanSdClass();

function alfakihRvesv(value, male) {
	this.value = value || -1;
	this.hideZ = true;
	this.refString = REF_ALFAKIH;
	this.init();
	this.infoString = this.getInfo([INFO_ALFAKIH, INFO_ZSCORE, ABBREV_ALFAKIH]);
	this.paramName = "Rvesv";
	this.paramNameLong = "ESV";
	this.paramUnit = "ml";

	if (male) {
		this.mean = 79;
		this.sd = 19;
	}
	else {
		this.mean = 54;
		this.sd = 15;
	}

	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	// this.getLowerAndUpperValues();
	this.lln = this.getValueFromZ(-2).toFixed(0);
	this.uln = this.getValueFromZ(2).toFixed(0)
}
alfakihRvesv.prototype = new MeanSdClass();

function alfakihRvesvbsa(value, male) {
	this.value = value || -1;
	this.hideZ = true;
	this.refString = REF_ALFAKIH;
	this.init();
	this.infoString = this.getInfo([INFO_ALFAKIH, INFO_ZSCORE, ABBREV_ALFAKIH]);
	this.paramName = "Rvesvbsa";
	this.paramNameLong = "ESV/BSA";
	this.paramUnit = "ml/m²";

	if (male) {
		this.mean = 39;
		this.sd = 10;
	}
	else {
		this.mean = 32;
		this.sd = 10;
	}

	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	// this.getLowerAndUpperValues();
	this.lln = this.getValueFromZ(-2).toFixed(0);
	this.uln = this.getValueFromZ(2).toFixed(0)
}
alfakihRvesvbsa.prototype = new MeanSdClass();

function alfakihRvsv(value, male) {
	this.value = value || -1;
	this.hideZ = true;
	this.refString = REF_ALFAKIH;
	this.init();
	this.infoString = this.getInfo([INFO_ALFAKIH, INFO_ZSCORE, ABBREV_ALFAKIH]);
	this.paramName = "Rvsv";
	this.paramNameLong = "SV";
	this.paramUnit = "ml";

	if (male) {
		this.mean = 106;
		this.sd = 19;
	}
	else {
		this.mean = 84;
		this.sd = 18;
	}

	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	// this.getLowerAndUpperValues();
	this.lln = this.getValueFromZ(-2).toFixed(0);
	this.uln = this.getValueFromZ(2).toFixed(0)
}
alfakihRvsv.prototype = new MeanSdClass();

function alfakihRvsvbsa(value, male) {
	this.value = value || -1;
	this.hideZ = true;
	this.refString = REF_ALFAKIH;
	this.init();
	this.infoString = this.getInfo([INFO_ALFAKIH, INFO_ZSCORE, ABBREV_ALFAKIH]);
	this.paramName = "Rvsvbsa";
	this.paramNameLong = "SV/BSA";
	this.paramUnit = "ml/m²";

	if (male) {
		this.mean = 57;
		this.sd = 8;
	}
	else {
		this.mean = 53;
		this.sd = 9;
	}

	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	// this.getLowerAndUpperValues();
	this.lln = this.getValueFromZ(-2).toFixed(0);
	this.uln = this.getValueFromZ(2).toFixed(0)
}
alfakihRvsvbsa.prototype = new MeanSdClass();

function alfakihRvef(value, male) {
	this.value = value || -1;
	this.hideZ = true;
	this.refString = REF_ALFAKIH;
	this.init();
	this.infoString = this.getInfo([INFO_ALFAKIH, INFO_ZSCORE, ABBREV_ALFAKIH]);
	this.paramName = "Rvef";
	this.paramNameLong = "EF";
	this.paramUnit = "%";

	if (male) {
		this.mean = 62;
		this.sd = 6;
	}
	else {
		this.mean = 61;
		this.sd = 5;
	}

	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert('LVEDV') + " " + window.lang.convert("has to be greater than 0"));
	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert('LVESV') + " " + window.lang.convert("has to be greater than 0"));
	// this.getLowerAndUpperValues();
	this.lln = this.getValueFromZ(-2).toFixed(0);
	this.uln = this.getValueFromZ(2).toFixed(0)
}
alfakihRvef.prototype = new MeanSdClass();


function alfakihRvmass(value, male) {
	this.value = value || -1;
	this.hideZ = true;
	this.refString = REF_ALFAKIH;
	this.init();
	this.infoString = this.getInfo([INFO_ALFAKIH, INFO_ZSCORE, ABBREV_ALFAKIH]);
	this.paramName = "Rvmass";
	this.paramNameLong = "Mass";
	this.paramUnit = "g";

	if (male) {
		this.mean = 41;
		this.sd = 8;
	}
	else {
		this.mean = 35;
		this.sd = 7;
	}

	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	// this.getLowerAndUpperValues();
	this.lln = this.getValueFromZ(-2).toFixed(0);
	this.uln = this.getValueFromZ(2).toFixed(0)
}
alfakihRvmass.prototype = new MeanSdClass();

function alfakihRvmassbsa(value, weight, height, male) {
	this.value = value || -1;
	this.hideZ = true;
	this.weight = weight || -1;
	this.height = height || -1;
	this.refString = REF_ALFAKIH;
	this.init();
	this.infoString = this.getInfo([INFO_ALFAKIH, INFO_ZSCORE, ABBREV_ALFAKIH]);
	this.paramName = "Rvmassbsa";
	this.paramNameLong = "Mass/BSA";
	this.paramUnit = "g/m²";
	this.bsa = bsaDuBois(height, weight);

	if (male) {
		this.mean = 21;
		this.sd = 4;
	}
	else {
		this.mean = 20;
		this.sd = 4;
	}

	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	this.errorCondition.push(weight <= 0);
	this.errorString.push(window.lang.convert('Weight') + " " + window.lang.convert("has to be greater than 0"));
	this.errorCondition.push(height <= 0);
	this.errorString.push(window.lang.convert('Height') + " " + window.lang.convert("has to be greater than 0"));
	// this.getLowerAndUpperValues();
	this.lln = this.getValueFromZ(-2).toFixed(0);
	this.uln = this.getValueFromZ(2).toFixed(0)
}
alfakihRvmassbsa.prototype = new MeanSdClass();


// Aorta

function davisAnnulus(value, male, bmi) {
	this.value = value || -1;
	this.hideZ = true;
	this.bmi = bmi || -1;
	this.refString = REF_DAVIS;
	this.init();
	this.infoString = this.getInfo([INFO_DAVIS, INFO_ZSCORE, ABBREV_DAVIS]);
	this.paramName = "Annulus";
	this.paramNameLong = "Annulus";
	this.paramUnit = "mm";

	if (male) {
		if (bmi < 25) {
			this.mean = 23.9;
			this.sd = 2.65;
		}
		else if (bmi < 30) {
			this.mean = 24.3;
			this.sd = 2.7;
		}
		else {
			this.mean = 25.6;
			this.sd = 2.6;
		}
	}
	else {
		if (bmi < 25) {
			this.mean = 20.6;
			this.sd = 1.6;
		}
		else if (bmi < 30) {
			this.mean = 21.7;
			this.sd = 1.65;
		}
		else {
			this.mean = 21.5;
			this.sd = 2.15;
		}
	}

	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	this.errorCondition.push(bmi <= 0);
	this.errorString.push(window.lang.convert('BMI') + " " + window.lang.convert("has to be greater than 0"));
	// this.getLowerAndUpperValues();
	this.lln = this.getValueFromZ(-2).toFixed(0);
	this.uln = this.getValueFromZ(2).toFixed(0)
}
davisAnnulus.prototype = new MeanSdClass();

function davisSinus(value, male, bmi) {
	this.value = value || -1;
	this.hideZ = true;
	this.bmi = bmi || -1;
	this.refString = REF_DAVIS;
	this.init();
	this.infoString = this.getInfo([INFO_DAVIS, INFO_ZSCORE, ABBREV_DAVIS]);
	this.paramName = "Sinus";
	this.paramNameLong = "Sinus";
	this.paramUnit = "mm";

	if (male) {
		if (bmi < 25) {
			this.mean = 31.9;
			this.sd = 3.8;
		}
		else if (bmi < 30) {
			this.mean = 32.8;
			this.sd = 3.8;
		}
		else {
			this.mean = 33.3;
			this.sd = 4.5;
		}
	}
	else {
		if (bmi < 25) {
			this.mean = 27.5;
			this.sd = 2.8;
		}
		else if (bmi < 30) {
			this.mean = 28;
			this.sd = 3.1;
		}
		else {
			this.mean = 27.5;
			this.sd = 3.1;
		}
	}

	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	this.errorCondition.push(bmi <= 0);
	this.errorString.push(window.lang.convert('BMI') + " " + window.lang.convert("has to be greater than 0"));
	// this.getLowerAndUpperValues();
	this.lln = this.getValueFromZ(-2).toFixed(0);
	this.uln = this.getValueFromZ(2).toFixed(0)
}
davisSinus.prototype = new MeanSdClass();



function davisStj(value, male, bmi) {
	this.value = value || -1;
	this.hideZ = true;
	this.bmi = bmi || -1;
	this.refString = REF_DAVIS;
	this.init();
	this.infoString = this.getInfo([INFO_DAVIS, INFO_ZSCORE, ABBREV_DAVIS]);
	this.paramName = "Stj";
	this.paramNameLong = "STJ";
	this.paramUnit = "mm";

	if (male) {
		if (bmi < 25) {
			this.mean = 24.4;
			this.sd = 3.1;
		}
		else if (bmi < 30) {
			this.mean = 25.7;
			this.sd = 4.5;
		}
		else {
			this.mean = 26.2;
			this.sd = 3.65;
		}
	}
	else {
		if (bmi < 25) {
			this.mean = 21.6;
			this.sd = 2.5;
		}
		else if (bmi < 30) {
			this.mean = 22.3;
			this.sd = 2.65;
		}
		else {
			this.mean = 22.1;
			this.sd = 3.1;
		}
	}

	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	this.errorCondition.push(bmi <= 0);
	this.errorString.push(window.lang.convert('BMI') + " " + window.lang.convert("has to be greater than 0"));
	// this.getLowerAndUpperValues();
	this.lln = this.getValueFromZ(-2).toFixed(0);
	this.uln = this.getValueFromZ(2).toFixed(0)
}
davisStj.prototype = new MeanSdClass();


function davisAscendens(value, male, bmi) {
	this.value = value || -1;
	this.hideZ = true;
	this.bmi = bmi || -1;
	this.refString = REF_DAVIS;
	this.init();
	this.infoString = this.getInfo([INFO_DAVIS, INFO_ZSCORE, ABBREV_DAVIS]);
	this.paramName = "Ascendens";
	this.paramNameLong = "Ascending aorta";
	this.paramUnit = "mm";

	if (male) {
		if (bmi < 25) {
			this.mean = 26;
			this.sd = 3.65;
		}
		else if (bmi < 30) {
			this.mean = 27.4;
			this.sd = 4.25;
		}
		else {
			this.mean = 28.5;
			this.sd = 2.7;
		}
	}
	else {
		if (bmi < 25) {
			this.mean = 24.7;
			this.sd = 3.45;
		}
		else if (bmi < 30) {
			this.mean = 26.5;
			this.sd = 3.6;
		}
		else {
			this.mean = 26.6;
			this.sd = 3.9;
		}
	}

	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	this.errorCondition.push(bmi <= 0);
	this.errorString.push(window.lang.convert('BMI') + " " + window.lang.convert("has to be greater than 0"));
	// this.getLowerAndUpperValues();
	this.lln = this.getValueFromZ(-2).toFixed(0);
	this.uln = this.getValueFromZ(2).toFixed(0)
}
davisAscendens.prototype = new MeanSdClass();

function davisProxdescendens(value, male, bmi) {
	this.value = value || -1;
	this.hideZ = true;
	this.bmi = bmi || -1;
	this.refString = REF_DAVIS;
	this.init();
	this.infoString = this.getInfo([INFO_DAVIS, INFO_ZSCORE, ABBREV_DAVIS]);
	this.paramName = "Proxdescendens";
	this.paramNameLong = "Proximal descending aorta";
	this.paramUnit = "mm";

	if (male) {
		if (bmi < 25) {
			this.mean = 20.1;
			this.sd = 2.7;
		}
		else if (bmi < 30) {
			this.mean = 20.9;
			this.sd = 2.65;
		}
		else {
			this.mean = 22.2;
			this.sd = 2.95;
		}
	}
	else {
		if (bmi < 25) {
			this.mean = 18.5;
			this.sd = 1.95;
		}
		else if (bmi < 30) {
			this.mean = 19.2;
			this.sd = 2.2;
		}
		else {
			this.mean = 19.6;
			this.sd = 1.8;
		}
	}

	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	this.errorCondition.push(bmi <= 0);
	this.errorString.push(window.lang.convert('BMI') + " " + window.lang.convert("has to be greater than 0"));
	// this.getLowerAndUpperValues();
	this.lln = this.getValueFromZ(-2).toFixed(0);
	this.uln = this.getValueFromZ(2).toFixed(0)
}
davisProxdescendens.prototype = new MeanSdClass();

function davisDescendens(value, male, bmi) {
	this.value = value || -1;
	this.hideZ = true;
	this.bmi = bmi || -1;
	this.refString = REF_DAVIS;
	this.init();
	this.infoString = this.getInfo([INFO_DAVIS, INFO_ZSCORE, ABBREV_DAVIS]);
	this.paramName = "Descendens";
	this.paramNameLong = "Descending aorta";
	this.paramUnit = "mm";

	if (male) {
		if (bmi < 25) {
			this.mean = 17.1;
			this.sd = 2.55;
		}
		else if (bmi < 30) {
			this.mean = 17.9;
			this.sd = 2.55;
		}
		else {
			this.mean = 18.8;
			this.sd = 2.2;
		}
	}
	else {
		if (bmi < 25) {
			this.mean = 16;
			this.sd = 1.95;
		}
		else if (bmi < 30) {
			this.mean = 16.3;
			this.sd = 2;
		}
		else {
			this.mean = 17.4;
			this.sd = 1.75;
		}
	}

	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	this.errorCondition.push(bmi <= 0);
	this.errorString.push(window.lang.convert('BMI') + " " + window.lang.convert("has to be greater than 0"));
	// this.getLowerAndUpperValues();
	this.lln = this.getValueFromZ(-2).toFixed(0);
	this.uln = this.getValueFromZ(2).toFixed(0)
}
davisDescendens.prototype = new MeanSdClass();

function kaiserSinus(value, male, weight, height) {
	this.value = value || -1;
this.hidePercentile = true;
	this.refString = REF_KAISER;
	this.init();
	this.infoString = this.getInfo([INFO_KAISER, INFO_ZSCORE, ABBREV_KAISER]);
	this.paramName = "Sinus";
	this.paramNameLong = "Sinus";
	this.paramUnit = "mm";
	this.bsa = bsaDuBois(height, weight);

	this.mean = 0.57 + 19.37 * Math.pow(this.bsa, 0.5);
	this.sd = 2.38;

	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	this.errorCondition.push(weight <= 0);
	this.errorString.push(window.lang.convert('Weight') + " " + window.lang.convert("has to be greater than 0"));
	this.errorCondition.push(height <= 0);
	this.errorString.push(window.lang.convert('Height') + " " + window.lang.convert("has to be greater than 0"));
	// this.getLowerAndUpperValues();
	this.lln = this.getValueFromZ(-2).toFixed(0);
	this.uln = this.getValueFromZ(2).toFixed(0)
}
kaiserSinus.prototype = new MeanSdClass();

function kaiserStj(value, male, weight, height) {
	this.value = value || -1;
this.hidePercentile = true;
	this.refString = REF_KAISER;
	this.init();
	this.infoString = this.getInfo([INFO_KAISER, INFO_ZSCORE, ABBREV_KAISER]);
	this.paramName = "Stj";
	this.paramNameLong = "STJ";
	this.paramUnit = "mm";
	this.bsa = bsaDuBois(height, weight);

	this.mean = -0.03 + 16.91 * Math.pow(this.bsa, 0.5);
	this.sd = 1.92;

	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	this.errorCondition.push(weight <= 0);
	this.errorString.push(window.lang.convert('Weight') + " " + window.lang.convert("has to be greater than 0"));
	this.errorCondition.push(height <= 0);
	this.errorString.push(window.lang.convert('Height') + " " + window.lang.convert("has to be greater than 0"));
	// this.getLowerAndUpperValues();
	this.lln = this.getValueFromZ(-2).toFixed(0);
	this.uln = this.getValueFromZ(2).toFixed(0)
}
kaiserStj.prototype = new MeanSdClass();

function kaiserAscendens(value, male, weight, height) {
	this.value = value || -1;
this.hidePercentile = true;
	this.refString = REF_KAISER;
	this.init();
	this.infoString = this.getInfo([INFO_KAISER, INFO_ZSCORE, ABBREV_KAISER]);
	this.paramName = "Ascendens";
	this.paramNameLong = "Ascending aorta";
	this.paramUnit = "mm";
	this.bsa = bsaDuBois(height, weight);

	this.mean = -1.33 + 18.6 * Math.pow(this.bsa, 0.5);
	this.sd = 1.99;

	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	this.errorCondition.push(weight <= 0);
	this.errorString.push(window.lang.convert('Weight') + " " + window.lang.convert("has to be greater than 0"));
	this.errorCondition.push(height <= 0);
	this.errorString.push(window.lang.convert('Height') + " " + window.lang.convert("has to be greater than 0"));
	// this.getLowerAndUpperValues();
	this.lln = this.getValueFromZ(-2).toFixed(0);
	this.uln = this.getValueFromZ(2).toFixed(0)
}
kaiserAscendens.prototype = new MeanSdClass();

function kaiserBca(value, male, weight, height) {
	this.value = value || -1;
	this.hidePercentile = true;
	this.refString = REF_KAISER;
	this.init();
	this.infoString = this.getInfo([INFO_KAISER, INFO_ZSCORE, ABBREV_KAISER]);
	this.paramName = "Bca";
	this.paramNameLong = "Before BCA";
	this.paramUnit = "mm";
	this.bsa = bsaDuBois(height, weight);

	this.mean = -3.38 + 20.07 * Math.pow(this.bsa, 0.5);
	this.sd = 1.69;

	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	this.errorCondition.push(weight <= 0);
	this.errorString.push(window.lang.convert('Weight') + " " + window.lang.convert("has to be greater than 0"));
	this.errorCondition.push(height <= 0);
	this.errorString.push(window.lang.convert('Height') + " " + window.lang.convert("has to be greater than 0"));
	// this.getLowerAndUpperValues();
	this.lln = this.getValueFromZ(-2).toFixed(0);
	this.uln = this.getValueFromZ(2).toFixed(0)
}
kaiserBca.prototype = new MeanSdClass();

function kaiserLsa(value, male, weight, height) {
	this.value = value || -1;
this.hidePercentile = true;
	this.refString = REF_KAISER;
	this.init();
	this.infoString = this.getInfo([INFO_KAISER, INFO_ZSCORE, ABBREV_KAISER]);
	this.paramName = "Lsa";
	this.paramNameLong = "Before LSA";
	this.paramUnit = "mm";
	this.bsa = bsaDuBois(height, weight);

	this.mean = -2.63 + 16.5 * Math.pow(this.bsa, 0.5);
	this.sd = 1.31;

	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	this.errorCondition.push(weight <= 0);
	this.errorString.push(window.lang.convert('Weight') + " " + window.lang.convert("has to be greater than 0"));
	this.errorCondition.push(height <= 0);
	this.errorString.push(window.lang.convert('Height') + " " + window.lang.convert("has to be greater than 0"));
	// this.getLowerAndUpperValues();
	this.lln = this.getValueFromZ(-2).toFixed(0);
	this.uln = this.getValueFromZ(2).toFixed(0)
}
kaiserLsa.prototype = new MeanSdClass();

function kaiserIsthmus(value, male, weight, height) {
	this.value = value || -1;
this.hidePercentile = true;
	this.refString = REF_KAISER;
	this.init();
	this.infoString = this.getInfo([INFO_KAISER, INFO_ZSCORE, ABBREV_KAISER]);
	this.paramName = "Isthmus";
	this.paramNameLong = "Isthmus";
	this.paramUnit = "mm";
	this.bsa = bsaDuBois(height, weight);

	this.mean = -3.37 + 16.52 * Math.pow(this.bsa, 0.5);
	this.sd = 1.46;

	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	this.errorCondition.push(weight <= 0);
	this.errorString.push(window.lang.convert('Weight') + " " + window.lang.convert("has to be greater than 0"));
	this.errorCondition.push(height <= 0);
	this.errorString.push(window.lang.convert('Height') + " " + window.lang.convert("has to be greater than 0"));
	// this.getLowerAndUpperValues();
	this.lln = this.getValueFromZ(-2).toFixed(0);
	this.uln = this.getValueFromZ(2).toFixed(0)
}
kaiserIsthmus.prototype = new MeanSdClass();

function kaiserProxdescendens(value, male, weight, height) {
	this.value = value || -1;
this.hidePercentile = true;
	this.refString = REF_KAISER;
	this.init();
	this.infoString = this.getInfo([INFO_KAISER, INFO_ZSCORE, ABBREV_KAISER]);
	this.paramName = "Proxdescendens";
	this.paramNameLong = "Proximal descending aorta";
	this.paramUnit = "mm";
	this.bsa = bsaDuBois(height, weight);

	this.mean = -1.12 + 14.42 * Math.pow(this.bsa, 0.5);
	this.sd = 1.64;

	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	this.errorCondition.push(weight <= 0);
	this.errorString.push(window.lang.convert('Weight') + " " + window.lang.convert("has to be greater than 0"));
	this.errorCondition.push(height <= 0);
	this.errorString.push(window.lang.convert('Height') + " " + window.lang.convert("has to be greater than 0"));
	// this.getLowerAndUpperValues();
	this.lln = this.getValueFromZ(-2).toFixed(0);
	this.uln = this.getValueFromZ(2).toFixed(0)
}
kaiserProxdescendens.prototype = new MeanSdClass();

function kaiserDescendens(value, male, weight, height) {
	this.value = value || -1;
	this.refString = REF_KAISER;
	this.init();
	this.hidePercentile = true;
	this.infoString = this.getInfo([INFO_KAISER, INFO_ZSCORE, ABBREV_KAISER]);
	this.paramName = "Descendens";
	this.paramNameLong = "Descending aorta";
	this.paramUnit = "mm";
	this.bsa = bsaDuBois(height, weight);

	this.mean = 1.27 + 9.89 * Math.pow(this.bsa, 0.5);
	this.sd = 1.34;

	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	this.errorCondition.push(weight <= 0);
	this.errorString.push(window.lang.convert('Weight') + " " + window.lang.convert("has to be greater than 0"));
	this.errorCondition.push(height <= 0);
	this.errorString.push(window.lang.convert('Height') + " " + window.lang.convert("has to be greater than 0"));
	// this.getLowerAndUpperValues();

}
kaiserDescendens.prototype = new MeanSdClass();




function kawelLvedvbsa(value, weight, height, male) {
	this.value = value || -1;
	this.hideZ = true;
	this.weight = weight || -1;
	this.height = height || -1;
	this.refString = REF_ALFAKIH;
	this.init();
	this.infoString = this.getInfo([INFO_ALFAKIH, INFO_ZSCORE, ABBREV_ALFAKIH]);
	this.paramName = "Lvedvbsa";
	this.paramNameLong = "EDV/BSA";
	this.paramUnit = "ml/m²";
	this.bsa = bsaDuBois(height, weight);

	if (male) {
		this.mean = 80;
		this.sd = 12;
	}
	else {
		this.mean = 75;
		this.sd = 10;
	}

	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	this.errorCondition.push(weight <= 0);
	this.errorString.push(window.lang.convert('Weight') + " " + window.lang.convert("has to be greater than 0"));
	this.errorCondition.push(height <= 0);
	this.errorString.push(window.lang.convert('Height') + " " + window.lang.convert("has to be greater than 0"));

	this.lln = this.getValueFromZ(-2).toFixed(0);
	this.uln = this.getValueFromZ(2).toFixed(0)
}
kawelLvedvbsa.prototype = new MeanSdClass();


function kawelLvesvbsa(value, male) {
	this.value = value || -1;
	this.hideZ = true;
	this.refString = REF_ALFAKIH;
	this.init();
	this.infoString = this.getInfo([INFO_ALFAKIH, INFO_ZSCORE, ABBREV_ALFAKIH]);
	this.paramName = "Lvesvbsa";
	this.paramNameLong = "ESV/BSA";
	this.paramUnit = "ml/m²";

	if (male) {
		this.mean = 28;
		this.sd = 6;
	}
	else {
		this.mean = 25;
		this.sd = 5;
	}

	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	// this.getLowerAndUpperValues();
	this.lln = this.getValueFromZ(-2).toFixed(0);
	this.uln = this.getValueFromZ(2).toFixed(0)
}
kawelLvesvbsa.prototype = new MeanSdClass();

function kawelLvsvbsa(value, male) {
	this.value = value || -1;
	this.hideZ = true;
	this.refString = REF_ALFAKIH;
	this.init();
	this.infoString = this.getInfo([INFO_ALFAKIH, INFO_ZSCORE, ABBREV_ALFAKIH]);
	this.paramName = "Lvsvbsa";
	this.paramNameLong = "SV/BSA";
	this.paramUnit = "ml/m²";

	if (male) {
		this.mean = 54;
		this.sd = 9;
	}
	else {
		this.mean = 50;
		this.sd = 8;
	}

	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	// this.getLowerAndUpperValues();
	this.lln = this.getValueFromZ(-2).toFixed(0);
	this.uln = this.getValueFromZ(2).toFixed(0)
}
kawelLvsvbsa.prototype = new MeanSdClass();

function kawelLvef(value, male) {
	this.value = value || -1;
	this.hideZ = true;
	this.refString = REF_ALFAKIH;
	this.init();
	this.infoString = this.getInfo([INFO_ALFAKIH, INFO_ZSCORE, ABBREV_ALFAKIH]);
	this.paramName = "Lvef";
	this.paramNameLong = "EF";
	this.paramUnit = "%";


	if (male) {
		this.mean = 66;
		this.sd = 5;
	}
	else {
		this.mean = 63;
		this.sd = 6;
	}

	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert('LVEDV') + " " + window.lang.convert("has to be greater than 0"));
	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert('LVESV') + " " + window.lang.convert("has to be greater than 0"));
	// this.getLowerAndUpperValues();
	this.lln = this.getValueFromZ(-2).toFixed(0);
	this.uln = this.getValueFromZ(2).toFixed(0)
}
kawelLvef.prototype = new MeanSdClass();

function kawelLvmassbsa(value, weight, height, male) {
	this.value = value || -1;
	this.hideZ = true;
	this.weight = weight || -1;
	this.height = height || -1;
	this.refString = REF_ALFAKIH;
	this.init();
	this.infoString = this.getInfo([INFO_ALFAKIH, INFO_ZSCORE, ABBREV_ALFAKIH]);
	this.paramName = "Lvmassbsa";
	this.paramNameLong = "Mass/BSA";
	this.paramUnit = "g/m²";
	this.bsa = bsaDuBois(height, weight);

	if (male) {
		this.mean = 62;
		this.sd = 12;
	}
	else {
		this.mean = 53;
		this.sd = 9;
	}

	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	this.errorCondition.push(weight <= 0);
	this.errorString.push(window.lang.convert('Weight') + " " + window.lang.convert("has to be greater than 0"));
	this.errorCondition.push(height <= 0);
	this.errorString.push(window.lang.convert('Height') + " " + window.lang.convert("has to be greater than 0"));
	// this.getLowerAndUpperValues();
	this.lln = this.getValueFromZ(-2).toFixed(0);
	this.uln = this.getValueFromZ(2).toFixed(0)
}
kawelLvmassbsa.prototype = new MeanSdClass();

function kawelLvci(value, weight, height, male) {
	this.value = value || -1;
	this.hideZ = true;
	this.weight = weight || -1;
	this.height = height || -1;
	this.refString = REF_ALFAKIH;
	this.init();
	this.infoString = this.getInfo([INFO_ALFAKIH, INFO_ZSCORE, ABBREV_ALFAKIH]);
	this.paramName = "Lvci";
	this.paramNameLong = "CI";
	this.paramUnit = "l/min/m²";
	this.bsa = bsaDuBois(height, weight);

	if (male) {
		this.mean = 4.4;
		this.sd = 0.85;
	}
	else {
		this.mean = 3.9;
		this.sd = 0.62;
	}

	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	this.errorCondition.push(weight <= 0);
	this.errorString.push(window.lang.convert('Weight') + " " + window.lang.convert("has to be greater than 0"));
	this.errorCondition.push(height <= 0);
	this.errorString.push(window.lang.convert('Height') + " " + window.lang.convert("has to be greater than 0"));
	// this.getLowerAndUpperValues();
	this.lln = this.getValueFromZ(-2).toFixed(0);
	this.uln = this.getValueFromZ(2).toFixed(0)
}
kawelLvci.prototype = new MeanSdClass();

function kawelRvedvbsa(value, weight, height, male) {
	this.value = value || -1;
	this.hideZ = true;
	this.weight = weight || -1;
	this.height = height || -1;
	this.refString = REF_ALFAKIH;
	this.init();
	this.infoString = this.getInfo([INFO_ALFAKIH, INFO_ZSCORE, ABBREV_ALFAKIH]);
	this.paramName = "Rvedvbsa";
	this.paramNameLong = "EDV/BSA";
	this.paramUnit = "ml/m²";
	this.bsa = bsaDuBois(height, weight);

	if (male) {
		this.mean = 84;
		this.sd = 12;
	}
	else {
		this.mean = 76;
		this.sd = 9;
	}

	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	this.errorCondition.push(weight <= 0);
	this.errorString.push(window.lang.convert('Weight') + " " + window.lang.convert("has to be greater than 0"));
	this.errorCondition.push(height <= 0);
	this.errorString.push(window.lang.convert('Height') + " " + window.lang.convert("has to be greater than 0"));

	this.lln = this.getValueFromZ(-2).toFixed(0);
	this.uln = this.getValueFromZ(2).toFixed(0)
}
kawelRvedvbsa.prototype = new MeanSdClass();


function kawelRvesvbsa(value, male) {
	this.value = value || -1;
	this.hideZ = true;
	this.refString = REF_ALFAKIH;
	this.init();
	this.infoString = this.getInfo([INFO_ALFAKIH, INFO_ZSCORE, ABBREV_ALFAKIH]);
	this.paramName = "Rvesvbsa";
	this.paramNameLong = "ESV/BSA";
	this.paramUnit = "ml/m²";

	if (male) {
		this.mean = 32;
		this.sd = 7;
	}
	else {
		this.mean = 27;
		this.sd = 5;
	}

	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	// this.getLowerAndUpperValues();
	this.lln = this.getValueFromZ(-2).toFixed(0);
	this.uln = this.getValueFromZ(2).toFixed(0)
}
kawelRvesvbsa.prototype = new MeanSdClass();

function kawelRvsvbsa(value, male) {
	this.value = value || -1;
	this.hideZ = true;
	this.refString = REF_ALFAKIH;
	this.init();
	this.infoString = this.getInfo([INFO_ALFAKIH, INFO_ZSCORE, ABBREV_ALFAKIH]);
	this.paramName = "Rvsvbsa";
	this.paramNameLong = "SV/BSA";
	this.paramUnit = "ml/m²";

	if (male) {
		this.mean = 52;
		this.sd = 8;
	}
	else {
		this.mean = 49;
		this.sd = 7;
	}

	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	// this.getLowerAndUpperValues();
	this.lln = this.getValueFromZ(-2).toFixed(0);
	this.uln = this.getValueFromZ(2).toFixed(0)
}
kawelRvsvbsa.prototype = new MeanSdClass();

function kawelRvef(value, male) {
	this.value = value || -1;
	this.hideZ = true;
	this.refString = REF_ALFAKIH;
	this.init();
	this.infoString = this.getInfo([INFO_ALFAKIH, INFO_ZSCORE, ABBREV_ALFAKIH]);
	this.paramName = "Rvef";
	this.paramNameLong = "EF";
	this.paramUnit = "%";


	if (male) {
		this.mean = 62;
		this.sd = 4;
	}
	else {
		this.mean = 63;
		this.sd = 4;
	}

	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert('LVEDV') + " " + window.lang.convert("has to be greater than 0"));
	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert('LVESV') + " " + window.lang.convert("has to be greater than 0"));
	// this.getLowerAndUpperValues();
	this.lln = this.getValueFromZ(-2).toFixed(0);
	this.uln = this.getValueFromZ(2).toFixed(0)
}
kawelRvef.prototype = new MeanSdClass();

function kawelRvmassbsa(value, weight, height, male) {
	this.value = value || -1;
	this.hideZ = true;
	this.weight = weight || -1;
	this.height = height || -1;
	this.refString = REF_ALFAKIH;
	this.init();
	this.infoString = this.getInfo([INFO_ALFAKIH, INFO_ZSCORE, ABBREV_ALFAKIH]);
	this.paramName = "Rvmassbsa";
	this.paramNameLong = "Mass/BSA";
	this.paramUnit = "g/m²";
	this.bsa = bsaDuBois(height, weight);

	if (male) {
		this.mean = 21;
		this.sd = 5;
	}
	else {
		this.mean = 18;
		this.sd = 4;
	}

	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	this.errorCondition.push(weight <= 0);
	this.errorString.push(window.lang.convert('Weight') + " " + window.lang.convert("has to be greater than 0"));
	this.errorCondition.push(height <= 0);
	this.errorString.push(window.lang.convert('Height') + " " + window.lang.convert("has to be greater than 0"));
	// this.getLowerAndUpperValues();
	this.lln = this.getValueFromZ(-2).toFixed(0);
	this.uln = this.getValueFromZ(2).toFixed(0)
}
kawelRvmassbsa.prototype = new MeanSdClass();

function burmannMpa(value, ageYears, male) {
this.value = value || -1;
this.hideZ = true;
this.ageYears = ageYears || -1;
this.refString = REF_BURMAN;
this.init();
this.infoString = this.getInfo([INFO_BURMAN, INFO_ZSCORE, ABBREV_BURMAN]);
this.paramName = "Mpa";
this.paramNameLong = "MPA";
this.paramUnit = "mm";
if (male) {
if (ageYears < 20) {
this.mean = -1;
this.sd = -1;
}
else if (ageYears <= 30) {
this.mean = 22.4;
this.sd = 1.8;
}
else if (ageYears <= 40) {
this.mean = 21.9;
this.sd = 1.8;
}
else if (ageYears <= 50) {
this.mean = 23.5;
this.sd = 2.8;
}
else if (ageYears <= 60) {
this.mean = 22.9;
this.sd = 3.0;
}
else if (ageYears <= 70) {
this.mean = 23.3;
this.sd = 2.1;
}
else if (ageYears <= 80) {
this.mean = 23.6;
this.sd = 2.6;
}
}
else {
if (ageYears < 20) {
this.mean = -1;
this.sd = -1;
}
else if (ageYears <= 30) {
this.mean = 21.6;
this.sd = 2.9;
}
else if (ageYears <= 40) {
this.mean = 20.4;
this.sd = 2.0;
}
else if (ageYears <= 50) {
this.mean = 21.5;
this.sd = 1.6;
}
else if (ageYears <= 60) {
this.mean = 24.7;
this.sd = 2.1;
}
else if (ageYears <= 70) {
this.mean = 21.6;
this.sd = 2.0;
}
else if (ageYears <= 80) {
this.mean = 21.4;
this.sd = 1.9;
}
}
this.errorCondition.push(value <= 0);
this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
this.errorCondition.push((ageYears < 21) || (ageYears >= 80));
this.errorString.push(window.lang.convert('Age') + " " + window.lang.convert("has to be between 20 and 79 years"));
// this.getLowerAndUpperValues();
this.lln = this.getValueFromZ(-2).toFixed(0);
this.uln = this.getValueFromZ(2).toFixed(0)
}
burmannMpa.prototype = new MeanSdClass();

function burmannRpa(value, ageYears, male) {
this.value = value || -1;
this.hideZ = true;
this.ageYears = ageYears || -1;
this.refString = REF_BURMAN;
this.init();
this.infoString = this.getInfo([INFO_BURMAN, INFO_ZSCORE, ABBREV_BURMAN]);
this.paramName = "Rpa";
this.paramNameLong = "RPA";
this.paramUnit = "mm";
if (male) {
if (ageYears < 20) {
this.mean = -1;
this.sd = -1;
}
else if (ageYears <= 30) {
this.mean = 14.3;
this.sd = 1.8;
}
else if (ageYears <= 40) {
this.mean = 15.2;
this.sd = 1.5;
}
else if (ageYears <= 50) {
this.mean = 16.4;
this.sd = 2.3;
}
else if (ageYears <= 60) {
this.mean = 16.6;
this.sd = 2.1;
}
else if (ageYears <= 70) {
this.mean = 17.1;
this.sd = 2.2;
}
else if (ageYears <= 80) {
this.mean = 19.8;
this.sd = 3.5;
}
}
else {
if (ageYears < 20) {
this.mean = -1;
this.sd = -1;
}
else if (ageYears <= 30) {
this.mean = 14.0;
this.sd = 2.0;
}
else if (ageYears <= 40) {
this.mean = 13.3;
this.sd = 1.3;
}
else if (ageYears <= 50) {
this.mean = 15.3;
this.sd = 1.8;
}
else if (ageYears <= 60) {
this.mean = 14.0;
this.sd = 1.9;
}
else if (ageYears <= 70) {
this.mean = 15.8;
this.sd = 1.7;
}
else if (ageYears <= 80) {
this.mean = 15.9;
this.sd = 3.2;
}
}
this.errorCondition.push(value <= 0);
this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
this.errorCondition.push((ageYears < 21) || (ageYears >= 80));
this.errorString.push(window.lang.convert('Age') + " " + window.lang.convert("has to be between 20 and 79 years"));
// this.getLowerAndUpperValues();
this.lln = this.getValueFromZ(-2).toFixed(0);
this.uln = this.getValueFromZ(2).toFixed(0)
}
burmannRpa.prototype = new MeanSdClass();

function burmannLpa(value, ageYears, male) {
this.value = value || -1;
this.hideZ = true;
this.ageYears = ageYears || -1;
this.refString = REF_BURMAN;
this.init();
this.infoString = this.getInfo([INFO_BURMAN, INFO_ZSCORE, ABBREV_BURMAN]);
this.paramName = "Lpa";
this.paramNameLong = "LPA";
this.paramUnit = "mm";
if (male) {
if (ageYears < 20) {
this.mean = -1;
this.sd = -1;
}
else if (ageYears <= 30) {
this.mean = 15.8;
this.sd = 1.2;
}
else if (ageYears <= 40) {
this.mean = 15.5;
this.sd = 1.7;
}
else if (ageYears <= 50) {
this.mean = 16.7;
this.sd = 1.3;
}
else if (ageYears <= 60) {
this.mean = 17.2;
this.sd = 1.7;
}
else if (ageYears <= 70) {
this.mean = 18.4;
this.sd = 1.1;
}
else if (ageYears <= 80) {
this.mean = 20.4;
this.sd = 3.4;
}
}
else {
if (ageYears < 20) {
this.mean = -1;
this.sd = -1;
}
else if (ageYears <= 30) {
this.mean = 14.9;
this.sd = 1.4;
}
else if (ageYears <= 40) {
this.mean = 14.7;
this.sd = 1.4;
}
else if (ageYears <= 50) {
this.mean = 15.9;
this.sd = 1.1;
}
else if (ageYears <= 60) {
this.mean = 15.9;
this.sd = 1.5;
}
else if (ageYears <= 70) {
this.mean = 16.4;
this.sd = 1.7;
}
else if (ageYears <= 80) {
this.mean = 17.6;
this.sd = 3.0;
}
}
this.errorCondition.push(value <= 0);
this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
this.errorCondition.push((ageYears < 21) || (ageYears >= 80));
this.errorString.push(window.lang.convert('Age') + " " + window.lang.convert("has to be between 20 and 79 years"));
// this.getLowerAndUpperValues();
this.lln = this.getValueFromZ(-2).toFixed(0);
this.uln = this.getValueFromZ(2).toFixed(0)
}
burmannLpa.prototype = new MeanSdClass();