function bsa_calc() {
	var height = $('#bsa_height').val().replace(/,/, ".") * 1;
	var weight = $('#bsa_weight').val().replace(/,/, ".") * 1;
	var bsa, bsaFormula;

	if (document.bsa_form.bsaRadioMosteller.checked == true) bsaFormula = "Mosteller";

	else if (document.bsa_form.bsaRadioDuBois.checked == true) bsaFormula = "DuBois";

	if (height && weight) {
		switch (bsaFormula) {

		case "DuBois":
			bsa = bsaDuBois(height, weight);
			break;
		case "Mosteller":
		default:
			bsa = bsaMosteller(height, weight);
			break;
		}

	}
	else {
		document.getElementById("bsa_bsa").innerHTML = "";
		return;
	}

	document.getElementById("bsa_bsa").innerHTML = bsa + " m²";
}

function bsaDuBois(height, weight) {
	var bsa;
	bsa = Math.pow(weight, 0.425) * Math.pow(height, 0.725) * 0.007184;

	bsa *= 1000;
	bsa = Math.round(bsa);
	bsa /= 1000;
	return bsa;
}

function bsaMosteller(height, weight) {
	var bsa;
	bsa = Math.sqrt((height * weight) / 3600);
	// Runden auf 3 Nachkommastellen
	bsa *= 1000;
	bsa = Math.round(bsa);
	bsa /= 1000;

	return bsa;
}