var MSEC_PER_MONTH = 2628000000;
var MSEC_PER_DAY = 86400000;
var MSEC_PER_HOUR = 3600000;
var MSEC_PER_YEAR = 31536000000;

// Class for output sting with reference
function resultStringWithRef(resultString, refName) {
	this.resultString = resultString;
	this.refName = refName;
}

	function writeRefString(references) {
		
		if (!Array.prototype.indexOf)
{
  Array.prototype.indexOf = function(elt /*, from*/)
  {
    var len = this.length >>> 0;

    var from = Number(arguments[1]) || 0;
    from = (from < 0)
         ? Math.ceil(from)
         : Math.floor(from);
    if (from < 0)
      from += len;

    for (; from < len; from++)
    {
      if (from in this &&
          this[from] === elt)
        return from;
    }
    return -1;
  };
}
		
	var refNr = new Array("¹", "²", "³", "⁴", "⁵", "⁶", "⁷", "⁸", "⁹", "¹⁰", "¹¹", "¹²", "¹³", "¹⁴", "¹⁵", "¹⁶", "¹⁷", "¹⁸", "¹⁹"), refName = [], j = 0, resultString = "";
	for (var i = 0; i < references.length; i++) {
		j = refName.indexOf(references[i].refName);
		if (j < 0) 
			j = refName.push(references[i].refName) - 1;
		
		references[i].resultString += refNr[j];
	}
	for (var i = 0; i < references.length; i++) {
		resultString = resultString + references[i].resultString + "; ";
	}
	resultString += '\n';
	for (var i = 0; i < refName.length; i++) 
		resultString = resultString + (i + 1) + ") " + refName[i] + "; ";
		
	return resultString;
}

function formatPercentile (perc)  {
	var resultString;
	perc = perc*100;
	
		if (perc >= 99.5)
		resultString = ">99";
		else if (perc <0.5)
		resultString = "<1";
		else 
		resultString = perc.toFixed(0);
		
		return resultString;
}

function LMSClass() {
	this.hidePercentile = false;
	
	this.showResults = function(references) {
		var errors;
		var sds = this.getZFromValue(this.value);
		var percentile, refNr = 0;
		errors = this.getErrorNotes();
		if ((errors.length === 0) && (sds != -100)) {
			setZMarker(this.paramName, sds, 100);
			var auc = get_auc_from_z(sds);
			percentile = formatPercentile(auc);
			sds = sds.toFixed(2);
			if (!this.hidePercentile)		
			$("#percentile_" + this.paramName).html(percentile + " P.");
			$("#sds_" + this.paramName).html(sds + " z");

			if (this.hidePercentile) 
			references.push(new resultStringWithRef(window.lang.convert(this.paramNameLong) + " " + this.value + " " + this.paramUnit + " (" +sds + "z)", this.refString));
			else if (this.hideZ)
			references.push(new resultStringWithRef(window.lang.convert(this.paramNameLong) + " " + this.value + " " + this.paramUnit + " (" + this.lln + " - " + this.uln + " " + this.paramUnit + ")", this.refString));
			else
		
				references.push(new resultStringWithRef(window.lang.convert(this.paramNameLong) + " " + this.value + " " + this.paramUnit + " (" + percentile + "P, " + sds + "z)", this.refString));
		}
		else {
			this.errorCondition.push(true);
			this.errorString.push(window.lang.convert("Calculation failed"));
		}		
		if (errors != "") $("#btn" + this.paramName).buttonMarkup({
			theme: 'b'
		});
		else $("#btn" + this.paramName).buttonMarkup({
			theme: 'a'
		});
		$("#error" + this.paramName).html(errors);
		 return references;
	}
	
	this.init = function() {
		this.errorCondition = [];
		this.errorString = [];
	}
	this.getRefString = function() {
		return this.refString;
	}
	this.getInfo = function(infos) {
		var result = "";
		for (var i = 0; i < infos.length; i++) {
			result += "<p>" + infos[i] + "</p>";
		}
		return result;
	}
	this.getErrorNotes = function() {
		var result, i;
		result = "";
		for (i = 0; i < this.errorCondition.length; i++) {
			if (this.errorCondition[i]) result = result + "<li>" + this.errorString[i] + "</li>";
		}
		if (result != "") result = "<ul>" + result + "</ul>";
		return result;
	}
	this.getLowerAndUpperValues = function() {
		if (this.male) {
			this.lArray = this.lArrayMale;
			this.mArray = this.mArrayMale;
			this.sArray = this.sArrayMale;
		}
		else {
			this.lArray = this.lArrayFemale;
			this.mArray = this.mArrayFemale;
			this.sArray = this.sArrayFemale;
		}
		if ((this.age < this.ageArray[0]) || (this.age > this.ageArray[this.ageArray.length - 1])) return -100;
		// Finding the index of the lower and upper age in the age grid
		for (i = 0; i < this.ageArray.length; i++) {
			if (this.ageArray[i] == this.age) {
				upperIndex = i;
				lowerIndex = i;
				break;
			}
			else if (this.ageArray[i] > this.age) {
				upperIndex = i;
				lowerIndex = --i;
				break;
			}
		}
		if (i === this.ageArray.length) return -100;
		// Getting the ratio 
		if (this.age == this.ageArray[lowerIndex]) this.ratio = 0;
		else this.ratio = (this.age - this.ageArray[lowerIndex]) / (this.ageArray[upperIndex] - this.ageArray[lowerIndex]);
		this.lLower = this.lArray[lowerIndex];
		this.lUpper = this.lArray[upperIndex];
		this.mLower = this.mArray[lowerIndex];
		this.mUpper = this.mArray[upperIndex];
		this.sLower = this.sArray[lowerIndex];
		this.sUpper = this.sArray[upperIndex];
	}
	// returning the z score of a given value
	this.getZFromValue = function(value) {
		var zLower, zUpper, result;
		if (typeof(this.lLower) == 'undefined' || typeof(this.mLower) == 'undefined' || typeof(this.sLower) == 'undefined' || typeof(this.lUpper) == 'undefined' || typeof(this.mUpper) == 'undefined' || typeof(this.sUpper) == 'undefined' || typeof(this.value) == 'undefined' || (value === -1)) return -100;
		zLower = get_z_from_lms(value, this.lLower, this.mLower, this.sLower);
		zUpper = get_z_from_lms(value, this.lUpper, this.mUpper, this.sUpper);
		result = zLower + (this.ratio * (zUpper - zLower));
		return result;
	}
	// returning the value of a given z score
	this.getValueFromZ = function(value) {
		var valueLower, valueUpper, result;
		if (typeof(this.lLower) == 'undefined' || typeof(this.mLower) == 'undefined' || typeof(this.sLower) == 'undefined' || typeof(this.lUpper) == 'undefined' || typeof(this.mUpper) == 'undefined' || typeof(this.sUpper) == 'undefined' || typeof(this.value) == 'undefined'  || (value === -1)) return -100;
		valueLower = get_value_from_lms(value, this.lLower, this.mLower, this.sLower);
		valueUpper = get_value_from_lms(value, this.lUpper, this.mUpper, this.sUpper);
		result = valueLower + (this.ratio * (valueUpper - valueLower));
		return result;
	}
}

function MeanSdClass() {
	this.uln = 0;
	this.lln = 0;
	
	this.setLimitsOfNormal = function (lln,uln) {
		this.uln = uln;
		this.lln = lln;
	}
	
		this.getValueFromZ = function(value) {
		if ((this.mean == undefined) || (this.sd == undefined) || (value == undefined)) return -100;
		return this.mean + (value * this.sd);
	}
	this.getZFromValue = function (value) {
		if ((this.mean == undefined) || (this.sd == undefined) || (value <= 0)) return -100;
		return (value-this.mean)/this.sd;
	}
}
MeanSdClass.prototype = new LMSClass();

function MeanSDCoefficientClass() {	
	this.getZFromValue = function (value) {
		if ((this.coefficients.length == 6) && (this.bsa > 0) && (value > 0)) {
		var mean = this.coefficients[0] + this.coefficients[1] * this.bsa + this.coefficients[2] * Math.pow(this.bsa, 2) + this.coefficients[3] * Math.pow(this.bsa, 3);
		var result = (Math.log(value / 10) - mean) / Math.sqrt(this.coefficients[4]);
		return result;
		} else return -100;
	}
	this.getValueFromZ = function (value) {
		if ((this.coefficients.length == 6) && (this.bsa > 0)) {
			var mean = this.coefficients[0] + this.coefficients[1] * this.bsa + this.coefficients[2] * Math.pow(this.bsa, 2) + this.coefficients[3] * Math.pow(this.bsa, 3);
			var result = Math.exp((value * Math.sqrt(this.coefficients[4])) + mean);
		// cm in mm
		result *= 10;
		return result;
	} else return -100;
}
}
MeanSDCoefficientClass.prototype = new LMSClass();


function MeanSdInterpolatedClass() {
	this.meanUpper = -1;
	this.meanLower = -1;
	
	this.getLowerAndUpperValues = function () {
		var i, upperIndex, lowerIndex;
		if ((this.corValue < this.grid[0]) || (this.corValue > this.grid[this.grid.length - 1])) return -100;
		// Finding the index of the lower and upper age in the age grid
		for (i = 0; i < this.grid.length; i++) {
			if (this.grid[i] == this.corValue) {
				upperIndex = i;
				lowerIndex = i;
				break;
			}
			else if (this.grid[i] > this.corValue) {
				upperIndex = i;
				lowerIndex = --i;
				break;
			}
		}
		if (i === this.grid.length) return -100;
		// Getting the ratio 
		if (this.corValue == this.grid[lowerIndex]) this.ratio = 0;
		else this.ratio = (this.corValue - this.grid[lowerIndex]) / (this.grid[upperIndex] - this.grid[lowerIndex]);
		this.meanLower = this.meanArray[lowerIndex];
		this.meanUpper = this.meanArray[upperIndex];
		this.sdLower = this.sdArray[lowerIndex];
		this.sdUpper = this.sdArray[upperIndex];
	}
	
	this.getValueFromZ = function(value) {
		var valueUpper, valueLower;
		if ((this.meanUpper > 0) && (this.meanLower >0) && (this.sdUpper > 0) && (this.sdLower > 0) && (this.ratio >= 0)) {
			valueUpper = this.meanUpper + (value*this.sdUpper);
			valueLower = this.meanLower + (value*this.sdLower);
			return valueLower + (this.ratio * (valueUpper-valueLower));
		}
		else return -100;		
	}

	this.getZFromValue= function(value) {
		var valueUpper, valueLower;
		if ((this.meanUpper > 0) && (this.meanLower >0) && (this.sdUpper > 0) && (this.sdLower > 0) && (this.ratio >= 0) && (this.value > 0)) {
			valueUpper = (value - this.meanUpper) / this.sdUpper;
			valueLower = (value - this.meanLower) / this.sdLower;
			return valueLower + (this.ratio * (valueUpper-valueLower));
		}
		else return -100;		
	}
}
MeanSdInterpolatedClass.prototype = new LMSClass();

	
function addRef(references,refString) {
var i;
for (i=0; i< references.length; i++) {
	if (references[i] == refString)
	return i;
}
references[i] = refString;
return i;
}


function toOutputStringPercentile (paramName,unitName, paramValue, percentile, sds,refNr){
		var refArray = new Array("¹","²","³","⁴","⁵","⁶","⁷","⁸","⁹","¹⁰","¹¹","¹²","¹³","¹⁴","¹⁵","¹⁶","¹⁷","¹⁸","¹⁹");

return window.lang.convert(paramName) + ": " + paramValue + " " + unitName + " (" + percentile + "P, " + sds + "z)"+ refArray[refNr] + "; ";
}

function toOutputString (paramName,unitName, paramValue, sds,refNr){
	var refArray = new Array("¹","²","³","⁴","⁵","⁶","⁷","⁸","⁹","¹⁰","¹¹","¹²","¹³","¹⁴","¹⁵","¹⁶","¹⁷","¹⁸","¹⁹");
		
		return window.lang.convert(paramName) + ": " + paramValue + " " + unitName + " (" + sds + "z)" + refArray[refNr] + "; ";
}

function getBrowserLanguage() {
	var lang_long;
	if (typeof navigator.language != 'undefined') lang_long = navigator.language;
	else lang_long = navigator.browserLanguage;

	if ((lang_long.indexOf("de") > -1) || (navigator.userAgent.indexOf("de-") > -1)) lang_short = 'de';
	else lang_short = '';

	return lang_short;
}

function checkLocalStorageSupport() {
	try {
		return 'localStorage' in window && window['localStorage'] !== null;
	} catch (e) {
		return false;
	} 
}

function getDateFromDateString(datestring) {
	var browserLang = getBrowserLanguage();

	switch (browserLang) {
	case 'de':
		if (datestring.indexOf('.') == -1) {
			alert("Invalid date format. Mail to author");
			return "";
		}

		var birthday_split = datestring.split(".");
		var birthday_year = birthday_split[2];
		var birthday_month = birthday_split[1];
		var birthday_day = birthday_split[0];
		break;
	default:
		if (datestring.indexOf('/') == -1) {
			alert("Invalid date format. Mail to author");
			return "";
		}
		var birthday_split = datestring.split("/");
		var birthday_year = birthday_split[2];
		var birthday_month = birthday_split[0];
		var birthday_day = birthday_split[1];
		break;
	}
	var date_birthday = new Date(birthday_year, birthday_month - 1, birthday_day);
	return date_birthday;
}


function getZFromValueMeanSD (value, mean, sd)
{
	var z = (value - mean) / sd;
	return z;
}

function fenton(s) {
	var numArray, strArray;
var dict = {};
var data = (s + "").split("");
var currChar = data[0];
var oldPhrase = currChar;
var out = [currChar];
var code = 256;
var phrase;
for (var i=1; i<data.length; i++) {
var currCode = data[i].charCodeAt(0);
if (currCode < 256) {
phrase = data[i];
}
else {
phrase = dict[currCode] ? dict[currCode] : (oldPhrase + currChar);
}
out.push(phrase);
currChar = phrase.charAt(0);
dict[code] = oldPhrase + currChar;
code++;
oldPhrase = phrase;
}
numArray =  stringArrayToNumberArray(out.join("").split(","));
return numArray;

}

// Gibt aus einer Kurve mit Array x und dem dazugehörigen Array y den y Wert zum gesuchten x-Wert, i.d.R. mit linearer Interpolation

function interpolateValueFromArray(x, y, value) {
	var lowerValue = x[0];
	var higherValue = x[0];
	var xlength = x.length;

	if ((value < x[0]) || (value > x[x.length - 1])) return -100;

	for (var i = 0; i < xlength; i++) {
		if (value == x[i]) return y[i];
		else if (value < x[i]) {
			var indexHigh = i;
			var indexLow = i - 1;
			higherValue = x[indexHigh];
			lowerValue = x[indexLow];
			var factor = (value - lowerValue) / (higherValue - lowerValue);
			var result = (factor * (y[indexHigh] - y[indexLow])) + y[indexLow];
			return result;
		}
	}
	return -100;
}

function stringArrayToNumberArray(strArray) {
	var i;
	var numArray = new Array();
	for (i=0; i<strArray.length; i++) {
		numArray.push(strArray[i] * 1);
	}
	return numArray;
}
		
		
function bmiRound(value, factor) {
	var temp, result;
	temp = value * factor;
	temp = Math.round(temp);
	result = temp / factor;
	return result;
}

function setZMarker(param, z, baselineLength) {
	var leftPosition;

	$("#li-" + param + " .zs-result-marker").css("visibility", "visible");

	if (z < -2) {

		$("#li-" + param + " .zs-arrow-right").css("visibility", "hidden");
		$("#li-" + param + " .zs-result-marker").css("left", 0 - ((baselineLength / 9)) + "px");
		$("#li-" + param + " .zs-result-marker").css("width","0px");
		$("#li-" + param + " .zs-arrow-left").css("visibility", "visible");
	}
	else if (z > 2) {
		$("#li-" + param + " .zs-arrow-left").css("visibility", "hidden");
		$("#li-" + param + " .zs-result-marker").css("left", baselineLength + (baselineLength / 9) -1 + "px");
		$("#li-" + param + " .zs-result-marker").css("width","0px");
		$("#li-" + param + " .zs-arrow-right").css("visibility", "visible");
	}
	else {
		leftPosition = (baselineLength / 4) * z + (baselineLength / 2)
		$("#li-" + param + " .zs-arrow-left").css("visibility", "hidden");
		$("#li-" + param + " .zs-arrow-right").css("visibility", "hidden");
		$("#li-" + param + " .zs-result-marker").css("left", leftPosition + "px");
		$("#li-" + param + " .zs-result-marker").css("width","2px");
	}
}

function zeroPad(nr, base) {
	var len = (String(base).length - String(nr).length) + 1;
	return len > 0 ? new Array(len).join('0') + nr : nr;
}

// Setting units to metric or inch-pound
function setUnits() {
var units = getUnitsStorage();
	if (units == null) {
		units = "metric";
	}
	
	setUnitsFlip(units);
	}


	// Hide date picker in desktop browsers 
function setDatePicker() {
var dateInput = getDateInputStorage();
	if (dateInput == null) {
		if ('ontouchstart' in document.documentElement)
			dateInput = 'mobile';
		else 
			dateInput = 'desktop';
	}
	showDateInput(dateInput);
	setDateInputFlip(dateInput);
}

function setUnitsStorage(units) {
	if (checkLocalStorageSupport()) {
		localStorage.setItem("units", units);
	}
}

function setDateInputStorage(inputType) {
	if (checkLocalStorageSupport()) {
		localStorage.setItem("dateinput", inputType);
	}
}

function getDateInputStorage() {
	var inputType;
	// Get latest view status an set toggle switch
	if (checkLocalStorageSupport()) {
		var dateInput = localStorage.getItem("dateinput");
		return dateInput;
	}
	return null;
}

function getUnitsStorage() {
	var units;
	// Get latest view status an set toggle switch
	if (checkLocalStorageSupport()) {
		var units = localStorage.getItem("units");
		return units;
	}
	return null;
}

function dateInputKeyUp(element, pedzFunction) {
	var nextInput;
	
	if (element.attr("maxlength") == element.val().length) {
		var inputs =  element.closest('form').find(':input');
        inputs.eq(inputs.index(element)+ 1).focus();
		
	}
		
	switch(pedzFunction) {
		case "bmi":
		bmi_calc();
		break;
		case "gestation":
		gestation_calc();
		break;
		case "bp":
		bp_calc();
		break;
		case "mmode":
		mmode_calc();
		break;
		case "spiro":
		spiro_calc();
		break;
		case "gfr":
		gfr_calc();
		break;
		case "mriv":
		mriv_calc();
		break;
	}
}

function setCurrentDate(fieldName) {
	var d = new Date();
	$('#' + fieldName + "_d").val(d.getDate());
	$('#' + fieldName + "_m").val(d.getMonth() + 1);
	$('#' + fieldName + "_y").val(d.getFullYear());
}

function showDateInput(dateInput) {
	if (dateInput == 'mobile') {
		// Mobile Version
		$('#dateInputMobile').css('display', 'block');
		$('#dateInputDesktop').css('display', 'none');
	}
	else {
		// Desktop Version
		$('#dateInputMobile').css('display', 'none');
		$('#dateInputDesktop').css('display', 'block');
	}
}

function setDateInputFlip(inputType) {
	$("#dateInput_flip").val(inputType);
}

function setUnitsFlip(units) {
	$("#units_flip").val(units);
}

function convertCmToInch(value) {
	return value * 0.3937;
}

function convertKgToPound(value) {
return value/0.4536;
}

function convertInchToCm(value) {
	return value / 0.3937;
}

function convertPoundToKg(value) {
return value*0.4536;
}

