var REF_WEIZEL = "Weizel et al. 2012";

function setStrings() {
	INFO_WEIZEL = window.lang.convert("Normal values for kidney length and kidney volume");
	INFO_ZSCORE = window.lang.convert("The diagram represents following interval") + ": -2z, 0z, +2z";
}

function kidney_calc() {

	var height = $('#height').val().replace(/,/, ".") * 1;
	var kidneylength = $('#Kidneylength').val().replace(/,/, ".") * 1;		
	var weight = $('#weight').val().replace(/,/, ".") * 1;
	var kidneyvolume = $('#Kidneyvolume').val().replace(/,/, ".") * 1;
 var references = new Array();
	var sds, percentile, bsa;

	// Alte Werte löschen
	// Erase old results
	$("* .zs-arrow-left").css("visibility", "hidden");
	$("* .zs-arrow-right").css("visibility", "hidden");
	$("* .zs-result-marker").css("visibility", "hidden");

	$("div[id$='lln']").html("");
	$("div[id$='uln']").html("");
	$("div[id$='mean']").html("");
	
	// Calculate BSA 
	if ((weight > 0) && (height > 0)) {
		bsa = bsaDuBois(height, weight);
		$('#bsa_result').html(bmiRound(bsa, 100) + " m²");
	}
	else bsa = 0;
	
		// Kidney Z-scores
	obKidneylength = new weizelKidneylength(kidneylength, height);
	$('#infoKidneylength').html(obKidneylength.infoString);
	$('#Kidneylength_lln').html(obKidneylength.getValueFromZ(-2).toFixed(1));
	$('#Kidneylength_mean').html(obKidneylength.getValueFromZ(0).toFixed(1));
	$('#Kidneylength_uln').html(obKidneylength.getValueFromZ(2).toFixed(1));
	references = obKidneylength.showResults(references);
	
	obKidneyvolume = new weizelKidneyvolume(kidneyvolume, weight, height);
	$('#infoKidneyvolume').html(obKidneyvolume.infoString);
	$('#Kidneyvolume_lln').html(obKidneyvolume.getValueFromZ(-2).toFixed(1));
	$('#Kidneyvolume_mean').html(obKidneyvolume.getValueFromZ(0).toFixed(1));
	$('#Kidneyvolume_uln').html(obKidneyvolume.getValueFromZ(2).toFixed(1));
	references = obKidneyvolume.showResults(references);


	// Erasing uln,mean,lln returned with errorcode -100
	$("div[id$='lln']").each(function(index) {
		if ($(this).html() === "-100.0") $(this).html("")
	});
	$("div[id$='uln']").each(function(index) {
		if ($(this).html() === "-100.0") $(this).html("")
	});
	$("div[id$='mean']").each(function(index) {
		if ($(this).html() === "-100.0") $(this).html("")
	});

	$('#outputContent').html(writeRefString(references));	
	
}


function weizelKidneylength(value, height) {
	this.height = height || -1;
	this.value = value || -1;
	this.hidePercentile = true;
	this.refString = REF_WEIZEL;
	this.init();
	this.infoString = this.getInfo([INFO_WEIZEL, INFO_ZSCORE]);
	this.paramName = "Kidneylength";
	this.paramNameLong = "Kidney length";
	this.paramUnit = "mm";
	if (weight && height) this.bsa = bsaDuBois(this.height, this.weight);
	else this.bsa = -1;

	this.getValueFromZ = function(value) {
		if (this.height > 0) {
			this.mean = -11.38 + (8.9 * (Math.log(this.height) / Math.log(10)));
			this.sd = ((-15.21 + (11.45 * (Math.log(this.height) / Math.log(10)))) - this.mean) / 2;
			return (value*this.sd) + this.mean;
			
		} else return -100;
	}
	this.getZFromValue = function(value) {
		if ((this.height > 0) && (value > 0)) {
			this.mean = -11.38 + (8.9 * (Math.log(this.height) / Math.log(10)));
			this.sd = ((-15.21 + (11.45 * (Math.log(this.height) / Math.log(10)))) - this.mean) / 2;
	return (value - this.mean) / this.sd;
		} else return -100;
	}

	this.errorCondition.push((weight <= 0) || (height <= 0))
	this.errorString.push(window.lang.convert("Height is needed"));
	this.errorCondition.push(value <= 0)
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));

}
weizelKidneylength.prototype = new LMSClass();

function weizelKidneyvolume(value, weight, height) {
	this.weight = weight || -1;
	this.height = height || -1;
	this.value = value || -1;
	this.hidePercentile = true;
	this.refString = REF_WEIZEL;
	this.init();
	this.infoString = this.getInfo([INFO_WEIZEL, INFO_ZSCORE]);
	this.paramName = "Kidneyvolume";
	this.paramNameLong = "Kidney volume";
	this.paramUnit = "mm";
	if (weight && height) this.bsa = bsaDuBois(this.height, this.weight);
	else this.bsa = -1;

	this.getValueFromZ = function(value) {
		if (this.height > 0) {
			return ((value*15.57) + 65.835) * this.bsa;			
		} else return -100;
	}
	this.getZFromValue = function(value) {
		if ((this.height > 0) && (value > 0)) {
			return ((value/this.bsa) - 65.835) / 15.57;
		} else return -100;
	}

	this.errorCondition.push((weight <= 0) || (height <= 0))
	this.errorString.push(window.lang.convert("Weight and height are needed"));
	this.errorCondition.push(value <= 0)
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));

}
weizelKidneyvolume.prototype = new LMSClass();

