var INFO_KAMPMANN, INFO_ZSCORE, INFO_AORTA, INFO_PULMO, INFO_VALVES, INFO_FUNCTION;
var REF_KAMPMANN = "Kampmann et al. 2000";
var REF_GAUTIER = "Gautier et al. 2010";
var REF_PETERSSEN = "Peterssen et al. 2008";
var REF_ZILBERMAN = "Zilberman et al. 2008";
var REF_DALLAIRE = "Dallaire et al. 2011";
var REF_DALLAIRE2 = "Dallaire et al. 2016";
var REF_KOESTENBERGER_MAPSE = "Koestenberger et al. 2012";
var REF_KOESTENBERGER_MAPSV = "Koestenberger et al. 2014";
var REF_KOESTENBERGER_TAPSE = "Koestenberger et al. 2009";
var REF_KOESTENBERGER_TAPSV = "Koestenberger et al. 2011";
var INFO_KOESTENBERGER_MAPSE = '<a href="http://www.ncbi.nlm.nih.gov/pubmed/22795292" target=_blank>Koestenberger et al. 2012</a>';
var INFO_KOESTENBERGER_TAPSE = '<a href="http://www.ncbi.nlm.nih.gov/pubmed/19423286" target=_blank>Koestenberger et al. 2009</a>';
var INFO_KOESTENBERGER_MAPSV = '<a href="http://www.ncbi.nlm.nih.gov/pubmed/25271547" target=_blank>Koestenberger et al. 2014</a>';
var INFO_KOESTENBERGER_TAPSV = '<a href="http://www.ncbi.nlm.nih.gov/pubmed/21944674" target=_blank>Koestenberger et al. 2011</a>';
var INFO_GAUTIER = '<a href="http://www.ncbi.nlm.nih.gov/pubmed/20211339" target=_blank>Gautier et al. 2010</a>';
var INFO_PETERSSEN = '<a href="http://www.ncbi.nlm.nih.gov/pubmed/18406572" target=_blank>Peterssen et al. 2008</a>';
var INFO_ZILBERMAN = '<a href="http://www.ncbi.nlm.nih.gov/pubmed/16374684" target=_blank>Zilberman et al. 2008</a>';
var INFO_DALLAIRE = '<a href="http://www.ncbi.nlm.nih.gov/pubmed/21074965" target=_blank>Dallaire et al. 2011</a>';
var INFO_DALLAIRE2 = '<a href="https://www.ncbi.nlm.nih.gov/pubmed/27185223" target=_blank>Dallaire et al. 2016</a>';
var ABBREV_KAMPMANN = "RVAWd: Right ventricular anterior wall diastolic; RVDD: Right ventricular diameter diastolic; IVSd: Interventricular septum diastolic; IVSs: Interventricular septum systolic; LVEDD: Left ventricular enddiastolic diameter; LVESD: Left ventricular endsystolic diameter; LVPWd: Left ventricular posterior wall diastolic; LVPWs: Left ventricular posterior wall systolic";
var ABBREV_KOESTENBERGER = "TAPSE: Tricuspidal anulus peak systolic excursion; MAPSE: Mitral anulus peak systolic excursion; TAPSV: Tricuspidal anulus peak systolic velocity; MAPSV: Mitral anulus peak systolic velocity";

function setStrings() {
	INFO_KAMPMANN = window.lang.convert("Cardiac M-Mode measurements in PLAX");
	INFO_ZSCORE = window.lang.convert("The diagram represents following interval") + ": -2z, 0z, +2z";
	INFO_AORTA = window.lang.convert("Maximal diameters of the aortic arch (between innominate and left carotid arteries), isthmus (immediately beyond left subclavian artery), distal aortic arch (beyond aortic isthmus), and descending aorta (at the level of diaphragm)");
	INFO_PULMO = window.lang.convert("Pulmonary z-scores according to");
	INFO_CORO = window.lang.convert("Coronary z-scores according to");
		INFO_LVSTRAIN = window.lang.convert("LV strain z-scores according to");
	INFO_FUNCTION = window.lang.convert("Z-scores for LV and RV function parameters according to");
	INFO_VALVES = window.lang.convert("Valve z-scores according to");
}

function mmode_calc() {
	var height = $('#height').val().replace(',', ".") * 1;
	var weight = $('#weight').val().replace(',', ".") * 1;
	var rvawd = $('#Rvawd').val().replace(/,/, ".") * 1;
	var rvdd = $('#Rvdd').val().replace(/,/, ".") * 1;
	var ivsd = $('#Ivsd').val().replace(/,/, ".") * 1;
	var ivss = $('#Ivss').val().replace(/,/, ".") * 1;
	var lvedd = $('#Lvedd').val().replace(/,/, ".") * 1;
	var lvesd = $('#Lvesd').val().replace(/,/, ".") * 1;
	var lvpwd = $('#Lvpwd').val().replace(/,/, ".") * 1;
	var lvpws = $('#Lvpws').val().replace(/,/, ".") * 1;
	var anulus = $('#Anulus').val().replace(/,/, ".") * 1;
	var sov = $('#Sov').val().replace(/,/, ".") * 1;
	var stj = $('#Stj').val().replace(/,/, ".") * 1;
	var aao = $('#Aao').val().replace(/,/, ".") * 1;
	var taa = $('#Taa').val().replace(/,/, ".") * 1;
	var isthmus = $('#Isthmus').val().replace(/,/, ".") * 1;
	var distarch = $('#Distarch').val().replace(/,/, ".") * 1;
	var dao = $('#Dao').val().replace(/,/, ".") * 1;
	var mpa = $('#Mpa').val().replace(/,/, ".") * 1;
	var rpa = $('#Rpa').val().replace(/,/, ".") * 1;
	var lpa = $('#Lpa').val().replace(/,/, ".") * 1;
	var mv = $('#Mv').val().replace(/,/, ".") * 1;
	var tv = $('#Tv').val().replace(/,/, ".") * 1;
	var aov = $('#Aov').val().replace(/,/, ".") * 1;
	var pv = $('#Pv').val().replace(/,/, ".") * 1;
	var lmca = $('#Lmca').val().replace(/,/, ".") * 1;
	var lad = $('#Lad').val().replace(/,/, ".") * 1;
	var cx = $('#Cx').val().replace(/,/, ".") * 1;
	var rcaprox = $('#Rcaprox').val().replace(/,/, ".") * 1;
	var rcamed = $('#Rcamed').val().replace(/,/, ".") * 1;
	var rcadist = $('#Rcadist').val().replace(/,/, ".") * 1;
	var mapse = $('#Mapse').val().replace(/,/, ".") * 1;
	var tapse = $('#Tapse').val().replace(/,/, ".") * 1;
	var mapsv = $('#Mapsv').val().replace(/,/, ".") * 1;
	var tapsv = $('#Tapsv').val().replace(/,/, ".") * 1;
	var basalcs = $('#Basalcs').val().replace(/,/, ".") * 1;
	var midcs = $('#Midcs').val().replace(/,/, ".") * 1;
	var apicalcs = $('#Apicalcs').val().replace(/,/, ".") * 1;
	var meanls = $('#Meanls').val().replace(/,/, ".") * 1;

	var z, div, result_string, dateBirth, dateCurrent, sds, bsa, ageMonths, birthday, currentdate, date_birthday, date_curentdate, age_years, ageMonths_modulo, outputString, male, references, ref, fs, refCount, i, date_currentdate;
	var obRvawd, obRvdd, obIvsd, obIvss, obLvedd, obLvesd, obLvpwd, obLvpws;
	if ($("input[name='radio']:checked").val() == "male") male = true;
	else male = false;

	// Erase old results
	$("* .zs-arrow-left").css("visibility", "hidden");
	$("* .zs-arrow-right").css("visibility", "hidden");
	$("* .zs-result-marker").css("visibility", "hidden");

	$("div[id$='lln']").html("");
	$("div[id$='uln']").html("");
	$("div[id$='mean']").html("");

	// Erase FS field
	$('#mmode_FS').val("");

	references = new Array();

	// Different date inputs for touch screen and desktops
	if ($('#dateInputMobile').css('display') === 'block') {
		birthday = $('#birthday').val();
		currentdate = $('#currentdate').val();
		// Formatting the date
		if ((birthday != "") && (currentdate != "")) {
			date_birthday = getDateFromDateString(birthday);
			date_currentdate = getDateFromDateString(currentdate);
		}
		else ageMonths = -1;
	}
	else {
		if ($('#birth_d').val() && $('#birth_m').val() && $('#birth_y').val() && $('#current_d').val() && $('#current_m').val() && $('#current_y').val()) {
			date_birthday = new Date($('#birth_y').val(), $('#birth_m').val() - 1, $('#birth_d').val());
			date_currentdate = new Date($('#current_y').val(), $('#current_m').val() - 1, $('#current_d').val());
		}
		else ageMonths = -1;
	}
	if (ageMonths != -1) {
		ageMonths = (date_currentdate.getTime() - date_birthday.getTime()) / MSEC_PER_MONTH;
		// Show the calculated age in y + m/12
		age_years = Math.floor(ageMonths / 12);
		ageMonths_modulo = Math.floor(ageMonths % 12);
		$("#calculatedAgeYears").html(age_years);
		$("#calculatedAgeMonthsUpper").html(ageMonths_modulo);
		$("#headerResult").css("display", "block");
	}
	else $("#headerResult").css("display", "none");

	// Calculate BSA 
	if ((weight > 0) && (height > 0)) {
		bsa = bsaDuBois(height, weight);
		$('#bsa_result').html(bmiRound(bsa, 100) + " m²");
	}
	else bsa = 0;

	// M-Mode Z-scores
	obRvawd = new kampmannRvawd(rvawd, weight, height);
	$('#infoRvawd').html(obRvawd.infoString);
	$('#Rvawd_lln').html(obRvawd.getValueFromZ(-2).toFixed(1));
	$('#Rvawd_mean').html(obRvawd.getValueFromZ(0).toFixed(1));
	$('#Rvawd_uln').html(obRvawd.getValueFromZ(2).toFixed(1));
	references = obRvawd.showResults(references);

	obRvdd = new kampmannRvdd(rvdd, weight, height);
	$('#infoRvdd').html(obRvdd.infoString);
	$('#Rvdd_lln').html(obRvdd.getValueFromZ(-2).toFixed(1));
	$('#Rvdd_mean').html(obRvdd.getValueFromZ(0).toFixed(1));
	$('#Rvdd_uln').html(obRvdd.getValueFromZ(2).toFixed(1));
	references = obRvdd.showResults(references);

	obIvsd = new kampmannIvsd(ivsd, weight, height);
	$('#infoIvsd').html(obIvsd.infoString);
	$('#Ivsd_lln').html(obIvsd.getValueFromZ(-2).toFixed(1));
	$('#Ivsd_mean').html(obIvsd.getValueFromZ(0).toFixed(1));
	$('#Ivsd_uln').html(obIvsd.getValueFromZ(2).toFixed(1));
	references = obIvsd.showResults(references);

	obIvss = new kampmannIvss(ivss, weight, height);
	$('#infoIvss').html(obIvss.infoString);
	$('#Ivss_lln').html(obIvss.getValueFromZ(-2).toFixed(1));
	$('#Ivss_mean').html(obIvss.getValueFromZ(0).toFixed(1));
	$('#Ivss_uln').html(obIvss.getValueFromZ(2).toFixed(1));
	references = obIvss.showResults(references);

	obLvedd = new kampmannLvedd(lvedd, weight, height);
	$('#infoLvedd').html(obLvedd.infoString);
	$('#Lvedd_lln').html(obLvedd.getValueFromZ(-2).toFixed(1));
	$('#Lvedd_mean').html(obLvedd.getValueFromZ(0).toFixed(1));
	$('#Lvedd_uln').html(obLvedd.getValueFromZ(2).toFixed(1));
	references = obLvedd.showResults(references);

	obLvesd = new kampmannLvesd(lvesd, weight, height);
	$('#infoLvesd').html(obLvesd.infoString);
	$('#Lvesd_lln').html(obLvesd.getValueFromZ(-2).toFixed(1));
	$('#Lvesd_mean').html(obLvesd.getValueFromZ(0).toFixed(1));
	$('#Lvesd_uln').html(obLvesd.getValueFromZ(2).toFixed(1));
	references = obLvesd.showResults(references);

	obLvpwd = new kampmannLvpwd(lvpwd, weight, height);
	$('#infoLvpwd').html(obLvpwd.infoString);
	$('#Lvpwd_lln').html(obLvpwd.getValueFromZ(-2).toFixed(1));
	$('#Lvpwd_mean').html(obLvpwd.getValueFromZ(0).toFixed(1));
	$('#Lvpwd_uln').html(obLvpwd.getValueFromZ(2).toFixed(1));
	references = obLvpwd.showResults(references);

	obLvpws = new kampmannLvpws(lvpws, weight, height);
	$('#infoLvpws').html(obLvpws.infoString);
	$('#Lvpws_lln').html(obLvpws.getValueFromZ(-2).toFixed(1));
	$('#Lvpws_mean').html(obLvpws.getValueFromZ(0).toFixed(1));
	$('#Lvpws_uln').html(obLvpws.getValueFromZ(2).toFixed(1));
	references = obLvpws.showResults(references);

	// Aortic z-scores
	obAnulus = new gautierAnulus(anulus, weight, height, male);
	$('#infoAnulus').html(obAnulus.infoString);
	$('#Anulus_lln').html(obAnulus.getValueFromZ(-2).toFixed(1));
	$('#Anulus_mean').html(obAnulus.getValueFromZ(0).toFixed(1));
	$('#Anulus_uln').html(obAnulus.getValueFromZ(2).toFixed(1));
	references = obAnulus.showResults(references);

	obSov = new gautierSov(sov, weight, height, male);
	$('#infoSov').html(obSov.infoString);
	$('#Sov_lln').html(obSov.getValueFromZ(-2).toFixed(1));
	$('#Sov_mean').html(obSov.getValueFromZ(0).toFixed(1));
	$('#Sov_uln').html(obSov.getValueFromZ(2).toFixed(1));
	references = obSov.showResults(references);

	obStj = new gautierStj(stj, weight, height, male);
	$('#infoStj').html(obStj.infoString);
	$('#Stj_lln').html(obStj.getValueFromZ(-2).toFixed(1));
	$('#Stj_mean').html(obStj.getValueFromZ(0).toFixed(1));
	$('#Stj_uln').html(obStj.getValueFromZ(2).toFixed(1));
	references = obStj.showResults(references);

	obAao = new gautierAao(aao, weight, height, male);
	$('#infoAao').html(obAao.infoString);
	$('#Aao_lln').html(obAao.getValueFromZ(-2).toFixed(1));
	$('#Aao_mean').html(obAao.getValueFromZ(0).toFixed(1));
	$('#Aao_uln').html(obAao.getValueFromZ(2).toFixed(1));
	references = obAao.showResults(references);

	obTaa = new peterssenTaa(taa, weight, height);
	$('#infoTaa').html(obTaa.infoString);
	$('#Taa_lln').html(obTaa.getValueFromZ(-2).toFixed(1));
	$('#Taa_mean').html(obTaa.getValueFromZ(0).toFixed(1));
	$('#Taa_uln').html(obTaa.getValueFromZ(2).toFixed(1));
	references = obTaa.showResults(references);

	obIsthmus = new peterssenIsthmus(isthmus, weight, height);
	$('#infoIsthmus').html(obIsthmus.infoString);
	$('#Isthmus_lln').html(obIsthmus.getValueFromZ(-2).toFixed(1));
	$('#Isthmus_mean').html(obIsthmus.getValueFromZ(0).toFixed(1));
	$('#Isthmus_uln').html(obIsthmus.getValueFromZ(2).toFixed(1));
	references = obIsthmus.showResults(references);

	obDistarch = new peterssenDistarch(distarch, weight, height);
	$('#infoDistarch').html(obDistarch.infoString);
	$('#Distarch_lln').html(obDistarch.getValueFromZ(-2).toFixed(1));
	$('#Distarch_mean').html(obDistarch.getValueFromZ(0).toFixed(1));
	$('#Distarch_uln').html(obDistarch.getValueFromZ(2).toFixed(1));
	references = obDistarch.showResults(references);

	obDao = new peterssenDao(dao, weight, height);
	$('#infoDao').html(obDao.infoString);
	$('#Dao_lln').html(obDao.getValueFromZ(-2).toFixed(1));
	$('#Dao_mean').html(obDao.getValueFromZ(0).toFixed(1));
	$('#Dao_uln').html(obDao.getValueFromZ(2).toFixed(1));
	references = obDao.showResults(references);

	// Pulmonary z-scores
	obMpa = new peterssenMpa(mpa, weight, height);
	$('#infoMpa').html(obMpa.infoString);
	$('#Mpa_lln').html(obMpa.getValueFromZ(-2).toFixed(1));
	$('#Mpa_mean').html(obMpa.getValueFromZ(0).toFixed(1));
	$('#Mpa_uln').html(obMpa.getValueFromZ(2).toFixed(1));
	references = obMpa.showResults(references);

	obLpa = new peterssenLpa(lpa, weight, height);
	$('#infoLpa').html(obLpa.infoString);
	$('#Lpa_lln').html(obLpa.getValueFromZ(-2).toFixed(1));
	$('#Lpa_mean').html(obLpa.getValueFromZ(0).toFixed(1));
	$('#Lpa_uln').html(obLpa.getValueFromZ(2).toFixed(1));
	references = obLpa.showResults(references);

	obRpa = new peterssenRpa(rpa, weight, height);
	$('#infoRpa').html(obRpa.infoString);
	$('#Rpa_lln').html(obRpa.getValueFromZ(-2).toFixed(1));
	$('#Rpa_mean').html(obRpa.getValueFromZ(0).toFixed(1));
	$('#Rpa_uln').html(obRpa.getValueFromZ(2).toFixed(1));
	references = obRpa.showResults(references);

	obPv = new zilbermanPv(pv, weight, height);
	$('#infoPv').html(obPv.infoString);
	$('#Pv_lln').html(obPv.getValueFromZ(-2).toFixed(1));
	$('#Pv_mean').html(obPv.getValueFromZ(0).toFixed(1));
	$('#Pv_uln').html(obPv.getValueFromZ(2).toFixed(1));
	references = obPv.showResults(references);

	obAov = new zilbermanAov(aov, weight, height);
	$('#infoAov').html(obAov.infoString);
	$('#Aov_lln').html(obAov.getValueFromZ(-2).toFixed(1));
	$('#Aov_mean').html(obAov.getValueFromZ(0).toFixed(1));
	$('#Aov_uln').html(obAov.getValueFromZ(2).toFixed(1));
	references = obAov.showResults(references);

	obTv = new zilbermanTv(tv, weight, height);
	$('#infoTv').html(obTv.infoString);
	$('#Tv_lln').html(obTv.getValueFromZ(-2).toFixed(1));
	$('#Tv_mean').html(obTv.getValueFromZ(0).toFixed(1));
	$('#Tv_uln').html(obTv.getValueFromZ(2).toFixed(1));
	references = obTv.showResults(references);

	obMv = new zilbermanMv(mv, weight, height);
	$('#infoMv').html(obMv.infoString);
	$('#Mv_lln').html(obMv.getValueFromZ(-2).toFixed(1));
	$('#Mv_mean').html(obMv.getValueFromZ(0).toFixed(1));
	$('#Mv_uln').html(obMv.getValueFromZ(2).toFixed(1));
	references = obMv.showResults(references);

	obLmca = new dallaireLmca(lmca, weight, height);
	$('#infoLmca').html(obLmca.infoString);
	$('#Lmca_lln').html(obLmca.getValueFromZ(-2).toFixed(1));
	$('#Lmca_mean').html(obLmca.getValueFromZ(0).toFixed(1));
	$('#Lmca_uln').html(obLmca.getValueFromZ(2).toFixed(1));
	references = obLmca.showResults(references);

	obCx = new dallaireCx(cx, weight, height);
	$('#infoCx').html(obCx.infoString);
	$('#Cx_lln').html(obCx.getValueFromZ(-2).toFixed(1));
	$('#Cx_mean').html(obCx.getValueFromZ(0).toFixed(1));
	$('#Cx_uln').html(obCx.getValueFromZ(2).toFixed(1));
	references = obCx.showResults(references);

	obLad = new dallaireLad(lad, weight, height);
	$('#infoLad').html(obLad.infoString);
	$('#Lad_lln').html(obLad.getValueFromZ(-2).toFixed(1));
	$('#Lad_mean').html(obLad.getValueFromZ(0).toFixed(1));
	$('#Lad_uln').html(obLad.getValueFromZ(2).toFixed(1));
	references = obLad.showResults(references);

	obRcaprox = new dallaireRcaprox(rcaprox, weight, height);
	$('#infoRcaprox').html(obRcaprox.infoString);
	$('#Rcaprox_lln').html(obRcaprox.getValueFromZ(-2).toFixed(1));
	$('#Rcaprox_mean').html(obRcaprox.getValueFromZ(0).toFixed(1));
	$('#Rcaprox_uln').html(obRcaprox.getValueFromZ(2).toFixed(1));
	references = obRcaprox.showResults(references);

	obRcamed = new dallaireRcamed(rcamed, weight, height);
	$('#infoRcamed').html(obRcamed.infoString);
	$('#Rcamed_lln').html(obRcamed.getValueFromZ(-2).toFixed(1));
	$('#Rcamed_mean').html(obRcamed.getValueFromZ(0).toFixed(1));
	$('#Rcamed_uln').html(obRcamed.getValueFromZ(2).toFixed(1));
	references = obRcamed.showResults(references);

	obRcadist = new dallaireRcadist(rcadist, weight, height);
	$('#infoRcadist').html(obRcadist.infoString);
	$('#Rcadist_lln').html(obRcadist.getValueFromZ(-2).toFixed(1));
	$('#Rcadist_mean').html(obRcadist.getValueFromZ(0).toFixed(1));
	$('#Rcadist_uln').html(obRcadist.getValueFromZ(2).toFixed(1));
	references = obRcadist.showResults(references);

	obTapse = new koestenbergerTapse(tapse, ageMonths);
	$('#infoTapse').html(obTapse.infoString);
	$('#Tapse_lln').html(obTapse.getValueFromZ(-2).toFixed(1));
	$('#Tapse_mean').html(obTapse.getValueFromZ(0).toFixed(1));
	$('#Tapse_uln').html(obTapse.getValueFromZ(2).toFixed(1));
	references = obTapse.showResults(references);

	obMapse = new koestenbergerMapse(mapse, ageMonths);
	$('#infoMapse').html(obMapse.infoString);
	$('#Mapse_lln').html(obMapse.getValueFromZ(-2).toFixed(1));
	$('#Mapse_mean').html(obMapse.getValueFromZ(0).toFixed(1));
	$('#Mapse_uln').html(obMapse.getValueFromZ(2).toFixed(1));
	references = obMapse.showResults(references);

	obTapsv = new koestenbergerTapsv(tapsv, ageMonths);
	$('#infoTapsv').html(obTapsv.infoString);
	$('#Tapsv_lln').html(obTapsv.getValueFromZ(-2).toFixed(1));
	$('#Tapsv_mean').html(obTapsv.getValueFromZ(0).toFixed(1));
	$('#Tapsv_uln').html(obTapsv.getValueFromZ(2).toFixed(1));
	references = obTapsv.showResults(references);

	obMapsv = new koestenbergerMapsv(mapsv, weight, height);
	$('#infoMapsv').html(obMapsv.infoString);
	$('#Mapsv_lln').html(obMapsv.getValueFromZ(-2).toFixed(1));
	$('#Mapsv_mean').html(obMapsv.getValueFromZ(0).toFixed(1));
	$('#Mapsv_uln').html(obMapsv.getValueFromZ(2).toFixed(1));
	references = obMapsv.showResults(references);
	
	obBasalcs = new dallaireBasalcs(basalcs, weight, height);
	$('#infoBasalcs').html(obBasalcs.infoString);
	$('#Basalcs_lln').html(obBasalcs.getValueFromZ(-2).toFixed(1));
	$('#Basalcs_mean').html(obBasalcs.getValueFromZ(0).toFixed(1));
	$('#Basalcs_uln').html(obBasalcs.getValueFromZ(2).toFixed(1));
	references = obBasalcs.showResults(references);

	obMidcs = new dallaireMidcs(midcs, weight, height);
	$('#infoMidcs').html(obMidcs.infoString);
	$('#Midcs_lln').html(obMidcs.getValueFromZ(-2).toFixed(1));
	$('#Midcs_mean').html(obMidcs.getValueFromZ(0).toFixed(1));
	$('#Midcs_uln').html(obMidcs.getValueFromZ(2).toFixed(1));
	references = obMidcs.showResults(references);
	
	obApicalcs = new dallaireApicalcs(apicalcs, weight, height);
	$('#infoApicalcs').html(obApicalcs.infoString);
	$('#Apicalcs_lln').html(obApicalcs.getValueFromZ(-2).toFixed(1));
	$('#Apicalcs_mean').html(obApicalcs.getValueFromZ(0).toFixed(1));
	$('#Apicalcs_uln').html(obApicalcs.getValueFromZ(2).toFixed(1));
	references = obApicalcs.showResults(references);
	
	obMeanls = new dallaireMeanls(meanls, weight, height);
	$('#infoMeanls').html(obMeanls.infoString);
	$('#Meanls_lln').html(obMeanls.getValueFromZ(-2).toFixed(1));
	$('#Meanls_mean').html(obMeanls.getValueFromZ(0).toFixed(1));
	$('#Meanls_uln').html(obMeanls.getValueFromZ(2).toFixed(1));
	references = obMeanls.showResults(references);

	// Erasing uln,mean,lln returned with errorcode -100
	$("div[id$='lln']").each(function(index) {
		if ($(this).html() === "-100.0") $(this).html("")
	});
	$("div[id$='uln']").each(function(index) {
		if ($(this).html() === "-100.0") $(this).html("")
	});
	$("div[id$='mean']").each(function(index) {
		if ($(this).html() === "-100.0") $(this).html("")
	});

	$('#outputContent').html(writeRefString(references));

}

function gautierAnulus(value, weight, height, male) {
	this.weight = weight || -1;
	this.height = height || -1;
	this.value = value || -1;
	this.hidePercentile = true;
	this.male = male;
	this.refString = REF_GAUTIER;
	this.init();
	this.infoString = this.getInfo([INFO_AORTA + INFO_GAUTIER, INFO_ZSCORE]);
	this.paramName = "Anulus";
	this.paramNameLong = "Anulus";
	this.paramUnit = "mm";
	if (weight && height) this.bsa = bsaDuBois(this.height, this.weight);
	else this.bsa = -1;

	this.getValueFromZ = function(value) {
		if (this.bsa > 0) {
			if (this.male) return Math.pow(Math.E, 0.1 * value + 2.78 + (0.47 * Math.log(this.bsa)));
			else return Math.pow(Math.E, 0.1 * value + 2.75 + (0.44 * Math.log(this.bsa)));
		} else return -100;
	}
	this.getZFromValue = function(value) {
		if ((this.bsa > 0) && (value > 0)) {
			if (this.male) return (Math.log(value) - 2.78 - (0.47 * Math.log(this.bsa))) / 0.1;
			else return (Math.log(value) - 2.75 - (0.44 * Math.log(this.bsa))) / 0.1;
		} else return -100;
	}

	this.errorCondition.push((weight <= 0) || (height <= 0))
	this.errorString.push(window.lang.convert("Weight and height are needed"));
	this.errorCondition.push(value <= 0)
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));

}
gautierAnulus.prototype = new LMSClass();

function gautierSov(value, weight, height, male) {
	this.weight = weight || -1;
	this.height = height || -1;
	this.value = value || -1;
	this.hidePercentile = true;
	this.male = male;
	this.refString = REF_GAUTIER;
	this.init();
	this.infoString = this.getInfo([INFO_AORTA + INFO_GAUTIER, INFO_ZSCORE]);
	this.paramName = "Sov";
	this.paramNameLong = "SoV";
	this.paramUnit = "mm";
	if (weight && height) this.bsa = bsaDuBois(this.height, this.weight);
	else this.bsa = -1;

	this.getValueFromZ = function(value) {
		if (this.bsa > 0) {
			if (this.male) return Math.pow(Math.E, 0.1 * value + 3.1 + (0.49 * Math.log(this.bsa)));
			else return Math.pow(Math.E, 0.09 * value + 3.1 + (0.44 * Math.log(this.bsa)));
		} else return -100;
	}
	this.getZFromValue = function(value) {
		if ((this.bsa > 0) && (value > 0)) {
			if (this.male) return (Math.log(value) - 3.1 - (0.49 * Math.log(this.bsa))) / 0.1;
			else return (Math.log(value) - 3.1 - (0.44 * Math.log(this.bsa))) / 0.09;
		} else return -100;
	}
	this.errorCondition.push((weight <= 0) || (height <= 0))
	this.errorString.push(window.lang.convert("Weight and height are needed"));
	this.errorCondition.push(value <= 0)
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));

}
gautierSov.prototype = new LMSClass();

function gautierStj(value, weight, height, male) {
	this.weight = weight || -1;
	this.height = height || -1;
	this.value = value || -1;
	this.hidePercentile = true;
	this.male = male;
	this.refString = REF_GAUTIER;
	this.init();
	this.infoString = this.getInfo([INFO_AORTA + INFO_GAUTIER, INFO_ZSCORE]);
	this.paramName = "Stj";
	this.paramNameLong = "STJ";
	this.paramUnit = "mm";
	if (weight && height) this.bsa = bsaDuBois(this.height, this.weight);
	else this.bsa = -1;

	this.getValueFromZ = function(value) {
		if (this.bsa > 0) {
			if (this.male) return Math.pow(Math.E, 0.1 * value + 2.9 + (0.47 * Math.log(this.bsa)));
			else return Math.pow(Math.E, 0.09 * value + 2.9 + (0.42 * Math.log(this.bsa)));
		} else return -100;
	}
	this.getZFromValue = function(value) {
		if ((this.bsa > 0) && (value > 0)) {
			if (this.male) return (Math.log(value) - 2.9 - (0.47 * Math.log(this.bsa))) / 0.1;
			else return (Math.log(value) - 2.9 - (0.42 * Math.log(this.bsa))) / 0.09;
		} else return -100;
	}
	this.errorCondition.push((weight <= 0) || (height <= 0))
	this.errorString.push(window.lang.convert("Weight and height are needed"));
	this.errorCondition.push(value <= 0)
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));

}
gautierStj.prototype = new LMSClass();

function gautierAao(value, weight, height, male) {
	this.weight = weight || -1;
	this.height = height || -1;
	this.value = value || -1;
	this.hidePercentile = true;
	this.male = male;
	this.refString = REF_GAUTIER;
	this.init();
	this.infoString = this.getInfo([INFO_AORTA + INFO_GAUTIER, INFO_ZSCORE]);
	this.paramName = "Aao";
	this.paramNameLong = "AAo";
	this.paramUnit = "mm";
	if (weight && height) this.bsa = bsaDuBois(this.height, this.weight);
	else this.bsa = -1;

	this.getValueFromZ = function(value) {
		if (this.bsa > 0) {
			if (this.male) return Math.pow(Math.E, 0.11 * value + 2.9 + (0.46 * Math.log(this.bsa)));
			else return Math.pow(Math.E, 0.1 * value + 2.9 + (0.46 * Math.log(this.bsa)));
		} else return -100;
	}
	this.getZFromValue = function(value) {
		if ((this.bsa > 0) && (value > 0)) {
			if (this.male) return (Math.log(value) - 2.9 - (0.46 * Math.log(this.bsa))) / 0.11;
			else return (Math.log(value) - 2.9 - (0.46 * Math.log(this.bsa))) / 0.1;
		} else return -100;
	}
	this.errorCondition.push((weight <= 0) || (height <= 0))
	this.errorString.push(window.lang.convert("Weight and height are needed"));
	this.errorCondition.push(value <= 0)
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));

}
gautierAao.prototype = new LMSClass();


function peterssenTaa(value, weight, height) {
	this.weight = weight || -1;
	this.height = height || -1;
	this.value = value || -1;
	this.hidePercentile = true;
	this.refString = REF_PETERSSEN;
	this.init();
	this.infoString = this.getInfo([INFO_AORTA + INFO_PETERSSEN, INFO_ZSCORE]);
	this.paramName = "Taa";
	this.paramNameLong = "Transv. arch";
	this.paramUnit = "mm";
	if (weight && height) this.bsa = bsaDuBois(this.height, this.weight);
	else this.bsa = -1;

	this.coefficients = new Array(-0.790, 3.020, -2.484, 0.712, 0.023, 0.865);

	this.errorCondition.push((weight <= 0) || (height <= 0))
	this.errorString.push(window.lang.convert("Weight and height are needed"));
	this.errorCondition.push(value <= 0)
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
}
peterssenTaa.prototype = new MeanSDCoefficientClass();

function peterssenIsthmus(value, weight, height) {
	this.weight = weight || -1;
	this.height = height || -1;
	this.value = value || -1;
	this.hidePercentile = true;
	this.refString = REF_PETERSSEN;
	this.init();
	this.infoString = this.getInfo([INFO_AORTA + INFO_PETERSSEN, INFO_ZSCORE]);
	this.paramName = "Isthmus";
	this.paramNameLong = "Isthmus";
	this.paramUnit = "mm";
	if (weight && height) this.bsa = bsaDuBois(this.height, this.weight);
	else this.bsa = -1;

	this.coefficients = new Array(-1.072, 2.539, -1.627, 0.368, 0.027, 0.825);

	this.errorCondition.push((weight <= 0) || (height <= 0))
	this.errorString.push(window.lang.convert("Weight and height are needed"));
	this.errorCondition.push(value <= 0)
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
}
peterssenIsthmus.prototype = new MeanSDCoefficientClass();

function peterssenDistarch(value, weight, height) {
	this.weight = weight || -1;
	this.height = height || -1;
	this.value = value || -1;
	this.hidePercentile = true;
	this.refString = REF_PETERSSEN;
	this.init();
	this.infoString = this.getInfo([INFO_AORTA + INFO_PETERSSEN, INFO_ZSCORE]);
	this.paramName = "Distarch";
	this.paramNameLong = "Distal arch";
	this.paramUnit = "mm";
	if (weight && height) this.bsa = bsaDuBois(this.height, this.weight);
	else this.bsa = -1;

	this.coefficients = new Array(-0.976, 2.469, -1.746, 0.445, 0.026, 0.792);

	this.errorCondition.push((weight <= 0) || (height <= 0))
	this.errorString.push(window.lang.convert("Weight and height are needed"));
	this.errorCondition.push(value <= 0)
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
}
peterssenDistarch.prototype = new MeanSDCoefficientClass();

function peterssenDao(value, weight, height) {
	this.weight = weight || -1;
	this.height = height || -1;
	this.value = value || -1;
	this.hidePercentile = true;
	this.refString = REF_PETERSSEN;
	this.init();
	this.infoString = this.getInfo([INFO_AORTA + INFO_PETERSSEN, INFO_ZSCORE]);
	this.paramName = "Dao";
	this.paramNameLong = "DAo";
	this.paramUnit = "mm";
	if (weight && height) this.bsa = bsaDuBois(this.height, this.weight);
	else this.bsa = -1;

	this.coefficients = new Array(-0.922, 2.100, -1.411, 0.371, 0.018, 0.842);

	this.errorCondition.push((weight <= 0) || (height <= 0))
	this.errorString.push(window.lang.convert("Weight and height are needed"));
	this.errorCondition.push(value <= 0)
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
}
peterssenDao.prototype = new MeanSDCoefficientClass();

function peterssenMpa(value, weight, height) {
	this.weight = weight || -1;
	this.height = height || -1;
	this.value = value || -1;
	this.hidePercentile = true;
	this.refString = REF_PETERSSEN;
	this.init();
	this.infoString = this.getInfo([INFO_PULMO + INFO_PETERSSEN, INFO_ZSCORE]);
	this.paramName = "Mpa";
	this.paramNameLong = "MPA";
	this.paramUnit = "mm";
	if (weight && height) this.bsa = bsaDuBois(this.height, this.weight);
	else this.bsa = -1;

	this.coefficients = new Array(-0.707, 2.746, -1.807, 0.424, 0.024, 0.857);

	this.errorCondition.push((weight <= 0) || (height <= 0))
	this.errorString.push(window.lang.convert("Weight and height are needed"));
	this.errorCondition.push(value <= 0)
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
}
peterssenMpa.prototype = new MeanSDCoefficientClass();

function peterssenLpa(value, weight, height) {
	this.weight = weight || -1;
	this.height = height || -1;
	this.value = value || -1;
	this.hidePercentile = true;
	this.refString = REF_PETERSSEN;
	this.init();
	this.infoString = this.getInfo([INFO_PULMO + INFO_PETERSSEN, INFO_ZSCORE]);
	this.paramName = "Lpa";
	this.paramNameLong = "LPA";
	this.paramUnit = "mm";
	if (weight && height) this.bsa = bsaDuBois(this.height, this.weight);
	else this.bsa = -1;

	this.coefficients = new Array(-1.348, 2.884, -1.954, 0.466, 0.028, 0.842);

	this.errorCondition.push((weight <= 0) || (height <= 0))
	this.errorString.push(window.lang.convert("Weight and height are needed"));
	this.errorCondition.push(value <= 0)
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
}
peterssenLpa.prototype = new MeanSDCoefficientClass();

function peterssenRpa(value, weight, height) {
	this.weight = weight || -1;
	this.height = height || -1;
	this.value = value || -1;
	this.hidePercentile = true;
	this.refString = REF_PETERSSEN;
	this.init();
	this.infoString = this.getInfo([INFO_PULMO + INFO_PETERSSEN, INFO_ZSCORE]);
	this.paramName = "Rpa";
	this.paramNameLong = "RPA";
	this.paramUnit = "mm";
	if (weight && height) this.bsa = bsaDuBois(this.height, this.weight);
	else this.bsa = -1;

	this.coefficients = new Array(-1.360, 3.394, -2.508, 0.660, 0.027, 0.873);

	this.errorCondition.push((weight <= 0) || (height <= 0))
	this.errorString.push(window.lang.convert("Weight and height are needed"));
	this.errorCondition.push(value <= 0)
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
}
peterssenRpa.prototype = new MeanSDCoefficientClass();

function zilbermanPv(value, weight, height) {
	this.weight = weight || -1;
	this.height = height || -1;
	this.value = value || -1;
	this.hidePercentile = true;
	this.refString = REF_ZILBERMAN;
	this.init();
	this.infoString = this.getInfo([INFO_VALVES + INFO_ZILBERMAN, INFO_ZSCORE]);
	this.paramName = "Pv";
	this.paramNameLong = "PV";
	this.paramUnit = "mm";
	if (weight && height) this.bsa = bsaDuBois(this.height, this.weight);
	else this.bsa = -1;
	this.getZFromValue = function(value) {
		value /= 10;
		if ((this.bsa > 0) && (this.value > 0)) {
			if (this.male) result = (Math.log(value) - (0.618 + 0.498 * Math.log(this.bsa))) / 0.152;
			else result = (Math.log(value) - (0.597 + 0.476 * Math.log(this.bsa))) / 0.144;
			return result;
		} else return -100;
	}
	this.getValueFromZ = function(value) {
		if (this.bsa > 0) {
			if (this.male) result = Math.pow(Math.E, 0.152 * value + 0.618 + 0.498 * Math.log(this.bsa));
			else result = Math.pow(Math.E, 0.144 * value + 0.597 + 0.476 * Math.log(this.bsa));
			return result * 10;
		} else return -100;
	}
	this.errorCondition.push((weight <= 0) || (height <= 0))
	this.errorString.push(window.lang.convert("Weight and height are needed"));
	this.errorCondition.push(value <= 0)
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
}
zilbermanPv.prototype = new LMSClass();

function zilbermanMv(value, weight, height) {
	this.weight = weight || -1;
	this.height = height || -1;
	this.value = value || -1;
	this.hidePercentile = true;
	this.refString = REF_ZILBERMAN;
	this.init();
	this.infoString = this.getInfo([INFO_VALVES + INFO_ZILBERMAN, INFO_ZSCORE]);
	this.paramName = "Mv";
	this.paramNameLong = "MV";
	this.paramUnit = "mm";
	if (weight && height) this.bsa = bsaDuBois(this.height, this.weight);
	else this.bsa = -1;
	this.getZFromValue = function(value) {
		if ((this.bsa > 0) && (this.value > 0)) {
			value /= 10;
			if (this.male) result = (Math.log(value) - (0.765 + 0.425 * Math.log(this.bsa))) / 0.169;
			else result = (Math.log(value) - (0.733 + 0.408 * Math.log(this.bsa))) / 0.18;
			return result;
		} else return -100;
	}
	this.getValueFromZ = function(value) {
		if (this.bsa > 0) {
			if (this.male) result = Math.pow(Math.E, 0.169 * value + 0.765 + 0.425 * Math.log(this.bsa));
			else result = Math.pow(Math.E, 0.18 * value + 0.733 + 0.408 * Math.log(this.bsa));
			return result * 10;
		} else return -100;
	}
	this.errorCondition.push((weight <= 0) || (height <= 0))
	this.errorString.push(window.lang.convert("Weight and height are needed"));
	this.errorCondition.push(value <= 0)
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
}
zilbermanMv.prototype = new LMSClass();

function zilbermanTv(value, weight, height) {
	this.weight = weight || -1;
	this.height = height || -1;
	this.value = value || -1;
	this.hidePercentile = true;
	this.refString = REF_ZILBERMAN;
	this.init();
	this.infoString = this.getInfo([INFO_VALVES + INFO_ZILBERMAN, INFO_ZSCORE]);
	this.paramName = "Tv";
	this.paramNameLong = "TV";
	this.paramUnit = "mm";
	if (weight && height) this.bsa = bsaDuBois(this.height, this.weight);
	else this.bsa = -1;
	this.getZFromValue = function(value) {
		if ((this.bsa > 0) && (this.value > 0)) {
			value /= 10;
			if (this.male) result = (Math.log(value) - (0.817 + 0.391 * Math.log(this.bsa))) / 0.171;
			else result = (Math.log(value) - (0.755 + 0.364 * Math.log(this.bsa))) / 0.186;
			return result;
		} else return -100;
	}
	this.getValueFromZ = function(value) {
		if (this.bsa > 0) {
			if (this.male) result = Math.pow(Math.E, 0.171 * value + 0.817 + 0.391 * Math.log(this.bsa));
			else result = Math.pow(Math.E, 0.186 * value + 0.755 + 0.364 * Math.log(this.bsa));

			return result * 10;
		} else return -100;
	}
	this.errorCondition.push((weight <= 0) || (height <= 0))
	this.errorString.push(window.lang.convert("Weight and height are needed"));
	this.errorCondition.push(value <= 0)
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
}
zilbermanTv.prototype = new LMSClass();

function zilbermanAov(value, weight, height) {
	this.weight = weight || -1;
	this.height = height || -1;
	this.value = value || -1;
	this.hidePercentile = true;
	this.refString = REF_ZILBERMAN;
	this.init();
	this.infoString = this.getInfo([INFO_VALVES + INFO_ZILBERMAN, INFO_ZSCORE]);
	this.paramName = "Aov";
	this.paramNameLong = "AoV";
	this.paramUnit = "mm";
	if (weight && height) this.bsa = bsaDuBois(this.height, this.weight);
	else this.bsa = -1;
	this.getZFromValue = function(value) {
		if ((this.bsa > 0) && (this.value > 0)) {
			value /= 10;
			if (this.male) result = (Math.log(value) - (0.472 + 0.492 * Math.log(this.bsa))) / 0.141;
			else result = (Math.log(value) - (0.437 + 0.461 * Math.log(this.bsa))) / 0.127;

			return result;
		} else return -100;
	}
	this.getValueFromZ = function(value) {
		if (this.bsa > 0) {
			if (this.male) result = Math.pow(Math.E, 0.141 * value + 0.472 + 0.492 * Math.log(this.bsa));
			else result = Math.pow(Math.E, 0.127 * value + 0.437 + 0.461 * Math.log(this.bsa));

			return result * 10;
		} else return -100;
	}
	this.errorCondition.push((weight <= 0) || (height <= 0))
	this.errorString.push(window.lang.convert("Weight and height are needed"));
	this.errorCondition.push(value <= 0)
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
}
zilbermanAov.prototype = new LMSClass();

function dallaireLmca(value, weight, height) {
	this.weight = weight || -1;
	this.height = height || -1;
	this.value = value || -1;
	this.hidePercentile = true;
	this.refString = REF_DALLAIRE;
	this.init();
	this.infoString = this.getInfo([INFO_CORO + INFO_DALLAIRE, INFO_ZSCORE]);
	this.paramName = "Lmca";
	this.paramNameLong = "LMCA";
	this.paramUnit = "mm";
	if (weight && height) this.bsa = bsaDuBois(this.height, this.weight);
	else this.bsa = -1;
	this.getZFromValue = function(value) {
		if ((this.bsa > 0) && (this.value > 0)) {
			return (value - (-0.1817 + (2.9238 * Math.sqrt(this.bsa)))) / (0.1801 + (0.2530 * Math.sqrt(this.bsa)));

		} else return -100;
	}
	this.getValueFromZ = function(value) {
		if (this.bsa > 0) {
			return value * (0.1801 + (0.2530 * Math.sqrt(this.bsa))) + (-0.1817 + (2.9238 * Math.sqrt(this.bsa)));

		} else return -100;
	}
	this.errorCondition.push((weight <= 0) || (height <= 0))
	this.errorString.push(window.lang.convert("Weight and height are needed"));
	this.errorCondition.push(value <= 0)
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
}
dallaireLmca.prototype = new LMSClass();

function dallaireCx(value, weight, height) {
	this.weight = weight || -1;
	this.height = height || -1;
	this.value = value || -1;
	this.hidePercentile = true;
	this.refString = REF_DALLAIRE;
	this.init();
	this.infoString = this.getInfo([INFO_CORO + INFO_DALLAIRE, INFO_ZSCORE]);
	this.paramName = "Cx";
	this.paramNameLong = "Cx";
	this.paramUnit = "mm";
	if (weight && height) this.bsa = bsaDuBois(this.height, this.weight);
	else this.bsa = -1;
	this.getZFromValue = function(value) {
		if ((this.bsa > 0) && (this.value > 0)) {
			return (value - (-0.2716 + (2.3458 * Math.sqrt(this.bsa)))) / (0.1142 + (0.3423 * Math.sqrt(this.bsa)))

		} else return -100;
	}
	this.getValueFromZ = function(value) {
		if (this.bsa > 0) {
			return value * (0.1142 + (0.3423 * Math.sqrt(this.bsa))) + (-0.2716 + (2.3458 * Math.sqrt(this.bsa)));

		} else return -100;
	}
	this.errorCondition.push((weight <= 0) || (height <= 0))
	this.errorString.push(window.lang.convert("Weight and height are needed"));
	this.errorCondition.push(value <= 0)
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
}
dallaireCx.prototype = new LMSClass();

function dallaireLad(value, weight, height) {
	this.weight = weight || -1;
	this.height = height || -1;
	this.value = value || -1;
	this.hidePercentile = true;
	this.refString = REF_DALLAIRE;
	this.init();
	this.infoString = this.getInfo([INFO_CORO + INFO_DALLAIRE, INFO_ZSCORE]);
	this.paramName = "Lad";
	this.paramNameLong = "LAD";
	this.paramUnit = "mm";
	if (weight && height) this.bsa = bsaDuBois(this.height, this.weight);
	else this.bsa = -1;
	this.getZFromValue = function(value) {
		if ((this.bsa > 0) && (this.value > 0)) {
			return (value - (-0.1502 + (2.2672 * Math.sqrt(this.bsa)))) / (0.1709 + (0.2293 * Math.sqrt(this.bsa)));

		} else return -100;
	}
	this.getValueFromZ = function(value) {
		if (this.bsa > 0) {
			return value * (0.1709 + (0.2293 * Math.sqrt(this.bsa))) + (-0.1502 + (2.2672 * Math.sqrt(this.bsa)));

		} else return -100;
	}
	this.errorCondition.push((weight <= 0) || (height <= 0))
	this.errorString.push(window.lang.convert("Weight and height are needed"));
	this.errorCondition.push(value <= 0)
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
}
dallaireLad.prototype = new LMSClass();

function dallaireRcaprox(value, weight, height) {
	this.weight = weight || -1;
	this.height = height || -1;
	this.value = value || -1;
	this.hidePercentile = true;
	this.refString = REF_DALLAIRE;
	this.init();
	this.infoString = this.getInfo([INFO_CORO + INFO_DALLAIRE, INFO_ZSCORE]);
	this.paramName = "Rcaprox";
	this.paramNameLong = "RCAprox";
	this.paramUnit = "mm";
	if (weight && height) this.bsa = bsaDuBois(this.height, this.weight);
	else this.bsa = -1;
	this.getZFromValue = function(value) {
		if ((this.bsa > 0) && (this.value > 0)) {
			return (value - (-0.3039 + (2.7521 * Math.sqrt(this.bsa)))) / (0.1626 + (0.2881 * Math.sqrt(this.bsa)));

		} else return -100;
	}
	this.getValueFromZ = function(value) {
		if (this.bsa > 0) {
			return value * (0.1626 + (0.2881 * Math.sqrt(this.bsa))) + (-0.3039 + (2.7521 * Math.sqrt(this.bsa)));


		} else return -100;
	}
	this.errorCondition.push((weight <= 0) || (height <= 0))
	this.errorString.push(window.lang.convert("Weight and height are needed"));
	this.errorCondition.push(value <= 0)
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
}
dallaireRcaprox.prototype = new LMSClass();

function dallaireRcamed(value, weight, height) {
	this.weight = weight || -1;
	this.height = height || -1;
	this.value = value || -1;
	this.hidePercentile = true;
	this.refString = REF_DALLAIRE;
	this.init();
	this.infoString = this.getInfo([INFO_CORO + INFO_DALLAIRE, INFO_ZSCORE]);
	this.paramName = "Rcamed";
	this.paramNameLong = "RCAmed";
	this.paramUnit = "mm";
	if (weight && height) this.bsa = bsaDuBois(this.height, this.weight);
	else this.bsa = -1;
	this.getZFromValue = function(value) {
		if ((this.bsa > 0) && (this.value > 0)) {
			return (value - (-0.3060 + (2.4078 * Math.sqrt(this.bsa)))) / (0.1324 + (0.3259 * Math.sqrt(this.bsa)));

		} else return -100;
	}
	this.getValueFromZ = function(value) {
		if (this.bsa > 0) {
			return value * (0.1324 + (0.3259 * Math.sqrt(this.bsa))) + (-0.3060 + (2.4078 * Math.sqrt(this.bsa)));

		} else return -100;
	}
	this.errorCondition.push((weight <= 0) || (height <= 0))
	this.errorString.push(window.lang.convert("Weight and height are needed"));
	this.errorCondition.push(value <= 0)
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
}
dallaireRcamed.prototype = new LMSClass();

function dallaireRcadist(value, weight, height) {
	this.weight = weight || -1;
	this.height = height || -1;
	this.value = value || -1;
	this.hidePercentile = true;
	this.refString = REF_DALLAIRE;
	this.init();
	this.infoString = this.getInfo([INFO_CORO + INFO_DALLAIRE, INFO_ZSCORE]);
	this.paramName = "Rcadist";
	this.paramNameLong = "RCAdist";
	this.paramUnit = "mm";
	if (weight && height) this.bsa = bsaDuBois(this.height, this.weight);
	else this.bsa = -1;
	this.getZFromValue = function(value) {
		if ((this.bsa > 0) && (this.value > 0)) {
			return (value - (-0.3185 + (2.3295 * Math.sqrt(this.bsa)))) / (0.1099 + (0.3198 * Math.sqrt(this.bsa)));

		} else return -100;
	}
	this.getValueFromZ = function(value) {
		if (this.bsa > 0) {
			return value * (0.1099 + (0.3198 * Math.sqrt(this.bsa))) + (-0.3185 + (2.3295 * Math.sqrt(this.bsa)));

		} else return -100;
	}
	this.errorCondition.push((weight <= 0) || (height <= 0))
	this.errorString.push(window.lang.convert("Weight and height are needed"));
	this.errorCondition.push(value <= 0)
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
}
dallaireRcadist.prototype = new LMSClass();


function kampmannRvawd(value, weight, height) {
	this.corValue = 0;
	this.value = value || -1;
	this.hidePercentile = true;
	this.weight = weight || -1;
	this.height = height || -1;
	this.refString = REF_KAMPMANN;
	this.init();
	this.infoString = this.getInfo([INFO_KAMPMANN, INFO_ZSCORE, ABBREV_KAMPMANN]);
	this.paramName = "Rvawd";
	this.paramNameLong = "RVAWD";
	this.paramUnit = "mm";
	this.bsa = bsaDuBois(height, weight);

	if (this.weight <= 4) {
		this.corValue = this.weight;
		this.grid = new Array(2.00, 2.50, 3.00, 3.50, 4.00);
		this.meanArray = new Array(2.40, 2.50, 2.50, 2.60, 2.60);
		this.sdArray = new Array(0.55,0.55,0.55,0.55,0.55);
		this.errorCondition.push((this.corValue < this.grid[0]));
		this.errorString.push(window.lang.convert("Weight has to be greater than 2 kg"));
	} else {
		this.corValue = this.bsa;
		this.grid = new Array(0.25, 0.275, 0.3, 0.35, 0.4, 0.45, 0.5, 0.55, 0.6, 0.65, 0.7, 0.8, 0.9, 1, 1.1, 1.2, 1.3, 1.4, 1.5, 1.75, 2);
		this.meanArray = new Array(2.60, 2.60, 2.70, 2.70, 2.70, 2.75, 2.75, 2.75, 2.80, 2.80, 2.80, 2.80, 2.80, 2.80, 2.90, 2.90, 3.00, 3.00, 3.10, 3.10, 3.10);
		this.sdArray = new Array(0.6,0.6,0.55,0.55,0.55,0.55,0.55,0.55,0.55,0.55,0.55,0.55,0.55,0.55,0.55,0.55,0.55,0.55,0.6,0.6,0.6);
		
		this.errorCondition.push((this.corValue < this.grid[0]) || (this.corValue > this.grid[this.grid.length - 1]));
		this.errorString.push(window.lang.convert("BSA has to be between 0.25 and 2"));
	}
	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	this.getLowerAndUpperValues();
}
kampmannRvawd.prototype = new MeanSdInterpolatedClass();

function kampmannRvdd(value, weight, height) {
	this.corValue = 0;
	this.value = value || -1;
	this.hidePercentile = true;
	this.weight = weight || -1;
	this.height = height || -1;
	this.refString = REF_KAMPMANN;
	this.init();
	this.infoString = this.getInfo([INFO_KAMPMANN, INFO_ZSCORE, ABBREV_KAMPMANN]);
	this.paramName = "Rvdd";
	this.paramNameLong = "RVDD";
	this.paramUnit = "mm";
	this.bsa = bsaDuBois(height, weight);

	if (this.weight <= 4) {
		this.corValue = this.weight;
		this.grid = new Array(2.00, 2.50, 3.00, 3.50, 4.00);
		this.meanArray = new Array(8.40, 8.40, 8.50, 8.60, 8.60);
		this.sdArray = new Array(2.2,2.2,2.2,2.25,2.25);
		this.errorCondition.push((this.corValue < this.grid[0]));
		this.errorString.push(window.lang.convert("Weight has to be greater than 2 kg"));
	} else {
		this.corValue = this.bsa;
		this.grid = new Array(0.25, 0.275, 0.3, 0.35, 0.4, 0.45, 0.5, 0.55, 0.6, 0.65, 0.7, 0.8, 0.9, 1, 1.1, 1.2, 1.3, 1.4, 1.5, 1.75, 2);
		this.meanArray = new Array(8.70, 8.70, 8.70, 8.80, 8.90, 9.00, 9.30, 9.50, 9.60, 9.90, 10.10, 10.50, 11.00, 11.20, 11.80, 12.40, 13.50, 14.00, 15.60, 16.50, 17.50);
		this.sdArray = new Array(2.25,2.25,2.25,2.25,2.25,2.25,2.25,2.25,2.2,2.2,2.2,2.35,2.3,2.4,2.2,2.4,2.5,2.5,2.8,3.1,3.0);
		this.errorCondition.push((this.corValue < this.grid[0]) || (this.corValue > this.grid[this.grid.length - 1]));
		this.errorString.push(window.lang.convert("BSA has to be between 0.25 and 2"));
	}
	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	this.getLowerAndUpperValues();
}
kampmannRvdd.prototype = new MeanSdInterpolatedClass();

function kampmannIvsd(value, weight, height) {
	this.corValue = 0;
	this.value = value || -1;
	this.hidePercentile = true;
	this.weight = weight || -1;
	this.height = height || -1;
	this.refString = REF_KAMPMANN;
	this.init();
	this.infoString = this.getInfo([INFO_KAMPMANN, INFO_ZSCORE, ABBREV_KAMPMANN]);
	this.paramName = "Ivsd";
	this.paramNameLong = "IVSD";
	this.paramUnit = "mm";
	this.bsa = bsaDuBois(height, weight);

	if (this.weight <= 4) {
		this.corValue = this.weight;
		this.grid = new Array(2.00, 2.50, 3.00, 3.50, 4.00);
		this.meanArray = new Array(3.50, 3.50, 3.60, 3.70, 3.80);
		this.sdArray = new Array(0.7,0.7,0.65,0.7,0.7);
		this.errorCondition.push((this.corValue < this.grid[0]));
		this.errorString.push(window.lang.convert("Weight has to be greater than 2 kg"));
	} else {
		this.corValue = this.bsa;
		this.grid = new Array(0.25, 0.275, 0.3, 0.35, 0.4, 0.45, 0.5, 0.55, 0.6, 0.65, 0.7, 0.8, 0.9, 1, 1.1, 1.2, 1.3, 1.4, 1.5, 1.75, 2);
		this.meanArray = new Array(3.80, 3.80, 3.90, 3.90, 4.10, 4.20, 4.30, 4.60, 4.80, 4.80, 5.00, 5.20, 5.60, 5.80, 6.20, 6.50, 6.60, 6.70, 7.40, 8.00, 9.30);
		this.sdArray = new Array(0.7,0.7,0.7,0.7,0.75,0.8,0.8,0.75,0.75,0.75,0.75,0.8,0.9,0.9,0.95,0.9,0.9,0.9,1.1,1.2,1.25);
		this.errorCondition.push((this.corValue < this.grid[0]) || (this.corValue > this.grid[this.grid.length - 1]));
		this.errorString.push(window.lang.convert("BSA has to be between 0.25 and 2"));
	}
	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	this.getLowerAndUpperValues();
}
kampmannIvsd.prototype = new MeanSdInterpolatedClass();

function kampmannIvss(value, weight, height) {
	this.corValue = 0;
	this.value = value || -1;
	this.hidePercentile = true;
	this.weight = weight || -1;
	this.height = height || -1;
	this.refString = REF_KAMPMANN;
	this.init();
	this.infoString = this.getInfo([INFO_KAMPMANN, INFO_ZSCORE, ABBREV_KAMPMANN]);
	this.paramName = "Ivss";
	this.paramNameLong = "IVSS";
	this.paramUnit = "mm";
	this.bsa = bsaDuBois(height, weight);

	if (this.weight <= 4) {
		this.corValue = this.weight;
		this.grid = new Array(2.00, 2.50, 3.00, 3.50, 4.00);
		this.meanArray = new Array(4.40, 5.00, 5.10, 5.30, 5.40);
		this.sdArray = new Array(1.0,1.3,1.3,1.4,1.4);
		this.errorCondition.push((this.corValue < this.grid[0]));
		this.errorString.push(window.lang.convert("Weight has to be greater than 2 kg"));
	} else {
		this.corValue = this.bsa;
		this.grid = new Array(0.25, 0.275, 0.3, 0.35, 0.4, 0.45, 0.5, 0.55, 0.6, 0.65, 0.7, 0.8, 0.9, 1, 1.1, 1.2, 1.3, 1.4, 1.5, 1.75, 2);
		this.meanArray = new Array(5.20, 5.40, 5.80, 5.80, 6.20, 6.30, 6.60, 6.80, 6.90, 6.90, 7.20, 7.50, 8.30, 8.40, 9.00, 9.00, 9.00, 9.20, 9.50, 9.80, 10.30);
		this.sdArray = new Array(1.35,1.4,1.4,1.4,1.5,1.5,1.55,1.55,1.55,1.55,1.5,1.55,1.7,1.65,1.8,1.8,1.8,1.7,1.85,2.0,1.9);
		this.errorCondition.push((this.corValue < this.grid[0]) || (this.corValue > this.grid[this.grid.length - 1]));
		this.errorString.push(window.lang.convert("BSA has to be between 0.25 and 2"));
	}
	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	this.getLowerAndUpperValues();
}
kampmannIvss.prototype = new MeanSdInterpolatedClass();

function kampmannLvedd(value, weight, height) {
	this.corValue = 0;
	this.value = value || -1;
	this.hidePercentile = true;
	this.weight = weight || -1;
	this.height = height || -1;
	this.refString = REF_KAMPMANN;
	this.init();
	this.infoString = this.getInfo([INFO_KAMPMANN, INFO_ZSCORE, ABBREV_KAMPMANN]);
	this.paramName = "Lvedd";
	this.paramNameLong = "LVEDD";
	this.paramUnit = "mm";
	this.bsa = bsaDuBois(height, weight);

	if (this.weight <= 4) {
		this.corValue = this.weight;
		this.grid = new Array(2.00, 2.50, 3.00, 3.50, 4.00);
		this.meanArray = new Array(17.10, 18.10, 18.20, 18.80, 19.90);
		this.sdArray = new Array(1.05,1.55,1.55,1.7,1.7);
		this.errorCondition.push((this.corValue < this.grid[0]));
		this.errorString.push(window.lang.convert("Weight has to be greater than 2 kg"));
	} else {
		this.corValue = this.bsa;
		this.grid = new Array(0.25, 0.275, 0.3, 0.35, 0.4, 0.45, 0.5, 0.55, 0.6, 0.65, 0.7, 0.8, 0.9, 1, 1.1, 1.2, 1.3, 1.4, 1.5, 1.75, 2);
		this.meanArray = new Array(20.00, 21.20, 22.90, 23.60, 26.00, 27.10, 29.00, 31.00, 31.60, 33.20, 33.90, 35.80, 37.10, 38.50, 39.40, 41.70, 42.40, 43.30, 45.40, 46.80, 53.40);
		this.sdArray = new Array(1.55, 2.10, 2.45, 2.30, 2.50, 2.55, 2.80, 2.70, 2.80, 3.00, 3.25, 3.10, 3.05, 3.40, 3.45, 3.10, 3.30, 3.00, 3.20, 4.00,4.00);
		this.errorCondition.push((this.corValue < this.grid[0]) || (this.corValue > this.grid[this.grid.length - 1]));
		this.errorString.push(window.lang.convert("BSA has to be between 0.25 and 2"));
	}
	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	this.getLowerAndUpperValues();
}
kampmannLvedd.prototype = new MeanSdInterpolatedClass();

function kampmannLvesd(value, weight, height) {
	this.corValue = 0;
	this.value = value || -1;
	this.hidePercentile = true;
	this.weight = weight || -1;
	this.height = height || -1;
	this.refString = REF_KAMPMANN;
	this.init();
	this.infoString = this.getInfo([INFO_KAMPMANN, INFO_ZSCORE, ABBREV_KAMPMANN]);
	this.paramName = "Lvesd";
	this.paramNameLong = "LVESD";
	this.paramUnit = "mm";
	this.bsa = bsaDuBois(height, weight);

	if (this.weight <= 4) {
		this.corValue = this.weight;
		this.grid = new Array(2.00, 2.50, 3.00, 3.50, 4.00);
		this.meanArray = new Array(11.00, 11.70, 11.70, 11.90, 12.70);
		this.sdArray = new Array(0.75, 1.25, 1.25, 1.20, 1.25);
		this.errorCondition.push((this.corValue < this.grid[0]));
		this.errorString.push(window.lang.convert("Weight has to be greater than 2 kg"));
	} else {
		this.corValue = this.bsa;
		this.grid = new Array(0.25, 0.275, 0.3, 0.35, 0.4, 0.45, 0.5, 0.55, 0.6, 0.65, 0.7, 0.8, 0.9, 1, 1.1, 1.2, 1.3, 1.4, 1.5, 1.75, 2);
		this.meanArray = new Array(13.20, 13.60, 14.80, 14.80, 16.10, 17.00, 18.00, 19.30, 19.90, 20.40, 21.30, 22.70, 23.60, 24.40, 25.20, 27.10, 27.10, 27.60, 28.60, 29.80, 34.40);
		this.sdArray = new Array(1.50, 1.60, 2.00, 2.00, 2.05, 2.00, 2.00, 2.15, 2.25, 2.35, 2.60, 2.50, 2.80, 2.90, 2.80, 2.80, 2.80, 2.80, 3.05, 3.20, 4.40)
		this.errorCondition.push((this.corValue < this.grid[0]) || (this.corValue > this.grid[this.grid.length - 1]));
		this.errorString.push(window.lang.convert("BSA has to be between 0.25 and 2"));
	}
	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	this.getLowerAndUpperValues();
}
kampmannLvesd.prototype = new MeanSdInterpolatedClass();

function kampmannLvpwd(value, weight, height) {
	this.corValue = 0;
	this.value = value || -1;
	this.hidePercentile = true;
	this.weight = weight || -1;
	this.height = height || -1;
	this.refString = REF_KAMPMANN;
	this.init();
	this.infoString = this.getInfo([INFO_KAMPMANN, INFO_ZSCORE, ABBREV_KAMPMANN]);
	this.paramName = "Lvpwd";
	this.paramNameLong = "LVPWD";
	this.paramUnit = "mm";
	this.bsa = bsaDuBois(height, weight);

	if (this.weight <= 4) {
		this.corValue = this.weight;
		this.grid = new Array(2.00, 2.50, 3.00, 3.50, 4.00);
		this.meanArray = new Array(2.70, 3.20, 3.50, 3.60, 3.70);
		this.sdArray = new Array(0.4, 0.5, 0.55, 0.55, 0.55); 
		this.errorCondition.push((this.corValue < this.grid[0]));
		this.errorString.push(window.lang.convert("Weight has to be greater than 2 kg"));
	} else {
		this.corValue = this.bsa;
		this.grid = new Array(0.25, 0.275, 0.3, 0.35, 0.4, 0.45, 0.5, 0.55, 0.6, 0.65, 0.7, 0.8, 0.9, 1, 1.1, 1.2, 1.3, 1.4, 1.5, 1.75, 2);
		this.meanArray = new Array(3.60, 3.80, 4.10, 4.10, 4.20, 4.60, 4.60, 4.80, 4.80, 4.90, 5.20, 5.70, 5.90, 5.90, 6.30, 6.60, 6.90, 6.90, 7.70, 8.10, 8.10);
		this.sdArray = new Array(0.50, 0.55, 0.65, 0.65, 0.65, 0.75, 0.75, 0.75, 0.75, 0.75, 0.85, 1.05, 1.10, 1.10, 1.20, 1.30, 1.30, 1.30, 1.40, 1.50, 1.50);
		this.errorCondition.push((this.corValue < this.grid[0]) || (this.corValue > this.grid[this.grid.length - 1]));
		this.errorString.push(window.lang.convert("BSA has to be between 0.25 and 2"));
	}
	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	this.getLowerAndUpperValues();
}
kampmannLvpwd.prototype = new MeanSdInterpolatedClass();

function kampmannLvpws(value, weight, height) {
	this.corValue = 0;
	this.value = value || -1;
	this.hidePercentile = true;
	this.weight = weight || -1;
	this.height = height || -1;
	this.refString = REF_KAMPMANN;
	this.init();
	this.infoString = this.getInfo([INFO_KAMPMANN, INFO_ZSCORE, ABBREV_KAMPMANN]);
	this.paramName = "Lvpws";
	this.paramNameLong = "LVPWS";
	this.paramUnit = "mm";
	this.bsa = bsaDuBois(height, weight);

	if (this.weight <= 4) {
		this.corValue = this.weight;
		this.grid = new Array(2.00, 2.50, 3.00, 3.50, 4.00);
		this.meanArray = new Array(4.50, 5.00, 5.10, 5.40, 5.70);
		this.sdArray = new Array(0.85, 1.05, 1.0, 1.05, 1.10);
		this.errorCondition.push((this.corValue < this.grid[0]));
		this.errorString.push(window.lang.convert("Weight has to be greater than 2 kg"));
	} else {
		this.corValue = this.bsa;
		this.grid = new Array(0.25, 0.275, 0.3, 0.35, 0.4, 0.45, 0.5, 0.55, 0.6, 0.65, 0.7, 0.8, 0.9, 1, 1.1, 1.2, 1.3, 1.4, 1.5, 1.75, 2);
		this.meanArray = new Array(5.70, 5.90, 6.30, 6.60, 6.80, 7.30, 7.50, 8.00, 8.00, 8.20, 8.70, 9.10, 9.50, 9.50, 10.30, 10.70, 11.00, 11.50, 12.00, 12.80, 14.20);
		this.sdArray = new Array(1.00, 1.00, 1.05, 1.10, 1.15, 1.15, 1.15, 1.15, 1.15, 1.20, 1.30, 1.45, 1.35, 1.35, 1.65, 1.55, 1.45, 1.50, 1.75, 1.65, 2.30);
		this.errorCondition.push((this.corValue < this.grid[0]) || (this.corValue > this.grid[this.grid.length - 1]));
		this.errorString.push(window.lang.convert("BSA has to be between 0.25 and 2"));
	}
	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	this.getLowerAndUpperValues();
}
kampmannLvpws.prototype = new MeanSdInterpolatedClass();






function koestenbergerTapse(value, corValue) {
	this.corValue = corValue || -1;
	this.value = value || -1;
	this.hidePercentile = true;
	this.refString = REF_KOESTENBERGER_TAPSE;
	this.init();
	this.infoString = this.getInfo([INFO_FUNCTION + INFO_KOESTENBERGER_TAPSE, INFO_ZSCORE, ABBREV_KOESTENBERGER]);
	this.paramName = "Tapse";
	this.paramNameLong = "TAPSE";
	this.paramUnit = "cm";
	this.grid = new Array(0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 24, 36, 48, 60, 72, 84, 96, 108, 120, 132, 144, 156, 168, 180, 192, 204, 216);
	this.meanArray = new Array(0.91, 1.14, 1.14, 1.14, 1.31, 1.31, 1.31, 1.44, 1.44, 1.44, 1.44, 1.44, 1.55, 1.65, 1.74, 1.82, 1.87, 1.9, 1.94, 1.97, 2.01, 2.05, 2.1, 2.14, 2.2, 2.26, 2.33, 2.39, 2.45, 2.47);
	this.sdArray = new Array(0.116667, 0.141667, 0.141667, 0.141667, 0.151667, 0.151667, 0.151667, 0.156667, 0.156667, 0.156667, 0.156667, 0.156667, 0.150000, 0.145000, 0.131667, 0.128333, 0.131667, 0.141667, 0.150000, 0.151667, 0.143333, 0.135000, 0.135000, 0.153333, 0.171667, 0.193333, 0.196667, 0.205000, 0.205000, 0.210000);
	this.errorCondition.push((this.corValue < this.grid[0]) || (this.corValue > this.grid[this.grid.length - 1]));
	this.errorString.push(window.lang.convert("Age has to be between 0 and 18 years"));
	this.errorCondition.push(typeof(this.corValue) == -1)
	this.errorString.push(window.lang.convert("Age is undefined"));
	this.errorCondition.push(value <= 0)
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	this.getLowerAndUpperValues();
}
koestenbergerTapse.prototype = new MeanSdInterpolatedClass();

function koestenbergerMapse(value, corValue) {
	this.corValue = corValue || -1;
	this.value = value || -1;
	this.hidePercentile = true;
	this.refString = REF_KOESTENBERGER_MAPSE;
	this.init();
	this.infoString = this.getInfo([INFO_FUNCTION + INFO_KOESTENBERGER_MAPSE, INFO_ZSCORE, ABBREV_KOESTENBERGER]);
	this.paramName = "Mapse";
	this.paramNameLong = "MAPSE";
	this.paramUnit = "cm";
	this.grid = new Array(1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 24, 36, 48, 60, 72, 84, 96, 108, 120, 132, 144, 156, 168, 180, 192, 204, 216);
	this.meanArray = new Array(0.57, 0.67, 0.73, 0.77, 0.77, 0.77, 0.84, 0.84, 0.84, 0.91, 0.91, 0.91, 1.07, 1.11, 1.14, 1.2, 1.29, 1.28, 1.29, 1.39, 1.37, 1.37, 1.41, 1.45, 1.45, 1.58, 1.63, 1.61, 1.63);
	this.sdArray = new Array(0.093333, 0.098333, 0.113333, 0.103333, 0.103333, 0.103333, 0.106667, 0.106667, 0.106667, 0.106667, 0.106667, 0.106667, 0.101667, 0.098333, 0.106667, 0.140000, 0.128333, 0.105000, 0.120000, 0.171667, 0.131667, 0.088333, 0.125000, 0.128333, 0.120000, 0.130000, 0.148333, 0.156667, 0.163333);
	this.errorCondition.push((this.corValue < this.grid[0]) || (this.corValue > this.grid[this.grid.length - 1]));
	this.errorString.push(window.lang.convert("Age has to be between 0 and 18 years"));
	this.errorCondition.push(typeof(this.corValue) == -1)
	this.errorString.push(window.lang.convert("Age is undefined"));
	this.errorCondition.push(value <= 0)
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	this.getLowerAndUpperValues();
}
koestenbergerMapse.prototype = new MeanSdInterpolatedClass();

function koestenbergerTapsv(value, corValue) {
	this.corValue = corValue || -1;
	this.value = value || -1;
	this.hidePercentile = true;
	this.refString = REF_KOESTENBERGER_TAPSV;
	this.init();
	this.infoString = this.getInfo([INFO_FUNCTION + INFO_KOESTENBERGER_TAPSV, INFO_ZSCORE, ABBREV_KOESTENBERGER]);
	this.paramName = "Tapsv";
	this.paramNameLong = "TAPSV";
	this.paramUnit = "cm/s";
	this.grid = new Array(1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 24, 36, 48, 60, 72, 84, 96, 108, 120, 132, 144, 156, 168, 180, 192, 204, 216);
	this.meanArray = new Array(7.2, 8.5, 8.7, 9.1, 9.8, 9.1, 9.5, 9.7, 9.9, 10.6, 11.1, 11, 11.4, 11.7, 12.2, 12.3, 12.4, 12.6, 12.7, 12.5, 12.8, 13.1, 12.9, 13.2, 13.3, 13.8, 14.1, 14, 14.3);
	this.sdArray = new Array(1.183333, 1.000000, 1.183333, 1.383333, 1.700000, 0.783333, 1.133333, 1.650000, 1.733333, 1.250000, 1.500000, 1.683333, 1.333333, 1.716667, 1.416667, 1.433333, 1.416667, 1.416667, 1.450000, 1.516667, 1.200000, 1.383333, 1.766667, 1.283333, 2.216667, 1.650000, 2.000000, 1.933333, 1.816667);
	this.errorCondition.push((this.corValue < this.grid[0]) || (this.corValue > this.grid[this.grid.length - 1]));
	this.errorString.push(window.lang.convert("Age has to be between 0 and 18 years"));
	this.errorCondition.push(typeof(this.corValue) == -1)
	this.errorString.push(window.lang.convert("Age is undefined"));
	this.errorCondition.push(value <= 0)
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	this.getLowerAndUpperValues();
}
koestenbergerTapsv.prototype = new MeanSdInterpolatedClass();

function koestenbergerMapsv(value, weight, height) {
	this.value = value || -1;
	this.hidePercentile = true;
	this.height = height || -1;
	this.weight = weight || -1;
	this.refString = REF_KOESTENBERGER_MAPSV;
	this.init();
	this.infoString = this.getInfo([INFO_FUNCTION + INFO_KOESTENBERGER_MAPSV, INFO_ZSCORE, ABBREV_KOESTENBERGER]);
	this.paramName = "Mapsv";
	this.paramNameLong = "MAPSV";
	this.paramUnit = "cm/s";
	if (weight && height) this.bsa = bsaDuBois(this.height, this.weight);
	else this.bsa = -1;
	this.corValue = this.bsa;

	this.grid = new Array(0.2, 0.3, 0.4, 0.5, 0.6, 0.7, 0.8, 0.9, 1, 1.1, 1.2, 1.3, 1.4, 1.5, 1.6, 1.7, 1.8, 1.9);
	this.meanArray = new Array(5.9, 6.9, 7.3, 7.8, 8.7, 8.5, 8.9, 9.9, 9.5, 10.2, 10, 10.5, 11, 11.2, 11, 11.3, 11.3, 12.1);
	this.sdArray = new Array(1.033333, 1.150000, 1.083333, 1.166667, 1.100000, 1.100000, 1.533333, 1.300000, 1.283333, 1.233333, 1.483333, 1.266667, 1.433333, 1.183333, 1.216667, 1.516667, 1.350000, 1.200000);
	this.errorCondition.push((weight <= 0) || (height <= 0))
	this.errorString.push(window.lang.convert("Weight and height are needed"));
	this.errorCondition.push(value <= 0)
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	this.getLowerAndUpperValues();
}
koestenbergerMapsv.prototype = new MeanSdInterpolatedClass();

function dallaireBasalcs(value, weight, height) {
	this.weight = weight || -1;
	this.height = height || -1;
	this.value = value || -1;
	this.hidePercentile = true;
	this.refString = REF_DALLAIRE2;
	this.init();
	this.infoString = this.getInfo([INFO_LVSTRAIN + INFO_DALLAIRE2, INFO_ZSCORE]);
	this.paramName = "Basalcs";
	this.paramNameLong = "Basal CS";
	this.paramUnit = "%";
	if (weight && height) this.bsa = bsaDuBois(this.height, this.weight);
	else this.bsa = -1;
	this.getZFromValue = function(value) {
		if ((this.bsa > 0) && (this.value > 0)) {
			return ((value - (-1.218*Math.pow(this.bsa,2) +  2.428*this.bsa + 18.93)) / (0.158*this.bsa + 1.64));

		} else return -100;
	}
	this.getValueFromZ = function(value) {
		if (this.bsa > 0) {
			return (value *  (0.158*this.bsa + 1.64) + (-1.218*Math.pow(this.bsa,2) +  2.428*this.bsa + 18.93));

		} else return -100;
	}
	this.errorCondition.push((weight <= 0) || (height <= 0))
	this.errorString.push(window.lang.convert("Weight and height are needed"));
	this.errorCondition.push(value <= 0)
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
}
dallaireBasalcs.prototype = new LMSClass();

function dallaireMidcs(value, weight, height) {
	this.weight = weight || -1;
	this.height = height || -1;
	this.value = value || -1;
	this.hidePercentile = true;
	this.refString = REF_DALLAIRE2;
	this.init();
	this.infoString = this.getInfo([INFO_LVSTRAIN + INFO_DALLAIRE2, INFO_ZSCORE]);
	this.paramName = "Midcs";
	this.paramNameLong = "Mid CS";
	this.paramUnit = "%";
	if (weight && height) this.bsa = bsaDuBois(this.height, this.weight);
	else this.bsa = -1;
	
	this.getZFromValue = function(value) {
		if ((this.bsa > 0) && (this.value > 0)) {
			return (((1 / value) - (0.000665*Math.pow(this.bsa,2) +  0.0000300*this.bsa + 0.0509)) / (0.000437*this.bsa + 0.00380));

		} else return -100;
	}
	this.getValueFromZ = function(value) {
		if (this.bsa > 0) {
			return (1 / (value *  (0.000437*this.bsa + 0.00380) + (0.000665*Math.pow(this.bsa,2) +  0.0000300*this.bsa + 0.0509)));

		} else return -100;
	}
	this.errorCondition.push((weight <= 0) || (height <= 0))
	this.errorString.push(window.lang.convert("Weight and height are needed"));
	this.errorCondition.push(value <= 0)
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
}
dallaireMidcs.prototype = new LMSClass();

function dallaireApicalcs(value, weight, height) {
	this.weight = weight || -1;
	this.height = height || -1;
	this.value = value || -1;
	this.hidePercentile = true;
	this.refString = REF_DALLAIRE2;
	this.init();
	this.infoString = this.getInfo([INFO_LVSTRAIN + INFO_DALLAIRE2, INFO_ZSCORE]);
	this.paramName = "Apicalcs";
	this.paramNameLong = "Apical CS";
	this.paramUnit = "%";
	if (weight && height) this.bsa = bsaDuBois(this.height, this.weight);
	else this.bsa = -1;
	
      

	this.getZFromValue = function(value) {
		if ((this.bsa > 0) && (this.value > 0)) {
			return ((Math.log(value) - (-0.0128*Math.pow(this.bsa,2) +  0.0320 *this.bsa + 2.935)) / (0.00238*this.bsa + 0.104));

		} else return -100;
	}
	this.getValueFromZ = function(value) {
		if (this.bsa > 0) {
			return (Math.pow(Math.E,value *  (0.00238*this.bsa + 0.104) + (-0.0128*Math.pow(this.bsa,2) +  0.0320*this.bsa + 2.935)));

		} else return -100;
	}
	this.errorCondition.push((weight <= 0) || (height <= 0))
	this.errorString.push(window.lang.convert("Weight and height are needed"));
	this.errorCondition.push(value <= 0)
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
}
dallaireApicalcs.prototype = new LMSClass();

function dallaireMeanls(value, weight, height) {
	this.weight = weight || -1;
	this.height = height || -1;
	this.value = value || -1;
	this.hidePercentile = true;
	this.refString = REF_DALLAIRE2;
	this.init();
	this.infoString = this.getInfo([INFO_LVSTRAIN + INFO_DALLAIRE2, INFO_ZSCORE]);
	this.paramName = "Meanls";
	this.paramNameLong = "LS";
	this.paramUnit = "%";
	if (weight && height) this.bsa = bsaDuBois(this.height, this.weight);
	else this.bsa = -1;
	
	this.getZFromValue = function(value) {
		if ((this.bsa > 0) && (this.value > 0)) {
			return ((value - (20.295*Math.pow(this.bsa,-0.0614))) / (-0.343* this.bsa + 2.02));
		} else return -100;
	}
	this.getValueFromZ = function(value) {
		if (this.bsa > 0) {
		return (value * (-0.343* this.bsa + 2.02) + (20.295*Math.pow(this.bsa,-0.0614)));
		} else return -100;
	}
	this.errorCondition.push((weight <= 0) || (height <= 0))
	this.errorString.push(window.lang.convert("Weight and height are needed"));
	this.errorCondition.push(value <= 0)
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
}
dallaireMeanls.prototype = new LMSClass();

/*
 function getStrainValueKaku(parameter, value, months, valueIsZ) {
 
 switch (parameter) {
 case "lvlb":
 var meanArray = new Array(28.3,26.1,22.9,18.6,18.3,18.9,18.8,18.3);
 var sdArray = new Array(4.4,3.2,4.9,3.5,3.8,3.5,3.0,4.1);
 break;
 case "lvlm":
 var meanArray = new Array(21.2,21.0,20.9,19.6,19.2,19.5,19.8,19.6);
 var sdArray = new Array(2.7,2.5,3.4,3.5,3.3,2.9,3.3,3.4);
 break;
 case "lvla":
 var meanArray = new Array(18.3,17.8,20.3,21.5,19.6,20.6,21.0,22.1);
 var sdArray = new Array(3.8,4.7,4.7,4.1,3.9,3.8,5.3,4.5);
 break;
 case "lvlg":
 var meanArray = new Array(22.7,21.9,21.4,19.8,19.1,19.6,19.9,19.9);
 var sdArray = new Array(2.6,2.1,3.4,3.2,2.9,2.8,3.1,3.3);
 break;
 case "lvrb":
 var meanArray = new Array(97.3,97.6,79.1,65.5,66.7,63.8,61.5,63.6);
 var sdArray = new Array(22.6,20.9,17.9,18.7,25.4,20.3,14.5,17.4);
 break;
 case "lvrm":
 var meanArray = new Array(87.8,97.5,95.7,91.4,90.9,105.1,93.6,94.3);
 var sdArray = new Array(17.7,25.5,21.7,24.4,23.7,26.4,24.1,25.4);
 break;
 case "lvra":
 var meanArray = new Array(77.9,78.3,99.9,105.5,96.9,99.8,103.7,119.8);
 var sdArray = new Array(23.4,26.4,40.9,34.4,31.8,31.8,36.1,36.6);
 break;
 case "lvrg":
 var meanArray = new Array(88.6,92.7,90.4,86.3,83.4,82.9,84.5,92.5);
 var sdArray = new Array(16.1,20.8,20.8,22.7,23.2,21.8,20.1,22.4);
 break;	
 default:
 return -100;
 }
 
 var sd, mean, result,i;
 
 if ((months > 0) && (months <36)) i=0;
 else if (months < 108) i=1;
 else if (months < 228) i=2;
 else if (months < 348) i=3;
 else if (months < 468) i=4;
 else if (months < 588) i=5;
 else if (months < 708) i=6;
 else if (months >= 708) i=7;
 else return -100;
 
 mean = meanArray[i];
 sd = sdArray[i];
 
 if (valueIsZ) {
 result = mean + (value * sd);
 }
 else {
 result = (value - mean) / sd;
 }
 return result;
 }
 */



/* Restliche Kampmann Werte
 this.meanArray = new Array(9.30, 11.00, 11.00, 11.20, 12.50);
 this.sdArray = new Array(3.10, 4.20, 4.00, 3.20, 3.20);
 break;
 case "AoD":
 this.meanArray = new Array(8.20, 8.80, 9.10, 9.30, 9.60);
 this.sdArray = new Array(1.30, 1.40, 1.60, 1.80, 2.00);
 break;
 case "LAD":
 this.meanArray = new Array(11.50, 12.10, 12.60, 13.20, 13.70);
 this.sdArray = new Array(14.70, 3.60, 3.20, 3.00, 3.20);
 break;
 
 case "PAD":
 this.meanArray = new Array(12.80, 13.60, 14.50, 15.00, 15.40, 17.20, 18.30, 19.60, 20.30, 20.40, 20.80, 20.80, 22.50, 24, 24, 24.30, 24.60, 26.80, 27.40, 28.50, 29.50);
 this.sdArray = new Array(3.20, 4.00, 4.20, 4.00, 3.90, 4.40, 4.70, 5.00, 5.00, 5.00, 5.00, 5.00, 5.80, 6.20, 6.20, 6.00, 5.80, 5.40, 5.60, 6.00, 6.00);
 break;
 case "AoD":
 this.meanArray = new Array(10.40, 11.10, 11.30, 12.00, 12.90, 14.10, 14.90, 15.20, 15.60, 16.20, 16.90, 17.90, 18.70, 19.90, 20.90, 21.00, 21.70, 22.70, 23.60, 24.40, 27.40);
 this.sdArray = new Array(2.40, 2.50, 2.30, 2.00, 2.00, 2.20, 2.70, 2.60, 2.80, 3.00, 3.40, 3.40, 3.60, 3.60, 3.40, 3.50, 4.20, 4.80, 5.40, 6.20, 4.40);
 break;
 case "LAD":
 this.meanArray = new Array(14.00, 15.10, 15.30, 16.30, 16.80, 17.80, 18.70, 19.70, 20.10, 20.80, 21.20, 22.50, 23.20, 25, 25.20, 26.00, 27.30, 28.20, 29.90, 30.40, 32.50);
 this.sdArray = new Array(3.50, 3.60, 3.80, 4.30, 3.80, 4.00, 4.20, 4.40, 4.00, 4.70, 5.00, 6.00, 6.20, 5.80, 5.70, 5.10, 5.60, 5.40, 6.20, 6.60, 8.80);
 break;
 */

/* Übrige Peterssen Werte
 var rvdd = new Array(-0.317, 1.850, -1.274, 0.335, 0.058, 0.604);
 var ivsd = new Array(-1.242, 1.272, -0.762, 0.208, 0.046, 0.606);
 var ivss = new Array(-1.048, 1.751, -1.177, 0.318, 0.034, 0.695);
 var lvidd = new Array(-0.105, 2.859, -2.119, 0.552, 0.010, 0.922);
 var lvids = new Array(-0.371, 2.833, -2.081, 0.538, 0.016, 0.875);
 var lvpwd = new Array(-1.586, 1.849, -1.188, 0.313, 0.037, 0.739);
 var lvpws = new Array(-0.947, 1.907, -1.259, 0.330, 0.023, 0.794);
 var aov = new Array(-0.874, 2.708, -1.841, 0.452, 0.010, 0.934);
 var sov = new Array(-0.500, 2.537, -1.707, 0.420, 0.012, 0.916);
 var stj = new Array(-0.759, 2.643, -1.797, 0.442, 0.018, 0.878);
 var pv = new Array(-0.761, 2.774, -1.808, 0.436, 0.023, 0.873);
 var mv = new Array(-0.271, 2.446, -1.700, 0.425, 0.022, 0.826);
 var tv = new Array(-0.164, 2.341, -1.596, 0.387, 0.036, 0.726);
 var la = new Array(-0.208, 2.164, -1.597, 0.429, 0.020, 0.801);
 */