var INFO_ALFAKIH, ABBREV_KAISER;
var REF_ALFAKIH = "Kawel-Boehm et al. 2015";
var REF_DAVIS = "Davis et al. 2014";
var REF_KAISER = "Kaiser et al. 2008";

var ABBREV_ALFAKIH = "EDV: Left ventricular enddiastolic volume; EDV/BSA: Left ventricular enddiastolic volume / Body Surface Area; ESV: Left ventricular endsystolic volume; SV: Stroke volume; EF: Ejection fraction";
var ABBREV_DAVIS = "STJ: Sinotubular junction";


function setStrings() {
	ABBREV_KAISER = window.lang.convert("BCA: Before Brachiocephalic Artery; LSA: Before Left Subclavian Artery");
	INFO_ALFAKIH = window.lang.convert("Z-Scores for ventricular dimensions in MRI SSFP sequences") + ", " + '<a href="http://www.ncbi.nlm.nih.gov/pubmed/25928314">Kawel-Boehm et al. 2015</a>';
	INFO_DAVIS = window.lang.convert("Z-Scores for aortic dimensions in MRI SSFP sequences") + ", " + '<a href="http://www.ncbi.nlm.nih.gov/pubmed/24447690">Davis et al. 2014</a>';
	INFO_KAISER = window.lang.convert("Z-Scores for aortic dimensions in MRI SSFP sequences") + ", " + '<a href="http://www.ncbi.nlm.nih.gov/pmc/articles/PMC2615773/">Kaiser et al. 2008</a>';
	INFO_ZSCORE = window.lang.convert("The diagram represents following interval") + ": -2z, 0z, +2z";
	}

function mriv_calc() {
	var height = $('#height').val().replace(',', ".") * 1;
	var weight = $('#weight').val().replace(',', ".") * 1;
	var lvedv = $('#Lvedv').val().replace(/,/, ".") * 1;
   var lvesv = $('#Lvesv').val().replace(/,/, ".") * 1;
	var lvmass = $('#Lvmass').val().replace(',', ".") * 1;
		var rvedv = $('#Rvedv').val().replace(/,/, ".") * 1;
   var rvesv = $('#Rvesv').val().replace(/,/, ".") * 1;
    var rvmass = $('#Rvmass').val().replace(/,/, ".") * 1;
	
	var annulus = $('#Annulus').val().replace(/,/, ".") * 1;
	var sinus = $('#Sinus').val().replace(/,/, ".") * 1;
	var stj = $('#Stj').val().replace(/,/, ".") * 1;
	var ascendens = $('#Ascendens').val().replace(/,/, ".") * 1;
	var bca = $('#Bca').val().replace(/,/, ".") * 1;
	var lsa = $('#Lsa').val().replace(/,/, ".") * 1;
	var isthmus = $('#Isthmus').val().replace(/,/, ".") * 1;
	var proxdescendens = $('#Proxdescendens').val().replace(/,/, ".") * 1;
	var descendens = $('#Descendens').val().replace(/,/, ".") * 1;
	 
	var weight,height,bsa,obLvedv,lvesvbsa,lvsvbsa,lvedvbsa,lvmassbsa,lvsv,lvef,rvedvbsa,rvesvbsa,rvsvbsa,rvmass,rvmassbsa,rvsv,rvef,outputTemp,bmi,obAnnulus,obSinus,obStj,obAscendens,obProxdescendens,obDescendens,adult,outputLv,outputRv,outputAorta;
	if ($("input[name='radioAge']:checked").val() == "adult") adult = true;
	else adult = false;
if ($("input[name='radio']:checked").val() == "male") male = true;
	else male = false;
	// Erase old results
	$("* .zs-arrow-left").css("visibility", "hidden");
	$("* .zs-arrow-right").css("visibility", "hidden");
	$("* .zs-result-marker").css("visibility", "hidden");

	$("div[id$='lln']").html("");
	$("div[id$='uln']").html("");
	$("div[id$='mean']").html("");
	
	// Show spefific fields for adults and children
	if (adult)
	 {
		  $('#li-Annulus').css("display","block");
		 $('#li-Bca').css("display","none");
		  $('#li-Lsa').css("display","none");
		   $('#li-Isthmus').css("display","none");
		     $('#li-Lvsv').css("display","block");
			    $('#li-Rvsv').css("display","block");
		      $('#li-Lvedv .zs-box-right').css("display","block");
 $('#li-Lvedv .zs-box-center').css("display","block");
		      $('#li-Lvesv .zs-box-right').css("display","block");
 $('#li-Lvesv .zs-box-center').css("display","block");
		      $('#li-Lvmass .zs-box-right').css("display","block");
 $('#li-Lvmass .zs-box-center').css("display","block");
 	      $('#li-Rvedv .zs-box-right').css("display","block");
 $('#li-Rvedv .zs-box-center').css("display","block");
		      $('#li-Rvesv .zs-box-right').css("display","block");
 $('#li-Rvesv .zs-box-center').css("display","block");
		      $('#li-Rvmass .zs-box-right').css("display","block");
 $('#li-Rvmass .zs-box-center').css("display","block");
 
		 }
	 else 
	 {
		   $('#li-Annulus').css("display","none");
		 $('#li-Bca').css("display","block");
		  $('#li-Lsa').css("display","block");
		   $('#li-Isthmus').css("display","block");
		      $('#li-Lvsv').css("display","none");
			    $('#li-Rvsv').css("display","none");
		   $('#li-Lvedv .zs-box-right').css("display","none");
		    $('#li-Lvedv .zs-box-center').css("display","none");
		   $('#li-Lvesv .zs-box-right').css("display","none");
		    $('#li-Lvesv .zs-box-center').css("display","none");
		   $('#li-Lvmass .zs-box-right').css("display","none");
		    $('#li-Lvmass .zs-box-center').css("display","none");
	 $('#li-Rvedv .zs-box-right').css("display","none");
		    $('#li-Rvedv .zs-box-center').css("display","none");
		   $('#li-Rvesv .zs-box-right').css("display","none");
		    $('#li-Rvesv .zs-box-center').css("display","none");
		   $('#li-Rvmass .zs-box-right').css("display","none");
		    $('#li-Rvmass .zs-box-center').css("display","none");

	 }

	references = new Array();
	outputTemp = "";


	// Calculate BSA 
	if ((weight > 0) && (height > 0)) {
		bsa = bsaDuBois(height, weight);
		bmi = weight / Math.pow(height/100,2);
		$('#bsa_result').html(bsa.toFixed(2) + " m²");
	}
	else bsa = 0;
	
	
	if (bsa > 0) {
		if (lvedv > 0) 
		lvedvbsa = lvedv/bsa;
		else 
		lvedvbsa = 0;
		lvedvbsa = lvedvbsa.toFixed(0);
		$('#Lvedvbsa').val(lvedvbsa);
		
		if (lvmass > 0) 
		lvmassbsa = lvmass/bsa;
		else
		lvmassbsa = 0;
		lvmassbsa = lvmassbsa.toFixed(0);
		$('#Lvmassbsa').val(lvmassbsa);
		
		if (lvesv > 0) 
		lvesvbsa = lvesv/bsa;
		else
		lvesvbsa = 0;
		lvesvbsa = lvesvbsa.toFixed(0);
		$('#Lvesvbsa').val(lvesvbsa);
		
		
	}
	
	if (lvedv && lvesv) {
		lvsv = lvedv - lvesv
		lvef = lvsv*100 /lvedv
		lvsv = lvsv.toFixed(1);
		lvef = lvef.toFixed(0);
	}
	else {
	lvsv = 0;
	lvef = 0;
	}
	$('#Lvsv').val(lvsv);
	$('#Lvef').val(lvef);
	if ((lvsv > 0) && (bsa >0))
		lvsvbsa = lvsv/bsa;
		else
		lvsvbsa = 0;
		lvsvbsa = lvsvbsa.toFixed(0);
		$('#Lvsvbsa').val(lvsvbsa);

	if (bsa > 0) {
		if (rvedv > 0) 
		rvedvbsa = rvedv/bsa;
		else 
		rvedvbsa = 0;
		rvedvbsa = rvedvbsa.toFixed(0);
		$('#Rvedvbsa').val(rvedvbsa);
		
		if (rvesv > 0) 
		rvesvbsa = rvesv/bsa;
		else 
		rvesvbsa = 0;
		rvesvbsa = rvesvbsa.toFixed(0);
		$('#Rvesvbsa').val(rvesvbsa);
		
		if (rvmass > 0) 
		rvmassbsa = rvmass/bsa;
		else 
		rvmassbsa = 0;
		rvmassbsa = rvmassbsa.toFixed(0);
		$('#Rvmassbsa').val(rvmassbsa);
		
		if (rvsv > 0) 
		rvsvbsa = rvsv/bsa;
		else 
		rvsvbsa = 0;
		rvsvbsa = rvsvbsa.toFixed(0);
		$('#Rvsvbsa').val(rvsvbsa);
		
	}
	
	if (rvedv && rvesv) {
		rvsv = rvedv - rvesv
		rvef = rvsv*100 /rvedv
		rvsv = rvsv.toFixed(1);
		rvef = rvef.toFixed(0);
	}
	else {
	rvsv = 0;
	rvef = 0;
	}
	$('#Rvsv').val(rvsv);
	$('#Rvef').val(rvef);
	if ((rvsv > 0) & (bsa >0))
		rvsvbsa = rvsv/bsa;
		else 
		rvsvbsa = 0;
		rvsvbsa = rvsvbsa.toFixed(0);
		$('#Rvsvbsa').val(rvsvbsa);

	//  Ventricles
	
	if (adult)  {
	obLvef = new alfakihLvef(lvef, male);
	$('#infoLvef').html(obLvef.infoString);
	$('#Lvef_lln').html(obLvef.getValueFromZ(-2).toFixed(0));
	$('#Lvef_mean').html(obLvef.getValueFromZ(0).toFixed(0));
	$('#Lvef_uln').html(obLvef.getValueFromZ(2).toFixed(0));
	references = obLvef.showResults(references); 
	
	obLvedv = new alfakihLvedv(lvedv, male);
	$('#infoLvedv').html(obLvedv.infoString);
	$('#Lvedv_lln').html(obLvedv.getValueFromZ(-2).toFixed(0));
	$('#Lvedv_mean').html(obLvedv.getValueFromZ(0).toFixed(0));
	$('#Lvedv_uln').html(obLvedv.getValueFromZ(2).toFixed(0));
	references = obLvedv.showResults(references);
	
 	obLvedvbsa = new alfakihLvedvbsa(lvedvbsa, weight, height, male);
	$('#infoLvedvbsa').html(obLvedvbsa.infoString);
	$('#Lvedvbsa_lln').html(obLvedvbsa.getValueFromZ(-2).toFixed(0));
	$('#Lvedvbsa_mean').html(obLvedvbsa.getValueFromZ(0).toFixed(0));
	$('#Lvedvbsa_uln').html(obLvedvbsa.getValueFromZ(2).toFixed(0));
	references = obLvedvbsa.showResults(references);

	obLvesv = new alfakihLvesv(lvesv, male);
	$('#infoLvesv').html(obLvesv.infoString);
	$('#Lvesv_lln').html(obLvesv.getValueFromZ(-2).toFixed(0));
	$('#Lvesv_mean').html(obLvesv.getValueFromZ(0).toFixed(0));
	$('#Lvesv_uln').html(obLvesv.getValueFromZ(2).toFixed(0));
	references = obLvesv.showResults(references);
	
	obLvesvbsa = new alfakihLvesvbsa(lvesvbsa, male);
	$('#infoLvesvbsa').html(obLvesvbsa.infoString);
	$('#Lvesvbsa_lln').html(obLvesvbsa.getValueFromZ(-2).toFixed(0));
	$('#Lvesvbsa_mean').html(obLvesvbsa.getValueFromZ(0).toFixed(0));
	$('#Lvesvbsa_uln').html(obLvesvbsa.getValueFromZ(2).toFixed(0));
	references = obLvesvbsa.showResults(references);

	obLvsv = new alfakihLvsv(lvsv, male);
	$('#infoLvsv').html(obLvsv.infoString);
	$('#Lvsv_lln').html(obLvsv.getValueFromZ(-2).toFixed(0));
	$('#Lvsv_mean').html(obLvsv.getValueFromZ(0).toFixed(0));
	$('#Lvsv_uln').html(obLvsv.getValueFromZ(2).toFixed(0));
	references = obLvsv.showResults(references);
	
	obLvsvbsa = new alfakihLvsvbsa(lvsvbsa, male);
	$('#infoLvsvbsa').html(obLvsvbsa.infoString);
	$('#Lvsvbsa_lln').html(obLvsvbsa.getValueFromZ(-2).toFixed(0));
	$('#Lvsvbsa_mean').html(obLvsvbsa.getValueFromZ(0).toFixed(0));
	$('#Lvsvbsa_uln').html(obLvsvbsa.getValueFromZ(2).toFixed(0));
	references = obLvsvbsa.showResults(references);

	obLvmass = new alfakihLvmass(lvmass, male);
	$('#infoLvmass').html(obLvmass.infoString);
	$('#Lvmass_lln').html(obLvmass.getValueFromZ(-2).toFixed(0));
	$('#Lvmass_mean').html(obLvmass.getValueFromZ(0).toFixed(0));
	$('#Lvmass_uln').html(obLvmass.getValueFromZ(2).toFixed(0));
	references = obLvmass.showResults(references);
	
	obLvmassbsa = new alfakihLvmassbsa(lvmassbsa, weight, height, male);
	$('#infoLvmassbsa').html(obLvmassbsa.infoString);
	$('#Lvmassbsa_lln').html(obLvmassbsa.getValueFromZ(-2).toFixed(0));
	$('#Lvmassbsa_mean').html(obLvmassbsa.getValueFromZ(0).toFixed(0));
	$('#Lvmassbsa_uln').html(obLvmassbsa.getValueFromZ(2).toFixed(0));
	references = obLvmassbsa.showResults(references);
	
	} else {
			obLvef = new kawelLvef(lvef, male);
	$('#infoLvef').html(obLvef.infoString);
	$('#Lvef_lln').html(obLvef.getValueFromZ(-2).toFixed(0));
	$('#Lvef_mean').html(obLvef.getValueFromZ(0).toFixed(0));
	$('#Lvef_uln').html(obLvef.getValueFromZ(2).toFixed(0));
	references = obLvef.showResults(references); 
	
	obLvedvbsa = new kawelLvedvbsa(lvedvbsa, weight, height, male);
	$('#infoLvedvbsa').html(obLvedvbsa.infoString);
	$('#Lvedvbsa_lln').html(obLvedvbsa.getValueFromZ(-2).toFixed(0));
	$('#Lvedvbsa_mean').html(obLvedvbsa.getValueFromZ(0).toFixed(0));
	$('#Lvedvbsa_uln').html(obLvedvbsa.getValueFromZ(2).toFixed(0));
	references = obLvedvbsa.showResults(references);

	obLvesvbsa = new kawelLvesvbsa(lvesvbsa, weight,height, male);
	$('#infoLvesvbsa').html(obLvesvbsa.infoString);
	$('#Lvesvbsa_lln').html(obLvesvbsa.getValueFromZ(-2).toFixed(0));
	$('#Lvesvbsa_mean').html(obLvesvbsa.getValueFromZ(0).toFixed(0));
	$('#Lvesvbsa_uln').html(obLvesvbsa.getValueFromZ(2).toFixed(0));
	references = obLvesvbsa.showResults(references);

	obLvsvbsa = new kawelLvsvbsa(lvsvbsa, weight, height, male);
	$('#infoLvsvbsa').html(obLvsvbsa.infoString);
	$('#Lvsvbsa_lln').html(obLvsvbsa.getValueFromZ(-2).toFixed(0));
	$('#Lvsvbsa_mean').html(obLvsvbsa.getValueFromZ(0).toFixed(0));
	$('#Lvsvbsa_uln').html(obLvsvbsa.getValueFromZ(2).toFixed(0));
	references = obLvsvbsa.showResults(references);

	obLvmassbsa = new kawelLvmassbsa(lvmassbsa, weight, height, male);
	$('#infoLvmassbsa').html(obLvmassbsa.infoString);
	$('#Lvmassbsa_lln').html(obLvmassbsa.getValueFromZ(-2).toFixed(0));
	$('#Lvmassbsa_mean').html(obLvmassbsa.getValueFromZ(0).toFixed(0));
	$('#Lvmassbsa_uln').html(obLvmassbsa.getValueFromZ(2).toFixed(0));
	references = obLvmassbsa.showResults(references);
	
	/* obLvci = new kawelLvci(lvci, weight, height, male);
	$('#infoLvci').html(obLvci.infoString);
	$('#Lvci_lln').html(obLvci.getValueFromZ(-2).toFixed(0));
	$('#Lvci_mean').html(obLvci.getValueFromZ(0).toFixed(0));
	$('#Lvci_uln').html(obLvci.getValueFromZ(2).toFixed(0));
	references = obLvci.showResults(references); */
	}
	
	if (references.length > 0) 
	outputLv = window.lang.convert("LV parameters based on Simpsons method of discs, normal range in parentheses") + ": \n" + writeRefString(references) + "\n\n";
	else outputLv = "";
	
	references = new Array();
	
	if (adult) {
	obRvef = new alfakihRvef(rvef, male);
	$('#infoRvef').html(obRvef.infoString);
	$('#Rvef_lln').html(obRvef.getValueFromZ(-2).toFixed(0));
	$('#Rvef_mean').html(obRvef.getValueFromZ(0).toFixed(0));
	$('#Rvef_uln').html(obRvef.getValueFromZ(2).toFixed(0));
	references = obRvef.showResults(references); 

	obRvedv = new alfakihRvedv(rvedv, male);
	$('#infoRvedv').html(obRvedv.infoString);
	$('#Rvedv_lln').html(obRvedv.getValueFromZ(-2).toFixed(0));
	$('#Rvedv_mean').html(obRvedv.getValueFromZ(0).toFixed(0));
	$('#Rvedv_uln').html(obRvedv.getValueFromZ(2).toFixed(0));
	references = obRvedv.showResults(references);

 	obRvedvbsa = new alfakihRvedvbsa(rvedvbsa, weight, height, male);
	$('#infoRvedvbsa').html(obRvedvbsa.infoString);
	$('#Rvedvbsa_lln').html(obRvedvbsa.getValueFromZ(-2).toFixed(0));
	$('#Rvedvbsa_mean').html(obRvedvbsa.getValueFromZ(0).toFixed(0));
	$('#Rvedvbsa_uln').html(obRvedvbsa.getValueFromZ(2).toFixed(0));
	references = obRvedvbsa.showResults(references);

	obRvesv = new alfakihRvesv(rvesv, male);
	$('#infoRvesv').html(obRvesv.infoString);
	$('#Rvesv_lln').html(obRvesv.getValueFromZ(-2).toFixed(0));
	$('#Rvesv_mean').html(obRvesv.getValueFromZ(0).toFixed(0));
	$('#Rvesv_uln').html(obRvesv.getValueFromZ(2).toFixed(0));
	references = obRvesv.showResults(references);

	obRvesvbsa = new alfakihRvesvbsa(rvesvbsa, male);
	$('#infoRvesvbsa').html(obRvesvbsa.infoString);
	$('#Rvesvbsa_lln').html(obRvesvbsa.getValueFromZ(-2).toFixed(0));
	$('#Rvesvbsa_mean').html(obRvesvbsa.getValueFromZ(0).toFixed(0));
	$('#Rvesvbsa_uln').html(obRvesvbsa.getValueFromZ(2).toFixed(0));
	references = obRvesvbsa.showResults(references);


	obRvsv = new alfakihRvsv(rvsv, male);
	$('#infoRvsv').html(obRvsv.infoString);
	$('#Rvsv_lln').html(obRvsv.getValueFromZ(-2).toFixed(0));
	$('#Rvsv_mean').html(obRvsv.getValueFromZ(0).toFixed(0));
	$('#Rvsv_uln').html(obRvsv.getValueFromZ(2).toFixed(0));
	references = obRvsv.showResults(references);
	
	obRvsvbsa = new alfakihRvsvbsa(rvsvbsa, male);
	$('#infoRvsvbsa').html(obRvsvbsa.infoString);
	$('#Rvsvbsa_lln').html(obRvsvbsa.getValueFromZ(-2).toFixed(0));
	$('#Rvsvbsa_mean').html(obRvsvbsa.getValueFromZ(0).toFixed(0));
	$('#Rvsvbsa_uln').html(obRvsvbsa.getValueFromZ(2).toFixed(0));
	references = obRvsvbsa.showResults(references);

			
	obRvmass = new alfakihRvmass(rvmass, male);
	$('#infoRvmass').html(obRvmass.infoString);
	$('#Rvmass_lln').html(obRvmass.getValueFromZ(-2).toFixed(0));
	$('#Rvmass_mean').html(obRvmass.getValueFromZ(0).toFixed(0));
	$('#Rvmass_uln').html(obRvmass.getValueFromZ(2).toFixed(0));
	references = obRvmass.showResults(references);
	
	obRvmassbsa = new alfakihRvmassbsa(rvmassbsa, weight, height, male);
	$('#infoRvmassbsa').html(obRvmassbsa.infoString);
	$('#Rvmassbsa_lln').html(obRvmassbsa.getValueFromZ(-2).toFixed(0));
	$('#Rvmassbsa_mean').html(obRvmassbsa.getValueFromZ(0).toFixed(0));
	$('#Rvmassbsa_uln').html(obRvmassbsa.getValueFromZ(2).toFixed(0));
	references = obRvmassbsa.showResults(references);
	} 
	else {
		obRvef = new kawelRvef(rvef, male);
	$('#infoRvef').html(obRvef.infoString);
	$('#Rvef_lln').html(obRvef.getValueFromZ(-2).toFixed(0));
	$('#Rvef_mean').html(obRvef.getValueFromZ(0).toFixed(0));
	$('#Rvef_uln').html(obRvef.getValueFromZ(2).toFixed(0));
	references = obRvef.showResults(references); 

 	obRvedvbsa = new kawelRvedvbsa(rvedvbsa, weight, height, male);
	$('#infoRvedvbsa').html(obRvedvbsa.infoString);
	$('#Rvedvbsa_lln').html(obRvedvbsa.getValueFromZ(-2).toFixed(0));
	$('#Rvedvbsa_mean').html(obRvedvbsa.getValueFromZ(0).toFixed(0));
	$('#Rvedvbsa_uln').html(obRvedvbsa.getValueFromZ(2).toFixed(0));
	references = obRvedvbsa.showResults(references);

	obRvesvbsa = new kawelRvesvbsa(rvesvbsa, male);
	$('#infoRvesvbsa').html(obRvesvbsa.infoString);
	$('#Rvesvbsa_lln').html(obRvesvbsa.getValueFromZ(-2).toFixed(0));
	$('#Rvesvbsa_mean').html(obRvesvbsa.getValueFromZ(0).toFixed(0));
	$('#Rvesvbsa_uln').html(obRvesvbsa.getValueFromZ(2).toFixed(0));
	references = obRvesvbsa.showResults(references);
	
	obRvsvbsa = new kawelRvsvbsa(rvsvbsa, male);
	$('#infoRvsvbsa').html(obRvsvbsa.infoString);
	$('#Rvsvbsa_lln').html(obRvsvbsa.getValueFromZ(-2).toFixed(0));
	$('#Rvsvbsa_mean').html(obRvsvbsa.getValueFromZ(0).toFixed(0));
	$('#Rvsvbsa_uln').html(obRvsvbsa.getValueFromZ(2).toFixed(0));
	references = obRvsvbsa.showResults(references);

	obRvmassbsa = new kawelRvmassbsa(rvmassbsa, weight, height, male);
	$('#infoRvmassbsa').html(obRvmassbsa.infoString);
	$('#Rvmassbsa_lln').html(obRvmassbsa.getValueFromZ(-2).toFixed(0));
	$('#Rvmassbsa_mean').html(obRvmassbsa.getValueFromZ(0).toFixed(0));
	$('#Rvmassbsa_uln').html(obRvmassbsa.getValueFromZ(2).toFixed(0));
	references = obRvmassbsa.showResults(references);
	}
	

if (references.length > 0) {
 outputRv = window.lang.convert("RV parameters based on Simpsons method of discs, normal range in parentheses") + ": \n" + writeRefString(references) + "\n\n";
} else outputRv = "";

//  Aorta
	references = new Array();
	
	if (adult) {	
	obAnnulus = new davisAnnulus(annulus, male, bmi);
	$('#infoAnnulus').html(obAnnulus.infoString);
	$('#Annulus_lln').html(obAnnulus.getValueFromZ(-2).toFixed(0));
	$('#Annulus_mean').html(obAnnulus.getValueFromZ(0).toFixed(0));
	$('#Annulus_uln').html(obAnnulus.getValueFromZ(2).toFixed(0));
	references = obAnnulus.showResults(references);
	
		obSinus = new davisSinus(sinus, male, bmi);
	$('#infoSinus').html(obSinus.infoString);
	$('#Sinus_lln').html(obSinus.getValueFromZ(-2).toFixed(0));
	$('#Sinus_mean').html(obSinus.getValueFromZ(0).toFixed(0));
	$('#Sinus_uln').html(obSinus.getValueFromZ(2).toFixed(0));
	references = obSinus.showResults(references);
	
obStj = new davisStj(stj, male, bmi);
	$('#infoStj').html(obStj.infoString);
	$('#Stj_lln').html(obStj.getValueFromZ(-2).toFixed(0));
	$('#Stj_mean').html(obStj.getValueFromZ(0).toFixed(0));
	$('#Stj_uln').html(obStj.getValueFromZ(2).toFixed(0));
	references = obStj.showResults(references);
	
		obAscendens = new davisAscendens(ascendens, male, bmi);
	$('#infoAscendens').html(obAscendens.infoString);
	$('#Ascendens_lln').html(obAscendens.getValueFromZ(-2).toFixed(0));
	$('#Ascendens_mean').html(obAscendens.getValueFromZ(0).toFixed(0));
	$('#Ascendens_uln').html(obAscendens.getValueFromZ(2).toFixed(0));
	references = obAscendens.showResults(references);
		
		obProxdescendens = new davisProxdescendens(proxdescendens, male, bmi);
	$('#infoProxdescendens').html(obProxdescendens.infoString);
	$('#Proxdescendens_lln').html(obProxdescendens.getValueFromZ(-2).toFixed(0));
	$('#Proxdescendens_mean').html(obProxdescendens.getValueFromZ(0).toFixed(0));
	$('#Proxdescendens_uln').html(obProxdescendens.getValueFromZ(2).toFixed(0));
	references = obProxdescendens.showResults(references);
	
		obDescendens = new davisDescendens(descendens, male, bmi);
	$('#infoDescendens').html(obDescendens.infoString);
	$('#Descendens_lln').html(obDescendens.getValueFromZ(-2).toFixed(0));
	$('#Descendens_mean').html(obDescendens.getValueFromZ(0).toFixed(0));
	$('#Descendens_uln').html(obDescendens.getValueFromZ(2).toFixed(0));
	references = obDescendens.showResults(references); 
	}
	else {
		
		obSinus = new kaiserSinus(sinus, male, weight,height);
	$('#infoSinus').html(obSinus.infoString);
	$('#Sinus_lln').html(obSinus.getValueFromZ(-2).toFixed(0));
	$('#Sinus_mean').html(obSinus.getValueFromZ(0).toFixed(0));
	$('#Sinus_uln').html(obSinus.getValueFromZ(2).toFixed(0));
	references = obSinus.showResults(references);
	
obStj = new kaiserStj(stj, male, weight,height);
	$('#infoStj').html(obStj.infoString);
	$('#Stj_lln').html(obStj.getValueFromZ(-2).toFixed(0));
	$('#Stj_mean').html(obStj.getValueFromZ(0).toFixed(0));
	$('#Stj_uln').html(obStj.getValueFromZ(2).toFixed(0));
	references = obStj.showResults(references);
	
		obAscendens = new kaiserAscendens(ascendens, male, weight,height);
	$('#infoAscendens').html(obAscendens.infoString);
	$('#Ascendens_lln').html(obAscendens.getValueFromZ(-2).toFixed(0));
	$('#Ascendens_mean').html(obAscendens.getValueFromZ(0).toFixed(0));
	$('#Ascendens_uln').html(obAscendens.getValueFromZ(2).toFixed(0));
	references = obAscendens.showResults(references);
	
		obBca = new kaiserBca(bca, male, weight,height);
	$('#infoBca').html(obBca.infoString);
	$('#Bca_lln').html(obBca.getValueFromZ(-2).toFixed(0));
	$('#Bca_mean').html(obBca.getValueFromZ(0).toFixed(0));
	$('#Bca_uln').html(obBca.getValueFromZ(2).toFixed(0));
	references = obBca.showResults(references);
	
		obLsa = new kaiserLsa(lsa, male, weight,height);
	$('#infoLsa').html(obLsa.infoString);
	$('#Lsa_lln').html(obLsa.getValueFromZ(-2).toFixed(0));
	$('#Lsa_mean').html(obLsa.getValueFromZ(0).toFixed(0));
	$('#Lsa_uln').html(obLsa.getValueFromZ(2).toFixed(0));
	references = obLsa.showResults(references);
	
		obIsthmus = new kaiserIsthmus(isthmus, male, weight,height);
	$('#infoIsthmus').html(obIsthmus.infoString);
	$('#Isthmus_lln').html(obIsthmus.getValueFromZ(-2).toFixed(0));
	$('#Isthmus_mean').html(obIsthmus.getValueFromZ(0).toFixed(0));
	$('#Isthmus_uln').html(obIsthmus.getValueFromZ(2).toFixed(0));
	references = obIsthmus.showResults(references);
		
		obProxdescendens = new kaiserProxdescendens(proxdescendens, male, weight,height);
	$('#infoProxdescendens').html(obProxdescendens.infoString);
	$('#Proxdescendens_lln').html(obProxdescendens.getValueFromZ(-2).toFixed(0));
	$('#Proxdescendens_mean').html(obProxdescendens.getValueFromZ(0).toFixed(0));
	$('#Proxdescendens_uln').html(obProxdescendens.getValueFromZ(2).toFixed(0));
	references = obProxdescendens.showResults(references);
	
		obDescendens = new kaiserDescendens(descendens, male, weight,height);
	$('#infoDescendens').html(obDescendens.infoString);
	$('#Descendens_lln').html(obDescendens.getValueFromZ(-2).toFixed(0));
	$('#Descendens_mean').html(obDescendens.getValueFromZ(0).toFixed(0));
	$('#Descendens_uln').html(obDescendens.getValueFromZ(2).toFixed(0));
	references = obDescendens.showResults(references); 
	}
	

if (references.length > 0) 
 outputAorta = window.lang.convert("Aortic diameters, normal range in parentheses") + ": \n" + writeRefString(references) + "\n\n";
 else outputAorta= "";
 
 outputTemp = outputLv + outputRv + outputAorta;

	$('#outputContent').html(outputTemp);

	// Erasing uln,mean,lln returned with errorcode -100
	$("div[id$='lln']").each(function(index) {
		if ($(this).html() === "-100.0") $(this).html("")
	});
	$("div[id$='uln']").each(function(index) {
		if ($(this).html() === "-100.0") $(this).html("")
	});
	$("div[id$='mean']").each(function(index) {
		if ($(this).html() === "-100.0") $(this).html("")
	});
}

function alfakihLvedv(value, male) {
	this.value = value || -1;
	this.hideZ = true;
	this.refString = REF_ALFAKIH;
	this.init();
	this.infoString = this.getInfo([INFO_ALFAKIH, INFO_ZSCORE, ABBREV_ALFAKIH]);
	this.paramName = "Lvedv";
	this.paramNameLong = "EDV";
	this.paramUnit = "ml";

	if (male) {
		this.mean = 160;
		this.sd = 27;
	}
	else {
		this.mean = 132;
		this.sd = 23;		
	}
		
	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	// this.getLowerAndUpperValues();
	this.lln = this.getValueFromZ(-2).toFixed(0);
	this.uln = this.getValueFromZ(2).toFixed(0)
}
alfakihLvedv.prototype = new MeanSdClass();

function alfakihLvedvbsa(value, weight, height, male) {
	this.value = value || -1;
	this.hideZ = true;
	this.weight = weight || -1;
	this.height = height || -1;
	this.refString = REF_ALFAKIH;
	this.init();
	this.infoString = this.getInfo([INFO_ALFAKIH, INFO_ZSCORE, ABBREV_ALFAKIH]);
	this.paramName = "Lvedvbsa";
	this.paramNameLong = "EDV/BSA";
	this.paramUnit = "ml/m²";
	this.bsa = bsaDuBois(height, weight);

	if (male) {
		this.mean = 81;
		this.sd = 12;
	}
	else {
		this.mean = 76;
		this.sd = 10;		
	}
		
	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	this.errorCondition.push(weight <= 0);
	this.errorString.push(window.lang.convert('Weight') + " " + window.lang.convert("has to be greater than 0"));
		this.errorCondition.push(height <= 0);
	this.errorString.push(window.lang.convert('Height') + " " + window.lang.convert("has to be greater than 0"));
	
	this.lln = this.getValueFromZ(-2).toFixed(0);
	this.uln = this.getValueFromZ(2).toFixed(0)
}
alfakihLvedvbsa.prototype = new MeanSdClass();

function alfakihLvesv(value, male) {
	this.value = value || -1;
	this.hideZ = true;
	this.refString = REF_ALFAKIH;
	this.init();
	this.infoString = this.getInfo([INFO_ALFAKIH, INFO_ZSCORE, ABBREV_ALFAKIH]);
	this.paramName = "Lvesv";
	this.paramNameLong = "ESV";
	this.paramUnit = "ml";

	if (male) {
		this.mean = 54;
		this.sd = 14;
	}
	else {
		this.mean = 44;
		this.sd = 11;		
	}
		
	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	// this.getLowerAndUpperValues();
	this.lln = this.getValueFromZ(-2).toFixed(0);
	this.uln = this.getValueFromZ(2).toFixed(0)
}
alfakihLvesv.prototype = new MeanSdClass();

function alfakihLvesvbsa(value, male) {
	this.value = value || -1;
	this.hideZ = true;
	this.refString = REF_ALFAKIH;
	this.init();
	this.infoString = this.getInfo([INFO_ALFAKIH, INFO_ZSCORE, ABBREV_ALFAKIH]);
	this.paramName = "Lvesvbsa";
	this.paramNameLong = "ESV/BSA";
	this.paramUnit = "ml/m²";

	if (male) {
		this.mean = 26;
		this.sd = 6;
	}
	else {
		this.mean = 24;
		this.sd = 5;		
	}
		
	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	// this.getLowerAndUpperValues();
	this.lln = this.getValueFromZ(-2).toFixed(0);
	this.uln = this.getValueFromZ(2).toFixed(0)
}
alfakihLvesvbsa.prototype = new MeanSdClass();

function alfakihLvsv(value, male) {
	this.value = value || -1;
	this.hideZ = true;
	this.refString = REF_ALFAKIH;
	this.init();
	this.infoString = this.getInfo([INFO_ALFAKIH, INFO_ZSCORE, ABBREV_ALFAKIH]);
	this.paramName = "Lvsv";
	this.paramNameLong = "SV";
	this.paramUnit = "ml";

	if (male) {
		this.mean = 108;
		this.sd = 18;
	}
	else {
		this.mean = 87;
		this.sd = 15;		
	}
		
	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	// this.getLowerAndUpperValues();
	this.lln = this.getValueFromZ(-2).toFixed(0);
	this.uln = this.getValueFromZ(2).toFixed(0)
}
alfakihLvsv.prototype = new MeanSdClass();

function alfakihLvsvbsa(value, male) {
	this.value = value || -1;
	this.hideZ = true;
	this.refString = REF_ALFAKIH;
	this.init();
	this.infoString = this.getInfo([INFO_ALFAKIH, INFO_ZSCORE, ABBREV_ALFAKIH]);
	this.paramName = "Lvsvbsa";
	this.paramNameLong = "SV/BSA";
	this.paramUnit = "ml/m²";

	if (male) {
		this.mean = 54;
		this.sd = 6;
	}
	else {
		this.mean = 52;
		this.sd = 7;		
	}
		
	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	// this.getLowerAndUpperValues();
	this.lln = this.getValueFromZ(-2).toFixed(0);
	this.uln = this.getValueFromZ(2).toFixed(0)
}
alfakihLvsvbsa.prototype = new MeanSdClass();

function alfakihLvef(value, male) {
	this.value = value || -1;
	this.hideZ = true;
	this.refString = REF_ALFAKIH;
	this.init();
	this.infoString = this.getInfo([INFO_ALFAKIH, INFO_ZSCORE, ABBREV_ALFAKIH]);
	this.paramName = "Lvef";
	this.paramNameLong = "EF";
	this.paramUnit = "%";
	

	if (male) {
		this.mean = 67;
		this.sd = 5;
	}
	else {
		this.mean = 67;
		this.sd = 5;		
	}
		
	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert('LVEDV') + " " + window.lang.convert("has to be greater than 0"));
	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert('LVESV') + " " + window.lang.convert("has to be greater than 0"));
	// this.getLowerAndUpperValues();
	this.lln = this.getValueFromZ(-2).toFixed(0);
	this.uln = this.getValueFromZ(2).toFixed(0)
}
alfakihLvef.prototype = new MeanSdClass();

function alfakihLvmass(value, male) {
	this.value = value || -1;
	this.hideZ = true;
	this.refString = REF_ALFAKIH;
	this.init();
	this.infoString = this.getInfo([INFO_ALFAKIH, INFO_ZSCORE, ABBREV_ALFAKIH]);
	this.paramName = "Lvmass";
	this.paramNameLong = "Mass";
	this.paramUnit = "g";

	if (male) {
		this.mean = 134;
		this.sd = 21;
	}
	else {
		this.mean = 98;
		this.sd = 21;		
	}
		
	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	// this.getLowerAndUpperValues();
	this.lln = this.getValueFromZ(-2).toFixed(0);
	this.uln = this.getValueFromZ(2).toFixed(0)
}
alfakihLvmass.prototype = new MeanSdClass();

function alfakihLvmassbsa(value, weight, height, male) {
	this.value = value || -1;
	this.hideZ = true;
	this.weight = weight || -1;
	this.height = height || -1;
	this.refString = REF_ALFAKIH;
	this.init();
	this.infoString = this.getInfo([INFO_ALFAKIH, INFO_ZSCORE, ABBREV_ALFAKIH]);
	this.paramName = "Lvmassbsa";
	this.paramNameLong = "Mass/BSA";
	this.paramUnit = "g/m²";
	this.bsa = bsaDuBois(height, weight);

	if (male) {
		this.mean = 67;
		this.sd = 9;
	}
	else {
		this.mean = 61;
		this.sd = 10;		
	}
		
	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	this.errorCondition.push(weight <= 0);
	this.errorString.push(window.lang.convert('Weight') + " " + window.lang.convert("has to be greater than 0"));
	this.errorCondition.push(height <= 0);
	this.errorString.push(window.lang.convert('Height') + " " + window.lang.convert("has to be greater than 0"));
	// this.getLowerAndUpperValues();
	this.lln = this.getValueFromZ(-2).toFixed(0);
	this.uln = this.getValueFromZ(2).toFixed(0)
}
alfakihLvmassbsa.prototype = new MeanSdClass();







function alfakihRvedv(value, male) {
	this.value = value || -1;
	this.hideZ = true;
	this.refString = REF_ALFAKIH;
	this.init();
	this.infoString = this.getInfo([INFO_ALFAKIH, INFO_ZSCORE, ABBREV_ALFAKIH]);
	this.paramName = "Rvedv";
	this.paramNameLong = "EDV";
	this.paramUnit = "ml";

	if (male) {
		this.mean = 184;
		this.sd = 33;
	}
	else {
		this.mean = 139;
		this.sd = 31;		
	}
		
	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	// this.getLowerAndUpperValues();
	this.lln = this.getValueFromZ(-2).toFixed(0);
	this.uln = this.getValueFromZ(2).toFixed(0)
}
alfakihRvedv.prototype = new MeanSdClass();

function alfakihRvedvbsa(value, weight, height, male) {
	this.value = value || -1;
	this.hideZ = true;
	this.weight = weight || -1;
	this.height = height || -1;
	this.refString = REF_ALFAKIH;
	this.init();
	this.infoString = this.getInfo([INFO_ALFAKIH, INFO_ZSCORE, ABBREV_ALFAKIH]);
	this.paramName = "Rvedvbsa";
	this.paramNameLong = "EDV/BSA";
	this.paramUnit = "ml/m²";
	this.bsa = bsaDuBois(height, weight);

	if (male) {
		this.mean = 91;
		this.sd = 15;
	}
	else {
		this.mean = 80;
		this.sd = 16;		
	}
		
	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	this.errorCondition.push(weight <= 0);
	this.errorString.push(window.lang.convert('Weight') + " " + window.lang.convert("has to be greater than 0"));
		this.errorCondition.push(height <= 0);
	this.errorString.push(window.lang.convert('Height') + " " + window.lang.convert("has to be greater than 0"));
	// this.getLowerAndUpperValues();
	this.lln = this.getValueFromZ(-2).toFixed(0);
	this.uln = this.getValueFromZ(2).toFixed(0)
}
alfakihRvedvbsa.prototype = new MeanSdClass();

function alfakihRvesv(value, male) {
	this.value = value || -1;
	this.hideZ = true;
	this.refString = REF_ALFAKIH;
	this.init();
	this.infoString = this.getInfo([INFO_ALFAKIH, INFO_ZSCORE, ABBREV_ALFAKIH]);
	this.paramName = "Rvesv";
	this.paramNameLong = "ESV";
	this.paramUnit = "ml";

	if (male) {
		this.mean = 79;
		this.sd = 19;
	}
	else {
		this.mean = 54;
		this.sd = 15;		
	}
		
	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	// this.getLowerAndUpperValues();
	this.lln = this.getValueFromZ(-2).toFixed(0);
	this.uln = this.getValueFromZ(2).toFixed(0)
}
alfakihRvesv.prototype = new MeanSdClass();

function alfakihRvesvbsa(value, male) {
	this.value = value || -1;
	this.hideZ = true;
	this.refString = REF_ALFAKIH;
	this.init();
	this.infoString = this.getInfo([INFO_ALFAKIH, INFO_ZSCORE, ABBREV_ALFAKIH]);
	this.paramName = "Rvesvbsa";
	this.paramNameLong = "ESV/BSA";
	this.paramUnit = "ml/m²";

	if (male) {
		this.mean = 39;
		this.sd = 10;
	}
	else {
		this.mean = 32;
		this.sd = 10;		
	}
		
	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	// this.getLowerAndUpperValues();
	this.lln = this.getValueFromZ(-2).toFixed(0);
	this.uln = this.getValueFromZ(2).toFixed(0)
}
alfakihRvesvbsa.prototype = new MeanSdClass();

function alfakihRvsv(value, male) {
	this.value = value || -1;
	this.hideZ = true;
	this.refString = REF_ALFAKIH;
	this.init();
	this.infoString = this.getInfo([INFO_ALFAKIH, INFO_ZSCORE, ABBREV_ALFAKIH]);
	this.paramName = "Rvsv";
	this.paramNameLong = "SV";
	this.paramUnit = "ml";

	if (male) {
		this.mean = 106;
		this.sd = 19;
	}
	else {
		this.mean = 84;
		this.sd = 18;		
	}
		
	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	// this.getLowerAndUpperValues();
	this.lln = this.getValueFromZ(-2).toFixed(0);
	this.uln = this.getValueFromZ(2).toFixed(0)
}
alfakihRvsv.prototype = new MeanSdClass();

function alfakihRvsvbsa(value, male) {
	this.value = value || -1;
	this.hideZ = true;
	this.refString = REF_ALFAKIH;
	this.init();
	this.infoString = this.getInfo([INFO_ALFAKIH, INFO_ZSCORE, ABBREV_ALFAKIH]);
	this.paramName = "Rvsvbsa";
	this.paramNameLong = "SV/BSA";
	this.paramUnit = "ml/m²";

	if (male) {
		this.mean = 57;
		this.sd = 8;
	}
	else {
		this.mean = 53;
		this.sd = 9;		
	}
		
	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	// this.getLowerAndUpperValues();
	this.lln = this.getValueFromZ(-2).toFixed(0);
	this.uln = this.getValueFromZ(2).toFixed(0)
}
alfakihRvsvbsa.prototype = new MeanSdClass();

function alfakihRvef(value, male) {
	this.value = value || -1;
	this.hideZ = true;
	this.refString = REF_ALFAKIH;
	this.init();
	this.infoString = this.getInfo([INFO_ALFAKIH, INFO_ZSCORE, ABBREV_ALFAKIH]);
	this.paramName = "Rvef";
	this.paramNameLong = "EF";
	this.paramUnit = "%";

	if (male) {
		this.mean = 62;
		this.sd = 6;
	}
	else {
		this.mean = 61;
		this.sd = 5;		
	}
		
	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert('LVEDV') + " " + window.lang.convert("has to be greater than 0"));
	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert('LVESV') + " " + window.lang.convert("has to be greater than 0"));
	// this.getLowerAndUpperValues();
	this.lln = this.getValueFromZ(-2).toFixed(0);
	this.uln = this.getValueFromZ(2).toFixed(0)
}
alfakihRvef.prototype = new MeanSdClass();


function alfakihRvmass(value, male) {
	this.value = value || -1;
	this.hideZ = true;
	this.refString = REF_ALFAKIH;
	this.init();
	this.infoString = this.getInfo([INFO_ALFAKIH, INFO_ZSCORE, ABBREV_ALFAKIH]);
	this.paramName = "Rvmass";
	this.paramNameLong = "Mass";
	this.paramUnit = "g";

	if (male) {
		this.mean = 41;
		this.sd = 8;
	}
	else {
		this.mean = 35;
		this.sd = 7;		
	}
		
	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	// this.getLowerAndUpperValues();
	this.lln = this.getValueFromZ(-2).toFixed(0);
	this.uln = this.getValueFromZ(2).toFixed(0)
}
alfakihRvmass.prototype = new MeanSdClass();

function alfakihRvmassbsa(value, weight, height, male) {
	this.value = value || -1;
	this.hideZ = true;
	this.weight = weight || -1;
	this.height = height || -1;
	this.refString = REF_ALFAKIH;
	this.init();
	this.infoString = this.getInfo([INFO_ALFAKIH, INFO_ZSCORE, ABBREV_ALFAKIH]);
	this.paramName = "Rvmassbsa";
	this.paramNameLong = "Mass/BSA";
	this.paramUnit = "g/m²";
	this.bsa = bsaDuBois(height, weight);

	if (male) {
		this.mean = 21;
		this.sd = 4;
	}
	else {
		this.mean = 20;
		this.sd = 4;		
	}
		
	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	this.errorCondition.push(weight <= 0);
	this.errorString.push(window.lang.convert('Weight') + " " + window.lang.convert("has to be greater than 0"));
	this.errorCondition.push(height <= 0);
	this.errorString.push(window.lang.convert('Height') + " " + window.lang.convert("has to be greater than 0"));
	// this.getLowerAndUpperValues();
	this.lln = this.getValueFromZ(-2).toFixed(0);
	this.uln = this.getValueFromZ(2).toFixed(0)
}
alfakihRvmassbsa.prototype = new MeanSdClass();


// Aorta

function davisAnnulus(value, male, bmi) {
	this.value = value || -1;
	this.hideZ = true;
	this.bmi = bmi || -1;
	this.refString = REF_DAVIS;
	this.init();
	this.infoString = this.getInfo([INFO_DAVIS, INFO_ZSCORE, ABBREV_DAVIS]);
	this.paramName = "Annulus";
	this.paramNameLong = "Annulus";
	this.paramUnit = "mm";

	if (male) {
		if (bmi < 25) {
			this.mean = 23.9;
			this.sd = 2.65;
		}
		else if (bmi <30) {
			this.mean = 24.3;
			this.sd = 2.7;
		}		
		else {
		this.mean = 25.6;
			this.sd = 2.6;
		}
	}
	else  {
		if (bmi < 25) {
			this.mean = 20.6;
			this.sd = 1.6;
		}
		else if (bmi <30) {
			this.mean = 21.7;
			this.sd = 1.65;
		}		
		else {
		this.mean = 21.5;
			this.sd = 2.15;
		}
	}
		
	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	this.errorCondition.push(bmi <= 0);
	this.errorString.push(window.lang.convert('BMI') + " " + window.lang.convert("has to be greater than 0"));
	// this.getLowerAndUpperValues();
	this.lln = this.getValueFromZ(-2).toFixed(0);
	this.uln = this.getValueFromZ(2).toFixed(0)
}
davisAnnulus.prototype = new MeanSdClass();

function davisSinus(value, male, bmi) {
	this.value = value || -1;
	this.hideZ = true;
	this.bmi = bmi || -1;
	this.refString = REF_DAVIS;
	this.init();
	this.infoString = this.getInfo([INFO_DAVIS, INFO_ZSCORE, ABBREV_DAVIS]);
	this.paramName = "Sinus";
	this.paramNameLong = "Sinus";
	this.paramUnit = "mm";

	if (male) {
		if (bmi < 25) {
			this.mean = 31.9;
			this.sd = 3.8;
		}
		else if (bmi <30) {
			this.mean = 32.8;
			this.sd = 3.8;
		}		
		else {
		this.mean = 33.3;
			this.sd = 4.5;
		}
	}
	else  {
		if (bmi < 25) {
			this.mean = 27.5;
			this.sd = 2.8;
		}
		else if (bmi <30) {
			this.mean = 28;
			this.sd = 3.1;
		}		
		else {
		this.mean = 27.5;
			this.sd = 3.1;
		}
	}
		
	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	this.errorCondition.push(bmi <= 0);
	this.errorString.push(window.lang.convert('BMI') + " " + window.lang.convert("has to be greater than 0"));
	// this.getLowerAndUpperValues();
	this.lln = this.getValueFromZ(-2).toFixed(0);
	this.uln = this.getValueFromZ(2).toFixed(0)
}
davisSinus.prototype = new MeanSdClass();



function davisStj(value, male, bmi) {
	this.value = value || -1;
	this.hideZ = true;
	this.bmi = bmi || -1;
	this.refString = REF_DAVIS;
	this.init();
	this.infoString = this.getInfo([INFO_DAVIS, INFO_ZSCORE, ABBREV_DAVIS]);
	this.paramName = "Stj";
	this.paramNameLong = "STJ";
	this.paramUnit = "mm";

	if (male) {
		if (bmi < 25) {
			this.mean = 24.4;
			this.sd = 3.1;
		}
		else if (bmi <30) {
			this.mean = 25.7;
			this.sd = 4.5;
		}		
		else {
		this.mean = 26.2;
			this.sd = 3.65;
		}
	}
	else  {
		if (bmi < 25) {
			this.mean = 21.6;
			this.sd = 2.5;
		}
		else if (bmi <30) {
			this.mean = 22.3;
			this.sd = 2.65;
		}		
		else {
		this.mean = 22.1;
			this.sd = 3.1;
		}
	}
		
	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	this.errorCondition.push(bmi <= 0);
	this.errorString.push(window.lang.convert('BMI') + " " + window.lang.convert("has to be greater than 0"));
	// this.getLowerAndUpperValues();
	this.lln = this.getValueFromZ(-2).toFixed(0);
	this.uln = this.getValueFromZ(2).toFixed(0)
}
davisStj.prototype = new MeanSdClass();


function davisAscendens(value, male, bmi) {
	this.value = value || -1;
	this.hideZ = true;
	this.bmi = bmi || -1;
	this.refString = REF_DAVIS;
	this.init();
	this.infoString = this.getInfo([INFO_DAVIS, INFO_ZSCORE, ABBREV_DAVIS]);
	this.paramName = "Ascendens";
	this.paramNameLong = "Ascending aorta";
	this.paramUnit = "mm";

	if (male) {
		if (bmi < 25) {
			this.mean = 26;
			this.sd = 3.65;
		}
		else if (bmi <30) {
			this.mean = 27.4;
			this.sd = 4.25;
		}		
		else {
		this.mean = 28.5;
			this.sd = 2.7;
		}
	}
	else  {
		if (bmi < 25) {
			this.mean = 24.7;
			this.sd = 3.45;
		}
		else if (bmi <30) {
			this.mean = 26.5;
			this.sd = 3.6;
		}		
		else {
		this.mean = 26.6;
			this.sd = 3.9;
		}
	}
		
	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	this.errorCondition.push(bmi <= 0);
	this.errorString.push(window.lang.convert('BMI') + " " + window.lang.convert("has to be greater than 0"));
	// this.getLowerAndUpperValues();
	this.lln = this.getValueFromZ(-2).toFixed(0);
	this.uln = this.getValueFromZ(2).toFixed(0)
}
davisAscendens.prototype = new MeanSdClass();

function davisProxdescendens(value, male, bmi) {
	this.value = value || -1;
	this.hideZ = true;
	this.bmi = bmi || -1;
	this.refString = REF_DAVIS;
	this.init();
	this.infoString = this.getInfo([INFO_DAVIS, INFO_ZSCORE, ABBREV_DAVIS]);
	this.paramName = "Proxdescendens";
	this.paramNameLong = "Proximal descending aorta";
	this.paramUnit = "mm";

	if (male) {
		if (bmi < 25) {
			this.mean = 20.1;
			this.sd = 2.7;
		}
		else if (bmi <30) {
			this.mean = 20.9;
			this.sd = 2.65;
		}		
		else {
		this.mean = 22.2;
			this.sd = 2.95;
		}
	}
	else  {
		if (bmi < 25) {
			this.mean = 18.5;
			this.sd = 1.95;
		}
		else if (bmi <30) {
			this.mean = 19.2;
			this.sd = 2.2;
		}		
		else {
		this.mean = 19.6;
			this.sd = 1.8;
		}
	}
		
	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	this.errorCondition.push(bmi <= 0);
	this.errorString.push(window.lang.convert('BMI') + " " + window.lang.convert("has to be greater than 0"));
	// this.getLowerAndUpperValues();
	this.lln = this.getValueFromZ(-2).toFixed(0);
	this.uln = this.getValueFromZ(2).toFixed(0)
}
davisProxdescendens.prototype = new MeanSdClass();

function davisDescendens(value, male, bmi) {
	this.value = value || -1;
	this.hideZ = true;
	this.bmi = bmi || -1;
	this.refString = REF_DAVIS;
	this.init();
	this.infoString = this.getInfo([INFO_DAVIS, INFO_ZSCORE, ABBREV_DAVIS]);
	this.paramName = "Descendens";
	this.paramNameLong = "Descending aorta";
	this.paramUnit = "mm";

	if (male) {
		if (bmi < 25) {
			this.mean = 17.1;
			this.sd = 2.55;
		}
		else if (bmi <30) {
			this.mean = 17.9;
			this.sd = 2.55;
		}		
		else {
		this.mean = 18.8;
			this.sd = 2.2;
		}
	}
	else  {
		if (bmi < 25) {
			this.mean = 16;
			this.sd = 1.95;
		}
		else if (bmi <30) {
			this.mean = 16.3;
			this.sd = 2;
		}		
		else {
		this.mean = 17.4;
			this.sd = 1.75;
		}
	}
		
	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	this.errorCondition.push(bmi <= 0);
	this.errorString.push(window.lang.convert('BMI') + " " + window.lang.convert("has to be greater than 0"));
	// this.getLowerAndUpperValues();
	this.lln = this.getValueFromZ(-2).toFixed(0);
	this.uln = this.getValueFromZ(2).toFixed(0)
}
davisDescendens.prototype = new MeanSdClass();

function kaiserSinus(value, male, weight,height) {
	this.value = value || -1;
	this.hideZ = true;
	this.refString = REF_KAISER;
	this.init();
	this.infoString = this.getInfo([INFO_KAISER, INFO_ZSCORE, ABBREV_KAISER]);
	this.paramName = "Sinus";
	this.paramNameLong = "Sinus";
	this.paramUnit = "mm";
	this.bsa = bsaDuBois(height, weight);

	this.mean = 0.57 + 19.37* Math.pow(this.bsa,0.5);
	this.sd = 2.38;
		
	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	this.errorCondition.push(weight <= 0);
	this.errorString.push(window.lang.convert('Weight') + " " + window.lang.convert("has to be greater than 0"));
	this.errorCondition.push(height <= 0);
	this.errorString.push(window.lang.convert('Height') + " " + window.lang.convert("has to be greater than 0"));
	// this.getLowerAndUpperValues();
	this.lln = this.getValueFromZ(-2).toFixed(0);
	this.uln = this.getValueFromZ(2).toFixed(0)
}
kaiserSinus.prototype = new MeanSdClass();

function kaiserStj(value, male, weight,height) {
	this.value = value || -1;
	this.hideZ = true;
	this.refString = REF_KAISER;
	this.init();
	this.infoString = this.getInfo([INFO_KAISER, INFO_ZSCORE, ABBREV_KAISER]);
	this.paramName = "Stj";
	this.paramNameLong = "STJ";
	this.paramUnit = "mm";
	this.bsa = bsaDuBois(height, weight);

	this.mean = -0.03 + 16.91*Math.pow(this.bsa,0.5);
	this.sd = 1.92;
		
	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	this.errorCondition.push(weight <= 0);
	this.errorString.push(window.lang.convert('Weight') + " " + window.lang.convert("has to be greater than 0"));
	this.errorCondition.push(height <= 0);
	this.errorString.push(window.lang.convert('Height') + " " + window.lang.convert("has to be greater than 0"));
	// this.getLowerAndUpperValues();
	this.lln = this.getValueFromZ(-2).toFixed(0);
	this.uln = this.getValueFromZ(2).toFixed(0)
}
kaiserStj.prototype = new MeanSdClass();

function kaiserAscendens(value, male, weight,height) {
	this.value = value || -1;
	this.hideZ = true;
	this.refString = REF_KAISER;
	this.init();
	this.infoString = this.getInfo([INFO_KAISER, INFO_ZSCORE, ABBREV_KAISER]);
	this.paramName = "Ascendens";
	this.paramNameLong = "Ascending aorta";
	this.paramUnit = "mm";
	this.bsa = bsaDuBois(height, weight);

	this.mean = -1.33 + 18.6* Math.pow(this.bsa,0.5);
	this.sd = 1.99;
		
	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	this.errorCondition.push(weight <= 0);
	this.errorString.push(window.lang.convert('Weight') + " " + window.lang.convert("has to be greater than 0"));
	this.errorCondition.push(height <= 0);
	this.errorString.push(window.lang.convert('Height') + " " + window.lang.convert("has to be greater than 0"));
	// this.getLowerAndUpperValues();
	this.lln = this.getValueFromZ(-2).toFixed(0);
	this.uln = this.getValueFromZ(2).toFixed(0)
}
kaiserAscendens.prototype = new MeanSdClass();

function kaiserBca(value, male, weight,height) {
	this.value = value || -1;
	this.hideZ = true;
	this.refString = REF_KAISER;
	this.init();
	this.infoString = this.getInfo([INFO_KAISER, INFO_ZSCORE, ABBREV_KAISER]);
	this.paramName = "Bca";
	this.paramNameLong = "Before BCA";
	this.paramUnit = "mm";
	this.bsa = bsaDuBois(height, weight);

	this.mean = -3.38 + 20.07* Math.pow(this.bsa,0.5);
	this.sd = 1.69;
		
	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	this.errorCondition.push(weight <= 0);
	this.errorString.push(window.lang.convert('Weight') + " " + window.lang.convert("has to be greater than 0"));
	this.errorCondition.push(height <= 0);
	this.errorString.push(window.lang.convert('Height') + " " + window.lang.convert("has to be greater than 0"));
	// this.getLowerAndUpperValues();
	this.lln = this.getValueFromZ(-2).toFixed(0);
	this.uln = this.getValueFromZ(2).toFixed(0)
}
kaiserBca.prototype = new MeanSdClass();

function kaiserLsa(value, male, weight,height) {
	this.value = value || -1;
	this.hideZ = true;
	this.refString = REF_KAISER;
	this.init();
	this.infoString = this.getInfo([INFO_KAISER, INFO_ZSCORE, ABBREV_KAISER]);
	this.paramName = "Lsa";
	this.paramNameLong = "Before LSA";
	this.paramUnit = "mm";
	this.bsa = bsaDuBois(height, weight);

	this.mean = -2.63 + 16.5* Math.pow(this.bsa,0.5);
	this.sd = 1.31;
		
	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	this.errorCondition.push(weight <= 0);
	this.errorString.push(window.lang.convert('Weight') + " " + window.lang.convert("has to be greater than 0"));
	this.errorCondition.push(height <= 0);
	this.errorString.push(window.lang.convert('Height') + " " + window.lang.convert("has to be greater than 0"));
	// this.getLowerAndUpperValues();
	this.lln = this.getValueFromZ(-2).toFixed(0);
	this.uln = this.getValueFromZ(2).toFixed(0)
}
kaiserLsa.prototype = new MeanSdClass();

function kaiserIsthmus(value, male, weight,height) {
	this.value = value || -1;
	this.hideZ = true;
	this.refString = REF_KAISER;
	this.init();
	this.infoString = this.getInfo([INFO_KAISER, INFO_ZSCORE, ABBREV_KAISER]);
	this.paramName = "Isthmus";
	this.paramNameLong = "Isthmus";
	this.paramUnit = "mm";
	this.bsa = bsaDuBois(height, weight);

	this.mean = -3.37 + 16.52* Math.pow(this.bsa,0.5);
	this.sd = 1.46;
		
	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	this.errorCondition.push(weight <= 0);
	this.errorString.push(window.lang.convert('Weight') + " " + window.lang.convert("has to be greater than 0"));
	this.errorCondition.push(height <= 0);
	this.errorString.push(window.lang.convert('Height') + " " + window.lang.convert("has to be greater than 0"));
	// this.getLowerAndUpperValues();
	this.lln = this.getValueFromZ(-2).toFixed(0);
	this.uln = this.getValueFromZ(2).toFixed(0)
}
kaiserIsthmus.prototype = new MeanSdClass();

function kaiserProxdescendens(value, male, weight,height) {
	this.value = value || -1;
	this.hideZ = true;
	this.refString = REF_KAISER;
	this.init();
	this.infoString = this.getInfo([INFO_KAISER, INFO_ZSCORE, ABBREV_KAISER]);
	this.paramName = "Proxdescendens";
	this.paramNameLong = "Proximal descending aorta";
	this.paramUnit = "mm";
	this.bsa = bsaDuBois(height, weight);

	this.mean = -1.12 + 14.42* Math.pow(this.bsa,0.5);
	this.sd = 1.64;
		
	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	this.errorCondition.push(weight <= 0);
	this.errorString.push(window.lang.convert('Weight') + " " + window.lang.convert("has to be greater than 0"));
	this.errorCondition.push(height <= 0);
	this.errorString.push(window.lang.convert('Height') + " " + window.lang.convert("has to be greater than 0"));
	// this.getLowerAndUpperValues();
	this.lln = this.getValueFromZ(-2).toFixed(0);
	this.uln = this.getValueFromZ(2).toFixed(0)
}
kaiserProxdescendens.prototype = new MeanSdClass();

function kaiserDescendens(value, male, weight,height) {
	this.value = value || -1;
	this.hideZ = true;
	this.refString = REF_KAISER;
	this.init();
	this.infoString = this.getInfo([INFO_KAISER, INFO_ZSCORE, ABBREV_KAISER]);
	this.paramName = "Descendens";
	this.paramNameLong = "Descending aorta";
	this.paramUnit = "mm";
	this.bsa = bsaDuBois(height, weight);

	this.mean = 1.27 + 9.89* Math.pow(this.bsa,0.5);
	this.sd = 1.34;
		
	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	this.errorCondition.push(weight <= 0);
	this.errorString.push(window.lang.convert('Weight') + " " + window.lang.convert("has to be greater than 0"));
	this.errorCondition.push(height <= 0);
	this.errorString.push(window.lang.convert('Height') + " " + window.lang.convert("has to be greater than 0"));
	// this.getLowerAndUpperValues();
	this.lln = this.getValueFromZ(-2).toFixed(0);
	this.uln = this.getValueFromZ(2).toFixed(0)
}
kaiserDescendens.prototype = new MeanSdClass();




function kawelLvedvbsa(value, weight, height, male) {
	this.value = value || -1;
	this.hideZ = true;
	this.weight = weight || -1;
	this.height = height || -1;
	this.refString = REF_ALFAKIH;
	this.init();
	this.infoString = this.getInfo([INFO_ALFAKIH, INFO_ZSCORE, ABBREV_ALFAKIH]);
	this.paramName = "Lvedvbsa";
	this.paramNameLong = "EDV/BSA";
	this.paramUnit = "ml/m²";
	this.bsa = bsaDuBois(height, weight);

	if (male) {
		this.mean = 80;
		this.sd = 12;
	}
	else {
		this.mean = 75;
		this.sd = 10;		
	}
		
	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	this.errorCondition.push(weight <= 0);
	this.errorString.push(window.lang.convert('Weight') + " " + window.lang.convert("has to be greater than 0"));
		this.errorCondition.push(height <= 0);
	this.errorString.push(window.lang.convert('Height') + " " + window.lang.convert("has to be greater than 0"));
	
	this.lln = this.getValueFromZ(-2).toFixed(0);
	this.uln = this.getValueFromZ(2).toFixed(0)
}
kawelLvedvbsa.prototype = new MeanSdClass();


function kawelLvesvbsa(value, male) {
	this.value = value || -1;
	this.hideZ = true;
	this.refString = REF_ALFAKIH;
	this.init();
	this.infoString = this.getInfo([INFO_ALFAKIH, INFO_ZSCORE, ABBREV_ALFAKIH]);
	this.paramName = "Lvesvbsa";
	this.paramNameLong = "ESV/BSA";
	this.paramUnit = "ml/m²";

	if (male) {
		this.mean = 28;
		this.sd = 6;
	}
	else {
		this.mean = 25;
		this.sd = 5;		
	}
		
	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	// this.getLowerAndUpperValues();
	this.lln = this.getValueFromZ(-2).toFixed(0);
	this.uln = this.getValueFromZ(2).toFixed(0)
}
kawelLvesvbsa.prototype = new MeanSdClass();

function kawelLvsvbsa(value, male) {
	this.value = value || -1;
	this.hideZ = true;
	this.refString = REF_ALFAKIH;
	this.init();
	this.infoString = this.getInfo([INFO_ALFAKIH, INFO_ZSCORE, ABBREV_ALFAKIH]);
	this.paramName = "Lvsvbsa";
	this.paramNameLong = "SV/BSA";
	this.paramUnit = "ml/m²";

	if (male) {
		this.mean = 54;
		this.sd = 9;
	}
	else {
		this.mean = 50;
		this.sd = 8;		
	}
		
	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	// this.getLowerAndUpperValues();
	this.lln = this.getValueFromZ(-2).toFixed(0);
	this.uln = this.getValueFromZ(2).toFixed(0)
}
kawelLvsvbsa.prototype = new MeanSdClass();

function kawelLvef(value, male) {
	this.value = value || -1;
	this.hideZ = true;
	this.refString = REF_ALFAKIH;
	this.init();
	this.infoString = this.getInfo([INFO_ALFAKIH, INFO_ZSCORE, ABBREV_ALFAKIH]);
	this.paramName = "Lvef";
	this.paramNameLong = "EF";
	this.paramUnit = "%";
	

	if (male) {
		this.mean = 66;
		this.sd = 5;
	}
	else {
		this.mean = 63;
		this.sd = 6;		
	}
		
	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert('LVEDV') + " " + window.lang.convert("has to be greater than 0"));
	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert('LVESV') + " " + window.lang.convert("has to be greater than 0"));
	// this.getLowerAndUpperValues();
	this.lln = this.getValueFromZ(-2).toFixed(0);
	this.uln = this.getValueFromZ(2).toFixed(0)
}
kawelLvef.prototype = new MeanSdClass();

function kawelLvmassbsa(value, weight, height, male) {
	this.value = value || -1;
	this.hideZ = true;
	this.weight = weight || -1;
	this.height = height || -1;
	this.refString = REF_ALFAKIH;
	this.init();
	this.infoString = this.getInfo([INFO_ALFAKIH, INFO_ZSCORE, ABBREV_ALFAKIH]);
	this.paramName = "Lvmassbsa";
	this.paramNameLong = "Mass/BSA";
	this.paramUnit = "g/m²";
	this.bsa = bsaDuBois(height, weight);

	if (male) {
		this.mean = 62;
		this.sd = 12;
	}
	else {
		this.mean = 53;
		this.sd = 9;		
	}
		
	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	this.errorCondition.push(weight <= 0);
	this.errorString.push(window.lang.convert('Weight') + " " + window.lang.convert("has to be greater than 0"));
	this.errorCondition.push(height <= 0);
	this.errorString.push(window.lang.convert('Height') + " " + window.lang.convert("has to be greater than 0"));
	// this.getLowerAndUpperValues();
	this.lln = this.getValueFromZ(-2).toFixed(0);
	this.uln = this.getValueFromZ(2).toFixed(0)
}
kawelLvmassbsa.prototype = new MeanSdClass();

function kawelLvci(value, weight, height, male) {
	this.value = value || -1;
	this.hideZ = true;
	this.weight = weight || -1;
	this.height = height || -1;
	this.refString = REF_ALFAKIH;
	this.init();
	this.infoString = this.getInfo([INFO_ALFAKIH, INFO_ZSCORE, ABBREV_ALFAKIH]);
	this.paramName = "Lvci";
	this.paramNameLong = "CI";
	this.paramUnit = "l/min/m²";
	this.bsa = bsaDuBois(height, weight);

	if (male) {
		this.mean = 4.4;
		this.sd = 0.85;
	}
	else {
		this.mean = 3.9;
		this.sd = 0.62;		
	}
		
	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	this.errorCondition.push(weight <= 0);
	this.errorString.push(window.lang.convert('Weight') + " " + window.lang.convert("has to be greater than 0"));
	this.errorCondition.push(height <= 0);
	this.errorString.push(window.lang.convert('Height') + " " + window.lang.convert("has to be greater than 0"));
	// this.getLowerAndUpperValues();
	this.lln = this.getValueFromZ(-2).toFixed(0);
	this.uln = this.getValueFromZ(2).toFixed(0)
}
kawelLvci.prototype = new MeanSdClass();

function kawelRvedvbsa(value, weight, height, male) {
	this.value = value || -1;
	this.hideZ = true;
	this.weight = weight || -1;
	this.height = height || -1;
	this.refString = REF_ALFAKIH;
	this.init();
	this.infoString = this.getInfo([INFO_ALFAKIH, INFO_ZSCORE, ABBREV_ALFAKIH]);
	this.paramName = "Rvedvbsa";
	this.paramNameLong = "EDV/BSA";
	this.paramUnit = "ml/m²";
	this.bsa = bsaDuBois(height, weight);

	if (male) {
		this.mean = 84;
		this.sd = 12;
	}
	else {
		this.mean = 76;
		this.sd = 9;		
	}
		
	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	this.errorCondition.push(weight <= 0);
	this.errorString.push(window.lang.convert('Weight') + " " + window.lang.convert("has to be greater than 0"));
		this.errorCondition.push(height <= 0);
	this.errorString.push(window.lang.convert('Height') + " " + window.lang.convert("has to be greater than 0"));
	
	this.lln = this.getValueFromZ(-2).toFixed(0);
	this.uln = this.getValueFromZ(2).toFixed(0)
}
kawelRvedvbsa.prototype = new MeanSdClass();


function kawelRvesvbsa(value, male) {
	this.value = value || -1;
	this.hideZ = true;
	this.refString = REF_ALFAKIH;
	this.init();
	this.infoString = this.getInfo([INFO_ALFAKIH, INFO_ZSCORE, ABBREV_ALFAKIH]);
	this.paramName = "Rvesvbsa";
	this.paramNameLong = "ESV/BSA";
	this.paramUnit = "ml/m²";

	if (male) {
		this.mean = 32;
		this.sd = 7;
	}
	else {
		this.mean = 27;
		this.sd = 5;		
	}
		
	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	// this.getLowerAndUpperValues();
	this.lln = this.getValueFromZ(-2).toFixed(0);
	this.uln = this.getValueFromZ(2).toFixed(0)
}
kawelRvesvbsa.prototype = new MeanSdClass();

function kawelRvsvbsa(value, male) {
	this.value = value || -1;
	this.hideZ = true;
	this.refString = REF_ALFAKIH;
	this.init();
	this.infoString = this.getInfo([INFO_ALFAKIH, INFO_ZSCORE, ABBREV_ALFAKIH]);
	this.paramName = "Rvsvbsa";
	this.paramNameLong = "SV/BSA";
	this.paramUnit = "ml/m²";

	if (male) {
		this.mean = 52;
		this.sd = 8;
	}
	else {
		this.mean = 49;
		this.sd = 7;		
	}
		
	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	// this.getLowerAndUpperValues();
	this.lln = this.getValueFromZ(-2).toFixed(0);
	this.uln = this.getValueFromZ(2).toFixed(0)
}
kawelRvsvbsa.prototype = new MeanSdClass();

function kawelRvef(value, male) {
	this.value = value || -1;
	this.hideZ = true;
	this.refString = REF_ALFAKIH;
	this.init();
	this.infoString = this.getInfo([INFO_ALFAKIH, INFO_ZSCORE, ABBREV_ALFAKIH]);
	this.paramName = "Rvef";
	this.paramNameLong = "EF";
	this.paramUnit = "%";
	

	if (male) {
		this.mean = 62;
		this.sd = 4;
	}
	else {
		this.mean = 63;
		this.sd = 4;		
	}
		
	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert('LVEDV') + " " + window.lang.convert("has to be greater than 0"));
	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert('LVESV') + " " + window.lang.convert("has to be greater than 0"));
	// this.getLowerAndUpperValues();
	this.lln = this.getValueFromZ(-2).toFixed(0);
	this.uln = this.getValueFromZ(2).toFixed(0)
}
kawelRvef.prototype = new MeanSdClass();

function kawelRvmassbsa(value, weight, height, male) {
	this.value = value || -1;
	this.hideZ = true;
	this.weight = weight || -1;
	this.height = height || -1;
	this.refString = REF_ALFAKIH;
	this.init();
	this.infoString = this.getInfo([INFO_ALFAKIH, INFO_ZSCORE, ABBREV_ALFAKIH]);
	this.paramName = "Rvmassbsa";
	this.paramNameLong = "Mass/BSA";
	this.paramUnit = "g/m²";
	this.bsa = bsaDuBois(height, weight);

	if (male) {
		this.mean = 21;
		this.sd = 5;
	}
	else {
		this.mean = 18;
		this.sd = 4;		
	}
		
	this.errorCondition.push(value <= 0);
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	this.errorCondition.push(weight <= 0);
	this.errorString.push(window.lang.convert('Weight') + " " + window.lang.convert("has to be greater than 0"));
	this.errorCondition.push(height <= 0);
	this.errorString.push(window.lang.convert('Height') + " " + window.lang.convert("has to be greater than 0"));
	// this.getLowerAndUpperValues();
	this.lln = this.getValueFromZ(-2).toFixed(0);
	this.uln = this.getValueFromZ(2).toFixed(0)
}
kawelRvmassbsa.prototype = new MeanSdClass();
