function neo_calc() {

var gender, percentile, resultString, sds, male, weightlength,gestationalDays,neo_weeks,neo_days,outputString, source, references;
var preferVoigt = $('#neo_radio_voigt').is(':checked'); 
var preferFenton = $('#neo_radio_fenton').is(':checked'); 

	var length = $('#neo_length').val().replace(/,/, ".") * 1;
	var weight = $('#neo_weight').val().replace(/,/, ".") * 1;
	var head = $('#neo_head').val().replace(/,/, ".") * 1;

	var neo_weeks = $('#neo_weeks').val() * 1;
	var neo_days = $('#neo_days').val() * 1;
	
	outputString = "";
	references = new Array();
	if (document.neo_form.neo_radio_female.checked) 
		male = false;
		else male = true;
	
	// Erase old results
	$("* .zs-arrow-left").css("visibility", "hidden");
	$("* .zs-arrow-right").css("visibility", "hidden");
	$("* .zs-result-marker").css("visibility", "hidden");

	$("div[id$='lln']").html("");
	$("div[id$='uln']").html("");
	$("div[id$='mean']").html("");		
	
		
	if (preferFenton)
	source = "Fenton et al 2013";
	else
	source = "Voigt et al 2006";
	
	// Checking whether Weeks AND Days of gestation have been chosen (else the placeholder 'Weeks' or 'Days" are still active
	if (isNaN(neo_weeks) || isNaN(neo_days)) return;
	var gestationalDays= (neo_weeks*7) + neo_days;
	
	if (length>0) 
	weightlength = weight/length;
else 
weightlength = 0;
$("#neo_weightlength").val(bmiRound(weightlength,10));
	
		if (preferFenton){
$('#neo_weight_lln').html(bmiRound(getWeightValueFenton(gestationalDays,male,-2,true),1));
$('#neo_weight_mean').html(bmiRound(getWeightValueFenton(gestationalDays,male,0,true),1));
$('#neo_weight_uln').html(bmiRound(getWeightValueFenton(gestationalDays,male,2,true),1));
$('#neo_length_lln').html(bmiRound(getLengthValueFenton(gestationalDays,male,-2,true),10));
$('#neo_length_mean').html(bmiRound(getLengthValueFenton(gestationalDays,male,0,true),10));
$('#neo_length_uln').html(bmiRound(getLengthValueFenton(gestationalDays,male,2,true),10));
$('#neo_head_lln').html(bmiRound(getHeadValueFenton(gestationalDays,male,-2,true),10));
$('#neo_head_mean').html(bmiRound(getHeadValueFenton(gestationalDays,male,0,true),10));
$('#neo_head_uln').html(bmiRound(getHeadValueFenton(gestationalDays,male,2,true),10));
		}
		else {
			$('#neo_weight_lln').html(bmiRound(getWeightValueVoigt(gestationalDays,male,-2,true),1));
$('#neo_weight_mean').html(bmiRound(getWeightValueVoigt(gestationalDays,male,0,true),1));
$('#neo_weight_uln').html(bmiRound(getWeightValueVoigt(gestationalDays,male,2,true),1));
$('#neo_length_lln').html(bmiRound(getLengthValueVoigt(gestationalDays,male,-2,true),10));
$('#neo_length_mean').html(bmiRound(getLengthValueVoigt(gestationalDays,male,0,true),10));
$('#neo_length_uln').html(bmiRound(getLengthValueVoigt(gestationalDays,male,2,true),10));
$('#neo_head_lln').html(bmiRound(getHeadValueVoigt(gestationalDays,male,-2,true),10));
$('#neo_head_mean').html(bmiRound(getHeadValueVoigt(gestationalDays,male,0,true),10));
$('#neo_head_uln').html(bmiRound(getHeadValueVoigt(gestationalDays,male,2,true),10));
		}
	$('#neo_weightlength_lln').html(bmiRound(getWeightlengthValueVoigt(gestationalDays,male,-2,true),10));
$('#neo_weightlength_mean').html(bmiRound(getWeightlengthValueVoigt(gestationalDays,male,0,true),10));
$('#neo_weightlength_uln').html(bmiRound(getWeightlengthValueVoigt(gestationalDays,male,2,true),10));	



// Weight percentiles
	if ((gestationalDays >0) && (weight > 0)) {
		if (preferVoigt) 
		sds = getWeightValueVoigt(gestationalDays, male, weight,false);	
		else sds = getWeightValueFenton(gestationalDays, male, weight,false);
		
		if (sds != -100) {
			setZMarker("weight", sds, 100);
			percentile = formatPercentile(get_auc_from_z(sds));
			sds = bmiRound(sds, 100);
			$("#neo_percentile_weight").html(percentile + " P.");
			$("#neo_sds_weight").html(sds + " z");
			ref = addRef(references,source);
			outputString += toOutputStringPercentile('Weight','g',weight,percentile,sds,ref);
		}
	}	


// length percentiles
	if ((gestationalDays >0) && (length > 0)) {
		if (preferVoigt) 
		sds = getLengthValueVoigt(gestationalDays, male, length,false);	
		else sds = getLengthValueFenton(gestationalDays, male, length,false);
		
		if (sds != -100) {
			setZMarker("length", sds, 100);
			percentile = formatPercentile(get_auc_from_z(sds));
			sds = bmiRound(sds, 100);
			$("#neo_percentile_length").html(percentile + " P.");
			$("#neo_sds_length").html(sds + " z");
			ref = addRef(references,source);
			outputString += toOutputStringPercentile('Length','cm',length,percentile,sds,ref);
		}
	}	


// head percentiles
	if ((gestationalDays >0) && (head > 0)) {
		if (preferVoigt) 
		sds = getHeadValueVoigt(gestationalDays, male, head,false);	
		else sds = getHeadValueFenton(gestationalDays, male, head,false);
		
		if (sds != -100) {
			setZMarker("head", sds, 100);
			percentile = formatPercentile(get_auc_from_z(sds));
			sds = bmiRound(sds, 100);
			$("#neo_percentile_head").html(percentile + " P.");
			$("#neo_sds_head").html(sds + " z");
			ref = addRef(references,source);
			outputString += toOutputStringPercentile('Head','cm',head,percentile,sds,ref);
		}
	}	

// Weightlength percentiles
	if ((gestationalDays >0) && (weightlength > 0)) {
	
		sds = getWeightlengthValueVoigt(gestationalDays, male, weightlength,false);			
		if (sds != -100) {
			setZMarker("weightlength", sds, 100);
			percentile = formatPercentile(get_auc_from_z(sds));
			sds = bmiRound(sds, 100);
			$("#neo_percentile_weightlength").html(percentile + " P.");
			$("#neo_sds_weightlength").html(sds + " z");
			ref = addRef(references,source);
			outputString += toOutputStringPercentile('Weight/Length','kg/cm',bmiRound(weightlength,10),percentile,sds,ref);
		}
	}	
	var referenceString ="";
for (i=0; i< references.length; i++){
referenceString =  referenceString + (i+1) + ") " + references[i] + "; ";
}
	$('#outputContent').val(outputString + "\n"+ referenceString);

		
}


// Weight according to Voigt
function getWeightValueVoigt(gestationalDays, male, value,valueIsZ) {
	var result;
	var grid = new Array(140,147,154,161,168,175,182,189,196,203,210,217,224,231,238,245,252,259,266,273,280,287,294,301);
		var stabw_male = new Array(90, 96, 106, 115, 124, 157, 189, 229, 267, 308, 327, 355, 381, 410, 426, 437, 446, 444, 436, 433, 441, 450, 465, 524);
	var mean_male = new Array(499, 540, 579, 634, 710, 800, 884, 1008, 1129, 1277, 1449, 1650, 1860, 2088, 2344, 2615, 2863, 3101, 3310, 3485, 3624, 3737, 3799, 3697);
	var stabw_female = new Array(88, 98, 107, 117, 126, 151, 176, 220, 262, 302, 322, 356, 382, 412, 422, 444, 443, 436, 423, 418, 422, 429, 448, 508);
	var mean_female = new Array(479, 515, 549, 599, 665, 747, 823, 936, 1050, 1192, 1368, 1558, 1773, 1987, 2249, 2510, 2750, 2976, 3175, 3342, 3473, 3578, 3634, 3526);

	if (male) {
		result = getMeanStabwValuesInterpolated(value, gestationalDays, grid, mean_male,stabw_male, valueIsZ);		
	} else {
		result = getMeanStabwValuesInterpolated(value, gestationalDays, grid, mean_female,stabw_female, valueIsZ);		
	}
	return result;
}

// Length according to Voigt
function getLengthValueVoigt(gestationalDays, male, value,valueIsZ) {
	var result;
	var grid = new Array(140,147,154,161,168,175,182,189,196,203,210,217,224,231,238,245,252,259,266,273,280,287,294,301);
		var stabw_male = new Array(2.4, 2.4, 2.6, 2.7, 2.7, 3, 3.2, 3.5, 3.7, 3.6, 3.4, 3.3, 3.1, 3, 2.9, 2.7, 2.6, 2.4, 2.3, 2.3, 2.3, 2.3, 2.4, 2.6);
	var mean_male = new Array(26.8, 28.2, 29.5, 30.7, 31.8, 33.3, 34.6, 35.9, 37.3, 38.8, 40.3, 41.8, 43.2, 44.7, 46.2, 47.8, 49.1, 50.2, 51.1, 51.9, 52.5, 53.1, 53.4, 52.9);
	var mean_female = new Array(26.6, 27.8, 29.1, 30.3, 31.4, 32.7, 34, 35.3, 36.7, 38, 39.7, 41.1, 42.6, 44, 45.6, 47.2, 48.4, 49.5, 50.4, 51.1, 51.7, 52.2, 52.5, 52);
	var stabw_female = new Array(2.5, 2.5, 2.6, 2.7, 2.7, 2.9, 3.2, 3.4, 3.6, 3.5, 3.4, 3.5, 3.3, 3.1, 2.9, 2.8, 2.6, 2.4, 2.3, 2.2, 2.2, 2.2, 2.3, 2.6);

	if (male) {
		result = getMeanStabwValuesInterpolated(value, gestationalDays, grid, mean_male,stabw_male, valueIsZ);		
	} else {
		result = getMeanStabwValuesInterpolated(value, gestationalDays, grid, mean_female,stabw_female, valueIsZ);		
	}
	return result;
}

// Head circumference according to Voigt
function getHeadValueVoigt(gestationalDays, male, value,valueIsZ) {
	var result;
	var grid = new Array(140,147,154,161,168,175,182,189,196,203,210,217,224,231,238,245,252,259,266,273,280,287,294,301);
		var stabw_male = new Array(1.8, 1.8, 1.6, 1.7, 1.8, 1.7, 1.8, 1.8, 1.9, 2.1, 2, 1.9, 1.9, 1.8, 1.7, 1.6, 1.6, 1.5, 1.4, 1.3, 1.3, 1.3, 1.4, 1.5);
	var mean_male = new Array(20.2, 20.9, 21.7, 22.3, 23.1, 23.9, 24.7, 25.7, 26.7, 27.6, 28.5, 29.5, 30.4, 31.3, 32.2, 33.1, 33.8, 34.4, 34.9, 35.3, 35.6, 35.9, 36.1, 35.8);
	var stabw_female = new Array(1.8, 1.8, 1.7, 1.7, 1.8, 1.8, 1.8, 1.9, 2, 2.1, 2, 2, 1.9, 1.9, 1.7, 1.6, 1.5, 1.4, 1.3, 1.3, 1.3, 1.3, 1.3, 1.4);
	var mean_female = new Array(20.2, 20.9, 21.5, 22.1, 22.8, 23.6, 24.3, 25.3, 26.2, 27, 28, 28.9, 29.8, 30.7, 31.7, 32.6, 33.3, 33.9, 34.3, 34.6, 34.9, 35.2, 35.4, 35.2);

	if (male) {
		result = getMeanStabwValuesInterpolated(value, gestationalDays, grid, mean_male,stabw_male, valueIsZ);		
	} else {
		result = getMeanStabwValuesInterpolated(value, gestationalDays, grid, mean_female,stabw_female, valueIsZ);		
	}
	return result;
}

// Weightlength according to Voigt
function getWeightlengthValueVoigt(gestationalDays, male, value,valueIsZ) {
	var result;
	var grid = new Array(140,147,154,161,168,175,182,189,196,203,210,217,224,231,238,245,252,259,266,273,280,287,294,301);
		var stabw_male = new Array(2.5, 2.5, 2.7, 2.7, 3, 3.4, 4, 4.6, 5.4, 6, 6.6, 6.8, 6.9, 7.2, 7.2, 7.1, 7.1, 7, 6.8, 6.7, 6.7, 6.8, 6.9, 7.8);
	var mean_male = new Array(20.1, 20.9, 21.8, 22.8, 23.8, 24.9, 26.6, 28.8, 30.8, 33.2, 36.3, 39.5, 43, 46.7, 50.6, 54.6, 58.2, 61.6, 64.6, 67, 68.9, 70.3, 71, 69.8);
	var stabw_female = new Array(2.5, 2.5, 2.6, 2.7, 3, 3.3, 3.9, 4.5, 5.2, 6, 6.3, 6.8, 7.1, 7.4, 7.2, 7.3, 7.1, 6.9, 6.7, 6.5, 6.6, 6.6, 6.8, 7.8);
	var mean_female = new Array(20.1, 20.7, 21.6, 22.4, 23.3, 24.3, 25.9, 27.7, 29.7, 31.8, 34.7, 38.1, 41.6, 45, 49.3, 53.1, 56.7, 60, 62.9, 65.3, 67, 68.4, 69.1, 67.7);

	if (male) {
		result = getMeanStabwValuesInterpolated(value, gestationalDays, grid, mean_male,stabw_male, valueIsZ);		
	} else {
		result = getMeanStabwValuesInterpolated(value, gestationalDays, grid, mean_female,stabw_female, valueIsZ);		
	}
	return result;
}

// Neonatal growth percentiles according to Fenton et al. 
// The author of this app optained a licence for using the data
// Please do not copy the data.
// For a licence please contact tanisfenton@shaw.ca
function getWeightValueFenton(gestationalDays, male, value,valueIsZ) {
	var result;
	
	var grid = "161,Ā8ă75ă82ĉ9ă96,203đ10ĕ7đ24đ3Ă23ąěĈ25ċĥč26Đ27Ĕ28ėİę29Ĝ30ĂĸąĞĈ32ċĿč33Đ34Ĕ350";
	var m_male = "570.5664382,651.0479355,74ĎĔĕĒ0,8ę.18ĆĐĖ952.6016988,1078.ĘĀĈ3ĳ2ľ.8942087ĳĈķ303ě9ĳĀķ021ĮĴĳĝĢĠ3Į4,ńģď19Ť5ŞľŦăęĒ76ş49ĪŭōŰŧ725īİ2įĲ2ł6īĬĆį,Ŝĕŀ75ŋ1ļōĬ.đ7Ķ81ƆĄ7.9Đ12ƓƆĶŹ34ıŨ,4ĭ4ƑčōĒƧŸĎſ6ģĬƧŰĎŷƳ0ƛƧ7ŜăĠƓģƧ9ąĸű2ŋļčĨĢ1ƊƕƖŦĮǎƕĩǒ6ſīĴŅŤ,58Ĕď0Ǥǥ";
	var l_male = "0.7486577,Ā9132046,1.061499Ĉē18ęĝ1Ē.293781ġē36Ą922Ģ41017ĥĲČķ0ě.Ħ5ĳĶĢĤ88ļ0Ģ195ĖįĢļħ3čĉ.ŋĂ3ĳŔ8Đ1İ9ŔĂ9ĕ5şĀ66ă9ĘŔŤŊĆ5Ŭ2Ąĵ4Ŕ473Ŋ6ĈĀ42ĐĤŵĀ3823ŴŔŘŌĬťľėĕ03ŔŲ6ęƑƓ6Ħ1ĖƓ4Ř00ŰĀİ5ŊČƓ0ƅů";
	var s_male = "0.1456257,Ā1ą3049ĉā772Ĕ3đ190Ăąđ20Ď33ĈĀğ76718Ğ11399īĥĭį66Ğ0ħ9ĩĸĹ91ĤāĿ6152Ę8ĭ2ęĘ70265Ĳā5İ84ķĊ5083ĮĘ42Ļ44Ę3őŨŦŀĄĐĊ28685ėŮĩś1ĘŐń2ŴāŐ5ĪŁ1ŐŞ55Ź54ĩŽƃį4ŗŹ2ŋŌŮĹƒŇƕĠĠ";
	var m_female = "537.1507938,606.2ā8800ċ94ă29Ĉ74,ć1.84ć483,898.ą86įĊ101ĂĚ7ĳĴ,1ĄġģĔ875Ļ305.7034ļĕ1Ħ2ďėŊ39Ļİ0.ī27ŕ2ĻĪĂļĄ526,212Ňģŏ3ŅŨ36ő3Ā8ąşŦĴĭĈĴ4Ŗ2ħŇ0ģ55ļ,Ņſ.6İūěƉĐ9.ŅČļŧŋĄďİƆ1Ŗŵ9Ňƍ4ƍƈđĂĉ4ŕťƉīƨƍŕƈŌ9ő0Ŝ7ĒĨƪ9Ăē6ī1ƺƖăĈ3ļŖĦĔ.ņćǆŃſĈżŝ2ũ,Ƈ8ġǔƂĳǖŲƵĔǠ0";
	var l_female = "0.2175070,Ā5294487ĉ.82Ą024,1.0ą976ęě1915451Ěā5ĥ772ī2ġ563đěĂ839ĵī13ŀĶĸĜ14Ħ9ĈĀĐ74İęĀ7Ł9č9Ē588ŇōĒĨō308Ē34čĳŐā67ŉ36Ē20č6ğĒă04325ŵŎű9ŢĀŀ5įĽŵŹįĐƆĎĆŻƁŭ96ċƆŪŉŮƎ0Ć6Ŋ.1Ƃƚ3Ēš3ħ6ĪĀĆūƘ0";
	var s_female = "0.1464508,Ā1613ĆĈĊ805974ĉā986ĖĐ.2č31ĆĘ2239Ħ7ĥ300789Ĭč4įĥ27Ģ55ĥ1ěģ0ĥ0685İĘ1937Ń1ňĒ8ĦŎĊ6Ě24œāČĢ76ň54ıĻş01ŃĲĊăĆĶũ363ĢňŘĦĕňĨľ5řčĖť3ŶņĒ2Ŷ4Ħ5Ğč2ń8žĊĢċƄň296ŹīĊ28ĂƓ";
	
	if (male) {
		result = getLMSValuesInterpolated(value, gestationalDays, fenton(grid), fenton(l_male),fenton(m_male),fenton(s_male), valueIsZ);		
	} else {
		result = getLMSValuesInterpolated(value, gestationalDays, fenton(grid), fenton(l_female),fenton(m_female),fenton(s_female), valueIsZ);	
	}
	return result;
}

// Neonatal growth percentiles according to Fenton et al. 
// The author of this app optained a licence for using the data
// Please do not copy the data.
// For a licence please contact tanisfenton@shaw.ca
function getLengthValueFenton(gestationalDays, male, value,valueIsZ) {
	var result;
	
	var grid = "168,175ă82ć9ă96,203ď10ē7ď24ď31ěĂęĆ25ĉĢċ26Ď27Ē28ĕĭė29Ě30ĝĵĂĜĆ32ĉļċ33Ď34Ē350";
	var m_male = "30.9238377,32.317Ā16Ċ3.70Ę45ĉ35.074Ģ84Ċ6.Ģ594ĠĊ7.8203412Ċ9.ĲĴ099,Ĭ.6Ę2ľ1ŀČĘ1ı28ŀĕąĢ615ŀ4Ė2Ĭ72ēĚĂ9651ċŀįď85ĝķ48ĺ6ġ6űŀĹōĶ1Ŕ,5āĄŨ68ŎŢ.ŔĆćŇ5ŉ5ſź0ŹČīĈĬƀĕı1īĄŹŗů7ăƗ5ĞŢ21Ŭē5ħċĶġ3ŹŦ06řƕƫİśŜŤƉłřƛ4ĉĪč69Ŕƿ";
	var l_male = "1.0Ăă0,ĀĄăĆāĈąćČĊČčċĈĐďĎĔėĄĕĘēĚęĉğĂěĞĝĠĥĢġĒđģĦīĩĬĨħĪĖĲİĳĈ";
	var s_male = "0.0638442,ĀĂ54641ĉā6ă497đĂ65224Ęē07ăğ512Ěğ378Īğ21586ğ03298Ęı3ĆėĊ56ĝ93ĺ4089ĳĿ1911ĞĊĕ7579Ę4Ģ6Ėŗŀ87ĈőĄ5Ňŗį9śőġč5Ę39ŘĎŭĬ7Ůŭ7ć3ńĊ3ĠĲŭ590ōſķ9ŬŻŘ5ŵƈĝ71";
	var m_female = "30.2617915,31.6050đ9Ċ2.95Đ72ĉ34.ċĀ5ĀĊ5č8ďď3Ċ7.ď88Ģ6Ċ8.44ė59Ĳ39.İ3570Ī4Čă02378,4ĕ647ċĢō3Ė92ď1ē4ĥ2716ĺ7ō6ĵŐŉŘōĬ5ŐŢ94ōĴ5İ1şŌķ.Ģ8œĪĐĵŊď2Ō5ņ9ļ382,5ĕ1ą1ĀƋƍĖ1Ń4ħƌŖ67Š181ƌĞŎ0ţ0ƌĥ1ŝƤžĥİ4đ6ƄŦĘňĶĲŁĂŊŢŃƌĬć9Ơ29";
	var l_female = "1.0Ăă0,ĀĄăĆāĈąćČĊČčċĈĐďĎĔėĄĕĘēĚęĉğĂěĞĝĠĥĢġĒđģĦīĩĬĨħĪĖĲİĳĈ";
	var s_female = "0.0618109,ĀĂ34213ĉā647578đĂĖėĘĊ6ēĎĝĒğ301ęĤ454Ĩ5512ĢĂ41492Ĩ2Č3Ĳ6Ħ88ĸĊě74ĲĮ195łāŋīĄęĶ9ĂŌ0Ĕļ07ő50ĖĐĊ4ĥ2įőďďĬĊ398œ6ęļ722Ĉũ7Ŷăů7ĦēůēćŮũ5ķŉůňœƅ16Ņ";
	
	if (male) {
		result = getLMSValuesInterpolated(value, gestationalDays, fenton(grid), fenton(l_male),fenton(m_male),fenton(s_male), valueIsZ);		
	} else {
		result = getLMSValuesInterpolated(value, gestationalDays, fenton(grid), fenton(l_female),fenton(m_female),fenton(s_female), valueIsZ);	
	}
	return result;
}

// Neonatal growth percentiles according to Fenton et al. 
// The author of this app optained a licence for using the data
// Please do not copy the data.
// For a licence please contact tanisfenton@shaw.ca
function getHeadValueFenton(gestationalDays, male, value,valueIsZ) {
	var result;
	
	var grid = "168,175ă82ć9ă96,203ď10ē7ď24ď31ěĂęĆ25ĉĢċ26Ď27Ē28ĕĭė29Ě30ĝĵĂĜĆ32ĉļċ33Ď34Ē350";
	var m_male = "21.74ă425,22Ă26481Ĉ23Ă006711ĉ4.6692ęĒ5Ğ3Ě783ĉ6.5853849ĉ7Į30İİĉ8.4ğ344ī29.Ĳı19īĹ.Ģ599ń,ħ.1č35Ěŕāġńę6ŕċ6įĴğŕĔ3Ģ7čě3Ĕœ16ŋōĝś0ŋŔŚ.0ńŀŌŕĥ5śņ60ŕĭ039ĠŭƉĮ1ĺğĈ3ĭƍ6ĪŘŕķ40ƍ188Ɯ.ĳŘ5Ŵŕľř7šƪĞ79ơĐŕŇĺ9ƄĖƵĿƍİ17";
	var l_male = "1.0Ăă0,ĀĄăĆāĈąćČĊČčċĈĐďĎĔėĄĕĘēĚęĉğĂěĞĝĠĥĢġĒđģĦīĩĬĨħĪĖĲİĳĈ";
	var s_male = "0.0575676,ĀĂ68309ĉāą0603đĂ525ĂĘ543937Ğ34č1Ğě1ĬĞ1471ėĊĜ36ăĘ492Ĕĳāħ00İĹĆ73ľł5ĚģĹ42ČňĠ0188Ĺ17872ĹĂ85ŖĊġŎ5ĐŢĨĲĘģ2ģ5Ū6199ĤŢ5ű3ĩŢŎ12ŦāŇěĠŪŬżŮŢĲ82Ŵſłĕ1";
	var m_female = "21.3411622,Ĉ.2695706Ċ3.19Ę059Ċ4Ė324ć0Ċ5.Ē76778Ċ6ħĚď33Į.94ĩ987Ċ7.892ĺ4ĉ28ĿăąĪĊ9.75563Ł,30.6Ąŏ7ĉ3āĸ6Ī6ĤĠČ451035ŕ2Ķ4ĠĘļĳ.Đ90ĩųĞĆŸ4ŔăŘ9šŞųĦėžăĜūŘ6148Āŕį0Ų08ĭ3įŨłĢƊįŷŧņŝľ2īĬĄŕľŒţƏ4ƩĶƐř5Ʈ3ŇĠƔūĴƵŘƳėĐ";
	var l_female = "1.0Ăă0,ĀĄăĆāĈąćČĊČčċĈĐďĎĔėĄĕĘēĚęĉğĂěĞĝĠĥĢġĒđģĦīĩĬĨħĪĖĲİĳĈ";
	var s_female = "0.0565503,ĀĂ63141ĉāą9900đĂą647Ęą018ėĊ543č8Ğ34874Ğ24672Ğ1278įĊ4Ĕ5čĘĬ5ıĻāĜ02ŃŁĥ8ōŁ39ĬĐļı3ČŁ098ěĘŐČ15ŝĺćĝĊ37č2ĈŦČĦĩŦŌŧŝĜ17ťāīćķŝŹŚŝ28ŐģŸŪ0Ħŝŵ9Ď";
	
	if (male) {
		result = getLMSValuesInterpolated(value, gestationalDays, fenton(grid), fenton(l_male),fenton(m_male),fenton(s_male), valueIsZ);		
	} else {
		result = getLMSValuesInterpolated(value, gestationalDays, fenton(grid), fenton(l_female),fenton(m_female),fenton(s_female), valueIsZ);	
	}
	return result;
}

function formatNeoInfo (parameter) {
	var preferFenton = $('#neo_radio_fenton').is(':checked'); 
var preferVoigt = $('#neo_radio_voigt').is(':checked'); 

	// Erasing every info div
	$("[id^=info]").each(function(index,element) {
		$(this).css("display","none");
	});
	

switch (parameter) {
case "weight":
if (preferFenton)
$('#infoFenton').css("display","inline");
else 
$('#infoVoigt').css("display","inline");
break;

case "length":
if (preferFenton)
$('#infoFenton').css("display","inline");
else 
$('#infoVoigt').css("display","inline");
break;	

case "head":
if (preferFenton)
$('#infoFenton').css("display","inline");
else 
$('#infoVoigt').css("display","inline");
break;	

case "weightlength":
$('#infoVoigt').css("display","inline");
break;	}

}


