function perfusor_calc() {
	var solveto = $('#perfusor_solveto').val();
	var solved = $('#perfusor_solved').val() * 1;
	var timespan = $('#perfusor_timespan').val();

	var substance = $('#perfusor_substance').val().replace(/,/, ".") * 1;
	var weight = $('#perfusor_weight').val().replace(/,/, ".") * 1;
	var speed = $('#perfusor_speed').val().replace(/,/, ".") * 1;
	var dose = $('#perfusor_dose').val().replace(/,/, ".") * 1;

	var dose_per_h, decimalfactor;
	var result = "";

	if (dose != "") {
		if (timespan == "d") dose_per_h = dose / 24;
		else if (timespan == "min") dose_per_h = dose * 60;
		else dose_per_h = dose;

	}

	switch (solveto) {
	case "substance":
		if ((weight > 0) && (dose > 0) && (speed > 0)) {
			result = (dose_per_h * solved * weight) / speed;
			if (result < 0.1) decimalfactor = 1000;
			else if (result < 1) decimalfactor = 100;
			else if (result < 20) decimalfactor = 10;
			else decimalfactor = 1;

			result = Math.round(result * decimalfactor) / decimalfactor;

		}
		$('#perfusor_substance').val(result);
		break;
	case "speed":
		if ((weight > 0) && (substance > 0) && (dose > 0)) {
			result = (dose_per_h * solved * weight) / substance;
			if (result < 0.1) decimalfactor = 1000;
			else if (result < 1) decimalfactor = 100;
			else if (result < 20) decimalfactor = 10;
			else decimalfactor = 1;

			result = Math.round(result * decimalfactor) / decimalfactor;

		}
		$('#perfusor_speed').val(result);
		break;
	case "dose":
	default:
		if ((weight > 0) && (substance > 0) && (speed > 0)) {

			result = (substance * speed) / (solved * weight);
			if (timespan == "d") result *= 24;
			else if (timespan == "min") result /= 60;

			if (result < 0.1) decimalfactor = 1000;
			else if (result < 1) decimalfactor = 100;
			else if (result < 20) decimalfactor = 10;
			else decimalfactor = 1;

			result = Math.round(result * decimalfactor) / decimalfactor;

		}
		$('#perfusor_dose').val(result);
		break;
	}
}

function perfusorClearAll() {
	$('#perfusor_substance').val("");
	$('#perfusor_weight').val("");
	$('#perfusor_speed').val("");
	$('#perfusor_dose').val("");
}