
var INFO_PERCENTILES, INFO_GLI, INFO_ZSCORE, ABBREV_SPIRO;


function setStrings() {
	INFO_PERCENTILES = window.lang.convert("Percentiles according to") + ":<br>";
	INFO_GLI = '<a href="http://www.ncbi.nlm.nih.gov/pubmed/22743675" target=_blank>Quanjer, P.H. et al. 2012</a>' + window.lang.convert("Please choose ethnics from options: Whites including Mexican Americans and Latin Americans of Caucasian origin, African Americans, South East Asians, North East Asians and for Other ethnic groups or people of mixed descent");
	INFO_ZSCORE = window.lang.convert("The diagram represents following interval") + ": 5P, 50P, 95P";
	 ABBREV_SPIRO = window.lang.convert("FVC: forced vital capacity; FEF25-75: forced expiratory flow at 25-75% of FVC, FEF75: forced expiratory flow at 75% FVC; FEV1: forced expiratry volume in 1s"); 
}


function spiro_calc() {
	var height = $('#spiro_height').val().replace(/,/, ".") * 1;
	var fev1 = $('#spiro_fev1').val().replace(/,/, ".") * 1;
	var fvc = $('#spiro_fvc').val().replace(/,/, ".") * 1;
	var fef2575 = $('#spiro_fef2575').val().replace(/,/, ".") * 1;
	var fef75 = $('#spiro_fef75').val().replace(/,/, ".") * 1;
	var fev075 = $('#spiro_fev075').val().replace(/,/, ".") * 1;
	var ethnics = $("input[name='spiro_ethnics_radio']:checked").val();
var references = new Array();
var obFev1, obFvc, obFef2575, obFef75, obFev075,obFev1fvc,obFev075fvc,fev1fvc,fev075fvc,male,age_months;
	// Erase old results
	$("* .zs-arrow-left").css("visibility", "hidden");
	$("* .zs-arrow-right").css("visibility", "hidden");
	$("* .zs-result-marker").css("visibility", "hidden");
	$("#headerResult").css("display", "none");

	$("div[id$='lln']").html("");
	$("div[id$='uln']").html("");
	$("div[id$='mean']").html("");

	$("#calculated_age").html("");
	$('#outputContent').html("");

	if (fev1 && fvc) fev1fvc = fev1 / fvc;
	else fev1fvc = 0;
	$('#spiro_fev1fvc').val(fev1fvc.toFixed(2));

	if (fev075 && fvc) fev075fvc = fev075 / fvc;
	else fev075fvc = 0;
	$('#spiro_fev075fvc').val(fev075fvc.toFixed(2));

	// Different date inputs for touch screen and desktops
	if ($('#dateInput_flip').val() === 'mobile') {
		var birthday = $('#spiro_birthday').val();
		var currentdate = $('#spiro_currentdate').val();
		// Formatting the date
		if ((birthday != "") && (currentdate != "")) {
			var date_birthday = getDateFromDateString(birthday);
			var date_currentdate = getDateFromDateString(currentdate);
		}
		else return;
	}
	else {
		if ($('#spiro_birth_d').val() && $('#spiro_birth_m').val() && $('#spiro_birth_y').val() && $('#spiro_current_d').val() && $('#spiro_current_m').val() && $('#spiro_current_y').val()) {
			var date_birthday = new Date($('#spiro_birth_y').val(), $('#spiro_birth_m').val() - 1, $('#spiro_birth_d').val());
			var date_currentdate = new Date($('#spiro_current_y').val(), $('#spiro_current_m').val() - 1, $('#spiro_current_d').val());
		}
		else return;
	}

	// Geschlecht bestimmen
	if (document.spiro_form.spiro_radio_male.checked === true) male = true;
	else male = false;

	age_months = (date_currentdate.getTime() - date_birthday.getTime()) / MSEC_PER_MONTH;

	$("#calculatedAgeYears").html(bmiRound(age_months / 12, 10));
	$("#headerResult").css("display", "block");

	obFev1 = new SpiroFev1(fev1, male, age_months, height,ethnics);
	obFvc = new SpiroFvc(fvc, male, age_months, height,ethnics);
	obFev1fvc = new SpiroFev1fvc(fev1fvc, male, age_months, height,ethnics);
	obFef2575 = new SpiroFef2575(fef2575, male, age_months, height,ethnics);
	obFef75 = new SpiroFef75(fef75, male, age_months, height,ethnics);
	obFev075 = new SpiroFev075(fev075, male, age_months, height,ethnics);
	obFev075fvc = new SpiroFev075fvc(fev075fvc, male, age_months, height,ethnics);

	$('#infoFev1').html(obFev1.infoString);
	$('#infoFvc').html(obFvc.infoString);
	$('#infoFev1fvc').html(obFev1fvc.infoString);
	$('#infoFef2575').html(obFef2575.infoString);
	$('#infoFef75').html(obFef75.infoString);
	$('#infoFev075').html(obFev075.infoString);
	$('#infoFev075fvc').html(obFev075fvc.infoString);

	$('#spiro_fev1_lln').html(obFev1.getValueFromZ(-1.645).toFixed(2));
	$('#spiro_fev1_mean').html(obFev1.getValueFromZ(0).toFixed(2));
	$('#spiro_fev1_uln').html(obFev1.getValueFromZ(1.645).toFixed(2));
	$('#spiro_fvc_lln').html(obFvc.getValueFromZ(-1.645).toFixed(2));
	$('#spiro_fvc_mean').html(obFvc.getValueFromZ(0).toFixed(2));
	$('#spiro_fvc_uln').html(obFvc.getValueFromZ(1.645).toFixed(2));
	$('#spiro_fev1fvc_lln').html(obFev1fvc.getValueFromZ(-1.645).toFixed(2));
	$('#spiro_fev1fvc_mean').html(obFev1fvc.getValueFromZ(0).toFixed(2));
	$('#spiro_fev1fvc_uln').html(obFev1fvc.getValueFromZ(1.645).toFixed(2));
	$('#spiro_fef2575_lln').html(obFef2575.getValueFromZ(-1.645).toFixed(2));
	$('#spiro_fef2575_mean').html(obFef2575.getValueFromZ(0).toFixed(2));
	$('#spiro_fef2575_uln').html(obFef2575.getValueFromZ(1.645).toFixed(2));
	$('#spiro_fef75_lln').html(obFef75.getValueFromZ(-1.645).toFixed(2));
	$('#spiro_fef75_mean').html(obFef75.getValueFromZ(0).toFixed(2));
	$('#spiro_fef75_uln').html(obFef75.getValueFromZ(1.645).toFixed(2));
	$('#spiro_fev075_lln').html(obFev075.getValueFromZ(-1.645).toFixed(2));
	$('#spiro_fev075_mean').html(obFev075.getValueFromZ(0).toFixed(2));
	$('#spiro_fev075_uln').html(obFev075.getValueFromZ(1.645).toFixed(2));
	$('#spiro_fev075fvc_lln').html(obFev075fvc.getValueFromZ(-1.645).toFixed(2));
	$('#spiro_fev075fvc_mean').html(obFev075fvc.getValueFromZ(0).toFixed(2));
	$('#spiro_fev075fvc_uln').html(obFev075fvc.getValueFromZ(1.645).toFixed(2));

	// Erasing uln,mean,lln returned with errorcode -100
	$("div[id$='lln']").each(function(index) {
		if ($(this).html() === "-100.00") $(this).html("")
	});
	$("div[id$='uln']").each(function(index) {
		if ($(this).html() === "-100.00") $(this).html("")
	});
	$("div[id$='mean']").each(function(index) {
		if ($(this).html() === "-100.00") $(this).html("")
	});

	// Calculatring the results end creating a reference string
	references = obFvc.showResults(references);
	references = obFev1.showResults(references);
	references = obFev1fvc.showResults(references);
	references = obFef2575.showResults(references);
	references = obFev075.showResults(references);
	references = obFev075fvc.showResults(references);
	references = obFef75.showResults(references);
	$('#outputContent').html(writeRefString(references));

}


function SpiroLMSClass() {
	this.showResults = function(references) {
		var errors;
		var sds = this.getZFromValue(this.value);
		var percentile, refNr = 0, percentage;
		var nameLower = this.paramName.toLowerCase();
		errors = this.getErrorNotes();
		if ((errors.length === 0) && (sds != -100)) {
			setZMarker(nameLower, sds, 100);
			percentage = 100*this.value / this.getValueFromZ(0);
			sds = sds.toFixed(2);
			$("#spiro_percentile_" + nameLower).html(percentage.toFixed(0) + "% NB");
			$("#spiro_sds_" + nameLower).html(sds + " z");

			references.push(new resultStringWithRef(window.lang.convert(this.paramNameLong) + " " + this.value + " " + this.paramUnit + " (" + percentage + "% NB, " + sds + "z)", this.refString));
		}
		else {
			this.errorCondition.push(true);
			this.errorString.push(window.lang.convert("Calculation failed"));
		}
		if (errors != "") $("#btn" + this.paramName).buttonMarkup({
			theme: 'b'
		});
		else $("#btn" + this.paramName).buttonMarkup({
			theme: 'a'
		});
		$("#error" + this.paramName).html(errors);
		return references;
	}

	this.getUpperAndLowerValues = function() {
		var lowerIndex, upperIndex, ageArrayLength, other, black, NEAsia, SEAsia, white;

// Height is needed
if (this.height <= 0)
return; 
		other = 0;
		black = 0;
		NEAsia = 0;
		SEAsia = 0;
		white = 0;
		switch (this.ethnics) {
		case "other":
			other = 1;
			break;
		case "black":
			black = 1;
			break;
		case "neasia":
			NEAsia = 1;
			break;
		case "seasia":
			SEAsia = 1;
			break;
		default:
			white = 1;
			break;
		}

		// Finding the lower age
		this.ageArrayLength = this.ageArray.length;
		// if age_months ist out of month Array
		if ((this.age < this.ageArray[0]) || (this.age > this.ageArray[this.ageArrayLength - 1])) return -100;
		// Finding the index of the lower age in the ageArray
		for (lowerIndex = 0; lowerIndex < this.ageArrayLength; lowerIndex++) {
			if (this.ageArray[lowerIndex] == this.age) break;
			else if (this.ageArray[lowerIndex] > this.age) {
				lowerIndex--;
				break;
			}
		}
		

		if (this.age === this.ageArray[lowerIndex]) upperIndex = lowerIndex;
		else upperIndex = lowerIndex + 1;

		if (this.age == this.ageArray[lowerIndex]) this.ratio = 0;
		else this.ratio = (this.age - this.ageArray[lowerIndex]) / (this.ageArray[upperIndex] - this.ageArray[lowerIndex]);
		// Calculating individually lms for the age below and above the actual age
		this.lLower = this.q0 + this.q1 * Math.log(this.ageArray[lowerIndex]) + this.lSpline[lowerIndex];
		this.lUpper = this.q0 + this.q1 * Math.log(this.ageArray[upperIndex]) + this.lSpline[upperIndex];
		this.mLower = Math.exp(this.a0 + this.a1 * Math.log(this.height) + this.a2 * Math.log(this.ageArray[lowerIndex]) + this.a3 * black + this.a4 * NEAsia + this.a5 * SEAsia + this.a6 * other + this.mSpline[lowerIndex]);
		this.mUpper = Math.exp(this.a0 + this.a1 * Math.log(this.height) + this.a2 * Math.log(this.ageArray[upperIndex]) + this.a3 * black + this.a4 * NEAsia + this.a5 * SEAsia + this.a6 * other + this.mSpline[upperIndex]);
		this.sLower = Math.exp(this.p0 + this.p1 * Math.log(this.ageArray[lowerIndex]) + this.p2 * black + this.p3 * NEAsia + this.p4 * SEAsia + this.p5 * other + this.sSpline[lowerIndex]);
		this.sUpper = Math.exp(this.p0 + this.p1 * Math.log(this.ageArray[upperIndex]) + this.p2 * black + this.p3 * NEAsia + this.p4 * SEAsia + this.p5 * other + this.sSpline[upperIndex]);
	}
}
SpiroLMSClass.prototype = new LMSClass();


function SpiroFev1(value, male, age, height, ethnics) {
	this.height = height;
	this.age = age / 12; // month in years
	this.male = male;
	this.value = value || -1;	
	this.refString = "";
	this.init();
	this.infoString = this.getInfo([INFO_PERCENTILES + INFO_GLI, INFO_ZSCORE, ABBREV_SPIRO]);;
	this.paramName = "Fev1";
	this.paramNameLong = "FEV1";
	this.paramUnit = "l";
	this.ethnics = ethnics;
	this.ageArray = new Array(3, 3.25, 3.5, 3.75, 4, 4.25, 4.5, 4.75, 5, 5.25, 5.5, 5.75, 6, 6.25, 6.5, 6.75, 7, 7.25, 7.5, 7.75, 8, 8.25, 8.5, 8.75, 9, 9.25, 9.5, 9.75, 10, 10.25, 10.5, 10.75, 11, 11.25, 11.5, 11.75, 12, 12.25, 12.5, 12.75, 13, 13.25, 13.5, 13.75, 14, 14.25, 14.5, 14.75, 15, 15.25, 15.5, 15.75, 16, 16.25, 16.5, 16.75, 17, 17.25, 17.5, 17.75, 18, 18.25, 18.5, 18.75, 19, 19.25, 19.5, 19.75, 20, 20.25, 20.5, 20.75, 21, 21.25, 21.5, 21.75, 22, 22.25, 22.5, 22.75, 23, 23.25, 23.5, 23.75, 24, 24.25, 24.5, 24.75, 25, 25.25, 25.5, 25.75, 26, 26.25, 26.5, 26.75, 27, 27.25, 27.5, 27.75, 28, 28.25, 28.5, 28.75, 29, 29.25, 29.5, 29.75, 30, 30.25, 30.5, 30.75, 31, 31.25, 31.5, 31.75, 32, 32.25, 32.5, 32.75, 33, 33.25, 33.5, 33.75, 34, 34.25, 34.5, 34.75, 35, 35.25, 35.5, 35.75, 36, 36.25, 36.5, 36.75, 37, 37.25, 37.5, 37.75, 38, 38.25, 38.5, 38.75, 39, 39.25, 39.5, 39.75, 40, 40.25, 40.5, 40.75, 41, 41.25, 41.5, 41.75, 42, 42.25, 42.5, 42.75, 43, 43.25, 43.5, 43.75, 44, 44.25, 44.5, 44.75, 45, 45.25, 45.5, 45.75, 46, 46.25, 46.5, 46.75, 47, 47.25, 47.5, 47.75, 48, 48.25, 48.5, 48.75, 49, 49.25, 49.5, 49.75, 50, 50.25, 50.5, 50.75, 51, 51.25, 51.5, 51.75, 52, 52.25, 52.5, 52.75, 53, 53.25, 53.5, 53.75, 54, 54.25, 54.5, 54.75, 55, 55.25, 55.5, 55.75, 56, 56.25, 56.5, 56.75, 57, 57.25, 57.5, 57.75, 58, 58.25, 58.5, 58.75, 59, 59.25, 59.5, 59.75, 60, 60.25, 60.5, 60.75, 61, 61.25, 61.5, 61.75, 62, 62.25, 62.5, 62.75, 63, 63.25, 63.5, 63.75, 64, 64.25, 64.5, 64.75, 65, 65.25, 65.5, 65.75, 66, 66.25, 66.5, 66.75, 67, 67.25, 67.5, 67.75, 68, 68.25, 68.5, 68.75, 69, 69.25, 69.5, 69.75, 70, 70.25, 70.5, 70.75, 71, 71.25, 71.5, 71.75, 72, 72.25, 72.5, 72.75, 73, 73.25, 73.5, 73.75, 74, 74.25, 74.5, 74.75, 75, 75.25, 75.5, 75.75, 76, 76.25, 76.5, 76.75, 77, 77.25, 77.5, 77.75, 78, 78.25, 78.5, 78.75, 79, 79.25, 79.5, 79.75, 80, 80.25, 80.5, 80.75, 81, 81.25, 81.5, 81.75, 82, 82.25, 82.5, 82.75, 83, 83.25, 83.5, 83.75, 84, 84.25, 84.5, 84.75, 85, 85.25, 85.5, 85.75, 86, 86.25, 86.5, 86.75, 87, 87.25, 87.5, 87.75, 88, 88.25, 88.5, 88.75, 89, 89.25, 89.5, 89.75, 90, 90.25, 90.5, 90.75, 91, 91.25, 91.5, 91.75, 92, 92.25, 92.5, 92.75, 93, 93.25, 93.5, 93.75, 94, 94.25, 94.5, 94.75, 95);
	this.lSpline = new Array(0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);
	if (male) {

		this.mSpline = new Array(-0.113323062,-0.107263524,-0.101125191,-0.095075697,-0.089260119,-0.084068196,-0.079876849,-0.076882296,-0.075242006,-0.075003514,-0.075784564,-0.077135678,-0.078741978,-0.08032674,-0.081636321,-0.082308497,-0.082202648,-0.081484428,-0.080424937,-0.079176598,-0.077830162,-0.076329269,-0.074486143,-0.072077824,-0.069124031,-0.065769568,-0.062210251,-0.058572494,-0.054919137,-0.05128244,-0.047580083,-0.043701383,-0.039548719,-0.035000069,-0.029909566,-0.024132809,-0.01756059,-0.01014532,-0.00190269,0.007145762,0.016942924,0.027389552,0.038352338,0.049678532,0.061220358,0.072832322,0.084384404,0.095757277,0.106826235,0.11747424,0.127600897,0.137130977,0.146004943,0.154175415,0.161623238,0.168354823,0.174391139,0.179759653,0.184508234,0.18869476,0.192374545,0.195595794,0.198398691,0.200817317,0.202881042,0.204616204,0.206047088,0.207192672,0.208065073,0.208676198,0.209040904,0.209178618,0.209112316,0.208862224,0.20844228,0.207865817,0.20714563,0.206290902,0.205303726,0.204189934,0.202959093,0.201621588,0.20018425,0.198654386,0.197041923,0.195357284,0.193607128,0.191798252,0.189938684,0.188036412,0.186098117,0.184129045,0.182132481,0.180111543,0.17806832,0.176006152,0.173928523,0.171840466,0.169748915,0.167660296,0.165580962,0.163516259,0.16146703,0.159433215,0.15741469,0.155411044,0.153419453,0.151437788,0.149464873,0.147500294,0.145544029,0.143596235,0.14165725,0.139727445,0.137806635,0.13589428,0.133990335,0.132095349,0.130209337,0.128331938,0.126462646,0.1246004,0.122743165,0.120888901,0.119035539,0.117181059,0.115323256,0.113460143,0.111589868,0.10971073,0.107821013,0.105919562,0.104006304,0.102081432,0.100145238,0.098198222,0.096241335,0.094275468,0.092300795,0.090317494,0.088326118,0.086326867,0.084319487,0.08230393,0.080280155,0.078248001,0.076207177,0.07415734,0.072098326,0.070030162,0.067952967,0.06586758,0.063775318,0.061677513,0.05957556,0.057470615,0.055363805,0.053256243,0.051149026,0.049043099,0.046939347,0.044838445,0.042740603,0.040645997,0.038554835,0.036467148,0.034382486,0.032300303,0.030219993,0.028140716,0.026061245,0.02398014,0.021896023,0.019807893,0.017714886,0.015616338,0.013511685,0.011400269,0.009281152,0.007153491,0.005016536,0.002869587,0.000711742,-0.001457834,-0.003639808,-0.005834745,-0.008042892,-0.010264418,-0.012499472,-0.01474796,-0.017009821,-0.019285054,-0.021573739,-0.023876029,-0.026192501,-0.028523707,-0.0308701,-0.033232091,-0.035610137,-0.03800465,-0.040416058,-0.042844695,-0.045290399,-0.04775281,-0.050231554,-0.052726355,-0.05523706,-0.05776353,-0.060305529,-0.062862827,-0.065435415,-0.068023274,-0.070626391,-0.073244741,-0.075878307,-0.07852706,-0.081190902,-0.083869615,-0.086562946,-0.089270672,-0.091992631,-0.094728627,-0.097478403,-0.100241723,-0.103018324,-0.105807919,-0.108610321,-0.111425341,-0.114252768,-0.117092331,-0.119943663,-0.122806362,-0.125680029,-0.128564229,-0.13145839,-0.134361917,-0.137274175,-0.140194497,-0.143122161,-0.146056475,-0.148996803,-0.151942576,-0.154893394,-0.157848886,-0.160808678,-0.163772453,-0.166740073,-0.169711481,-0.172686634,-0.175665472,-0.178647851,-0.181633607,-0.184622554,-0.18761452,-0.190609397,-0.193607127,-0.196607668,-0.199611008,-0.202617055,-0.205625662,-0.208636684,-0.211649969,-0.214665233,-0.217682195,-0.220700588,-0.223720139,-0.226740545,-0.229761513,-0.232782752,-0.235803965,-0.238824861,-0.241845179,-0.244864697,-0.247883227,-0.25090062,-0.253916736,-0.256931437,-0.259944547,-0.262955823,-0.265965015,-0.268971871,-0.271976146,-0.274977584,-0.277975926,-0.28097093,-0.283962362,-0.286949978,-0.289933528,-0.29291276,-0.295887405,-0.298857204,-0.301821912,-0.304781282,-0.307735067,-0.310683027,-0.313624909,-0.316560455,-0.319489428,-0.322411644,-0.325326936,-0.328235143,-0.331136122,-0.334029781,-0.336916042,-0.339794831,-0.342666075,-0.345529696,-0.348385617,-0.35123376,-0.354074048,-0.356906425,-0.35973084,-0.362547247,-0.365355605,-0.368155892,-0.370948088,-0.373732176,-0.376508141,-0.379275968,-0.382035646,-0.38478716,-0.387530508,-0.390265714,-0.392992815,-0.395711847,-0.39842284,-0.401125815,-0.403820795,-0.406507803,-0.409186861,-0.411857999,-0.414521247,-0.417176637,-0.419824202,-0.422463989,-0.425096048,-0.427720431,-0.43033719,-0.432946388,-0.435548086,-0.438142348,-0.440729231,-0.443308782,-0.445881045,-0.448446061,-0.451003875,-0.453554526,-0.456098055,-0.4586345,-0.461163898,-0.463686285,-0.466201694,-0.46871016,-0.471211718,-0.473706408,-0.476194268,-0.47867534,-0.481149662,-0.483617273,-0.486078209,-0.488532509,-0.49098021,-0.493421347,-0.495855958,-0.498284079,-0.500705746,-0.503120994,-0.505529858,-0.507932373);

		this.sSpline = new Array(0.214337231,0.204337249,0.195447112,0.187218801,0.17939119,0.172087173,0.165349592,0.159209154,0.153496572,0.147928648,0.142084581,0.135601185,0.128453261,0.120466517,0.111460599,0.101602567,0.091158685,0.080079608,0.068502815,0.056480773,0.04393948,0.030828477,0.017367677,0.003866919,-0.009150728,-0.021045481,-0.031340613,-0.039720179,-0.046075543,-0.050406678,-0.052812473,-0.053452998,-0.052533838,-0.050339957,-0.04715959,-0.043200679,-0.038683992,-0.033851413,-0.028970167,-0.024270384,-0.019949268,-0.01616978,-0.013049097,-0.010677878,-0.009099372,-0.008338518,-0.008394091,-0.009225163,-0.010792655,-0.013063443,-0.015984699,-0.019470494,-0.023432813,-0.027777004,-0.032405595,-0.037227239,-0.042149098,-0.047089349,-0.051982736,-0.05677872,-0.061438499,-0.065929532,-0.070221999,-0.07428185,-0.07807821,-0.081581808,-0.084766943,-0.087612101,-0.090099623,-0.092222172,-0.093992633,-0.095426024,-0.096535875,-0.097334147,-0.097836532,-0.098058561,-0.098014055,-0.097717313,-0.097192743,-0.096463566,-0.095550457,-0.09447443,-0.093262324,-0.091939553,-0.090528764,-0.089051599,-0.087527298,-0.085973045,-0.084405595,-0.082840623,-0.081292275,-0.079773396,-0.078294174,-0.076862492,-0.075487162,-0.074175419,-0.072929489,-0.071749427,-0.07063488,-0.069584471,-0.068595751,-0.067666051,-0.066792224,-0.065971329,-0.065199404,-0.06447137,-0.063782847,-0.063129674,-0.062507945,-0.061913941,-0.061345297,-0.060801028,-0.060280963,-0.059785954,-0.059317917,-0.058879186,-0.058472013,-0.058098148,-0.057759672,-0.057459303,-0.057200026,-0.056984838,-0.056816529,-0.056696975,-0.05662709,-0.056605889,-0.056630586,-0.056697295,-0.056802091,-0.056941065,-0.057108799,-0.057299484,-0.057506861,-0.057724749,-0.057947593,-0.058170417,-0.058387924,-0.058595303,-0.05878969,-0.058968735,-0.059130224,-0.059272333,-0.059393935,-0.05949396,-0.059571609,-0.059626289,-0.059657655,-0.059665596,-0.059649996,-0.059610739,-0.059547259,-0.059457828,-0.059340177,-0.059191641,-0.059009068,-0.058789232,-0.058529044,-0.058225994,-0.057878406,-0.057484605,-0.057042739,-0.056551229,-0.056010176,-0.05541992,-0.054780671,-0.0540924,-0.053354161,-0.052564825,-0.051723339,-0.050828822,-0.049880808,-0.048878962,-0.04782266,-0.04671132,-0.045545567,-0.044326083,-0.043053459,-0.041728284,-0.040351701,-0.03892498,-0.037449314,-0.035925652,-0.034355142,-0.032739068,-0.031078695,-0.029375332,-0.027630602,-0.025846101,-0.024023245,-0.022163377,-0.02026798,-0.018338462,-0.01637593,-0.014381537,-0.012356789,-0.010303288,-0.008222748,-0.006116967,-0.003987647,-0.001836471,0.000334771,0.002524386,0.004731528,0.006955498,0.00919558,0.011451087,0.013721401,0.016006004,0.018304508,0.020616515,0.022941584,0.025279346,0.027629417,0.029991653,0.032366214,0.034753644,0.037154676,0.039570054,0.042000154,0.044445241,0.046905499,0.049380872,0.051870729,0.054374381,0.056891217,0.059420573,0.061961595,0.064513432,0.067075398,0.069647075,0.07222809,0.074818086,0.077416692,0.080023513,0.082637997,0.085259574,0.087887691,0.090521759,0.093161014,0.09580462,0.098451757,0.101101536,0.103752773,0.106404247,0.109054764,0.111703135,0.11434798,0.116987934,0.119621715,0.122248118,0.124866173,0.12747502,0.130073911,0.132662131,0.13523906,0.137804108,0.140356698,0.142896262,0.145422197,0.147933931,0.150430908,0.152912628,0.155378821,0.157829274,0.160263799,0.162682326,0.165084901,0.167471601,0.169842522,0.172197765,0.174537374,0.176861369,0.179169778,0.181462678,0.183740082,0.186001978,0.188248338,0.190479166,0.192694669,0.194895204,0.197081251,0.199253281,0.201411652,0.203556681,0.205688682,0.207807975,0.209914857,0.212009653,0.214092659,0.216164198,0.218224625,0.220274285,0.222313533,0.224342713,0.226362147,0.228372174,0.230373156,0.232365443,0.234349314,0.236325051,0.238292935,0.240253231,0.242206162,0.244151927,0.246090714,0.248022713,0.249948134,0.251867183,0.253780056,0.255686917,0.257587842,0.259482916,0.261372223,0.263255837,0.26513383,0.26700627,0.268873224,0.270734764,0.272590972,0.274441935,0.276287736,0.27812845,0.279964112,0.28179475,0.283620391,0.285441062,0.287256791,0.289067607,0.290873533,0.292674588,0.294470774,0.29626209,0.298048532,0.299830089,0.301606734,0.303378448,0.305145216,0.306907029,0.308663891,0.31041581,0.312162793,0.313904851,0.315642009,0.317374291,0.319101723,0.32082433,0.322542132,0.324255144,0.325963385,0.327666869,0.329365611,0.331059624,0.33274892,0.334433517,0.336113447,0.337788745,0.339459446,0.341125583,0.342787184,0.344444276,0.346096887,0.347745042,0.349388769,0.351028092,0.352663038,0.354293632,0.3559199,0.357541867,0.359159558);
		this.a0 = -10.3420;
		this.a1 = 2.2196;
		this.a2 = 0.0574;
		this.a3 = -0.1589;
		this.a4 = -0.0351;
		this.a5 = -0.0881;
		this.a6 = -0.0708;
		this.p0 = -2.3268;
		this.p1 = 0.0798;
		this.p2 = 0.1096;
		this.p3 = -0.3973;
		this.p4 = 0.0327;
		this.p5 = 0.0114;
		this.q0 = 0.8866;
		this.q1 = 0.085;
	}
	else {
		this.mSpline = new Array(-0.231108168,-0.216995086,-0.204008622,-0.192224176,-0.181748497,-0.17266696,-0.165129257,-0.159196078,-0.154841563,-0.151757557,-0.149430901,-0.147390411,-0.145197206,-0.14255249,-0.139296945,-0.135407954,-0.131039513,-0.126406658,-0.121719542,-0.11710836,-0.112475496,-0.107587169,-0.102234204,-0.096264072,-0.089680726,-0.082486026,-0.074684007,-0.066295689,-0.057347674,-0.047902327,-0.038032663,-0.027792878,-0.01720835,-0.006313229,0.004815444,0.016071486,0.027353302,0.038565957,0.049620695,0.060433094,0.070928132,0.081045556,0.09072768,0.099931694,0.108628815,0.116797975,0.124412584,0.131456965,0.137929309,0.143833806,0.149177737,0.153978693,0.158267976,0.162081151,0.165461403,0.168446721,0.171066075,0.173349232,0.175328565,0.177033279,0.178490474,0.179724868,0.18076102,0.181620772,0.182323406,0.182886774,0.183328278,0.183663445,0.183905848,0.184066893,0.184151436,0.184161972,0.184100769,0.183970575,0.183772378,0.183507855,0.183179284,0.182788458,0.182335871,0.181822429,0.181249816,0.180621327,0.179943671,0.179224904,0.178473651,0.177698214,0.176904609,0.176098667,0.175286539,0.174473347,0.17366275,0.17285799,0.17206207,0.17127649,0.170498125,0.169724075,0.168952501,0.168181275,0.167406564,0.166624856,0.165833598,0.165031382,0.164216757,0.163388605,0.162546431,0.161689953,0.160818393,0.159931463,0.159029473,0.158112983,0.157181428,0.156233897,0.155269642,0.15428758,0.153285316,0.1522607,0.15121175,0.150136718,0.14903469,0.147905445,0.146749254,0.145566225,0.144355579,0.143116628,0.141849437,0.140554746,0.1392326,0.137883477,0.136508026,0.135106978,0.133680472,0.132228307,0.130750179,0.129246004,0.127716432,0.126162229,0.124584106,0.122982872,0.121359471,0.119714756,0.118049376,0.116363609,0.114657563,0.112931533,0.111186041,0.109421718,0.107639049,0.105838539,0.104020807,0.102186369,0.100335413,0.098468333,0.096585815,0.094688594,0.09277715,0.090851972,0.088913901,0.086963922,0.085002923,0.08303178,0.081051545,0.07906344,0.077068456,0.075067327,0.073060647,0.071048994,0.069032747,0.067012208,0.064987786,0.062959734,0.06092761,0.058890807,0.056848548,0.054800062,0.052744875,0.050682793,0.048613863,0.046538239,0.044455827,0.042366456,0.040270023,0.038166378,0.036054979,0.033935216,0.0318067,0.029669079,0.027521853,0.025364536,0.023196636,0.021017687,0.018827415,0.016625594,0.014412047,0.012186561,0.009948908,0.007698808,0.005436006,0.003160369,0.000871861,-0.001429652,-0.003744378,-0.00607248,-0.008413924,-0.010768537,-0.013136181,-0.015516767,-0.017910373,-0.020317038,-0.022736805,-0.025169759,-0.027616187,-0.030076376,-0.032550599,-0.035039073,-0.037541888,-0.04005906,-0.042590614,-0.045136582,-0.047696841,-0.05027125,-0.052859707,-0.055462137,-0.05807849,-0.06070876,-0.06335296,-0.066011042,-0.068682853,-0.071368264,-0.074067195,-0.076779564,-0.079505233,-0.082244043,-0.084995841,-0.087760497,-0.090538008,-0.093328417,-0.096131773,-0.098948115,-0.101777441,-0.104619753,-0.107475046,-0.110343345,-0.113224716,-0.116119225,-0.119026935,-0.121947936,-0.124882285,-0.127830044,-0.13079129,-0.133766081,-0.136754372,-0.139756124,-0.142771313,-0.145799876,-0.148841651,-0.151896482,-0.154964235,-0.158044737,-0.161137588,-0.164242343,-0.167358567,-0.170485829,-0.173623653,-0.176771574,-0.179929139,-0.18309592,-0.186271538,-0.189455624,-0.192647828,-0.195847813,-0.199055214,-0.202269655,-0.20549074,-0.208718062,-0.211951226,-0.215189862,-0.218433609,-0.221682106,-0.224934968,-0.22819181,-0.231452253,-0.234715923,-0.237982438,-0.241251418,-0.244522488,-0.247795263,-0.251069333,-0.254344284,-0.257619699,-0.260895169,-0.264170277,-0.267444603,-0.270717734,-0.27398927,-0.277258811,-0.280525968,-0.28379036,-0.287051621,-0.290309432,-0.293563489,-0.2968135,-0.300059176,-0.303300207,-0.30653629,-0.309767133,-0.312992451,-0.316211959,-0.319425379,-0.322632447,-0.325832925,-0.329026659,-0.332213518,-0.335393382,-0.338566133,-0.341731655,-0.344889826,-0.348040521,-0.351183626,-0.354319055,-0.357446734,-0.360566588,-0.363678554,-0.366782592,-0.36987867,-0.372966753,-0.376046809,-0.379118803,-0.382182702,-0.385238471,-0.388286082,-0.391325521,-0.39435678,-0.397379852,-0.400394736,-0.403401445,-0.406399993,-0.409390397,-0.412372674,-0.41534684,-0.418312913,-0.421270909,-0.424220848,-0.42716276,-0.430096679,-0.433022637,-0.43594066,-0.438850773,-0.441752997,-0.444647353,-0.447533862,-0.450412549,-0.453283443,-0.456146571,-0.459001962,-0.461849643,-0.464689643,-0.467521991,-0.470346715,-0.473163851,-0.475973432,-0.478775492,-0.481570067,-0.484357188,-0.487136889,-0.489909203,-0.492674162,-0.495431804,-0.498182163,-0.500925278);

		this.sSpline = new Array(0.335148438,0.309764416,0.286205903,0.26428056,0.243867447,0.224846376,0.207084579,0.190463871,0.174873793,0.160205353,0.146358823,0.133254729,0.120849151,0.109116681,0.098053014,0.087677718,0.077990556,0.068951153,0.060503148,0.052593927,0.045192213,0.038284354,0.031873299,0.025962501,0.020560758,0.015661086,0.011236659,0.007247563,0.003654966,0.000416711,-0.002512518,-0.005179453,-0.007625256,-0.00988868,-0.012008812,-0.014019407,-0.015951457,-0.017833413,-0.019686706,-0.021521785,-0.023342038,-0.025147919,-0.026937767,-0.028710442,-0.030466521,-0.032206397,-0.033927993,-0.035628548,-0.037305088,-0.038954725,-0.040575004,-0.042163648,-0.043717129,-0.04523226,-0.046706147,-0.048136574,-0.049522351,-0.050862653,-0.052157149,-0.053405616,-0.054607635,-0.055763295,-0.056874105,-0.057942304,-0.058970313,-0.059960407,-0.060914771,-0.061835833,-0.062726298,-0.063589187,-0.06442827,-0.065247157,-0.066049281,-0.066837834,-0.067615459,-0.068384596,-0.069147319,-0.069905412,-0.07065969,-0.071410197,-0.072156887,-0.072899862,-0.073639437,-0.0743758,-0.075109006,-0.075839021,-0.076565565,-0.077288345,-0.078006915,-0.078720896,-0.07943004,-0.080134256,-0.08083356,-0.081527953,-0.082216996,-0.082900075,-0.083576597,-0.084246096,-0.084908046,-0.085561832,-0.086206781,-0.08684201,-0.087466388,-0.088078753,-0.088677997,-0.089263105,-0.089833017,-0.090386695,-0.090923214,-0.091441667,-0.091941091,-0.092420548,-0.092879179,-0.093316149,-0.093730422,-0.094120932,-0.094486702,-0.094826829,-0.095140439,-0.095426708,-0.095684853,-0.095914139,-0.096114058,-0.096284237,-0.096424264,-0.096533625,-0.096611641,-0.096657546,-0.096670596,-0.096650056,-0.096595056,-0.096504774,-0.09637849,-0.096215599,-0.0960156,-0.095778026,-0.095502452,-0.095188545,-0.094836209,-0.094445415,-0.094016123,-0.093548322,-0.093042179,-0.092497887,-0.091915644,-0.091295674,-0.090638209,-0.0899435,-0.089211821,-0.088443438,-0.087638556,-0.086797357,-0.085920038,-0.085006891,-0.084058515,-0.083075541,-0.082058531,-0.081008061,-0.07992481,-0.078809446,-0.077662612,-0.07648487,-0.075276619,-0.074038169,-0.072769804,-0.071471836,-0.070144674,-0.068788712,-0.067404338,-0.065991954,-0.064551999,-0.063084918,-0.061591174,-0.06007127,-0.058525851,-0.056955559,-0.055361009,-0.053742786,-0.052101528,-0.050437882,-0.048752449,-0.047045774,-0.045318384,-0.043570759,-0.041803344,-0.040016584,-0.038210988,-0.036387056,-0.034545289,-0.032686162,-0.030810101,-0.028917493,-0.027008701,-0.025084072,-0.023143999,-0.021188895,-0.019219155,-0.017235153,-0.015237293,-0.013225995,-0.011201691,-0.009164799,-0.007115768,-0.005055025,-0.002982983,-0.000900066,0.001193251,0.003296507,0.005409255,0.007531085,0.009661648,0.011800628,0.013947714,0.016102607,0.018265014,0.020434652,0.022611254,0.024794544,0.026984199,0.029179874,0.031381229,0.033587929,0.035799627,0.038015986,0.040236695,0.042461467,0.044690022,0.046922085,0.049157382,0.051395649,0.053636597,0.05587994,0.058125421,0.060372811,0.062621902,0.064872491,0.067124382,0.069377391,0.071631349,0.073886105,0.076141508,0.078397411,0.080653664,0.082910122,0.085166646,0.087423097,0.089679323,0.091935175,0.094190508,0.096445176,0.098699021,0.100951883,0.103203603,0.10545402,0.107702942,0.109950167,0.112195497,0.114438734,0.116679687,0.118918169,0.121153997,0.123386989,0.125616981,0.127843821,0.130067362,0.132287457,0.134503942,0.136716654,0.138925432,0.141130131,0.143330643,0.145526865,0.147718703,0.149906065,0.152088848,0.154266951,0.156440277,0.158608725,0.160772194,0.162930583,0.165083791,0.167231717,0.169374274,0.171511382,0.173642973,0.175768992,0.1778894,0.180004166,0.182113266,0.184216681,0.18631441,0.188406449,0.190492798,0.192573455,0.194648425,0.196717714,0.198781332,0.200839284,0.202891565,0.204938167,0.206979085,0.20901431,0.211043841,0.213067679,0.215085826,0.217098285,0.219105066,0.221106181,0.223101642,0.225091463,0.227075658,0.229054243,0.231027233,0.232994644,0.234956491,0.236912791,0.238863562,0.240808822,0.242748592,0.24468289,0.246611736,0.248535148,0.250453145,0.252365743,0.254272962,0.256174819,0.258071333,0.259962519,0.261848397,0.263728981,0.26560429,0.267474342,0.269339155,0.271198748,0.273053142,0.274902357,0.276746414,0.278585334,0.280419137,0.282247842,0.28407147,0.28589004,0.287703569,0.289512075,0.291315575,0.293114087,0.294907631,0.296696226,0.298479892,0.300258649,0.302032521,0.303801532,0.305565705,0.307325064,0.309079632,0.310829431,0.312574483,0.314314812,0.316050441,0.317781395,0.319507698,0.321229375,0.322946449,0.324658943,0.326366881,0.328070286,0.329769181,0.33146359,0.333153533);
		this.a0 = -9.6987;
		this.a1 = 2.1211;
		this.a2 = -0.0270;
		this.a3 = -0.1484;
		this.a4 = -0.0149;
		this.a5 = -0.1208;
		this.a6 = -0.0708;
		this.p0 = -2.3765;
		this.p1 = 0.0972;
		this.p2 = 0.1016;
		this.p3 = -0.0109;
		this.p4 = 0.0733;
		this.p5 = -0.0114;
		this.q0 = 1.1540;
		this.q1 = 0;
	}


	// Checking specific errors and creating error messages	
	this.errorCondition.push((this.age < this.ageArray[0]) || (this.age > this.ageArray[this.ageArray.length - 1]));
	this.errorString.push(window.lang.convert("Age has to be between 3 and 95 years"));
	this.errorCondition.push(typeof(this.age) === 'undefined')
	this.errorString.push(window.lang.convert("Age is undefined"));
	this.errorCondition.push(typeof(this.male) === 'undefined')
	this.errorString.push(window.lang.convert("Gender is undefined"));
	this.errorCondition.push(typeof(this.ethnics) === 'undefined')
	this.errorString.push(window.lang.convert("Ethnics is undefined"));
	this.errorCondition.push(value <= 0)
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	this.errorCondition.push(height <= 0)
	this.errorString.push(window.lang.convert("Height") + " " + window.lang.convert("has to be greater than 0"));
	this.getUpperAndLowerValues();
}
SpiroFev1.prototype = new SpiroLMSClass();

function SpiroFvc(value, male, age, height, ethnics) {
	this.height = height;
	this.age = age / 12; // month in years
	this.male = male;
	this.value = value || -1;
	this.refString = "";
	this.init();
	this.infoString = this.getInfo([INFO_PERCENTILES + INFO_GLI, INFO_ZSCORE, ABBREV_SPIRO]);;
	this.paramName = "Fvc";
	this.paramNameLong = "FVC";
	this.paramUnit = "l";
	this.ethnics = ethnics;
	this.ageArray = new Array(3, 3.25, 3.5, 3.75, 4, 4.25, 4.5, 4.75, 5, 5.25, 5.5, 5.75, 6, 6.25, 6.5, 6.75, 7, 7.25, 7.5, 7.75, 8, 8.25, 8.5, 8.75, 9, 9.25, 9.5, 9.75, 10, 10.25, 10.5, 10.75, 11, 11.25, 11.5, 11.75, 12, 12.25, 12.5, 12.75, 13, 13.25, 13.5, 13.75, 14, 14.25, 14.5, 14.75, 15, 15.25, 15.5, 15.75, 16, 16.25, 16.5, 16.75, 17, 17.25, 17.5, 17.75, 18, 18.25, 18.5, 18.75, 19, 19.25, 19.5, 19.75, 20, 20.25, 20.5, 20.75, 21, 21.25, 21.5, 21.75, 22, 22.25, 22.5, 22.75, 23, 23.25, 23.5, 23.75, 24, 24.25, 24.5, 24.75, 25, 25.25, 25.5, 25.75, 26, 26.25, 26.5, 26.75, 27, 27.25, 27.5, 27.75, 28, 28.25, 28.5, 28.75, 29, 29.25, 29.5, 29.75, 30, 30.25, 30.5, 30.75, 31, 31.25, 31.5, 31.75, 32, 32.25, 32.5, 32.75, 33, 33.25, 33.5, 33.75, 34, 34.25, 34.5, 34.75, 35, 35.25, 35.5, 35.75, 36, 36.25, 36.5, 36.75, 37, 37.25, 37.5, 37.75, 38, 38.25, 38.5, 38.75, 39, 39.25, 39.5, 39.75, 40, 40.25, 40.5, 40.75, 41, 41.25, 41.5, 41.75, 42, 42.25, 42.5, 42.75, 43, 43.25, 43.5, 43.75, 44, 44.25, 44.5, 44.75, 45, 45.25, 45.5, 45.75, 46, 46.25, 46.5, 46.75, 47, 47.25, 47.5, 47.75, 48, 48.25, 48.5, 48.75, 49, 49.25, 49.5, 49.75, 50, 50.25, 50.5, 50.75, 51, 51.25, 51.5, 51.75, 52, 52.25, 52.5, 52.75, 53, 53.25, 53.5, 53.75, 54, 54.25, 54.5, 54.75, 55, 55.25, 55.5, 55.75, 56, 56.25, 56.5, 56.75, 57, 57.25, 57.5, 57.75, 58, 58.25, 58.5, 58.75, 59, 59.25, 59.5, 59.75, 60, 60.25, 60.5, 60.75, 61, 61.25, 61.5, 61.75, 62, 62.25, 62.5, 62.75, 63, 63.25, 63.5, 63.75, 64, 64.25, 64.5, 64.75, 65, 65.25, 65.5, 65.75, 66, 66.25, 66.5, 66.75, 67, 67.25, 67.5, 67.75, 68, 68.25, 68.5, 68.75, 69, 69.25, 69.5, 69.75, 70, 70.25, 70.5, 70.75, 71, 71.25, 71.5, 71.75, 72, 72.25, 72.5, 72.75, 73, 73.25, 73.5, 73.75, 74, 74.25, 74.5, 74.75, 75, 75.25, 75.5, 75.75, 76, 76.25, 76.5, 76.75, 77, 77.25, 77.5, 77.75, 78, 78.25, 78.5, 78.75, 79, 79.25, 79.5, 79.75, 80, 80.25, 80.5, 80.75, 81, 81.25, 81.5, 81.75, 82, 82.25, 82.5, 82.75, 83, 83.25, 83.5, 83.75, 84, 84.25, 84.5, 84.75, 85, 85.25, 85.5, 85.75, 86, 86.25, 86.5, 86.75, 87, 87.25, 87.5, 87.75, 88, 88.25, 88.5, 88.75, 89, 89.25, 89.5, 89.75, 90, 90.25, 90.5, 90.75, 91, 91.25, 91.5, 91.75, 92, 92.25, 92.5, 92.75, 93, 93.25, 93.5, 93.75, 94, 94.25, 94.5, 94.75, 95);
	this.lSpline = new Array(0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);
	if (male) {

		this.mSpline = new Array(-0.093783605, -0.088807991, -0.083625242, -0.078348177, -0.07313542, -0.068306671, -0.064228847, -0.06106364, -0.058879957, -0.057761838, -0.057558004, -0.058062254, -0.059115974, -0.0604699, -0.061802134, -0.062744998, -0.063194188, -0.063267303, -0.06312597, -0.062793422, -0.062232311, -0.061308995, -0.05982893, -0.057584811, -0.054703906, -0.051475254, -0.048166774, -0.044925934, -0.041820944, -0.038895798, -0.036119562, -0.033437142, -0.030775015, -0.028024438, -0.02504803, -0.021694572, -0.017833239, -0.013377119, -0.00829144, -0.002551495, 0.003841305, 0.010842486, 0.01836976, 0.026323984, 0.034610429, 0.043136664, 0.051816033, 0.060560021, 0.069270811, 0.07785324, 0.086222448, 0.094306657, 0.10204549, 0.10938785, 0.116295784, 0.122742493, 0.128709169, 0.134187074, 0.139189044, 0.143736223, 0.147849088, 0.151545958, 0.154846734, 0.157766569, 0.160315109, 0.16250392, 0.164357681, 0.165902312, 0.167159394, 0.168149838, 0.168893316, 0.169410353, 0.169722148, 0.169846877, 0.169797908, 0.169588558, 0.16923214, 0.168740351, 0.168121446, 0.16738525, 0.166543254, 0.165606773, 0.164584683, 0.163484984, 0.162315681, 0.161084944, 0.159799588, 0.158466516, 0.157092735, 0.155684542, 0.154246729, 0.152782509, 0.151293448, 0.149780572, 0.148244176, 0.146685651, 0.145106883, 0.143511812, 0.141905819, 0.140294156, 0.138681964, 0.137073226, 0.13546805, 0.133866017, 0.132266867, 0.13067015, 0.129073568, 0.127475777, 0.125876212, 0.12427481, 0.122671464, 0.121066252, 0.119459845, 0.117853338, 0.116248242, 0.114646149, 0.113049003, 0.111458938, 0.109876661, 0.108302247, 0.106735805, 0.105177331, 0.103626726, 0.10208431, 0.100550635, 0.099026068, 0.097509859, 0.096001224, 0.094499318, 0.093003041, 0.091510554, 0.090020299, 0.088531508, 0.087043399, 0.08555438, 0.084062883, 0.082567889, 0.081068576, 0.079564057, 0.078053698, 0.076537303, 0.075014562, 0.073484844, 0.071947643, 0.070402479, 0.068848785, 0.067285809, 0.065712784, 0.064129074, 0.062534134, 0.060927331, 0.059308507, 0.057677943, 0.05603598, 0.05438303, 0.052719617, 0.051046568, 0.04936474, 0.04767478, 0.045977212, 0.04427255, 0.042561206, 0.04084319, 0.039118538, 0.037387387, 0.035649817, 0.033905481, 0.032153974, 0.030394993, 0.028628261, 0.026853404, 0.025070017, 0.023277783, 0.021476706, 0.019666769, 0.017848068, 0.01602077, 0.014184915, 0.012340227, 0.010486441, 0.008623361, 0.006750781, 0.004868343, 0.002975759, 0.001072775, -0.000840864, -0.002765385, -0.00470097, -0.006647706, -0.008605428, -0.010573928, -0.012552985, -0.014542406, -0.016542061, -0.018552195, -0.020573086, -0.022604908, -0.024647812, -0.026702065, -0.028767819, -0.030845244, -0.032934559, -0.035035915, -0.037149369, -0.039274925, -0.041412661, -0.043562845, -0.045725763, -0.04790158, -0.050090355, -0.052292223, -0.054507281, -0.056735557, -0.05897709, -0.061232053, -0.063500607, -0.065782826, -0.068078697, -0.070388251, -0.072711536, -0.07504859, -0.077399361, -0.079763591, -0.082140987, -0.084531216, -0.086933924, -0.089348871, -0.091775824, -0.094214527, -0.096664647, -0.099125738, -0.101597314, -0.104078877, -0.106569904, -0.109069798, -0.11157793, -0.114093666, -0.116616351, -0.119145263, -0.121679692, -0.124218952, -0.12676241, -0.129309616, -0.131860178, -0.134413719, -0.136969893, -0.139528421, -0.142089054, -0.14465155, -0.147215654, -0.149781029, -0.152347317, -0.154914171, -0.157481267, -0.160048336, -0.162615147, -0.165181495, -0.167747223, -0.170312244, -0.172876457, -0.175439763, -0.178002068, -0.180563253, -0.183123226, -0.185681902, -0.188239191, -0.190795014, -0.193349303, -0.195901978, -0.198452958, -0.201002201, -0.20354969, -0.20609542, -0.208639392, -0.211181592, -0.213721992, -0.216260542, -0.218797144, -0.221331644, -0.223863882, -0.226393699, -0.22892094, -0.23144543, -0.233966963, -0.236485333, -0.23900034, -0.241511795, -0.244019516, -0.246523325, -0.24902304, -0.251518523, -0.254009654, -0.256496316, -0.258978384, -0.26145572, -0.263928173, -0.266395583, -0.268857797, -0.271314696, -0.273766175, -0.276212134, -0.278652483, -0.281087161, -0.28351611, -0.285939277, -0.288356617, -0.290768087, -0.293173648, -0.295573257, -0.297966869, -0.300354436, -0.302735917, -0.305111275, -0.307480475, -0.309843484, -0.312200267, -0.314550796, -0.31689504, -0.319232977, -0.321564589, -0.323889858, -0.326208771, -0.328521337, -0.330827572, -0.333127489, -0.335421099, -0.337708406, -0.33998941, -0.342264111, -0.344532506, -0.346794596, -0.34905038, -0.351299859, -0.353543034, -0.355779919, -0.35801053, -0.360234886, -0.362453007, -0.36466492, -0.366870652, -0.369070233, -0.371263689, -0.373451048, -0.375632334, -0.377807572, -0.37997679, -0.382140018, -0.384297282, -0.386448612, -0.388594034, -0.390733572, -0.392867248, -0.394995087, -0.397117112, -0.399233351, -0.401343833, -0.403448585, -0.405547637, -0.407641017, -0.409728756, -0.411810883, -0.413887427, -0.415958418, -0.418023884, -0.420083853, -0.422138354, -0.424187415, -0.426231065, -0.42826933);

		this.sSpline = new Array(0.29860819, 0.278451198, 0.259847073, 0.242520319, 0.226250224, 0.210884749, 0.196299497, 0.182389827, 0.169061748, 0.156242617, 0.143851688, 0.131825431, 0.12015353, 0.10881566, 0.097785443, 0.087058762, 0.07664482, 0.066530483, 0.056724082, 0.047240883, 0.03807636, 0.029228436, 0.020722134, 0.012581436, 0.00484466, -0.002437017, -0.009217152, -0.015455388, -0.021126748, -0.026224696, -0.030765699, -0.034779766, -0.038301602, -0.041376478, -0.044053727, -0.046380655, -0.048400796, -0.050155446, -0.051685692, -0.053028597, -0.054217508, -0.055282978, -0.056252461, -0.057149572, -0.057992253, -0.058795291, -0.059571642, -0.060330698, -0.061081088, -0.061831782, -0.062589326, -0.063356042, -0.064133212, -0.064921023, -0.065718065, -0.066523057, -0.067334517, -0.068150135, -0.068967288, -0.069783981, -0.070599104, -0.071411385, -0.072217047, -0.073011961, -0.073792347, -0.074554004, -0.075292209, -0.076002234, -0.076679899, -0.077321997, -0.077927111, -0.078494306, -0.079022761, -0.079511778, -0.079961126, -0.080370507, -0.08073951, -0.081067696, -0.08135544, -0.081603239, -0.081811389, -0.081980429, -0.08211242, -0.082209569, -0.082273575, -0.082305838, -0.082307567, -0.08227976, -0.08222342, -0.08213963, -0.082030015, -0.081896421, -0.081740478, -0.081563608, -0.08136743, -0.081153508, -0.080922953, -0.080676537, -0.080415115, -0.080139479, -0.079850291, -0.079548073, -0.079233251, -0.078906192, -0.078567027, -0.078215681, -0.077852039, -0.077475841, -0.077086791, -0.0766846, -0.076269194, -0.075840544, -0.075398555, -0.074943136, -0.074474116, -0.073991301, -0.073494479, -0.072983504, -0.072458489, -0.071919655, -0.071367276, -0.070801657, -0.070222949, -0.069631207, -0.069026487, -0.068408732, -0.067777847, -0.06713369, -0.066476164, -0.065805119, -0.065120266, -0.064421302, -0.063707893, -0.062979685, -0.062236385, -0.061477713, -0.060703339, -0.05991295, -0.059106386, -0.058283477, -0.057444014, -0.056587838, -0.055714851, -0.054824972, -0.053918136, -0.052994307, -0.052053463, -0.051095605, -0.050120741, -0.049128908, -0.048120172, -0.047094521, -0.046051883, -0.044992168, -0.043915256, -0.042820983, -0.041709189, -0.040579774, -0.039432704, -0.038267942, -0.037085442, -0.035885208, -0.034667482, -0.03343255, -0.032180688, -0.030912125, -0.029626981, -0.028325361, -0.027007383, -0.025673171, -0.024322859, -0.02295659, -0.021574499, -0.020176725, -0.018763578, -0.017335386, -0.015892463, -0.014435113, -0.012963702, -0.011478597, -0.009980157, -0.008468684, -0.006944403, -0.005407513, -0.00385821, -0.002296704, -0.000723273, 0.000861796, 0.002458231, 0.004065752, 0.005684014, 0.007312678, 0.008951428, 0.010599954, 0.012257927, 0.013925018, 0.015600892, 0.017285219, 0.018977668, 0.020677921, 0.022385668, 0.024100589, 0.025822354, 0.027550642, 0.029285143, 0.031025561, 0.032771608, 0.034523011, 0.036279521, 0.038040912, 0.039806972, 0.041577507, 0.043352342, 0.045131347, 0.046914408, 0.048701438, 0.050492373, 0.052287145, 0.05408564, 0.055887737, 0.057693309, 0.059502212, 0.061314268, 0.063129296, 0.06494713, 0.066767605, 0.068590552, 0.070415821, 0.072243301, 0.07407292, 0.075904577, 0.077738171, 0.079573599, 0.081410749, 0.083249477, 0.085089646, 0.086931134, 0.088773817, 0.09061756, 0.092462218, 0.094307648, 0.096153698, 0.098000185, 0.099846921, 0.101693719, 0.103540389, 0.105386723, 0.107232506, 0.109077532, 0.110921599, 0.112764538, 0.114606187, 0.116446389, 0.11828499, 0.120121848, 0.121956821, 0.123789773, 0.125620569, 0.127449072, 0.12927515, 0.131098668, 0.1329195, 0.134737521, 0.136552612, 0.138364656, 0.140173543, 0.141979174, 0.143781451, 0.145580281, 0.147375576, 0.149167243, 0.15095519, 0.152739326, 0.154519567, 0.156295845, 0.158068093, 0.159836246, 0.161600246, 0.163360054, 0.165115642, 0.166866992, 0.168614086, 0.170356904, 0.172095428, 0.173829644, 0.175559535, 0.177285069, 0.179006215, 0.180722941, 0.182435215, 0.184142998, 0.185846249, 0.187544929, 0.189239003, 0.190928436, 0.192613201, 0.194293276, 0.195968637, 0.197639263, 0.19930513, 0.200966218, 0.202622508, 0.204273995, 0.20592068, 0.207562567, 0.209199656, 0.210831948, 0.212459437, 0.214082122, 0.2157, 0.217313071, 0.218921338, 0.220524803, 0.22212347, 0.223717352, 0.225306466, 0.226890829, 0.228470461, 0.230045387, 0.23161563, 0.233181214, 0.234742164, 0.236298503, 0.237850255, 0.239397444, 0.240940094, 0.242478227, 0.244011867, 0.245541034, 0.247065753, 0.248586045, 0.25010193, 0.251613431, 0.253120566, 0.254623357, 0.256121824, 0.257615989, 0.259105872, 0.260591499, 0.262072895, 0.263550083, 0.265023089, 0.266491933, 0.267956638, 0.269417224, 0.270873712, 0.272326124, 0.273774481, 0.275218803, 0.276659113, 0.278095431, 0.279527779, 0.280956178, 0.28238065, 0.283801216, 0.2852179, 0.286630723, 0.288039706, 0.289444872, 0.290846241, 0.292243834, 0.293637672, 0.295027775, 0.296414164, 0.297796859, 0.29917588, 0.300551246, 0.301922978, 0.303291095);
		this.a0 = -11.2281;
		this.a1 = 2.4135;
		this.a2 = 0.0865;
		this.a3 = -0.1684;
		this.a4 = -0.0405;
		this.a5 = -0.1177;
		this.a6 = -0.0825;
		this.p0 = -2.2963;
		this.p1 = 0.0718;
		this.p2 = 0.0794;
		this.p3 = -0.4600;
		this.p4 = 0.0325;
		this.p5 = -0.0503;
		this.q0 = 0.9481;
		this.q1 = 0;
	}
	else {
		this.mSpline = new Array(-0.194045565, -0.182413016, -0.171679563, -0.161866209, -0.153002738, -0.145103095, -0.138223564, -0.132377839, -0.12759235, -0.123758286, -0.120593934, -0.117852995, -0.115305244, -0.112786436, -0.1101736, -0.107391761, -0.104454551, -0.101414393, -0.098311544, -0.095151491, -0.091802842, -0.088068505, -0.083756269, -0.078729003, -0.073082962, -0.066934168, -0.060351011, -0.053392277, -0.046126932, -0.038639263, -0.030994748, -0.023234086, -0.015376478, -0.007430759, 0.000572206, 0.008581723, 0.016551431, 0.024443418, 0.032223031, 0.039858872, 0.047320146, 0.054580306, 0.061610202, 0.068385015, 0.074885141, 0.081091709, 0.086980968, 0.092535621, 0.097746308, 0.102606253, 0.107110756, 0.111262638, 0.115073663, 0.118560338, 0.121746961, 0.124654575, 0.127297742, 0.1296901, 0.131846841, 0.133781575, 0.135507529, 0.137037841, 0.138390124, 0.139581712, 0.140628299, 0.141544355, 0.142344276, 0.143041299, 0.143647414, 0.1441732, 0.144625487, 0.145009563, 0.145330204, 0.145591619, 0.14579619, 0.145945196, 0.146039097, 0.146078119, 0.14606246, 0.145992732, 0.145870185, 0.145697643, 0.145480931, 0.145226897, 0.144942845, 0.144635794, 0.144310959, 0.143973057, 0.143626724, 0.143275516, 0.142921556, 0.142566362, 0.142211366, 0.141857108, 0.141500754, 0.141139564, 0.140771596, 0.140395135, 0.140008386, 0.139610046, 0.13919976, 0.138777825, 0.13834406, 0.137898423, 0.137441293, 0.136973038, 0.136492868, 0.136000025, 0.135494281, 0.134975505, 0.134442702, 0.13389462, 0.133330256, 0.132748399, 0.132146927, 0.131524009, 0.130878076, 0.130207901, 0.129512673, 0.128791992, 0.12804587, 0.127274404, 0.126477812, 0.125656552, 0.124811373, 0.123943311, 0.123052478, 0.122139086, 0.121203564, 0.1202464, 0.119267024, 0.118264526, 0.117238065, 0.116187075, 0.115111722, 0.114012428, 0.112889589, 0.111743643, 0.110575051, 0.109384284, 0.108171834, 0.106937997, 0.105682647, 0.104405688, 0.103107309, 0.101787798, 0.100446912, 0.099084338, 0.097699941, 0.096293603, 0.094864827, 0.093413429, 0.091939589, 0.090443575, 0.088925597, 0.08738598, 0.085825419, 0.084244757, 0.082644699, 0.081025991, 0.079389589, 0.077736623, 0.076068063, 0.074384786, 0.07268763, 0.070977408, 0.06925471, 0.067520068, 0.06577409, 0.064017204, 0.062249108, 0.060469391, 0.058677615, 0.056873395, 0.055056436, 0.053226648, 0.051384134, 0.04952906, 0.047661459, 0.045781389, 0.043889005, 0.041984471, 0.040067663, 0.038138389, 0.036196648, 0.034242461, 0.032275656, 0.030296107, 0.028303776, 0.026298664, 0.02428076, 0.022250064, 0.020206649, 0.018150558, 0.016081715, 0.014000016, 0.011905392, 0.009797858, 0.007677355, 0.005543774, 0.00339698, 0.00123684, -0.000936733, -0.0031237, -0.005323975, -0.007537468, -0.009764285, -0.012004504, -0.014258162, -0.016525342, -0.018806374, -0.021101592, -0.023411261, -0.025735567, -0.028074651, -0.03042855, -0.032797239, -0.035180661, -0.037578634, -0.039990924, -0.042417299, -0.044857552, -0.047311544, -0.049779142, -0.052260185, -0.054754445, -0.057261604, -0.059781307, -0.062313185, -0.064856885, -0.067412186, -0.069978864, -0.072556666, -0.075145341, -0.07774475, -0.080354743, -0.082975133, -0.085605728, -0.088246444, -0.090897229, -0.093558031, -0.096228817, -0.098909614, -0.101600433, -0.104301259, -0.107012077, -0.109732834, -0.112463464, -0.115203896, -0.117954036, -0.120713772, -0.123483004, -0.126261624, -0.129049489, -0.131846433, -0.134652296, -0.137466925, -0.140290143, -0.143121676, -0.145961221, -0.148808471, -0.151663113, -0.154524843, -0.157393361, -0.160268368, -0.163149569, -0.166036685, -0.168929437, -0.171827557, -0.174730792, -0.177638881, -0.180551557, -0.183468534, -0.186389501, -0.189314136, -0.192242122, -0.195173143, -0.198106883, -0.201043023, -0.203981246, -0.206921242, -0.209862709, -0.212805337, -0.215748809, -0.218692812, -0.221637028, -0.224581162, -0.22752492, -0.230468005, -0.233410125, -0.236350969, -0.239290222, -0.242227571, -0.245162708, -0.24809532, -0.2510251, -0.253951742, -0.256874946, -0.259794447, -0.262709995, -0.265621352, -0.268528276, -0.271430511, -0.274327801, -0.277219902, -0.280106575, -0.282987579, -0.285862683, -0.288731661, -0.291594305, -0.294450475, -0.297300046, -0.3001429, -0.302978927, -0.305808034, -0.308630128, -0.311445117, -0.314252916, -0.317053462, -0.319846698, -0.322632569, -0.325411027, -0.328182044, -0.3309456, -0.333701675, -0.336450249, -0.339191307, -0.34192483, -0.344650802, -0.347369209, -0.350080061, -0.352783367, -0.355479142, -0.358167401, -0.360848169, -0.363521471, -0.366187334, -0.368845782, -0.371496842, -0.374140541, -0.376776904, -0.379405958, -0.38202774, -0.38464229, -0.387249648, -0.389849844, -0.392442909, -0.395028871, -0.397607752, -0.400179579, -0.40274438, -0.405302187, -0.407853031, -0.410396942, -0.412933948, -0.415464079, -0.417987363, -0.42050383, -0.423013512, -0.425516442, -0.428012653, -0.430502177, -0.432985047, -0.435461295, -0.437930951, -0.44039405, -0.442850624, -0.445300708, -0.447744336);

		this.sSpline = new Array(0.3693521, 0.3431042, 0.3186476, 0.2957823, 0.274378, 0.2542469, 0.2351612, 0.2169635, 0.1995257, 0.1827107, 0.1664381, 0.1506849, 0.1354705, 0.120856, 0.1069272, 0.09378818, 0.08149043, 0.0699996, 0.05924666, 0.04914277, 0.03962099, 0.0306564, 0.02227306, 0.01450309, 0.007411485, 0.001038936, -0.004603962, -0.00952685, -0.01374553, -0.01730118, -0.02025238, -0.02266699, -0.02460672, -0.02613273, -0.02731311, -0.0282153, -0.02890127, -0.02942569, -0.02983058, -0.03014363, -0.03038573, -0.0305739, -0.03072202, -0.03084524, -0.03096119, -0.03108496, -0.03122463, -0.03138479, -0.03156751, -0.03177492, -0.03201017, -0.03227486, -0.03256641, -0.03288073, -0.03321202, -0.03355543, -0.03390802, -0.03426827, -0.03463597, -0.03501185, -0.03539683, -0.03579228, -0.03620035, -0.03662397, -0.037066, -0.03752856, -0.03801277, -0.03851991, -0.03905157, -0.03960916, -0.04019267, -0.04080124, -0.04143383, -0.04209011, -0.04277112, -0.04347859, -0.04421395, -0.04497826, -0.04577126, -0.04659166, -0.0474379, -0.04830857, -0.04920294, -0.0501202, -0.05105923, -0.0520188, -0.05299765, -0.05399465, -0.05500812, -0.05603642, -0.05707827, -0.0581326, -0.0591984, -0.06027474, -0.06135977, -0.06245131, -0.06354733, -0.06464632, -0.06574757, -0.06685035, -0.06795377, -0.06905662, -0.07015758, -0.07125543, -0.07234905, -0.07343723, -0.07451861, -0.07559196, -0.07665611, -0.07770976, -0.07875147, -0.07977987, -0.08079371, -0.08179195, -0.08277357, -0.08373752, -0.08468284, -0.08560858, -0.08651381, -0.0873976, -0.08825889, -0.08909655, -0.08990896, -0.09069452, -0.09145167, -0.09217869, -0.09287334, -0.09353329, -0.09415633, -0.09474025, -0.09528289, -0.09578227, -0.09623658, -0.09664421, -0.09700374, -0.09731379, -0.09757312, -0.09778075, -0.09793595, -0.09803809, -0.09808658, -0.09808092, -0.09802092, -0.09790649, -0.0977376, -0.09751433, -0.097237, -0.09690598, -0.09652174, -0.0960848, -0.09559589, -0.09505563, -0.09446462, -0.09382356, -0.09313338, -0.09239495, -0.09160902, -0.09077637, -0.08989791, -0.0889745, -0.08800694, -0.08699594, -0.08594195, -0.08484526, -0.08370614, -0.08252498, -0.08130224, -0.08003836, -0.07873379, -0.07738903, -0.07600477, -0.07458173, -0.07312067, -0.07162238, -0.07008781, -0.06851791, -0.0669136, -0.06527572, -0.06360524, -0.06190316, -0.0601704, -0.05840778, -0.05661608, -0.05479603, -0.05294829, -0.05107354, -0.04917267, -0.04724654, -0.04529601, -0.04332189, -0.04132496, -0.03930597, -0.03726564, -0.03520459, -0.03312348, -0.03102295, -0.02890361, -0.02676602, -0.02461078, -0.02243851, -0.02024989, -0.01804558, -0.01582626, -0.01359251, -0.01134491, -0.009084028, -0.006810539, -0.004525077, -0.002228262, 7.93349E-05, 0.002397194, 0.004724852, 0.007061859, 0.009407738, 0.0117619, 0.01412379, 0.0164929, 0.01886874, 0.0212508, 0.02363856, 0.02603154, 0.02842925, 0.0308312, 0.03323693, 0.03564602, 0.03805808, 0.04047277, 0.04288977, 0.04530877, 0.04772946, 0.05015147, 0.05257439, 0.05499788, 0.0574217, 0.05984565, 0.06226957, 0.06469334, 0.06711687, 0.06954012, 0.07196305, 0.07438566, 0.0768079, 0.07922983, 0.08165148, 0.08407295, 0.08649428, 0.08891555, 0.09133679, 0.09375804, 0.09617934, 0.09860067, 0.101022, 0.1034434, 0.1058646, 0.1082857, 0.1107064, 0.1131266, 0.1155463, 0.1179651, 0.120383, 0.1227998, 0.1252154, 0.1276295, 0.1300422, 0.1324532, 0.1348624, 0.1372697, 0.1396748, 0.1420775, 0.1444778, 0.1468754, 0.1492703, 0.1516623, 0.1540515, 0.1564376, 0.1588206, 0.1612003, 0.1635766, 0.1659493, 0.1683183, 0.1706835, 0.1730446, 0.1754016, 0.1777544, 0.1801027, 0.1824465, 0.1847858, 0.1871203, 0.1894502, 0.1917751, 0.1940952, 0.1964104, 0.1987207, 0.201026, 0.2033263, 0.2056216, 0.2079118, 0.210197, 0.2124771, 0.2147521, 0.2170219, 0.2192865, 0.2215458, 0.2237998, 0.2260484, 0.2282918, 0.2305298, 0.2327624, 0.2349897, 0.2372117, 0.2394284, 0.2416397, 0.2438457, 0.2460463, 0.2482416, 0.2504315, 0.2526161, 0.2547953, 0.256969, 0.2591374, 0.2613003, 0.2634578, 0.2656099, 0.2677565, 0.2698977, 0.2720333, 0.2741635, 0.2762882, 0.2784073, 0.2805209, 0.282629, 0.2847314, 0.2868283, 0.2889196, 0.2910053, 0.2930854, 0.2951599, 0.2972288, 0.2992921, 0.3013498, 0.3034018, 0.3054482, 0.307489, 0.3095241, 0.3115536, 0.3135775, 0.3155957, 0.3176084, 0.3196155, 0.3216171, 0.3236131, 0.3256036, 0.3275887, 0.3295683, 0.3315424, 0.3335112, 0.3354747, 0.3374328, 0.3393856, 0.3413332, 0.3432754, 0.3452125, 0.3471444, 0.3490711, 0.3509927, 0.3529092, 0.3548206, 0.356727, 0.3586283);
		this.a0 = -10.4030;
		this.a1 = 2.2633;
		this.a2 = 0.0234;
		this.a3 = -0.1555;
		this.a4 = -0.0262;
		this.a5 = -0.1516;
		this.a6 = -0.0833;
		this.p0 = -2.3549;
		this.p1 = 0.1017;
		this.p2 = 0.0810;
		this.p3 = -0.1809;
		this.p4 = 0.0459;
		this.p5 = -0.0503;
		this.q0 = 0.8236;
		this.q1 = 0;
	}


	// Checking specific errors and creating error messages	
	this.errorCondition.push((this.age < this.ageArray[0]) || (this.age > this.ageArray[this.ageArray.length - 1]));
	this.errorString.push(window.lang.convert("Age has to be between 3 and 95 years"));
	this.errorCondition.push(typeof(this.age) === 'undefined')
	this.errorString.push(window.lang.convert("Age is undefined"));
	this.errorCondition.push(typeof(this.male) === 'undefined')
	this.errorString.push(window.lang.convert("Gender is undefined"));
	this.errorCondition.push(typeof(this.ethnics) === 'undefined')
	this.errorString.push(window.lang.convert("Ethnics is undefined"));
	this.errorCondition.push(value <= 0)
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	this.errorCondition.push(height <= 0)
	this.errorString.push(window.lang.convert("Height") + " " + window.lang.convert("has to be greater than 0"));
	this.getUpperAndLowerValues();
}
SpiroFvc.prototype = new SpiroLMSClass();

function SpiroFev1fvc(value, male, age, height, ethnics) {
	this.height = height;
	this.age = age / 12; // month in years
	this.male = male;
	this.value = value || -1;
	this.refString = "";
	this.init();
	this.infoString = this.getInfo([INFO_PERCENTILES + INFO_GLI, INFO_ZSCORE, ABBREV_SPIRO]);;
	this.paramName = "Fev1fvc";
	this.paramNameLong = "FEV1/FVC";
	this.paramUnit = "l";
	this.ethnics = ethnics;
	this.ageArray = new Array(3, 3.25, 3.5, 3.75, 4, 4.25, 4.5, 4.75, 5, 5.25, 5.5, 5.75, 6, 6.25, 6.5, 6.75, 7, 7.25, 7.5, 7.75, 8, 8.25, 8.5, 8.75, 9, 9.25, 9.5, 9.75, 10, 10.25, 10.5, 10.75, 11, 11.25, 11.5, 11.75, 12, 12.25, 12.5, 12.75, 13, 13.25, 13.5, 13.75, 14, 14.25, 14.5, 14.75, 15, 15.25, 15.5, 15.75, 16, 16.25, 16.5, 16.75, 17, 17.25, 17.5, 17.75, 18, 18.25, 18.5, 18.75, 19, 19.25, 19.5, 19.75, 20, 20.25, 20.5, 20.75, 21, 21.25, 21.5, 21.75, 22, 22.25, 22.5, 22.75, 23, 23.25, 23.5, 23.75, 24, 24.25, 24.5, 24.75, 25, 25.25, 25.5, 25.75, 26, 26.25, 26.5, 26.75, 27, 27.25, 27.5, 27.75, 28, 28.25, 28.5, 28.75, 29, 29.25, 29.5, 29.75, 30, 30.25, 30.5, 30.75, 31, 31.25, 31.5, 31.75, 32, 32.25, 32.5, 32.75, 33, 33.25, 33.5, 33.75, 34, 34.25, 34.5, 34.75, 35, 35.25, 35.5, 35.75, 36, 36.25, 36.5, 36.75, 37, 37.25, 37.5, 37.75, 38, 38.25, 38.5, 38.75, 39, 39.25, 39.5, 39.75, 40, 40.25, 40.5, 40.75, 41, 41.25, 41.5, 41.75, 42, 42.25, 42.5, 42.75, 43, 43.25, 43.5, 43.75, 44, 44.25, 44.5, 44.75, 45, 45.25, 45.5, 45.75, 46, 46.25, 46.5, 46.75, 47, 47.25, 47.5, 47.75, 48, 48.25, 48.5, 48.75, 49, 49.25, 49.5, 49.75, 50, 50.25, 50.5, 50.75, 51, 51.25, 51.5, 51.75, 52, 52.25, 52.5, 52.75, 53, 53.25, 53.5, 53.75, 54, 54.25, 54.5, 54.75, 55, 55.25, 55.5, 55.75, 56, 56.25, 56.5, 56.75, 57, 57.25, 57.5, 57.75, 58, 58.25, 58.5, 58.75, 59, 59.25, 59.5, 59.75, 60, 60.25, 60.5, 60.75, 61, 61.25, 61.5, 61.75, 62, 62.25, 62.5, 62.75, 63, 63.25, 63.5, 63.75, 64, 64.25, 64.5, 64.75, 65, 65.25, 65.5, 65.75, 66, 66.25, 66.5, 66.75, 67, 67.25, 67.5, 67.75, 68, 68.25, 68.5, 68.75, 69, 69.25, 69.5, 69.75, 70, 70.25, 70.5, 70.75, 71, 71.25, 71.5, 71.75, 72, 72.25, 72.5, 72.75, 73, 73.25, 73.5, 73.75, 74, 74.25, 74.5, 74.75, 75, 75.25, 75.5, 75.75, 76, 76.25, 76.5, 76.75, 77, 77.25, 77.5, 77.75, 78, 78.25, 78.5, 78.75, 79, 79.25, 79.5, 79.75, 80, 80.25, 80.5, 80.75, 81, 81.25, 81.5, 81.75, 82, 82.25, 82.5, 82.75, 83, 83.25, 83.5, 83.75, 84, 84.25, 84.5, 84.75, 85, 85.25, 85.5, 85.75, 86, 86.25, 86.5, 86.75, 87, 87.25, 87.5, 87.75, 88, 88.25, 88.5, 88.75, 89, 89.25, 89.5, 89.75, 90, 90.25, 90.5, 90.75, 91, 91.25, 91.5, 91.75, 92, 92.25, 92.5, 92.75, 93, 93.25, 93.5, 93.75, 94, 94.25, 94.5, 94.75, 95);

	if (male) {

		this.lSpline = new Array(1.387622494, 1.262085704, 1.146006664, 1.038192488, 0.937675204, 0.843676286, 0.755558027, 0.672880446, 0.595334675, 0.522729678, 0.454941015, 0.391804611, 0.33313559, 0.278753213, 0.228499398, 0.182235319, 0.139745171, 0.100772967, 0.065066708, 0.032419883, 0.002649447, -0.024421093, -0.048967342, -0.071152368, -0.0911594, -0.109177539, -0.125403453, -0.140040111, -0.153281896, -0.165298456, -0.176241223, -0.186227678, -0.195340366, -0.203639837, -0.211171889, -0.217961333, -0.224021184, -0.229352118, -0.233953948, -0.237825073, -0.240969013, -0.24339852, -0.245133251, -0.246201432, -0.246635876, -0.24646937, -0.245736454, -0.24447249, -0.242712031, -0.240486739, -0.237825618, -0.234756672, -0.231307075, -0.227499792, -0.223357006, -0.218900802, -0.214151971, -0.209130132, -0.203853223, -0.198339151, -0.192605856, -0.18666998, -0.180546631, -0.174249141, -0.167789853, -0.161181181, -0.154437866, -0.147574361, -0.14060469, -0.133543079, -0.126403765, -0.119200145, -0.111944826, -0.10464964, -0.097325933, -0.08998428, -0.08263429, -0.075284773, -0.067943212, -0.060616761, -0.053312468, -0.046036624, -0.03879424, -0.031590317, -0.024430252, -0.017319154, -0.01026158, -0.003262044, 0.003674986, 0.010544847, 0.017341658, 0.024059498, 0.030692986, 0.037236775, 0.043685569, 0.050034756, 0.056280494, 0.062419456, 0.068448784, 0.074365977, 0.080168434, 0.085853555, 0.091418926, 0.096862359, 0.102181725, 0.107374696, 0.112439, 0.117372615, 0.122173637, 0.126840465, 0.131371953, 0.135766948, 0.140024285, 0.14414281, 0.148121616, 0.151960003, 0.155657366, 0.159213164, 0.162626751, 0.165897405, 0.169024495, 0.172007491, 0.17484611, 0.177540403, 0.180090814, 0.18249824, 0.18476404, 0.186889642, 0.188876536, 0.190726102, 0.192439778, 0.194019131, 0.1954657, 0.196781033, 0.197966829, 0.199024791, 0.199956634, 0.200764215, 0.201449723, 0.202015454, 0.202463663, 0.2027966, 0.203016591, 0.203125801, 0.20312619, 0.203019685, 0.202808313, 0.20249411, 0.202079079, 0.20156556, 0.200956873, 0.200256407, 0.199467447, 0.198593405, 0.19763785, 0.196604237, 0.195495935, 0.19431617, 0.193067773, 0.191753358, 0.190375392, 0.188936254, 0.187438153, 0.185883234, 0.184273669, 0.182611546, 0.180898613, 0.179136522, 0.177326911, 0.175471353, 0.173571276, 0.171628059, 0.169643081, 0.1676177, 0.16555333, 0.163451394, 0.161313223, 0.159140039, 0.156932963, 0.154692983, 0.152421085, 0.150118266, 0.147785533, 0.145423878, 0.143034244, 0.140617515, 0.138174485, 0.135705917, 0.133212573, 0.130695177, 0.128154412, 0.125590917, 0.123005292, 0.120398089, 0.117769685, 0.115120373, 0.112450417, 0.109760101, 0.107049826, 0.104320045, 0.101571211, 0.098803759, 0.096018067, 0.093214509, 0.090393454, 0.087555256, 0.084700232, 0.08182867, 0.07894084, 0.076037063, 0.073117867, 0.070183846, 0.067235616, 0.064273768, 0.061298976, 0.058311969, 0.055313464, 0.052304158, 0.049284769, 0.046256019, 0.043218644, 0.040173387, 0.037121077, 0.034062566, 0.030998711, 0.027930317, 0.024858003, 0.021782286, 0.018703653, 0.015622624, 0.012539761, 0.009455613, 0.006370723, 0.003285596, 0.000200609, -0.002883908, -0.005967664, -0.009050396, -0.012131906, -0.015212017, -0.018290553, -0.02136734, -0.024442301, -0.027515394, -0.030586581, -0.033655813, -0.036722966, -0.039787848, -0.042850264, -0.045910035, -0.048967003, -0.052020999, -0.055071859, -0.058119455, -0.061163729, -0.064204612, -0.067242033, -0.070275915, -0.073306173, -0.076332683, -0.079355271, -0.082373755, -0.085387929, -0.088397582, -0.091402501, -0.094402472, -0.097397382, -0.100387148, -0.103371693, -0.106350943, -0.109324825, -0.112293269, -0.11525621, -0.118213543, -0.121165165, -0.124110985, -0.127050918, -0.129984882, -0.13291278, -0.135834506, -0.138749943, -0.141658979, -0.144561526, -0.147457512, -0.150346853, -0.153229462, -0.156105256, -0.158974168, -0.161836162, -0.164691211, -0.167539288, -0.170380363, -0.173214407, -0.176041395, -0.178861299, -0.181674088, -0.184479721, -0.187278151, -0.190069318, -0.192853153, -0.195629587, -0.198398556, -0.201160011, -0.203913921, -0.206660283, -0.209399094, -0.212130338, -0.214853998, -0.217570058, -0.220278516, -0.222979403, -0.22567275, -0.228358595, -0.231036977, -0.23370793, -0.236371481, -0.239027659, -0.241676482, -0.244317957, -0.246952093, -0.249578895, -0.252198372, -0.254810532, -0.257415385, -0.260012942, -0.262603211, -0.265186196, -0.267761897, -0.270330314, -0.272891452, -0.275445326, -0.277991954, -0.280531356, -0.283063552, -0.285588567, -0.288106423, -0.290617146, -0.29312076, -0.295617295, -0.298106784, -0.300589255, -0.303064742, -0.305533277, -0.307994892, -0.310449621, -0.312897498, -0.315338555, -0.317772828, -0.32020035, -0.322621157, -0.325035281, -0.327442759, -0.329843622, -0.332237906, -0.334625644, -0.337006869, -0.339381615, -0.341749914, -0.344111803, -0.346467315, -0.348816484, -0.351159346, -0.353495934, -0.355826282, -0.358150424, -0.360468391, -0.362780218, -0.365085936, -0.367385579);
		this.mSpline = new Array(-0.0220745, -0.01914029, -0.01667884, -0.01468331, -0.01315842, -0.01217043, -0.01173148, -0.01186174, -0.01254906, -0.01361278, -0.01478871, -0.01585905, -0.01665586, -0.01711992, -0.01729294, -0.01721339, -0.01687449, -0.016299, -0.01556061, -0.01475901, -0.01401177, -0.01343785, -0.01313989, -0.0131929, -0.01350281, -0.01389113, -0.01420561, -0.01434906, -0.01425778, -0.01388478, -0.01319707, -0.01217052, -0.01079309, -0.009068982, -0.007022179, -0.004695951, -0.002135651, 0.000614975, 0.003510923, 0.006505488, 0.009549551, 0.01260075, 0.0156246, 0.01859111, 0.02147073, 0.02423179, 0.02684421, 0.02928504, 0.03153645, 0.03358525, 0.03542214, 0.03704382, 0.03845005, 0.03964286, 0.04063197, 0.04143279, 0.0420622, 0.0425355, 0.04286716, 0.0430722, 0.04316498, 0.043159, 0.043068, 0.04290548, 0.04268467, 0.04241711, 0.04211016, 0.04176869, 0.04139626, 0.04099596, 0.04057142, 0.04012664, 0.03966578, 0.03919251, 0.03870933, 0.03821809, 0.03772019, 0.03721659, 0.03670728, 0.03619256, 0.03567311, 0.03514942, 0.03462082, 0.03408707, 0.03354901, 0.03300785, 0.03246418, 0.03191859, 0.03137202, 0.03082569, 0.03028089, 0.02973897, 0.02920123, 0.02866906, 0.0281437, 0.02762617, 0.0271171, 0.02661684, 0.02612573, 0.02564389, 0.0251714, 0.02470849, 0.02425519, 0.02381136, 0.02337699, 0.02295223, 0.02253724, 0.02213199, 0.02173641, 0.0213504, 0.02097373, 0.02060609, 0.02024706, 0.01989611, 0.01955227, 0.01921432, 0.01888102, 0.01855124, 0.0182242, 0.01789926, 0.0175758, 0.01725302, 0.01692998, 0.01660552, 0.01627831, 0.01594722, 0.01561167, 0.01527121, 0.01492547, 0.01457434, 0.01421807, 0.01385693, 0.01349116, 0.01312107, 0.01274735, 0.01237076, 0.01199196, 0.01161155, 0.01122989, 0.01084727, 0.0104639, 0.01007992, 0.009695547, 0.009311091, 0.00892685, 0.008543088, 0.008160107, 0.007778194, 0.007397653, 0.007018832, 0.006642202, 0.006268256, 0.005897462, 0.005530222, 0.005166896, 0.00480769, 0.004452641, 0.00410176, 0.003755191, 0.003413091, 0.00307559, 0.002742767, 0.002414696, 0.002091393, 0.001772801, 0.001458806, 0.001149331, 0.000844291, 0.000543528, 0.000246733, -4.65692E-05, -0.000336933, -0.000624972, -0.00091137, -0.001196782, -0.001481864, -0.00176727, -0.002053601, -0.002341335, -0.002630866, -0.002922558, -0.00321668, -0.003513264, -0.0038123, -0.004113744, -0.004417527, -0.004723486, -0.005031461, -0.005341362, -0.005653169, -0.005966943, -0.006282777, -0.006600782, -0.006921068, -0.007243698, -0.007568711, -0.00789616, -0.008226101, -0.008558532, -0.008893501, -0.009231057, -0.009571203, -0.009913817, -0.01025875, -0.01060586, -0.01095502, -0.01130602, -0.01165863, -0.01201267, -0.01236799, -0.01272442, -0.01308183, -0.01344007, -0.01379901, -0.01415847, -0.0145183, -0.01487838, -0.01523859, -0.0155988, -0.01595888, -0.01631871, -0.01667822, -0.01703738, -0.01739619, -0.01775467, -0.01811282, -0.01847059, -0.01882789, -0.01918462, -0.01954072, -0.0198962, -0.02025106, -0.02060533, -0.02095906, -0.02131225, -0.02166494, -0.02201714, -0.02236885, -0.0227201, -0.02307093, -0.02342142, -0.02377162, -0.02412153, -0.02447114, -0.02482044, -0.02516941, -0.02551808, -0.0258665, -0.02621474, -0.02656286, -0.02691091, -0.02725896, -0.02760706, -0.02795527, -0.02830362, -0.02865216, -0.02900093, -0.02934995, -0.02969916, -0.0300485, -0.03039789, -0.03074727, -0.03109654, -0.0314456, -0.03179437, -0.03214275, -0.03249066, -0.032838, -0.03318468, -0.03353063, -0.03387572, -0.03421983, -0.03456287, -0.03490473, -0.03524534, -0.03558462, -0.03592252, -0.03625899, -0.03659398, -0.03692749, -0.03725948, -0.03758994, -0.03791885, -0.03824621, -0.03857201, -0.03889626, -0.03921897, -0.03954014, -0.03985978, -0.04017788, -0.04049446, -0.0408095, -0.04112299, -0.04143493, -0.04174534, -0.04205422, -0.04236159, -0.04266748, -0.0429719, -0.04327487, -0.04357641, -0.04387655, -0.04417529, -0.04447267, -0.04476868, -0.04506334, -0.04535668, -0.04564871, -0.04593945, -0.04622892, -0.04651716, -0.04680417, -0.04708998, -0.0473746, -0.04765805, -0.04794035, -0.04822152, -0.04850156, -0.04878049, -0.04905832, -0.04933507, -0.04961074, -0.04988535, -0.05015891, -0.05043144, -0.05070294, -0.05097344, -0.05124294, -0.05151148, -0.05177906, -0.0520457, -0.05231141, -0.05257622, -0.05284013, -0.05310316, -0.05336533, -0.05362664, -0.05388713, -0.05414679, -0.05440563, -0.05466369, -0.05492095, -0.05517743, -0.05543315, -0.05568811, -0.05594231, -0.05619577, -0.05644849, -0.05670048, -0.05695173, -0.05720226, -0.05745207, -0.05770117, -0.05794957, -0.05819726, -0.05844426, -0.05869058, -0.05893621, -0.05918117, -0.05942546, -0.05966908, -0.05991204, -0.06015435, -0.060396, -0.060637, -0.06087736, -0.06111709, -0.06135617, -0.06159463);

		this.sSpline = new Array(-0.083155533, -0.06164798, -0.041957839, -0.024167871, -0.008510652, 0.004743766, 0.015325716, 0.023235421, 0.028744071, 0.032261161, 0.03424426, 0.035059701, 0.035046465, 0.034548973, 0.033854573, 0.033196177, 0.032678172, 0.032254409, 0.031761851, 0.031002872, 0.029766081, 0.027809771, 0.024877181, 0.020836239, 0.015889571, 0.010417811, 0.004803103, -0.000657964, -0.005756125, -0.010346844, -0.014345814, -0.017699285, -0.020350238, -0.022265121, -0.023452608, -0.023939773, -0.023767813, -0.022982762, -0.021655325, -0.019871348, -0.017720105, -0.015282344, -0.012622344, -0.009785754, -0.006812173, -0.003753917, -0.000671318, 0.002383443, 0.005363826, 0.00823143, 0.010953532, 0.013503675, 0.01586414, 0.018028442, 0.019995235, 0.021762187, 0.023325571, 0.024681684, 0.025828246, 0.026764471, 0.027490297, 0.028007419, 0.028324922, 0.028452411, 0.028396772, 0.028165182, 0.027770323, 0.027225338, 0.026542591, 0.025733488, 0.024805806, 0.02376696, 0.022623939, 0.021382677, 0.020046669, 0.018618392, 0.017100137, 0.015495081, 0.01380539, 0.012032675, 0.010179027, 0.00824615, 0.006234313, 0.004144739, 0.001980705, -0.000253735, -0.002555116, -0.004920351, -0.007346208, -0.009828822, -0.012361541, -0.014936538, -0.017545767, -0.020181266, -0.022835469, -0.025501215, -0.028171361, -0.030838533, -0.033495563, -0.036135408, -0.0387514, -0.041337518, -0.043890222, -0.046406842, -0.048884387, -0.051319203, -0.053707364, -0.056045112, -0.058329149, -0.060556743, -0.062726901, -0.064839136, -0.066893028, -0.068888219, -0.070824978, -0.072703762, -0.074525252, -0.07629022, -0.078000067, -0.079656193, -0.08125962, -0.082811041, -0.084310586, -0.085758191, -0.087153641, -0.088496461, -0.089785778, -0.091020265, -0.092198445, -0.093318914, -0.094380531, -0.095382226, -0.096323006, -0.097202148, -0.098019166, -0.098773609, -0.099464875, -0.100092543, -0.100656698, -0.101157428, -0.101594925, -0.101969536, -0.102281663, -0.102531594, -0.102719547, -0.10284581, -0.102910858, -0.102915259, -0.10285955, -0.102744127, -0.102569258, -0.102335136, -0.102041835, -0.101689371, -0.101277623, -0.100806314, -0.100275131, -0.099683978, -0.099033188, -0.098323201, -0.097554506, -0.096727707, -0.09584358, -0.094902908, -0.093906426, -0.092854944, -0.091749368, -0.09059057, -0.089379341, -0.088116598, -0.086803621, -0.085441762, -0.084032373, -0.082576885, -0.081076883, -0.079533952, -0.077949618, -0.076325316, -0.07466237, -0.072961957, -0.071225141, -0.069452766, -0.067645047, -0.065802081, -0.063924005, -0.062011019, -0.060063516, -0.058081943, -0.056066745, -0.054018433, -0.051937562, -0.049824604, -0.047679949, -0.045504026, -0.043297441, -0.041060823, -0.038794809, -0.036500052, -0.034177187, -0.031826825, -0.029449633, -0.027046324, -0.024617523, -0.022163798, -0.019685708, -0.017183818, -0.014658673, -0.012110783, -0.009540638, -0.006948698, -0.004335341, -0.001700893, 0.000954369, 0.003630168, 0.006326214, 0.009042237, 0.011777942, 0.014532941, 0.017306674, 0.020098532, 0.022907927, 0.025734278, 0.028577085, 0.03143586, 0.034310128, 0.037199418, 0.040103286, 0.043021312, 0.04595307, 0.048898097, 0.051855727, 0.054825264, 0.057806029, 0.060797342, 0.063798537, 0.066808945, 0.069827915, 0.07285476, 0.075888637, 0.078928671, 0.081974004, 0.085023811, 0.088077293, 0.091133689, 0.09419226, 0.097252277, 0.100313006, 0.103373752, 0.106433838, 0.109492637, 0.112549616, 0.115604296, 0.118656229, 0.121704972, 0.124750102, 0.127791216, 0.130827912, 0.133859807, 0.13688657, 0.139907902, 0.142923525, 0.145933172, 0.14893662, 0.151933653, 0.154924062, 0.157907682, 0.160884389, 0.163854061, 0.166816578, 0.169771836, 0.172719809, 0.175660485, 0.17859385, 0.181519921, 0.184438721, 0.187350268, 0.190254566, 0.193151596, 0.196041319, 0.198923689, 0.201798671, 0.204666235, 0.207526357, 0.210379016, 0.213224206, 0.21606193, 0.218892198, 0.221715028, 0.224530457, 0.227338515, 0.230139232, 0.232932631, 0.235718729, 0.238497529, 0.241269, 0.244033102, 0.246789807, 0.249539096, 0.252280951, 0.255015366, 0.257742334, 0.260461857, 0.263173935, 0.26587858, 0.268575818, 0.271265675, 0.273948148, 0.276623227, 0.279290898, 0.281951152, 0.284603999, 0.287249472, 0.289887609, 0.292518446, 0.295142017, 0.297758359, 0.300367509, 0.302969506, 0.305564373, 0.308152125, 0.310732778, 0.313306344, 0.315872829, 0.318432235, 0.320984564, 0.323529813, 0.326067976, 0.328599043, 0.33112301, 0.333639875, 0.336149652, 0.33865236, 0.341148017, 0.343636639, 0.346118234, 0.348592811, 0.351060377, 0.353520943, 0.355974543, 0.358421214, 0.360860993, 0.363293918, 0.365720026, 0.368139356, 0.370551946, 0.372957832, 0.375357052, 0.377749641, 0.380135635, 0.382515067, 0.384887969, 0.387254371, 0.389614304, 0.391967798, 0.394314884, 0.396655591, 0.39898995, 0.40131799, 0.403639744, 0.405955244, 0.408264523, 0.410567613, 0.412864545, 0.415155352, 0.417440064, 0.419718713, 0.42199133, 0.424257944, 0.426518588);

		this.a0 = 0.7403;
		this.a1 = -0.1595;
		this.a2 = -0.0366;
		this.a3 = 0.0079;
		this.a4 = 0.0055;
		this.a5 = 0.0283;
		this.a6 = 0.0106;
		this.p0 = -2.9595;
		this.p1 = 0.1156;
		this.p2 = -0.0381;
		this.p3 = -0.2227;
		this.p4 = -0.1414;
		this.p5 = -0.0860;
		this.q0 = 4.7101;
		this.q1 = -0.6774;
	}
	else {
		this.lSpline = new Array(0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);
		this.mSpline = new Array(-0.044272335, -0.039727787, -0.035569607, -0.031834995, -0.028625249, -0.026083865, -0.024353466, -0.023476054, -0.023327623, -0.023717339, -0.024434844, -0.025238047, -0.025892245, -0.026185757, -0.025997687, -0.025332869, -0.02428022, -0.022956385, -0.021486035, -0.01997843, -0.018535865, -0.01722425, -0.016101402, -0.015215527, -0.014470684, -0.013726759, -0.012890133, -0.011886261, -0.010643226, -0.009120406, -0.007315675, -0.005244999, -0.002930058, -0.000403791, 0.0022893, 0.005104564, 0.007997002, 0.010921311, 0.013830883, 0.016680411, 0.019432873, 0.02205728, 0.024526799, 0.026823845, 0.028938258, 0.030866707, 0.032606889, 0.034159402, 0.035527617, 0.03671747, 0.037736595, 0.038594963, 0.039305195, 0.039880536, 0.040333124, 0.040673937, 0.040913317, 0.041061797, 0.041130049, 0.041127803, 0.041063051, 0.040942704, 0.040771414, 0.040552378, 0.040288505, 0.039983356, 0.039641654, 0.039267886, 0.038866184, 0.0384403, 0.037993339, 0.037527858, 0.037046095, 0.036550385, 0.036042802, 0.03552612, 0.035003636, 0.034478343, 0.033952292, 0.033427188, 0.032904659, 0.032385906, 0.031871388, 0.031361405, 0.030856299, 0.030356275, 0.029861161, 0.029371071, 0.028886353, 0.02840763, 0.027935765, 0.027471885, 0.027016976, 0.026571742, 0.026136512, 0.025711547, 0.025297042, 0.024892849, 0.024498126, 0.024111917, 0.023733111, 0.023360672, 0.022993566, 0.022630683, 0.022270952, 0.021913485, 0.021557567, 0.021202564, 0.020847827, 0.020492883, 0.02013734, 0.019780938, 0.019423403, 0.019064432, 0.01870352, 0.018340126, 0.017973765, 0.017603988, 0.017230682, 0.016853833, 0.016473483, 0.016089576, 0.015701744, 0.015309575, 0.014912826, 0.014511375, 0.014105538, 0.01369574, 0.013282278, 0.012865424, 0.01244565, 0.012023402, 0.01159905, 0.011172969, 0.010745523, 0.010317016, 0.009887755, 0.009458132, 0.009028804, 0.008600411, 0.008173432, 0.007748268, 0.007325562, 0.006905991, 0.006490105, 0.006078359, 0.005671313, 0.005269579, 0.004873674, 0.004484016, 0.004101046, 0.00372511, 0.00335647, 0.002995353, 0.002641994, 0.00229655, 0.001959045, 0.001629484, 0.001307948, 0.000994495, 0.000689112, 0.000391697, 0.000102094, -0.000179917, -0.000454623, -0.000722275, -0.000982963, -0.00123679, -0.001483902, -0.001724436, -0.001958449, -0.002186047, -0.002407422, -0.002622785, -0.002832225, -0.003035846, -0.003233769, -0.00342608, -0.003612822, -0.003794089, -0.003970044, -0.004140901, -0.004306862, -0.004468153, -0.00462504, -0.004777812, -0.004926735, -0.005072109, -0.005214288, -0.005353657, -0.005490535, -0.005625256, -0.005758197, -0.005889728, -0.006020061, -0.006149395, -0.006277948, -0.006405929, -0.006533426, -0.00666055, -0.006787441, -0.006914205, -0.007040788, -0.00716715, -0.00729331, -0.007419307, -0.007545081, -0.007670582, -0.007795796, -0.007920708, -0.008045277, -0.008169483, -0.00829336, -0.008416984, -0.008540414, -0.008663736, -0.008787094, -0.008910646, -0.009034486, -0.009158711, -0.009283442, -0.0094088, -0.009534865, -0.00966174, -0.009789566, -0.009918507, -0.010048734, -0.010180458, -0.010313922, -0.010449356, -0.01058685, -0.010726477, -0.010868332, -0.011012504, -0.011159041, -0.011308016, -0.011459529, -0.01161368, -0.011770446, -0.011929784, -0.012091646, -0.012255974, -0.012422637, -0.012591494, -0.012762435, -0.012935371, -0.013110223, -0.013286923, -0.013465428, -0.013645707, -0.013827688, -0.014011299, -0.014196479, -0.014383164, -0.014571242, -0.014760599, -0.01495114, -0.015142766, -0.01533533, -0.015528685, -0.015722697, -0.015917243, -0.016112186, -0.016307402, -0.016502782, -0.016698235, -0.016893696, -0.017089113, -0.017284443, -0.017479639, -0.017674648, -0.017869422, -0.018063917, -0.018258097, -0.018451929, -0.018645387, -0.018838451, -0.019031104, -0.019223309, -0.019415027, -0.019606221, -0.01979685, -0.019986869, -0.020176242, -0.02036494, -0.020552933, -0.020740175, -0.020926613, -0.021112199, -0.021296893, -0.021480669, -0.021663506, -0.021845387, -0.022026297, -0.022206222, -0.022385149, -0.02256307, -0.022739986, -0.022915908, -0.023090851, -0.023264829, -0.023437859, -0.023609955, -0.023781134, -0.023951413, -0.024120814, -0.02428936, -0.024457076, -0.024623988, -0.024790124, -0.024955509, -0.025120169, -0.025284133, -0.025447426, -0.025610067, -0.025772071, -0.025933456, -0.026094238, -0.026254432, -0.026414053, -0.026573119, -0.026731645, -0.026889642, -0.027047123, -0.027204098, -0.027360578, -0.027516575, -0.027672101, -0.02782717, -0.027981791, -0.02813597, -0.02828971, -0.028443011, -0.028595879, -0.028748318, -0.028900332, -0.029051927, -0.029203108, -0.029353881, -0.029504255, -0.029654235, -0.029803828, -0.029953035, -0.030101857, -0.030250295, -0.030398349, -0.03054602, -0.030693307, -0.030840211, -0.030986733, -0.031132873, -0.031278629, -0.031424003, -0.031568995, -0.031713604, -0.031857831, -0.032001677, -0.032145143, -0.032288229, -0.032430937, -0.032573268, -0.032715223, -0.032856803, -0.032998011, -0.033138845, -0.033279308, -0.033419401, -0.033559126, -0.033698483);

		this.sSpline = new Array(0.030530598, 0.035884051, 0.040613459, 0.044677893, 0.048013213, 0.050568139, 0.052311082, 0.053240056, 0.053393568, 0.052780159, 0.051470169, 0.049578884, 0.047277193, 0.044780798, 0.042282946, 0.039890053, 0.037633883, 0.035476419, 0.033356475, 0.031206798, 0.028938469, 0.026473309, 0.02375873, 0.020747472, 0.017505147, 0.014160949, 0.010822752, 0.007582048, 0.004516746, 0.001669786, -0.000941501, -0.00331917, -0.005474625, -0.007416141, -0.009161805, -0.010723227, -0.012115405, -0.01335496, -0.014464443, -0.015459146, -0.016346555, -0.01713535, -0.017834363, -0.018446997, -0.018973051, -0.019412489, -0.0197699, -0.020049932, -0.020258148, -0.020399395, -0.020477078, -0.020493216, -0.020447474, -0.020337483, -0.020161797, -0.019921531, -0.019619217, -0.019258852, -0.018845038, -0.018382406, -0.017876009, -0.017331737, -0.016757543, -0.016161931, -0.015552794, -0.014936411, -0.01431774, -0.013701363, -0.013091501, -0.012492421, -0.011908858, -0.011345397, -0.010806534, -0.010296376, -0.009818166, -0.009374996, -0.008969991, -0.008606089, -0.008285607, -0.008009912, -0.007779805, -0.007596198, -0.007461047, -0.007376013, -0.007342038, -0.00735997, -0.007430593, -0.007554193, -0.007730741, -0.007959923, -0.008240892, -0.008572701, -0.00895446, -0.009385127, -0.00986315, -0.010386963, -0.010955125, -0.011566175, -0.01221789, -0.012907789, -0.013633409, -0.014392285, -0.01518208, -0.016000585, -0.01684569, -0.017715353, -0.018608326, -0.019523743, -0.020460748, -0.021418358, -0.022395448, -0.023390799, -0.024403117, -0.025431123, -0.026473735, -0.027529881, -0.028598479, -0.029678367, -0.030768194, -0.03186669, -0.032972595, -0.034084726, -0.035202085, -0.036323687, -0.037448413, -0.038575061, -0.039702019, -0.040827615, -0.041950269, -0.043068423, -0.04418051, -0.045285053, -0.046380568, -0.047465519, -0.048538411, -0.049597772, -0.050642113, -0.051669888, -0.052679372, -0.053668859, -0.054636646, -0.055580985, -0.056500092, -0.057392271, -0.058255921, -0.059089583, -0.059891993, -0.060661911, -0.06139818, -0.062099595, -0.062764745, -0.063392157, -0.063980396, -0.064528252, -0.065034989, -0.065500036, -0.065922898, -0.066303098, -0.066640232, -0.066933917, -0.067183843, -0.067389838, -0.067551831, -0.067669652, -0.067743033, -0.067771588, -0.067754866, -0.067692447, -0.067584026, -0.067429451, -0.06722883, -0.06698238, -0.06669032, -0.066352891, -0.065970572, -0.065543854, -0.065073185, -0.064558965, -0.064001468, -0.063400961, -0.062757758, -0.062072232, -0.061344776, -0.060575789, -0.05976572, -0.058915087, -0.058024506, -0.05709462, -0.056126013, -0.055119241, -0.054074949, -0.052993793, -0.051876423, -0.050723476, -0.049535535, -0.048313179, -0.047056992, -0.045767577, -0.044445561, -0.043091558, -0.04170617, -0.040289946, -0.038843377, -0.037366948, -0.035861123, -0.03432637, -0.03276318, -0.031172079, -0.029553595, -0.027908216, -0.026236416, -0.024538688, -0.02281554, -0.021067493, -0.019295079, -0.017498822, -0.015679254, -0.013836892, -0.011972243, -0.010085813, -0.008178124, -0.00624973, -0.00430126, -0.00233331, -0.000346419, 0.001658878, 0.003681965, 0.005722217, 0.007779015, 0.009851735, 0.011939688, 0.014042207, 0.016158668, 0.018288517, 0.020431325, 0.0225867, 0.024754255, 0.026933607, 0.029124384, 0.031326222, 0.033538764, 0.035761679, 0.037994732, 0.040237712, 0.042490402, 0.044752569, 0.047023932, 0.049304218, 0.051593167, 0.0538905, 0.056195869, 0.058508929, 0.060829372, 0.063156911, 0.065491226, 0.067831987, 0.070178856, 0.072531502, 0.074889607, 0.077252857, 0.079620932, 0.081993509, 0.0843702, 0.086750612, 0.089134367, 0.091521076, 0.093910296, 0.096301575, 0.098694471, 0.101088542, 0.103483339, 0.105878413, 0.108273326, 0.110667655, 0.11306101, 0.115453009, 0.117843285, 0.120231487, 0.122617312, 0.125000472, 0.127380683, 0.129757676, 0.132131229, 0.134501146, 0.13686726, 0.139229408, 0.14158745, 0.143941269, 0.146290761, 0.148635829, 0.150976362, 0.153312248, 0.15564338, 0.157969666, 0.160291066, 0.162607552, 0.164919096, 0.167225668, 0.16952721, 0.171823661, 0.174114959, 0.176401046, 0.178681869, 0.18095738, 0.183227528, 0.185492263, 0.187751522, 0.190005245, 0.192253373, 0.194495852, 0.196732646, 0.198963723, 0.201189054, 0.203408616, 0.205622395, 0.207830382, 0.210032564, 0.212228932, 0.214419483, 0.21660421, 0.218783111, 0.220956184, 0.223123434, 0.22528487, 0.227440502, 0.229590335, 0.231734375, 0.233872623, 0.23600508, 0.238131749, 0.240252643, 0.242367775, 0.244477158, 0.246580807, 0.248678735, 0.250770953, 0.252857477, 0.254938321, 0.257013495, 0.259083007, 0.261146866, 0.263205082, 0.265257669, 0.267304645, 0.269346024, 0.271381826, 0.273412069, 0.275436775, 0.277455966, 0.279469662, 0.281477885, 0.283480654, 0.28547799, 0.287469914, 0.289456449, 0.291437618, 0.293413447, 0.295383958, 0.297349178, 0.299309131, 0.301263845, 0.303213343, 0.305157652, 0.307096795, 0.309030796, 0.31095968, 0.312883469, 0.314802186, 0.316715851);

		this.a0 = 0.5506;
		this.a1 = -0.1078;
		this.a2 = -0.0544;
		this.a3 = 0.0055;
		this.a4 = 0.0088;
		this.a5 = 0.0285;
		this.a6 = 0.0106;
		this.p0 = -3.2395;
		this.p1 = 0.1850;
		this.p2 = -0.0307;
		this.p3 = -0.1640;
		this.p4 = -0.1521;
		this.p5 = -0.0860;
		this.q0 = 7.032;
		this.q1 = -1.197;
	}

	// Checking specific errors and creating error messages	
	this.errorCondition.push((this.age < this.ageArray[0]) || (this.age > this.ageArray[this.ageArray.length - 1]));
	this.errorString.push(window.lang.convert("Age has to be between 3 and 95 years"));
	this.errorCondition.push(typeof(this.age) === 'undefined')
	this.errorString.push(window.lang.convert("Age is undefined"));
	this.errorCondition.push(typeof(this.male) === 'undefined')
	this.errorString.push(window.lang.convert("Gender is undefined"));
	this.errorCondition.push(typeof(this.ethnics) === 'undefined')
	this.errorString.push(window.lang.convert("Ethnics is undefined"));
	this.errorCondition.push(value <= 0)
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	this.errorCondition.push(height <= 0)
	this.errorString.push(window.lang.convert("Height") + " " + window.lang.convert("has to be greater than 0"));
	this.getUpperAndLowerValues();
}
SpiroFev1fvc.prototype = new SpiroLMSClass();

function SpiroFef2575(value, male, age, height, ethnics) {
	this.height = height;
	this.age = age / 12; // month in years
	this.male = male;
	this.value = value || -1;
	this.refString = "";
	this.init();
	this.infoString = this.getInfo([INFO_PERCENTILES + INFO_GLI, INFO_ZSCORE, ABBREV_SPIRO]);;
	this.paramName = "Fef2575";
	this.paramNameLong = "FEF25-75";
	this.paramUnit = "l";
	this.ethnics = ethnics;
	this.ageArray = new Array(3, 3.25, 3.5, 3.75, 4, 4.25, 4.5, 4.75, 5, 5.25, 5.5, 5.75, 6, 6.25, 6.5, 6.75, 7, 7.25, 7.5, 7.75, 8, 8.25, 8.5, 8.75, 9, 9.25, 9.5, 9.75, 10, 10.25, 10.5, 10.75, 11, 11.25, 11.5, 11.75, 12, 12.25, 12.5, 12.75, 13, 13.25, 13.5, 13.75, 14, 14.25, 14.5, 14.75, 15, 15.25, 15.5, 15.75, 16, 16.25, 16.5, 16.75, 17, 17.25, 17.5, 17.75, 18, 18.25, 18.5, 18.75, 19, 19.25, 19.5, 19.75, 20, 20.25, 20.5, 20.75, 21, 21.25, 21.5, 21.75, 22, 22.25, 22.5, 22.75, 23, 23.25, 23.5, 23.75, 24, 24.25, 24.5, 24.75, 25, 25.25, 25.5, 25.75, 26, 26.25, 26.5, 26.75, 27, 27.25, 27.5, 27.75, 28, 28.25, 28.5, 28.75, 29, 29.25, 29.5, 29.75, 30, 30.25, 30.5, 30.75, 31, 31.25, 31.5, 31.75, 32, 32.25, 32.5, 32.75, 33, 33.25, 33.5, 33.75, 34, 34.25, 34.5, 34.75, 35, 35.25, 35.5, 35.75, 36, 36.25, 36.5, 36.75, 37, 37.25, 37.5, 37.75, 38, 38.25, 38.5, 38.75, 39, 39.25, 39.5, 39.75, 40, 40.25, 40.5, 40.75, 41, 41.25, 41.5, 41.75, 42, 42.25, 42.5, 42.75, 43, 43.25, 43.5, 43.75, 44, 44.25, 44.5, 44.75, 45, 45.25, 45.5, 45.75, 46, 46.25, 46.5, 46.75, 47, 47.25, 47.5, 47.75, 48, 48.25, 48.5, 48.75, 49, 49.25, 49.5, 49.75, 50, 50.25, 50.5, 50.75, 51, 51.25, 51.5, 51.75, 52, 52.25, 52.5, 52.75, 53, 53.25, 53.5, 53.75, 54, 54.25, 54.5, 54.75, 55, 55.25, 55.5, 55.75, 56, 56.25, 56.5, 56.75, 57, 57.25, 57.5, 57.75, 58, 58.25, 58.5, 58.75, 59, 59.25, 59.5, 59.75, 60, 60.25, 60.5, 60.75, 61, 61.25, 61.5, 61.75, 62, 62.25, 62.5, 62.75, 63, 63.25, 63.5, 63.75, 64, 64.25, 64.5, 64.75, 65, 65.25, 65.5, 65.75, 66, 66.25, 66.5, 66.75, 67, 67.25, 67.5, 67.75, 68, 68.25, 68.5, 68.75, 69, 69.25, 69.5, 69.75, 70, 70.25, 70.5, 70.75, 71, 71.25, 71.5, 71.75, 72, 72.25, 72.5, 72.75, 73, 73.25, 73.5, 73.75, 74, 74.25, 74.5, 74.75, 75, 75.25, 75.5, 75.75, 76, 76.25, 76.5, 76.75, 77, 77.25, 77.5, 77.75, 78, 78.25, 78.5, 78.75, 79, 79.25, 79.5, 79.75, 80, 80.25, 80.5, 80.75, 81, 81.25, 81.5, 81.75, 82, 82.25, 82.5, 82.75, 83, 83.25, 83.5, 83.75, 84, 84.25, 84.5, 84.75, 85, 85.25, 85.5, 85.75, 86, 86.25, 86.5, 86.75, 87, 87.25, 87.5, 87.75, 88, 88.25, 88.5, 88.75, 89, 89.25, 89.5, 89.75, 90);
	this.lSpline = new Array(0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);
	if (male) {

		this.mSpline = new Array(-0.352139, -0.3537567, -0.3548574, -0.3556377, -0.3564392, -0.3575687, -0.3590818, -0.3609325, -0.3629605, -0.365052, -0.3670561, -0.3687784, -0.369877, -0.3699701, -0.3687991, -0.3662012, -0.3620283, -0.35626, -0.349171, -0.341076, -0.3322572, -0.3229652, -0.3133845, -0.3035853, -0.2936206, -0.2834934, -0.2731393, -0.2624935, -0.2515433, -0.240289, -0.2286503, -0.2165408, -0.2038849, -0.1906237, -0.1767097, -0.1621068, -0.1467992, -0.130821, -0.1142503, -0.09717016, -0.07967809, -0.06188401, -0.04392064, -0.02591753, -0.008006188, 0.009668173, 0.02697456, 0.04379133, 0.05999197, 0.07546172, 0.0901177, 0.1039066, 0.1167931, 0.1287452, 0.1397491, 0.1498127, 0.1589542, 0.1672001, 0.1745868, 0.1811574, 0.1869611, 0.1920526, 0.196494, 0.2003471, 0.2036723, 0.2065247, 0.2089547, 0.2109982, 0.2126787, 0.214017, 0.2150411, 0.2157838, 0.2162789, 0.2165557, 0.2166379, 0.2165464, 0.2162965, 0.2158979, 0.2153565, 0.214681, 0.2138811, 0.2129657, 0.2119422, 0.2108191, 0.2096071, 0.2083164, 0.206952, 0.2055174, 0.2040187, 0.202462, 0.2008556, 0.1992072, 0.1975216, 0.1958041, 0.1940636, 0.1923076, 0.1905408, 0.1887673, 0.1869929, 0.185222, 0.1834577, 0.1817029, 0.1799593, 0.1782279, 0.1765093, 0.1748035, 0.1731108, 0.1714316, 0.1697667, 0.1681174, 0.1664861, 0.1648753, 0.1632866, 0.1617209, 0.1601785, 0.1586584, 0.1571599, 0.1556821, 0.1542248, 0.1527876, 0.1513697, 0.1499694, 0.1485824, 0.1472035, 0.1458274, 0.1444485, 0.1430619, 0.1416624, 0.1402454, 0.138807, 0.1373444, 0.1358553, 0.1343384, 0.1327924, 0.1312157, 0.1296068, 0.1279633, 0.1262836, 0.1245662, 0.1228098, 0.1210136, 0.1191763, 0.1172974, 0.1153763, 0.1134127, 0.1114063, 0.1093566, 0.1072633, 0.1051266, 0.1029476, 0.1007287, 0.09847289, 0.09618311, 0.09386232, 0.09151375, 0.0891399, 0.08674255, 0.08432335, 0.08188424, 0.07942719, 0.07695392, 0.07446588, 0.0719644, 0.06945053, 0.066925, 0.064388, 0.06183913, 0.05927773, 0.05670292, 0.05411351, 0.05150792, 0.04888425, 0.04624042, 0.04357452, 0.04088522, 0.03817125, 0.03543124, 0.03266364, 0.02986681, 0.02703916, 0.02417913, 0.0212853, 0.0183565, 0.01539155, 0.01238947, 0.009349556, 0.006271578, 0.003155364, 5.0984E-07, -0.00319338, -0.006426439, -0.009698779, -0.01301043, -0.01636134, -0.0197512, -0.02317966, -0.02664635, -0.03015094, -0.03369307, -0.03727257, -0.04088932, -0.04454313, -0.04823356, -0.05196016, -0.05572258, -0.05952047, -0.06335314, -0.06721978, -0.07111958, -0.07505184, -0.07901568, -0.08301015, -0.08703444, -0.09108777, -0.0951693, -0.09927824, -0.1034139, -0.1075755, -0.1117622, -0.1159732, -0.1202078, -0.1244651, -0.1287444, -0.1330444, -0.1373644, -0.1417033, -0.1460599, -0.1504331, -0.1548219, -0.1592254, -0.1636425, -0.168072, -0.1725128, -0.1769641, -0.1814246, -0.1858937, -0.1903701, -0.1948531, -0.1993417, -0.2038351, -0.2083325, -0.2128332, -0.2173366, -0.2218419, -0.2263487, -0.2308563, -0.2353644, -0.2398724, -0.2443799, -0.2488866, -0.2533922, -0.2578964, -0.2623987, -0.2668991, -0.271397, -0.275892, -0.2803838, -0.2848719, -0.2893559, -0.2938355, -0.2983103, -0.3027797, -0.3072434, -0.311701, -0.316152, -0.3205961, -0.3250331, -0.3294627, -0.3338846, -0.3382987, -0.3427046, -0.347102, -0.3514905, -0.35587, -0.3602402, -0.3646008, -0.3689517, -0.3732927, -0.3776236, -0.3819441, -0.3862542, -0.3905536, -0.3948422, -0.3991199, -0.4033864, -0.4076419, -0.4118861, -0.4161191, -0.4203407, -0.424551, -0.4287498, -0.4329369, -0.4371124, -0.4412761, -0.445428, -0.4495681, -0.4536963, -0.4578126, -0.461917, -0.4660095, -0.4700901, -0.4741587, -0.4782153, -0.4822599, -0.4862925, -0.4903131, -0.4943217, -0.4983182, -0.5023027, -0.5062752, -0.5102358, -0.5141845, -0.5181214, -0.5220466, -0.5259601, -0.529862, -0.5337524, -0.5376313, -0.5414987, -0.5453546, -0.5491991, -0.5530321, -0.5568538, -0.5606641, -0.5644631, -0.5682509, -0.5720274, -0.5757928, -0.5795471, -0.5832903, -0.5870225, -0.5907437, -0.594454, -0.5981535, -0.6018422, -0.6055201, -0.6091874, -0.6128441, -0.6164903, -0.620126, -0.6237513, -0.6273662, -0.630971, -0.6345655, -0.6381499, -0.6417243, -0.6452888, -0.6488432, -0.6523879);

		this.sSpline = new Array(0.5220912, 0.5065811, 0.491763, 0.4773241, 0.4630506, 0.4487444, 0.4342064, 0.4192739, 0.403866, 0.3879602, 0.3715567, 0.3546587, 0.3373043, 0.3195669, 0.3015563, 0.2833715, 0.2650868, 0.2467716, 0.2285459, 0.2105209, 0.1927866, 0.1754217, 0.15851, 0.1421365, 0.126381, 0.1113127, 0.09698522, 0.08343804, 0.07070254, 0.05879436, 0.04769244, 0.03736155, 0.02776566, 0.01886415, 0.01060419, 0.002935352, -0.004177368, -0.01076367, -0.01686378, -0.02251619, -0.02775358, -0.03260624, -0.03710197, -0.04126493, -0.04511061, -0.04865456, -0.05191697, -0.05492013, -0.05768762, -0.06024332, -0.06261251, -0.06481697, -0.06687602, -0.06880428, -0.07061393, -0.07231746, -0.07392647, -0.07545189, -0.07690167, -0.07828178, -0.07959791, -0.08085476, -0.08205285, -0.08319094, -0.08426782, -0.08528306, -0.0862379, -0.08713395, -0.08797226, -0.08875409, -0.08948124, -0.09015506, -0.0907769, -0.09134822, -0.09187121, -0.09234822, -0.09278164, -0.09317293, -0.0935234, -0.09383438, -0.09410731, -0.09434366, -0.09454433, -0.09470985, -0.09484094, -0.09493876, -0.0950058, -0.0950452, -0.09505974, -0.09505195, -0.09502308, -0.09497358, -0.09490391, -0.09481459, -0.0947061, -0.09457877, -0.0944321, -0.0942648, -0.09407451, -0.09385887, -0.09361596, -0.09334444, -0.0930439, -0.09271429, -0.09235544, -0.09196711, -0.09154894, -0.09110059, -0.09062197, -0.09011312, -0.08957421, -0.08900563, -0.08840802, -0.08778214, -0.08712891, -0.08644933, -0.08574455, -0.08501551, -0.08426362, -0.08349056, -0.08269803, -0.08188757, -0.08106036, -0.08021716, -0.07935819, -0.07848323, -0.07759217, -0.07668481, -0.07576094, -0.07482055, -0.07386391, -0.07289128, -0.07190276, -0.07089859, -0.06987904, -0.06884451, -0.06779531, -0.06673168, -0.06565389, -0.06456215, -0.06345667, -0.06233775, -0.06120578, -0.06006112, -0.05890414, -0.05773521, -0.05655474, -0.05536319, -0.05416092, -0.05294829, -0.05172563, -0.05049321, -0.0492512, -0.04799961, -0.0467382, -0.04546658, -0.0441843, -0.04289084, -0.04158585, -0.0402691, -0.03894046, -0.03759993, -0.0362476, -0.03488352, -0.03350769, -0.03212001, -0.03072027, -0.02930823, -0.02788368, -0.02644651, -0.02499672, -0.02353432, -0.02205926, -0.02057146, -0.01907072, -0.01755679, -0.01602947, -0.01448858, -0.01293405, -0.01136587, -0.009783957, -0.008188179, -0.006578388, -0.004954462, -0.003316326, -0.001663957, 2.67778E-06, 0.001683602, 0.003378813, 0.005088286, 0.006812102, 0.008550468, 0.01030363, 0.01207181, 0.01385517, 0.01565378, 0.01746767, 0.01929681, 0.02114113, 0.02300049, 0.02487471, 0.02676357, 0.02866688, 0.03058442, 0.03251592, 0.03446114, 0.03641995, 0.03839229, 0.04037808, 0.04237725, 0.04438977, 0.04641563, 0.04845482, 0.05050726, 0.05257284, 0.05465141, 0.05674281, 0.05884687, 0.0609634, 0.06309217, 0.06523299, 0.0673856, 0.06954978, 0.07172531, 0.07391194, 0.07610941, 0.07831736, 0.0805354, 0.0827631, 0.08500002, 0.08724575, 0.08949985, 0.09176194, 0.09403159, 0.09630838, 0.09859186, 0.1008816, 0.1031772, 0.1054782, 0.1077841, 0.1100946, 0.1124092, 0.1147275, 0.117049, 0.1193732, 0.1216998, 0.1240282, 0.1263583, 0.1286895, 0.1310216, 0.1333541, 0.1356868, 0.1380195, 0.1403519, 0.1426838, 0.1450151, 0.1473454, 0.1496748, 0.1520029, 0.1543295, 0.1566545, 0.1589777, 0.1612987, 0.1636175, 0.1659338, 0.1682474, 0.1705581, 0.1728657, 0.17517, 0.1774708, 0.1797679, 0.1820611, 0.1843503, 0.1866352, 0.1889158, 0.1911919, 0.1934634, 0.1957301, 0.197992, 0.2002488, 0.2025006, 0.2047473, 0.2069888, 0.209225, 0.2114558, 0.2136812, 0.215901, 0.2181153, 0.220324, 0.2225269, 0.2247242, 0.2269158, 0.2291017, 0.2312818, 0.2334561, 0.2356246, 0.2377873, 0.2399441, 0.2420951, 0.2442402, 0.2463795, 0.2485129, 0.2506405, 0.2527623, 0.2548782, 0.2569883, 0.2590926, 0.2611911, 0.2632838, 0.2653707, 0.2674517, 0.2695269, 0.2715963, 0.2736598, 0.2757175, 0.2777692, 0.2798151, 0.2818551, 0.2838893, 0.2859175, 0.2879399, 0.2899565, 0.2919672, 0.2939721, 0.2959712, 0.2979644, 0.2999519, 0.3019336, 0.3039096, 0.3058798, 0.3078444, 0.3098032, 0.3117564, 0.313704, 0.3156459, 0.3175823, 0.3195131, 0.3214384, 0.3233581, 0.3252725, 0.3271813, 0.3290848, 0.3309829, 0.3328757, 0.3347631, 0.3366452, 0.338522, 0.3403936, 0.34226);

		this.a0 = -6.9189;
		this.a1 = 1.6895;
		this.a2 = -0.1425;
		this.a3 = -0.1384;
		this.a4 = -0.0327;
		this.a5 = -0.0094;
		this.a6 = -0.0531;
		this.p0 = -2.1034;
		this.p1 = 0.2463;
		this.p2 = 0.1625;
		this.p3 = -0.1413;
		this.p4 = -0.1039;
		this.p5 = 0.0057;
		this.q0 = 0.4986;
		this.q1 = 0;
	}
	else {
		this.mSpline = new Array(-0.677888173, -0.661443267, -0.646641046, -0.633339215, -0.621291451, -0.610279302, -0.600059357, -0.590287976, -0.580691001, -0.571051539, -0.561084173, -0.550518643, -0.539157273, -0.526862476, -0.513597273, -0.499384012, -0.4842508, -0.468228738, -0.451354462, -0.433708878, -0.415392639, -0.396494177, -0.37709094, -0.35725095, -0.337038562, -0.316560148, -0.295938328, -0.275278898, -0.254672708, -0.23419774, -0.213920875, -0.193900099, -0.17420381, -0.154910562, -0.13608873, -0.117796817, -0.100084706, -0.082994734, -0.066562632, -0.05081834, -0.035783802, -0.021455487, -0.007819154, 0.005139504, 0.017434748, 0.029080749, 0.040091546, 0.050481017, 0.060262855, 0.069450539, 0.078057494, 0.086105167, 0.093625777, 0.100650382, 0.107208046, 0.113325983, 0.119029697, 0.124343106, 0.129288657, 0.13388743, 0.138159234, 0.142122696, 0.145795345, 0.149193746, 0.152334, 0.155231495, 0.157900728, 0.160355361, 0.162608278, 0.164671634, 0.166556902, 0.168274913, 0.1698359, 0.171249534, 0.172524957, 0.173670816, 0.174695289, 0.17560612, 0.176410611, 0.177115369, 0.177726463, 0.178249644, 0.178690371, 0.179053825, 0.179344926, 0.179568349, 0.17972853, 0.17982969, 0.179875837, 0.179870784, 0.179818155, 0.179721396, 0.179583787, 0.179408449, 0.179198348, 0.178956312, 0.178684996, 0.178385951, 0.178059575, 0.177706201, 0.17732616, 0.176919781, 0.176487389, 0.176029309, 0.175545862, 0.175037364, 0.174504131, 0.173946474, 0.173364703, 0.172759121, 0.172130032, 0.171477734, 0.170802523, 0.170104689, 0.169384523, 0.168642309, 0.16787833, 0.167092862, 0.166286154, 0.165457887, 0.164607253, 0.163733471, 0.162835802, 0.161913552, 0.160966065, 0.159992725, 0.158992951, 0.157966198, 0.156911954, 0.155829738, 0.154719101, 0.153579622, 0.152410907, 0.151212588, 0.149984325, 0.148725799, 0.147436715, 0.1461168, 0.144765802, 0.143383488, 0.141969646, 0.14052408, 0.139046613, 0.137537084, 0.135995347, 0.134421259, 0.132814656, 0.131175384, 0.129503303, 0.127798289, 0.126060231, 0.124289032, 0.122484607, 0.120646882, 0.118775797, 0.116871302, 0.114933355, 0.112961929, 0.110957001, 0.108918563, 0.106846611, 0.104741152, 0.102602199, 0.100429776, 0.098223909, 0.095984637, 0.093712001, 0.09140605, 0.089066839, 0.086694429, 0.084288885, 0.08185028, 0.07937869, 0.076874195, 0.074336881, 0.071766838, 0.069164164, 0.066529137, 0.063862286, 0.061164146, 0.058435243, 0.055676091, 0.052887198, 0.050069058, 0.04722216, 0.04434698, 0.041443986, 0.03851364, 0.035556391, 0.032572684, 0.029562953, 0.026527624, 0.023467118, 0.020381844, 0.017272208, 0.014138605, 0.010981426, 0.007801053, 0.004597861, 0.001372219, -0.001875509, -0.005144969, -0.008435809, -0.011747687, -0.015080265, -0.018433211, -0.021806199, -0.025198908, -0.028611024, -0.032042237, -0.035492242, -0.038960742, -0.042447441, -0.045952051, -0.049474288, -0.053013802, -0.056570057, -0.060142497, -0.063730575, -0.067333758, -0.070951523, -0.07458336, -0.078228768, -0.081887257, -0.08555835, -0.089241577, -0.092936479, -0.096642608, -0.100359523, -0.104086796, -0.107824004, -0.111570735, -0.115326587, -0.119091165, -0.122864081, -0.126644957, -0.130433424, -0.134229117, -0.138031683, -0.141840772, -0.145656046, -0.149477171, -0.153303821, -0.157135675, -0.160972422, -0.164813755, -0.168659374, -0.172508986, -0.176362302, -0.180219043, -0.184078931, -0.187941697, -0.191807076, -0.19567481, -0.199544646, -0.203416334, -0.207289633, -0.211164303, -0.215040112, -0.218916832, -0.222794239, -0.226672097, -0.230550118, -0.23442801, -0.238305487, -0.242182268, -0.246058081, -0.249932656, -0.25380573, -0.257677047, -0.261546355, -0.265413408, -0.269277963, -0.273139786, -0.276998645, -0.280854314, -0.284706572, -0.288555202, -0.292399991, -0.296240733, -0.300077224, -0.303909265, -0.307736663, -0.311559226, -0.315376768, -0.319189108, -0.322996066, -0.326797468, -0.330593144, -0.334382927, -0.338166652, -0.341944161, -0.345715297, -0.349479907, -0.35323784, -0.356988952, -0.360733099, -0.364470141, -0.36819994, -0.371922364, -0.375637281, -0.379344563, -0.383044086, -0.386735726, -0.390419365, -0.394094886, -0.397762174, -0.401421118, -0.405071608, -0.408713539, -0.412346806, -0.415971307, -0.419586943, -0.423193618, -0.426791235, -0.430379704, -0.433958938, -0.437528917, -0.441089665, -0.444641206, -0.448183564, -0.451716763, -0.455240828, -0.458755783, -0.462261652, -0.465758459, -0.46924623, -0.472724989, -0.476194759, -0.479655566, -0.483107435, -0.486550389, -0.489984453, -0.493409653, -0.496826011, -0.500233554, -0.503632306, -0.507022291, -0.510403534, -0.513776059, -0.517139892, -0.520495057, -0.523841578, -0.52717948, -0.530508787, -0.533829525, -0.537141718, -0.54044539, -0.543740566);

		this.sSpline = new Array(0.592275067, 0.566262416, 0.542064083, 0.519380965, 0.497947129, 0.477550614, 0.458023198, 0.439225238, 0.421045166, 0.403395678, 0.386222094, 0.36948619, 0.353154791, 0.337199388, 0.321602073, 0.306351143, 0.291434994, 0.276842141, 0.262562049, 0.24859294, 0.234937177, 0.221595152, 0.208565609, 0.195845997, 0.183433707, 0.171335805, 0.159563521, 0.148125188, 0.13702662, 0.126271525, 0.115861857, 0.105797977, 0.096075569, 0.086686096, 0.077620907, 0.068871477, 0.060429429, 0.052286553, 0.04443482, 0.036866392, 0.029573379, 0.022546306, 0.015775323, 0.009251072, 0.002964656, -0.003092384, -0.008928102, -0.014550169, -0.019965895, -0.025182254, -0.030205898, -0.03504302, -0.039699317, -0.044180239, -0.048491017, -0.052636674, -0.056622036, -0.060451742, -0.064130255, -0.067661864, -0.071050701, -0.074300741, -0.077415813, -0.080399663, -0.083256304, -0.085989774, -0.08860394, -0.09110251, -0.093489042, -0.095766948, -0.097939502, -0.100009853, -0.101981023, -0.103855919, -0.105637334, -0.107327959, -0.108930382, -0.110447094, -0.111880506, -0.113233058, -0.114507174, -0.115705187, -0.116829342, -0.1178818, -0.118864643, -0.119779874, -0.120629428, -0.121415165, -0.122138884, -0.122802317, -0.123407137, -0.123954957, -0.124447338, -0.124885784, -0.12527175, -0.125606643, -0.125891811, -0.126128261, -0.126316637, -0.126457563, -0.126551651, -0.126599512, -0.126601746, -0.126558948, -0.126471707, -0.126340604, -0.126166212, -0.1259491, -0.125689826, -0.125388944, -0.125046999, -0.124664531, -0.124242072, -0.123780146, -0.12327927, -0.122739956, -0.122162707, -0.121548019, -0.120896388, -0.120208369, -0.119484575, -0.118725607, -0.117932053, -0.11710449, -0.116243483, -0.115349584, -0.114423335, -0.113465266, -0.112475897, -0.111455737, -0.110405285, -0.10932503, -0.108215451, -0.107077018, -0.105910191, -0.104715423, -0.103493154, -0.10224382, -0.100967846, -0.09966565, -0.09833764, -0.096984219, -0.095605781, -0.094202712, -0.092775391, -0.091324251, -0.089849877, -0.088352861, -0.086833782, -0.085293204, -0.083731676, -0.082149733, -0.080547894, -0.078926669, -0.077286551, -0.075628023, -0.073951555, -0.072257605, -0.07054662, -0.068819035, -0.067075275, -0.065315755, -0.063540879, -0.06175104, -0.059946623, -0.058128004, -0.056295549, -0.054449614, -0.052590549, -0.050718694, -0.048834381, -0.046937934, -0.04502967, -0.043109898, -0.04117892, -0.039237031, -0.037284518, -0.035321699, -0.033348929, -0.031366557, -0.029374925, -0.027374366, -0.025365205, -0.023347758, -0.021322333, -0.019289233, -0.017248749, -0.01520117, -0.013146774, -0.011085833, -0.009018613, -0.006945375, -0.004866369, -0.002781845, -0.000692041, 0.001402806, 0.003502468, 0.00560672, 0.007715345, 0.009828128, 0.011944864, 0.014065347, 0.016189381, 0.018316772, 0.02044733, 0.022580873, 0.02471722, 0.026856195, 0.028997628, 0.031141351, 0.0332872, 0.035435016, 0.037584645, 0.039735932, 0.041888731, 0.044042878, 0.046198163, 0.04835437, 0.050511293, 0.052668726, 0.054826471, 0.056984335, 0.059142128, 0.061299665, 0.063456768, 0.06561326, 0.067768971, 0.069923733, 0.072077383, 0.074229764, 0.076380719, 0.078530098, 0.080677754, 0.082823543, 0.084967325, 0.087108963, 0.089248323, 0.091385277, 0.093519697, 0.095651461, 0.097780446, 0.099906536, 0.102029618, 0.104149577, 0.106266308, 0.108379702, 0.110489657, 0.112596072, 0.114698849, 0.116797892, 0.118893109, 0.120984407, 0.1230717, 0.125154899, 0.127233923, 0.129308688, 0.131379115, 0.133445127, 0.135506648, 0.137563604, 0.139615924, 0.141663546, 0.143706433, 0.145744557, 0.147777886, 0.149806394, 0.151830052, 0.153848835, 0.155862717, 0.157871674, 0.159875681, 0.161874716, 0.163868757, 0.165857782, 0.167841772, 0.169820706, 0.171794566, 0.173763333, 0.175726991, 0.177685521, 0.179638909, 0.181587138, 0.183530194, 0.185468064, 0.187400732, 0.189328188, 0.191250417, 0.193167409, 0.195079153, 0.196985637, 0.198886852, 0.200782789, 0.202673438, 0.204558791, 0.20643884, 0.208313578, 0.210182997, 0.212047091, 0.213905854, 0.21575928, 0.217607364, 0.219450102, 0.221287488, 0.223119519, 0.224946191, 0.226767502, 0.228583447, 0.230394026, 0.232199235, 0.233999073, 0.235793538, 0.23758263, 0.239366347, 0.24114469, 0.242917658, 0.244685251, 0.246447471, 0.248204339, 0.249955886, 0.251702143, 0.253443143, 0.255178917, 0.256909495, 0.258634909, 0.260355188, 0.262070363, 0.263780464, 0.265485521, 0.267185562, 0.268880618, 0.270570716, 0.272255885, 0.273936154, 0.275611551, 0.277282104, 0.278947841, 0.280608788, 0.282264973, 0.283916423, 0.285563165, 0.287205225, 0.288842629, 0.290475404, 0.292103575, 0.293727168, 0.295346208, 0.296960721, 0.298570731, 0.300176263);

		this.a0 = -5.1682;
		this.a1 = 1.4066;
		this.a2 = -0.2618;
		this.a3 = -0.1244;
		this.a4 = -0.0799;
		this.a5 = -0.0398;
		this.a6 = -0.0531;
		this.p0 = -2.2968;
		this.p1 = 0.2847;
		this.p2 = 0.1869;
		this.p3 = -0.0114;
		this.p4 = -0.0473;
		this.p5 = 0.0057;
		this.q0 = 1.2172;
		this.q1 = -0.1781;
	}

	// Checking specific errors and creating error messages	
	this.errorCondition.push((this.age < this.ageArray[0]) || (this.age > this.ageArray[this.ageArray.length - 1]));
	this.errorString.push(window.lang.convert("Age has to be between 3 and 95 years"));
	this.errorCondition.push(typeof(this.age) === 'undefined')
	this.errorString.push(window.lang.convert("Age is undefined"));
	this.errorCondition.push(typeof(this.male) === 'undefined')
	this.errorString.push(window.lang.convert("Gender is undefined"));
	this.errorCondition.push(typeof(this.ethnics) === 'undefined')
	this.errorString.push(window.lang.convert("Ethnics is undefined"));
	this.errorCondition.push(value <= 0)
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	this.errorCondition.push(height <= 0)
	this.errorString.push(window.lang.convert("Height") + " " + window.lang.convert("has to be greater than 0"));
	this.getUpperAndLowerValues();
}
SpiroFef2575.prototype = new SpiroLMSClass();

function SpiroFef75(value, male, age, height, ethnics) {
	this.height = height;
	this.age = age / 12; // month in years
	this.male = male;
	this.value = value || -1;
	this.refString = "";
	this.init();
	this.infoString = this.getInfo([INFO_PERCENTILES + INFO_GLI, INFO_ZSCORE, ABBREV_SPIRO]);;
	this.paramName = "Fef75";
	this.paramNameLong = "FEF75";
	this.paramUnit = "l";
	this.ethnics = ethnics;
	this.ageArray = new Array(3, 3.25, 3.5, 3.75, 4, 4.25, 4.5, 4.75, 5, 5.25, 5.5, 5.75, 6, 6.25, 6.5, 6.75, 7, 7.25, 7.5, 7.75, 8, 8.25, 8.5, 8.75, 9, 9.25, 9.5, 9.75, 10, 10.25, 10.5, 10.75, 11, 11.25, 11.5, 11.75, 12, 12.25, 12.5, 12.75, 13, 13.25, 13.5, 13.75, 14, 14.25, 14.5, 14.75, 15, 15.25, 15.5, 15.75, 16, 16.25, 16.5, 16.75, 17, 17.25, 17.5, 17.75, 18, 18.25, 18.5, 18.75, 19, 19.25, 19.5, 19.75, 20, 20.25, 20.5, 20.75, 21, 21.25, 21.5, 21.75, 22, 22.25, 22.5, 22.75, 23, 23.25, 23.5, 23.75, 24, 24.25, 24.5, 24.75, 25, 25.25, 25.5, 25.75, 26, 26.25, 26.5, 26.75, 27, 27.25, 27.5, 27.75, 28, 28.25, 28.5, 28.75, 29, 29.25, 29.5, 29.75, 30, 30.25, 30.5, 30.75, 31, 31.25, 31.5, 31.75, 32, 32.25, 32.5, 32.75, 33, 33.25, 33.5, 33.75, 34, 34.25, 34.5, 34.75, 35, 35.25, 35.5, 35.75, 36, 36.25, 36.5, 36.75, 37, 37.25, 37.5, 37.75, 38, 38.25, 38.5, 38.75, 39, 39.25, 39.5, 39.75, 40, 40.25, 40.5, 40.75, 41, 41.25, 41.5, 41.75, 42, 42.25, 42.5, 42.75, 43, 43.25, 43.5, 43.75, 44, 44.25, 44.5, 44.75, 45, 45.25, 45.5, 45.75, 46, 46.25, 46.5, 46.75, 47, 47.25, 47.5, 47.75, 48, 48.25, 48.5, 48.75, 49, 49.25, 49.5, 49.75, 50, 50.25, 50.5, 50.75, 51, 51.25, 51.5, 51.75, 52, 52.25, 52.5, 52.75, 53, 53.25, 53.5, 53.75, 54, 54.25, 54.5, 54.75, 55, 55.25, 55.5, 55.75, 56, 56.25, 56.5, 56.75, 57, 57.25, 57.5, 57.75, 58, 58.25, 58.5, 58.75, 59, 59.25, 59.5, 59.75, 60, 60.25, 60.5, 60.75, 61, 61.25, 61.5, 61.75, 62, 62.25, 62.5, 62.75, 63, 63.25, 63.5, 63.75, 64, 64.25, 64.5, 64.75, 65, 65.25, 65.5, 65.75, 66, 66.25, 66.5, 66.75, 67, 67.25, 67.5, 67.75, 68, 68.25, 68.5, 68.75, 69, 69.25, 69.5, 69.75, 70, 70.25, 70.5, 70.75, 71, 71.25, 71.5, 71.75, 72, 72.25, 72.5, 72.75, 73, 73.25, 73.5, 73.75, 74, 74.25, 74.5, 74.75, 75, 75.25, 75.5, 75.75, 76, 76.25, 76.5, 76.75, 77, 77.25, 77.5, 77.75, 78, 78.25, 78.5, 78.75, 79, 79.25, 79.5, 79.75, 80, 80.25, 80.5, 80.75, 81, 81.25, 81.5, 81.75, 82, 82.25, 82.5, 82.75, 83, 83.25, 83.5, 83.75, 84, 84.25, 84.5, 84.75, 85, 85.25, 85.5, 85.75, 86, 86.25, 86.5, 86.75, 87, 87.25, 87.5, 87.75, 88, 88.25, 88.5, 88.75, 89, 89.25, 89.5, 89.75, 90);

	if (male) {
		this.lSpline = new Array(0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);
		this.mSpline = new Array(-0.257937769, -0.270071641, -0.278426818, -0.28326709, -0.2852303, -0.284727691, -0.282697261, -0.280003706, -0.277549882, -0.275966059, -0.275688449, -0.276942353, -0.279671248, -0.283771394, -0.288850189, -0.294403826, -0.29990324, -0.304916155, -0.309113529, -0.312278117, -0.314295835, -0.31506921, -0.314524641, -0.312562873, -0.30915469, -0.304247084, -0.29769308, -0.289391768, -0.279357293, -0.267640299, -0.254202884, -0.239047109, -0.222252253, -0.203953242, -0.184266485, -0.163350253, -0.141412972, -0.118680645, -0.095328071, -0.071515321, -0.047410576, -0.023179051, 0.001035163, 0.025080463, 0.048787155, 0.071962733, 0.094449823, 0.116097734, 0.136745969, 0.156254415, 0.174547469, 0.191594983, 0.207384353, 0.221896612, 0.235141834, 0.247141327, 0.257923103, 0.267518377, 0.275950797, 0.283261646, 0.289507524, 0.294760405, 0.299102614, 0.302619025, 0.305399631, 0.307527786, 0.309071722, 0.310084895, 0.31061217, 0.310694337, 0.310363437, 0.309656799, 0.308618885, 0.307290059, 0.305697909, 0.303865443, 0.301810834, 0.299546603, 0.297081483, 0.294429007, 0.291606239, 0.288632676, 0.285522415, 0.282291515, 0.278962177, 0.275556047, 0.272083064, 0.268550865, 0.264970818, 0.261355415, 0.257717934, 0.254072182, 0.250429675, 0.246802788, 0.243204095, 0.23964572, 0.236138642, 0.232692267, 0.229311859, 0.226000474, 0.22276102, 0.219595961, 0.216503204, 0.213479215, 0.21052067, 0.207624614, 0.204787407, 0.202005826, 0.1992779, 0.19660205, 0.193974848, 0.191392993, 0.18885311, 0.18635189, 0.183884534, 0.181446653, 0.179035216, 0.176647776, 0.174282619, 0.17193921, 0.169617593, 0.167316922, 0.165033791, 0.162763614, 0.160501484, 0.158242376, 0.155981095, 0.153712865, 0.15143397, 0.149141708, 0.146833922, 0.144508944, 0.142166266, 0.139805322, 0.137424858, 0.13502315, 0.132598182, 0.130148484, 0.12767271, 0.125169594, 0.122638151, 0.120077243, 0.117485474, 0.114861554, 0.112204258, 0.109512478, 0.10678488, 0.104020206, 0.101217649, 0.098377067, 0.095498465, 0.092582225, 0.08962945, 0.086641284, 0.083618241, 0.080560223, 0.077467072, 0.074338691, 0.071174768, 0.067975087, 0.064739562, 0.061468008, 0.058159769, 0.054814027, 0.051429951, 0.048006506, 0.044542169, 0.041035317, 0.03748418, 0.033886734, 0.030240605, 0.026543337, 0.022792544, 0.01898597, 0.015121691, 0.011198241, 0.007214338, 0.003168713, -0.000939932, -0.005112657, -0.009350396, -0.013654005, -0.018024541, -0.02246303, -0.026970142, -0.031546267, -0.036191436, -0.040905481, -0.045688325, -0.050539765, -0.05545938, -0.060446655, -0.065500979, -0.070621629, -0.075807622, -0.081057784, -0.086370906, -0.091745744, -0.097181324, -0.102676773, -0.108231209, -0.113843739, -0.119513266, -0.12523851, -0.131018137, -0.136850789, -0.142734994, -0.148669043, -0.154651103, -0.160679435, -0.166752452, -0.17286857, -0.179026253, -0.185223907, -0.191459894, -0.197732644, -0.204040602, -0.210382153, -0.216755879, -0.223160419, -0.229594439, -0.23605655, -0.242545283, -0.249059182, -0.255596757, -0.262156427, -0.268736579, -0.275335522, -0.281951474, -0.288582649, -0.295227239, -0.301883405, -0.30854934, -0.315223293, -0.321903683, -0.328588997, -0.335277649, -0.341968096, -0.348659008, -0.355349127, -0.362037258, -0.368722277, -0.37540319, -0.382079009, -0.388748736, -0.395411439, -0.402066376, -0.408712874, -0.41535026, -0.421977873, -0.428595147, -0.43520153, -0.441796403, -0.448379135, -0.454949138, -0.461505803, -0.468048508, -0.474576676, -0.481089813, -0.487587429, -0.494069002, -0.500534007, -0.506981977, -0.513412455, -0.51982499, -0.526219186, -0.532594862, -0.538951913, -0.545290228, -0.551609691, -0.557910157, -0.564191482, -0.570453537, -0.576696214, -0.582919457, -0.589123225, -0.595307469, -0.601472126, -0.607617174, -0.613742596, -0.619848355, -0.62593443, -0.632000856, -0.638047667, -0.644074895, -0.650082598, -0.656070928, -0.662040035, -0.667990025, -0.673920975, -0.67983295, -0.685726002, -0.691600162, -0.69745548, -0.703292052, -0.709109962, -0.71490926, -0.720690003, -0.72645228, -0.732196188, -0.737921822, -0.743629284, -0.749318698, -0.754990175, -0.760643801, -0.766279655, -0.771897816, -0.777498364, -0.783081377, -0.78864694, -0.79419517, -0.799726189, -0.80524012, -0.810737069, -0.816217109, -0.821680301, -0.827126709, -0.832556389, -0.837969375, -0.843365694, -0.848745377, -0.854108459, -0.859455012, -0.864785113, -0.870098841, -0.875396281, -0.880677546, -0.885942757, -0.891192032, -0.896425492, -0.901643264, -0.906845476, -0.912032256, -0.917203723, -0.922359979, -0.92750112, -0.932627241, -0.937738439, -0.94283482, -0.947916492, -0.952983564, -0.958036142, -0.963074334, -0.96809825, -0.973107996, -0.978103676, -0.983085373, -0.988053169, -0.993007144);

		this.sSpline = new Array(0.29910873, 0.282315074, 0.26678284, 0.25233251, 0.238809984, 0.226100497, 0.214092276, 0.202677785, 0.191769439, 0.181289228, 0.171174862, 0.161389288, 0.151912284, 0.142725328, 0.133813958, 0.125166827, 0.116775506, 0.108631203, 0.100723744, 0.093041369, 0.085570567, 0.078297153, 0.07120959, 0.064299001, 0.057558226, 0.050985, 0.044581777, 0.038351302, 0.03229644, 0.026418284, 0.020715983, 0.015187219, 0.00982895, 0.004638179, -0.000387752, -0.005252818, -0.00996156, -0.014517067, -0.01892173, -0.023178221, -0.027289802, -0.031259969, -0.035091253, -0.038785663, -0.042344353, -0.045768062, -0.049057759, -0.052214922, -0.055242101, -0.058142251, -0.060918487, -0.063573828, -0.066111178, -0.068532641, -0.070839835, -0.073034915, -0.075120298, -0.07709861, -0.078972938, -0.08074623, -0.082421374, -0.084001138, -0.085487881, -0.086883595, -0.088190235, -0.089409959, -0.090545115, -0.091598095, -0.092571252, -0.093466958, -0.094287706, -0.095035809, -0.095713334, -0.096322163, -0.096863986, -0.097340449, -0.09775322, -0.098103932, -0.098394273, -0.098625929, -0.098800557, -0.09891972, -0.098984745, -0.098996846, -0.098957218, -0.098867029, -0.098727391, -0.098539438, -0.098304237, -0.098022725, -0.097695454, -0.097322815, -0.096905217, -0.096443111, -0.095936983, -0.095387333, -0.09479465, -0.0941594, -0.093482114, -0.092763343, -0.092003692, -0.091203807, -0.090364451, -0.089486409, -0.088570453, -0.087617364, -0.086627962, -0.085603074, -0.084543544, -0.083450204, -0.082323845, -0.081165259, -0.079975245, -0.078754602, -0.077504151, -0.076224728, -0.074917155, -0.073582258, -0.072220902, -0.07083396, -0.069422303, -0.067986745, -0.066528004, -0.065046702, -0.063543387, -0.062018554, -0.060472678, -0.058906202, -0.057319547, -0.055713138, -0.054087441, -0.052442909, -0.050779971, -0.049099056, -0.04740061, -0.045685088, -0.043952917, -0.042204512, -0.040440288, -0.038660654, -0.036866023, -0.035056814, -0.03323346, -0.031396396, -0.029546041, -0.027682799, -0.025807062, -0.02391922, -0.022019662, -0.020108777, -0.018186979, -0.016254664, -0.014312211, -0.01235999, -0.010398367, -0.008427703, -0.006448359, -0.004460695, -0.002465049, -0.000461755, 0.001548857, 0.003566464, 0.005590779, 0.00762153, 0.009658444, 0.011701249, 0.013749668, 0.015803435, 0.017862284, 0.019925951, 0.021994175, 0.024066703, 0.026143287, 0.028223673, 0.030307613, 0.032394862, 0.034485181, 0.036578335, 0.038674097, 0.040772247, 0.042872564, 0.044974833, 0.047078844, 0.049184391, 0.051291266, 0.053399261, 0.055508172, 0.057617803, 0.059727953, 0.061838426, 0.063949029, 0.066059577, 0.068169892, 0.070279803, 0.072389146, 0.074497766, 0.076605505, 0.078712207, 0.080817741, 0.082921974, 0.085024775, 0.08712601, 0.08922555, 0.091323269, 0.093419041, 0.095512744, 0.097604266, 0.099693503, 0.101780353, 0.103864714, 0.105946495, 0.108025613, 0.110101982, 0.112175517, 0.114246142, 0.116313781, 0.11837836, 0.120439804, 0.122498044, 0.12455301, 0.126604632, 0.128652841, 0.130697566, 0.132738736, 0.134776281, 0.136810131, 0.138840211, 0.140866442, 0.142888745, 0.144907045, 0.146921268, 0.148931345, 0.150937207, 0.152938787, 0.154936015, 0.156928821, 0.158917142, 0.160900916, 0.162880078, 0.164854569, 0.166824328, 0.168789299, 0.170749425, 0.172704657, 0.174654945, 0.17660024, 0.178540497, 0.18047567, 0.182405716, 0.184330592, 0.186250259, 0.188164683, 0.190073831, 0.191977671, 0.193876176, 0.195769322, 0.197657084, 0.199539438, 0.201416361, 0.203287827, 0.205153813, 0.207014297, 0.208869261, 0.21071869, 0.212562568, 0.21440088, 0.216233617, 0.21806077, 0.219882332, 0.221698299, 0.223508673, 0.225313459, 0.227112664, 0.228906296, 0.230694365, 0.232476885, 0.234253865, 0.236025317, 0.237791254, 0.23955169, 0.241306641, 0.243056123, 0.244800148, 0.246538732, 0.248271885, 0.249999622, 0.251721958, 0.253438909, 0.255150493, 0.256856727, 0.258557637, 0.260253244, 0.261943572, 0.263628642, 0.265308478, 0.2669831, 0.26865253, 0.27031679, 0.271975902, 0.273629887, 0.275278767, 0.276922563, 0.278561297, 0.280194989, 0.281823662, 0.28344734, 0.285066046, 0.286679801, 0.288288628, 0.28989255, 0.291491586, 0.293085758, 0.294675084, 0.296259588, 0.29783929, 0.299414217, 0.300984392, 0.302549839, 0.304110583, 0.305666648, 0.307218058, 0.308764839, 0.310307012, 0.311844602, 0.31337763, 0.31490612, 0.316430097, 0.317949583, 0.319464602, 0.320975179, 0.322481339, 0.323983107, 0.325480509, 0.326973569, 0.328462313, 0.329946764, 0.331426946, 0.332902885, 0.334374603, 0.335842125, 0.337305474, 0.338764674, 0.340219748, 0.341670718, 0.343117605, 0.344560432, 0.345999222, 0.347433998, 0.348864783);

		this.a0 = -9.1978;
		this.a1 = 2.1023;
		this.a2 = -0.3656;
		this.a3 = -0.2879;
		this.a4 = 0.1142;
		this.a5 = 0.1364;
		this.a6 = -0.0272;
		this.p0 = -1.5769;
		this.p1 = 0.1959;
		this.p2 = 0.1205;
		this.p3 = -0.2037;
		this.p4 = -0.1664;
		this.p5 = -0.0381;
		this.q0 = 0.6289;
		this.q1 = -0.1342;

	}
	else {
		this.lSpline = new Array(-0.5235152, -0.481125, -0.4419571, -0.4056005, -0.3717736, -0.3402851, -0.3109564, -0.2836168, -0.2581531, -0.2344869, -0.2125339, -0.1922105, -0.1734088, -0.1560117, -0.1399119, -0.1250084, -0.1112129, -0.09844764, -0.0866447, -0.07574615, -0.06569972, -0.05645638, -0.04796395, -0.04016428, -0.03300169, -0.02640907, -0.02032148, -0.01468028, -0.009432845, -0.004534627, 5.23625E-05, 0.004361238, 0.00842079, 0.01225822, 0.01589872, 0.01936569, 0.02267942, 0.02585537, 0.02890191, 0.03182694, 0.03463731, 0.03733815, 0.03993351, 0.04242589, 0.04481613, 0.0471043, 0.04928935, 0.05137049, 0.05334814, 0.05522324, 0.05699627, 0.0586672, 0.06023632, 0.06170435, 0.06307199, 0.06434061, 0.06551228, 0.06658892, 0.06757364, 0.06846981, 0.06928036, 0.07000799, 0.07065561, 0.07122601, 0.07172182, 0.07214588, 0.07250229, 0.07279515, 0.07302828, 0.07320525, 0.07332931, 0.07340345, 0.07343042, 0.07341276, 0.07335241, 0.07325078, 0.07310888, 0.07292761, 0.07270776, 0.07245016, 0.07215562, 0.07182502, 0.07145972, 0.07106138, 0.07063163, 0.07017215, 0.06968486, 0.06917164, 0.06863434, 0.06807481, 0.06749496, 0.06689664, 0.06628153, 0.06565131, 0.06500805, 0.0643539, 0.06369088, 0.06302082, 0.06234536, 0.06166593, 0.06098379, 0.06030009, 0.05961589, 0.05893217, 0.05824982, 0.05756963, 0.05689218, 0.05621793, 0.05554727, 0.05488048, 0.05421793, 0.05356008, 0.05290736, 0.05226018, 0.05161894, 0.05098403, 0.05035581, 0.04973461, 0.04912073, 0.04851442, 0.04791597, 0.04732557, 0.04674331, 0.04616925, 0.04560354, 0.04504629, 0.04449753, 0.04395719, 0.04342518, 0.04290137, 0.04238557, 0.04187757, 0.04137716, 0.04088411, 0.04039808, 0.0399187, 0.0394456, 0.03897845, 0.03851682, 0.0380603, 0.03760845, 0.03716084, 0.03671706, 0.03627668, 0.03583929, 0.0354045, 0.03497199, 0.03454139, 0.0341124, 0.03368471, 0.03325806, 0.03283219, 0.03240682, 0.03198163, 0.03155622, 0.03113017, 0.03070311, 0.03027468, 0.02984449, 0.02941217, 0.02897737, 0.02853976, 0.02809904, 0.02765498, 0.02720737, 0.02675603, 0.02630083, 0.02584164, 0.02537838, 0.02491093, 0.02443918, 0.023963, 0.02348228, 0.0229969, 0.0225068, 0.02201188, 0.02151205, 0.0210072, 0.02049724, 0.01998207, 0.01946158, 0.0189357, 0.01840436, 0.01786755, 0.01732527, 0.01677752, 0.01622429, 0.01566557, 0.01510137, 0.01453168, 0.01395655, 0.01337599, 0.01279002, 0.01219862, 0.01160178, 0.01099951, 0.01039181, 0.009778674, 0.009160206, 0.008536515, 0.007907703, 0.007273858, 0.006635051, 0.005991357, 0.005342853, 0.00468961, 0.004031667, 0.003369063, 0.002701834, 0.00203004, 0.001353787, 0.000673187, -1.16424E-05, -0.000700578, -0.001393487, -0.00209024, -0.00279071, -0.003494777, -0.004202342, -0.004913313, -0.005627608, -0.006345155, -0.00706591, -0.007789855, -0.008516982, -0.009247289, -0.009980776, -0.01071744, -0.01145729, -0.01220033, -0.01294656, -0.01369602, -0.01444873, -0.0152047, -0.01596391, -0.01672633, -0.01749194, -0.01826071, -0.01903264, -0.01980774, -0.02058601, -0.02136743, -0.02215194, -0.02293947, -0.02372995, -0.02452329, -0.02531942, -0.02611824, -0.02691967, -0.02772361, -0.02852995, -0.02933859, -0.03014943, -0.03096239, -0.03177738, -0.0325943, -0.03341306, -0.03423357, -0.03505572, -0.03587944, -0.03670461, -0.03753114, -0.03835893, -0.03918787, -0.04001784, -0.04084875, -0.04168049, -0.04251296, -0.04334605, -0.04417966, -0.04501367, -0.04584797, -0.04668244, -0.04751699, -0.04835153, -0.04918598, -0.05002026, -0.05085429, -0.05168799, -0.05252129, -0.05335413, -0.05418643, -0.05501815, -0.05584924, -0.05667963, -0.05750928, -0.05833815, -0.05916621, -0.05999341, -0.06081974, -0.06164514, -0.06246959, -0.06329306, -0.0641155, -0.06493689, -0.0657572, -0.0665764, -0.06739446, -0.06821134, -0.06902699, -0.06984138, -0.07065444, -0.07146614, -0.07227641, -0.0730852, -0.07389245, -0.07469811, -0.07550212, -0.07630443, -0.07710499, -0.07790377, -0.07870072, -0.0794958, -0.080289, -0.08108029, -0.08186967, -0.08265712, -0.08344265, -0.08422623, -0.08500787, -0.08578754, -0.08656524, -0.08734094, -0.08811464, -0.08888632, -0.08965596, -0.09042356, -0.09118909, -0.09195256, -0.09271396, -0.09347327, -0.09423051, -0.09498567, -0.09573875, -0.09648975, -0.09723868, -0.09798553, -0.09873031, -0.09947303, -0.1002137, -0.1009523, -0.1016888, -0.1024234, -0.1031558, -0.1038863, -0.1046147, -0.1053411, -0.1060655, -0.1067878);
		this.mSpline = new Array(-0.62783832, -0.614435475, -0.60004988, -0.585302218, -0.570907606, -0.557284683, -0.544772552, -0.533612522, -0.523818873, -0.515148954, -0.507411685, -0.500537297, -0.494620714, -0.489559493, -0.484816454, -0.47990465, -0.474435132, -0.468025882, -0.460365597, -0.451194021, -0.440309772, -0.427528588, -0.412754961, -0.396062918, -0.377578034, -0.357507575, -0.336041481, -0.313307717, -0.289401, -0.264472048, -0.238695719, -0.212231118, -0.185276238, -0.15806294, -0.130777458, -0.103618188, -0.076811419, -0.050605564, -0.025154063, -0.000592332, 0.022958908, 0.045404035, 0.066674365, 0.086722243, 0.105533341, 0.12311388, 0.139515539, 0.154782605, 0.168952175, 0.182064756, 0.194171417, 0.205321798, 0.215564747, 0.224959923, 0.23359246, 0.241540644, 0.248871928, 0.255649946, 0.261924588, 0.267740387, 0.273135816, 0.278144807, 0.282786772, 0.287076953, 0.291023412, 0.294628952, 0.297891548, 0.300809928, 0.3033852, 0.305622141, 0.307528727, 0.309112615, 0.310380284, 0.311341787, 0.312009074, 0.312404186, 0.312553663, 0.312482654, 0.312213563, 0.311768271, 0.311168478, 0.310436181, 0.309587567, 0.308636989, 0.307599963, 0.306489928, 0.305316385, 0.304088962, 0.302818582, 0.301516357, 0.300189762, 0.298848091, 0.297501523, 0.296157013, 0.294812371, 0.293463996, 0.292109027, 0.290744298, 0.289365035, 0.287966624, 0.286546235, 0.285103237, 0.283635265, 0.282140086, 0.280617148, 0.279067258, 0.277490791, 0.275889327, 0.274265777, 0.272623456, 0.270963401, 0.269286606, 0.267594369, 0.265887755, 0.264165665, 0.262426928, 0.260670251, 0.258893135, 0.257090526, 0.255257294, 0.253388518, 0.251479632, 0.249525725, 0.247522405, 0.245466827, 0.243357169, 0.241190934, 0.238966499, 0.236682739, 0.234339089, 0.231935622, 0.229472561, 0.226950047, 0.224368047, 0.221725935, 0.219023421, 0.216260886, 0.213439811, 0.210563423, 0.207635563, 0.204659664, 0.201638011, 0.198571711, 0.195462157, 0.192311223, 0.189120405, 0.185889121, 0.182616592, 0.179302072, 0.175944503, 0.172542484, 0.169094617, 0.165599758, 0.162057239, 0.158465713, 0.154823758, 0.151130068, 0.14738386, 0.143584501, 0.139731406, 0.135824388, 0.13186351, 0.127848457, 0.12377845, 0.119652757, 0.115470962, 0.111232611, 0.106937578, 0.102586247, 0.09817904, 0.093715765, 0.089195886, 0.084618741, 0.079983835, 0.075290988, 0.070540624, 0.065733763, 0.060871794, 0.055956112, 0.050988004, 0.045968666, 0.040899225, 0.035780947, 0.030615303, 0.025403855, 0.020148172, 0.014849559, 0.009509166, 0.004128026, -0.001292934, -0.006753493, -0.012253422, -0.017792333, -0.02336976, -0.028985081, -0.034637635, -0.040326792, -0.046052063, -0.051813417, -0.057610907, -0.063444525, -0.069314214, -0.075219918, -0.081161489, -0.0871387, -0.093151208, -0.099198614, -0.105280365, -0.111395728, -0.117543924, -0.123724326, -0.129936164, -0.136178543, -0.142450554, -0.148751634, -0.155081219, -0.161438703, -0.167823418, -0.174234599, -0.180671454, -0.187133089, -0.193618438, -0.200126338, -0.206655525, -0.213204574, -0.219771991, -0.22635625, -0.232955904, -0.239569553, -0.246195827, -0.252833388, -0.259480797, -0.266136527, -0.272799034, -0.279466862, -0.286138632, -0.292813032, -0.299488794, -0.306164632, -0.312839253, -0.319511347, -0.326179621, -0.332842901, -0.339500054, -0.346149997, -0.352791763, -0.359424605, -0.366047844, -0.372660783, -0.379262767, -0.385853299, -0.392431871, -0.398997884, -0.405550686, -0.412089641, -0.418614118, -0.42512349, -0.431617156, -0.438094575, -0.444555204, -0.450998492, -0.457423903, -0.463830932, -0.470219068, -0.476587798, -0.482936647, -0.48926532, -0.495573562, -0.501861115, -0.508127754, -0.514373393, -0.520597938, -0.526801258, -0.532983186, -0.53914358, -0.545282306, -0.55139924, -0.557494263, -0.563567313, -0.569618341, -0.575647281, -0.58165405, -0.587638565, -0.59360074, -0.599540493, -0.605457743, -0.611352416, -0.617224419, -0.623073645, -0.628899998, -0.634703427, -0.640483893, -0.646241359, -0.651975786, -0.657687128, -0.663375339, -0.669040385, -0.67468227, -0.680301131, -0.685897126, -0.691470409, -0.697021127, -0.702549453, -0.708055567, -0.713539652, -0.71900189, -0.724442473, -0.729861597, -0.735259453, -0.740636239, -0.745992174, -0.751327481, -0.756642387, -0.761937104, -0.767211815, -0.77246669, -0.7777019, -0.782917616, -0.788114026, -0.793291318, -0.798449676, -0.803589297, -0.808710412, -0.813813263, -0.818898086, -0.823965118, -0.829014598, -0.834046764, -0.83906185, -0.844060092, -0.849041743, -0.854007058, -0.858956287, -0.863889673, -0.868807443, -0.87370982, -0.878597021, -0.883469259, -0.888326732, -0.893169635, -0.897998157, -0.902812483, -0.907612774, -0.912399183, -0.917171865, -0.921930964, -0.926676609, -0.931408923, -0.936128027);

		this.sSpline = new Array(-3.17006967, -3.03212298, -2.90437431, -2.78541872, -2.67411339, -2.56952225, -2.47087331, -2.37753117, -2.28896788, -2.20473639, -2.12445792, -2.04780011, -1.97446271, -1.90417497, -1.83669285, -1.77179914, -1.70929477, -1.64900113, -1.59076045, -1.53443226, -1.47989061, -1.42702228, -1.37572466, -1.32590148, -1.27746267, -1.23032393, -1.18440619, -1.13963575, -1.09594435, -1.05326899, -1.01155146, -0.97073798, -0.93077988, -0.891632, -0.85325132, -0.81559844, -0.77863824, -0.74233828, -0.70666687, -0.67159398, -0.6370919, -0.60313502, -0.56969968, -0.53676361, -0.50430587, -0.47230714, -0.44074915, -0.40961488, -0.37888821, -0.34855401, -0.31859835, -0.28900832, -0.2597715, -0.23087596, -0.20231085, -0.17406633, -0.14613336, -0.1185036, -0.09116947, -0.06412361, -0.03735903, -0.01086902, 0.01535314, 0.04131394, 0.06701949, 0.09247568, 0.11768828, 0.14266285, 0.16740471, 0.19191884, 0.21620999, 0.24028269, 0.26414121, 0.28778969, 0.31123219, 0.33447274, 0.3575153, 0.38036365, 0.40302154, 0.42549268, 0.44778067, 0.46988894, 0.49182078, 0.51357945, 0.53516809, 0.55658974, 0.57784732, 0.59894362, 0.61988131, 0.640663, 0.6612913, 0.68176879, 0.70209791, 0.72228109, 0.74232081, 0.76221957, 0.78197974, 0.80160368, 0.82109378, 0.84045239, 0.85968179, 0.8787842, 0.89776174, 0.91661645, 0.93535028, 0.95396514, 0.97246285, 0.99084519, 1.00911388, 1.0272706, 1.045317, 1.06325471, 1.08108529, 1.09881027, 1.11643116, 1.13394943, 1.15136649, 1.16868369, 1.1859023, 1.20302357, 1.22004871, 1.23697892, 1.25381537, 1.27055923, 1.28721167, 1.30377386, 1.32024693, 1.336632, 1.35293014, 1.36914241, 1.38526984, 1.40131345, 1.41727419, 1.43315301, 1.44895081, 1.46466846, 1.48030682, 1.49586673, 1.511349, 1.52675442, 1.54208377, 1.55733783, 1.57251738, 1.58762319, 1.60265599, 1.61761652, 1.63250547, 1.64732353, 1.66207137, 1.67674966, 1.69135908, 1.70590031, 1.720374, 1.73478081, 1.74912137, 1.7633963, 1.77760621, 1.79175169, 1.80583331, 1.81985165, 1.83380726, 1.8477007, 1.86153248, 1.87530314, 1.88901316, 1.90266306, 1.9162533, 1.92978436, 1.94325671, 1.95667079, 1.97002703, 1.98332585, 1.99656766, 2.00975282, 2.02288172, 2.03595469, 2.04897211, 2.06193434, 2.07484172, 2.0876946, 2.10049332, 2.1132382, 2.12592958, 2.13856778, 2.15115313, 2.16368595, 2.17616654, 2.1885952, 2.20097223, 2.21329792, 2.22557257, 2.23779648, 2.24996995, 2.26209328, 2.27416682, 2.28619086, 2.29816572, 2.31009173, 2.3219692, 2.33379846, 2.3455798, 2.35731355, 2.36900002, 2.38063949, 2.39223227, 2.40377864, 2.41527887, 2.42673323, 2.43814199, 2.4495054, 2.46082372, 2.47209721, 2.48332612, 2.4945107, 2.50565121, 2.51674788, 2.52780098, 2.53881072, 2.54977736, 2.56070111, 2.57158221, 2.58242087, 2.59321734, 2.60397183, 2.61468457, 2.62535578, 2.63598571, 2.64657457, 2.65712259, 2.66762999, 2.678097, 2.68852385, 2.69891075, 2.70925794, 2.71956565, 2.72983414, 2.74006363, 2.75025438, 2.76040662, 2.7705206, 2.78059656, 2.79063473, 2.80063537, 2.81059869, 2.82052495, 2.83041437, 2.84026719, 2.85008364, 2.85986397, 2.8696084, 2.87931717, 2.88899051, 2.89862865, 2.90823182, 2.91780026, 2.92733418, 2.93683381, 2.94629937, 2.95573108, 2.96512916, 2.97449383, 2.9838253, 2.99312378, 3.00238947, 3.01162258, 3.0208233, 3.02999184, 3.03912839, 3.04823313, 3.05730626, 3.06634796, 3.07535842, 3.08433784, 3.09328639, 3.10220427, 3.11109167, 3.11994878, 3.12877578, 3.13757285, 3.14634018, 3.15507795, 3.16378633, 3.1724655, 3.18111563, 3.18973692, 3.19832952, 3.20689363, 3.21542941, 3.22393705, 3.23241671, 3.24086858, 3.24929281, 3.25768959, 3.26605906, 3.27440139, 3.28271675, 3.29100529, 3.29926716, 3.30750253, 3.31571154, 3.32389436, 3.33205114, 3.34018203, 3.34828718, 3.35636675, 3.36442088, 3.37244973, 3.38045344, 3.38843216, 3.39638604, 3.40431521, 3.41221984, 3.42010006, 3.42795603, 3.43578788, 3.44359576, 3.45137982, 3.45914021, 3.46687706, 3.47459052, 3.48228073, 3.48994782, 3.49759194, 3.50521322, 3.5128118, 3.52038782, 3.5279414, 3.53547267, 3.54298178, 3.55046885, 3.557934, 3.56537737, 3.57279907, 3.58019924, 3.587578, 3.59493548, 3.60227178, 3.60958704, 3.61688137, 3.62415489, 3.63140773, 3.63863999, 3.6458518, 3.65304326, 3.6602145, 3.66736562, 3.67449674, 3.68160797, 3.68869941);
		this.a0 = -8.2711;
		this.a1 = 2.0092;
		this.a2 = -0.5252;
		this.a3 = -0.3004;
		this.a4 = 0.0496;
		this.a5 = 0.0704;
		this.a6 = -0.0272;
		this.p0 = 4.1543;
		this.p1 = -1.8154;
		this.p2 = 0.1330;
		this.p3 = -0.1515;
		this.p4 = -0.0367;
		this.p5 = -0.0381;
		this.q0 = 0.7088;
		this.q1 = -0.1462;
	}

	// Checking specific errors and creating error messages	
	this.errorCondition.push((this.age < this.ageArray[0]) || (this.age > this.ageArray[this.ageArray.length - 1]));
	this.errorString.push(window.lang.convert("Age has to be between 3 and 95 years"));
	this.errorCondition.push(typeof(this.age) === 'undefined')
	this.errorString.push(window.lang.convert("Age is undefined"));
	this.errorCondition.push(typeof(this.male) === 'undefined')
	this.errorString.push(window.lang.convert("Gender is undefined"));
	this.errorCondition.push(typeof(this.ethnics) === 'undefined')
	this.errorString.push(window.lang.convert("Ethnics is undefined"));
	this.errorCondition.push(value <= 0)
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	this.errorCondition.push(height <= 0)
	this.errorString.push(window.lang.convert("Height") + " " + window.lang.convert("has to be greater than 0"));
	this.getUpperAndLowerValues();
}
SpiroFef75.prototype = new SpiroLMSClass();

function SpiroFev075(value, male, age, height, ethnics) {
	this.height = height;
	this.age = age / 12; // month in years
	this.male = male;
	this.value = value || -1;
	this.refString = "";
	this.init();
	this.infoString = this.getInfo([INFO_PERCENTILES + INFO_GLI, INFO_ZSCORE, ABBREV_SPIRO]);;
	this.paramName = "Fev075";
	this.paramNameLong = "FEV075";
	this.paramUnit = "l";
	this.ethnics = ethnics;

	if (this.male) {
		this.a0 = -9.2847;
		this.a1 = 1.9527;
		this.a2 = 0.0295;
		this.p0 = -1.7947;
		this.p1 = -0.0666;
	}
	else {
		this.a0 = -10.0239;
		this.a1 = 2.1123;
		this.a2 = 0.0194;
		this.p0 = -1.6265;
		this.p1 = -0.0828;
	}
	if ((this.age >= 3) && (this.age <= 7)) {
	this.ratio = 0;
	this.mLower = Math.exp(this.a0 + this.a1 * Math.log(this.height) + this.a2 * this.age);
	this.mUpper = this.mLower;
	this.sLower = Math.exp(this.p0 + this.p1 * this.age);
	this.sUpper = this.sLower;
	this.lLower = 1;
	this.lUpper = 1;
	}
	// Checking specific errors and creating error messages	
	this.errorCondition.push((this.age < 3) || (this.age > 7));
	this.errorString.push(window.lang.convert("Age has to be between 3 and 7 years"));
	this.errorCondition.push(typeof(this.age) === 'undefined')
	this.errorString.push(window.lang.convert("Age is undefined"));
	this.errorCondition.push(typeof(this.male) === 'undefined')
	this.errorString.push(window.lang.convert("Gender is undefined"));
	this.errorCondition.push(typeof(this.ethnics) === 'undefined')
	this.errorString.push(window.lang.convert("Ethnics is undefined"));
	this.errorCondition.push(value <= 0)
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	this.errorCondition.push(height <= 0)
	this.errorString.push(window.lang.convert("Height") + " " + window.lang.convert("has to be greater than 0"));
}
SpiroFev075.prototype = new SpiroLMSClass();

function SpiroFev075fvc(value, male, age, height, ethnics) {
	this.height = height;
	this.age = age / 12; // month in years
	this.male = male;
	this.value = value || -1;
	this.refString = "";
	this.init();
	this.infoString = this.getInfo([INFO_PERCENTILES + INFO_GLI, INFO_ZSCORE, ABBREV_SPIRO]);;
	this.paramName = "Fev075fvc";
	this.paramNameLong = "FEV075/FVC";
	this.paramUnit = "l";
	this.ethnics = ethnics;

	if (this.male) {
		this.a0 = 0.5174;
		this.a1 = -0.0940;
		this.a2 = -0.1324;
		this.p0 = -2.4570;
		this.q0 = 2.797;
		this.lLower = 2.797;
	}
	else {
		this.a0 = 0.4599;
		this.a1 = -0.0891;
		this.a2 = -0.1000;
		this.p0 = -2.545;
		this.lLower = 3.564;
	}
	if ((this.age >= 3) && (this.age <= 7)) {
	this.ratio = 0;
	this.mLower = Math.exp(this.a0 + this.a1 * Math.log(this.height) + this.a2 * Math.log(this.age));
	this.sLower = Math.exp(this.p0);
	this.mUpper = this.mLower;
	this.lUpper = this.lLower;
	this.sUpper = this.sLower;
	}
	// Checking specific errors and creating error messages	
	this.errorCondition.push((this.age < 3) || (this.age > 7));
	this.errorString.push(window.lang.convert("Age has to be between 3 and 7 years"));
	this.errorCondition.push(typeof(this.age) === 'undefined')
	this.errorString.push(window.lang.convert("Age is undefined"));
	this.errorCondition.push(typeof(this.male) === 'undefined')
	this.errorString.push(window.lang.convert("Gender is undefined"));
	this.errorCondition.push(typeof(this.ethnics) === 'undefined')
	this.errorString.push(window.lang.convert("Ethnics is undefined"));
	this.errorCondition.push(value <= 0)
	this.errorString.push(window.lang.convert(this.paramNameLong) + " " + window.lang.convert("has to be greater than 0"));
	this.errorCondition.push(height <= 0)
	this.errorString.push(window.lang.convert("Height") + " " + window.lang.convert("has to be greater than 0"));
}
SpiroFev075fvc.prototype = new SpiroLMSClass();